/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.values;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.values.AnimatablePaintValue;
import org.apache.batik.anim.values.AnimatableValue;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.anim.AnimationTarget;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMSwitchElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AnimatablePaintValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.createURICurrentColorPaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;Ljava/lang/String;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURICurrentColorPaintValue((AnimationTarget) null, "!rI");
      assertEquals("url(!rI) currentColor", animatablePaintValue0.getCssText());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.createInheritPaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createInheritPaintValue((AnimationTarget) null);
      assertEquals(7, animatablePaintValue0.getPaintType());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.getZeroValue()Lorg/apache/batik/anim/values/AnimatableValue;: root-Branch
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.createColorPaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;FFF)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;FFF)V: root-Branch
   * 4 org.apache.batik.anim.values.AnimatablePaintValue.createNonePaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createNonePaintValue((AnimationTarget) null);
      AnimatablePaintValue animatablePaintValue1 = (AnimatablePaintValue)animatablePaintValue0.getZeroValue();
      assertNotNull(animatablePaintValue1);
      assertEquals("none", animatablePaintValue0.toStringRep());
      assertEquals("org.apache.batik.anim.values.AnimatablePaintValue[rgb(0,0,0)]", animatablePaintValue1.toString());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.createURIColorPaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;Ljava/lang/String;FFF)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;FFF)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURIColorPaintValue((AnimationTarget) null, "!rI", 600.0F, 600.0F, 600.0F);
      assertEquals("org.apache.batik.anim.values.AnimatablePaintValue[url(!rI) rgb(153000,153000,153000)]", animatablePaintValue0.toString());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.canPace()Z: root-Branch
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.createURIPaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;Ljava/lang/String;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURIPaintValue((AnimationTarget) null, "");
      boolean boolean0 = animatablePaintValue0.canPace();
      assertEquals(false, boolean0);
      assertEquals("org.apache.batik.anim.values.AnimatablePaintValue[url()]", animatablePaintValue0.toString());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.getURI()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.createURINonePaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;Ljava/lang/String;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURINonePaintValue((AnimationTarget) null, "vVUX");
      String string0 = animatablePaintValue0.getURI();
      assertNotNull(string0);
      assertEquals(4, animatablePaintValue0.getPaintType());
      assertEquals("org.apache.batik.anim.values.AnimatablePaintValue[url(vVUX) none]", animatablePaintValue0.toString());
  }

  //Test case number: 6
  /*
   * 8 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 17 TABLESWITCH L-1 Case 0 - false
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 18 TABLESWITCH L-1 Case 1 - false
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 19 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 20 TABLESWITCH L-1 Case 3 - true
   * 5 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 21 TABLESWITCH L-1 Case 4 - false
   * 6 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 22 TABLESWITCH L-1 Case 5 - false
   * 7 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 23 TABLESWITCH L-1 Case 6 - false
   * 8 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 24 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test6()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURIPaintValue((AnimationTarget) null, "");
      String string0 = animatablePaintValue0.toString();
      assertNotNull(string0);
      assertEquals("org.apache.batik.anim.values.AnimatablePaintValue[url()]", string0);
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 18 TABLESWITCH L-1 Case 1 - true
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 20 TABLESWITCH L-1 Case 3 - false
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.createCurrentColorPaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   * 4 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 21 TABLESWITCH L-1 Case 4 - false
   */

  @Test
  public void test7()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createCurrentColorPaintValue((AnimationTarget) null);
      String string0 = animatablePaintValue0.getCssText();
      assertEquals("currentColor", string0);
  }

  //Test case number: 8
  /*
   * 8 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 21 TABLESWITCH L-1 Case 4 - true
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 17 TABLESWITCH L-1 Case 0 - false
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 18 TABLESWITCH L-1 Case 1 - false
   * 4 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 19 TABLESWITCH L-1 Case 2 - false
   * 5 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 20 TABLESWITCH L-1 Case 3 - false
   * 6 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 22 TABLESWITCH L-1 Case 5 - false
   * 7 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 23 TABLESWITCH L-1 Case 6 - false
   * 8 org.apache.batik.anim.values.AnimatablePaintValue.getCssText()Ljava/lang/String;: I2 Branch 24 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test8()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMSwitchElement sVGOMSwitchElement0 = new SVGOMSwitchElement("", (AbstractDocument) sVG12OMDocument0);
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURINonePaintValue((AnimationTarget) sVGOMSwitchElement0, "");
      String string0 = animatablePaintValue0.toString();
      assertNotNull(string0);
      assertEquals("org.apache.batik.anim.values.AnimatablePaintValue[url() none]", string0);
  }

  //Test case number: 9
  /*
   * 11 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I1 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I17 Branch 2 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I69 Branch 9 IFNULL L-1 - false
   * 4 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I74 Branch 10 IFLT L-1 - false
   * 5 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I114 Branch 11 IF_ICMPNE L-1 - false
   * 6 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I117 Branch 12 IFNULL L-1 - false
   * 7 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I122 Branch 13 IFLE L-1 - false
   * 8 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I127 Branch 14 IFNE L-1 - false
   * 9 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I132 Branch 15 IFNE L-1 - false
   * 10 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I137 Branch 16 IFEQ L-1 - true
   * 11 org.apache.batik.anim.values.AnimatablePaintValue.getPaintType()I: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURIPaintValue((AnimationTarget) null, "");
      animatablePaintValue0.getPaintType();
      AnimatablePaintValue animatablePaintValue1 = (AnimatablePaintValue)animatablePaintValue0.interpolate((AnimatableValue) animatablePaintValue0, (AnimatableValue) animatablePaintValue0, (float) 3, (AnimatableValue) animatablePaintValue0, 3);
      assertEquals(false, animatablePaintValue1.hasChanged());
      assertEquals(3, animatablePaintValue0.getPaintType());
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I74 Branch 10 IFLT L-1 - true
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I122 Branch 13 IFLE L-1 - false
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I127 Branch 14 IFNE L-1 - false
   * 4 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I132 Branch 15 IFNE L-1 - false
   * 5 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I137 Branch 16 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURIPaintValue((AnimationTarget) null, "");
      int int0 = animatablePaintValue0.getPaintType();
      assertEquals(3, int0);
      
      AnimatablePaintValue animatablePaintValue1 = (AnimatablePaintValue)animatablePaintValue0.interpolate((AnimatableValue) animatablePaintValue0, (AnimatableValue) animatablePaintValue0, 0.0F, (AnimatableValue) animatablePaintValue0, 3);
      assertEquals(false, animatablePaintValue1.hasChanged());
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I114 Branch 11 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.createNonePaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.createURINonePaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;Ljava/lang/String;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMSwitchElement sVGOMSwitchElement0 = new SVGOMSwitchElement("", (AbstractDocument) sVG12OMDocument0);
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createNonePaintValue((AnimationTarget) sVGOMSwitchElement0);
      AnimatablePaintValue animatablePaintValue1 = AnimatablePaintValue.createURINonePaintValue((AnimationTarget) sVGOMSwitchElement0, "");
      AnimatablePaintValue animatablePaintValue2 = (AnimatablePaintValue)animatablePaintValue1.interpolate((AnimatableValue) animatablePaintValue0, (AnimatableValue) animatablePaintValue0, (-1326.906F), (AnimatableValue) animatablePaintValue0, 7);
      assertEquals("url() none", animatablePaintValue0.toStringRep());
      assertEquals(4, animatablePaintValue2.getPaintType());
  }

  //Test case number: 12
  /*
   * 10 covered goals:
   * 1 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I122 Branch 13 IFLE L-1 - true
   * 2 org.apache.batik.anim.values.AnimatablePaintValue.<init>(Lorg/apache/batik/dom/anim/AnimationTarget;)V: root-Branch
   * 3 org.apache.batik.anim.values.AnimatablePaintValue.getPaintType()I: root-Branch
   * 4 org.apache.batik.anim.values.AnimatablePaintValue.createURIPaintValue(Lorg/apache/batik/dom/anim/AnimationTarget;Ljava/lang/String;)Lorg/apache/batik/anim/values/AnimatablePaintValue;: root-Branch
   * 5 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I1 Branch 1 IFNONNULL L-1 - true
   * 6 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I17 Branch 2 IF_ICMPNE L-1 - true
   * 7 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I69 Branch 9 IFNULL L-1 - false
   * 8 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I74 Branch 10 IFLT L-1 - true
   * 9 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I114 Branch 11 IF_ICMPNE L-1 - false
   * 10 org.apache.batik.anim.values.AnimatablePaintValue.interpolate(Lorg/apache/batik/anim/values/AnimatableValue;Lorg/apache/batik/anim/values/AnimatableValue;FLorg/apache/batik/anim/values/AnimatableValue;I)Lorg/apache/batik/anim/values/AnimatableValue;: I117 Branch 12 IFNULL L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      AnimatablePaintValue animatablePaintValue0 = AnimatablePaintValue.createURIPaintValue((AnimationTarget) null, "");
      animatablePaintValue0.getPaintType();
      AnimatablePaintValue animatablePaintValue1 = AnimatablePaintValue.createURIPaintValue((AnimationTarget) null, "n");
      animatablePaintValue0.interpolate((AnimatableValue) animatablePaintValue1, (AnimatableValue) animatablePaintValue1, 0.0F, (AnimatableValue) animatablePaintValue1, 3);
      assertEquals("", animatablePaintValue1.getURI());
      assertEquals(3, animatablePaintValue1.getPaintType());
  }
}
