/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import org.apache.batik.bridge.SVGAElementBridge;
import org.apache.batik.bridge.SVGCircleElementBridge;
import org.apache.batik.bridge.SVGImageElementBridge;
import org.apache.batik.bridge.SVGLineElementBridge;
import org.apache.batik.bridge.SVGRectElementBridge;
import org.apache.batik.bridge.SVGSwitchElementBridge;
import org.apache.batik.bridge.SVGTextElementBridge;
import org.apache.batik.dom.events.DOMMutationEvent;
import org.apache.batik.gvt.GraphicsNode;
import org.junit.BeforeClass;
import org.w3c.dom.events.MutationEvent;

public class AbstractGraphicsNodeBridgeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.getScreenTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.bridge.AbstractGraphicsNodeBridge.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGLineElementBridge sVGLineElementBridge0 = new SVGLineElementBridge();
      // Undeclared exception!
      try {
        sVGLineElementBridge0.getScreenTransform();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.getPixelToMM()F: root-Branch
   * 2 org.apache.batik.bridge.AbstractGraphicsNodeBridge.getPixelUnitToMillimeter()F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGImageElementBridge sVGImageElementBridge0 = new SVGImageElementBridge();
      // Undeclared exception!
      try {
        sVGImageElementBridge0.getPixelToMM();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.handleDOMCharacterDataModified(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGSwitchElementBridge sVGSwitchElementBridge0 = new SVGSwitchElementBridge();
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      sVGSwitchElementBridge0.handleDOMCharacterDataModified((MutationEvent) dOMMutationEvent0);
      assertNull(dOMMutationEvent0.getType());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.getGlobalTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGAElementBridge sVGAElementBridge0 = new SVGAElementBridge();
      // Undeclared exception!
      try {
        sVGAElementBridge0.getGlobalTransform();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.getFontSize()F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGRectElementBridge sVGRectElementBridge0 = new SVGRectElementBridge();
      // Undeclared exception!
      try {
        sVGRectElementBridge0.getFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.setScreenTransform(Ljava/awt/geom/AffineTransform;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGCircleElementBridge sVGCircleElementBridge0 = new SVGCircleElementBridge();
      AffineTransform affineTransform0 = GraphicsNode.IDENTITY;
      // Undeclared exception!
      try {
        sVGCircleElementBridge0.setScreenTransform(affineTransform0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.handleDOMAttrModifiedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      SVGImageElementBridge sVGImageElementBridge0 = new SVGImageElementBridge();
      sVGImageElementBridge0.handleDOMAttrModifiedEvent((MutationEvent) dOMMutationEvent0);
      assertEquals(0, dOMMutationEvent0.getAttrChange());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.getCTM()Ljava/awt/geom/AffineTransform;: I12 Branch 34 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      SVGAElementBridge sVGAElementBridge0 = new SVGAElementBridge();
      AffineTransform affineTransform0 = sVGAElementBridge0.getCTM();
      assertEquals(0.0, affineTransform0.getShearY(), 0.01D);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.handleDOMNodeInsertedEvent(Lorg/w3c/dom/events/MutationEvent;)V: I3 Branch 8 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      SVGRectElementBridge sVGRectElementBridge0 = new SVGRectElementBridge();
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      sVGRectElementBridge0.handleDOMNodeInsertedEvent((MutationEvent) dOMMutationEvent0);
      assertEquals(1397529981678L, dOMMutationEvent0.getTimeStamp());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.handleOtherAnimationChanged(Ljava/lang/String;)V: I3 Branch 28 IFLE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      SVGImageElementBridge sVGImageElementBridge0 = new SVGImageElementBridge();
      sVGImageElementBridge0.handleOtherAnimationChanged("e-v|A@!d]ts`3F");
      assertEquals("image", sVGImageElementBridge0.getLocalName());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.AbstractGraphicsNodeBridge.getBBox()Ljava/awt/geom/Rectangle2D;: I2 Branch 30 IFNONNULL L-1 - false
   * 2 org.apache.batik.bridge.AbstractGraphicsNodeBridge.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGTextElementBridge sVGTextElementBridge0 = new SVGTextElementBridge();
      Rectangle2D rectangle2D0 = sVGTextElementBridge0.getBBox();
      assertNull(rectangle2D0);
  }
}
