/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class DocumentLoaderEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.getUserAgent()Lorg/apache/batik/bridge/UserAgent;: root-Branch
   * 2 org.apache.batik.bridge.DocumentLoader.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      UserAgentAdapter userAgentAdapter1 = (UserAgentAdapter)documentLoader0.getUserAgent();
      assertNull(userAgentAdapter1.getXMLParserClassName());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.DocumentLoader.dispose()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      documentLoader0.dispose();
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I6 Branch 1 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I17 Branch 2 IF_ICMPEQ L-1 - false
   * 3 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I49 Branch 3 IFNULL L-1 - true
   * 4 org.apache.batik.bridge.DocumentLoader.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: I5 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
          DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
          // Undeclared exception!
          try {
            documentLoader0.loadDocument("http://www.w3.org/TR/SVG11/feature#OpacityAttribute");
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.net.SocketPermission www.w3.org:80 connect,resolve)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkConnect(SecurityManager.java:1034)
             // sun.net.www.http.HttpClient.openServer(HttpClient.java:528)
             // sun.net.www.http.HttpClient.<init>(HttpClient.java:234)
             // sun.net.www.http.HttpClient.New(HttpClient.java:307)
             // sun.net.www.http.HttpClient.New(HttpClient.java:324)
             // sun.net.www.protocol.http.HttpURLConnection.getNewHttpClient(HttpURLConnection.java:970)
             // sun.net.www.protocol.http.HttpURLConnection.plainConnect(HttpURLConnection.java:911)
             // sun.net.www.protocol.http.HttpURLConnection.connect(HttpURLConnection.java:836)
             // sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1172)
             // sun.net.www.protocol.http.HttpURLConnection.getHeaderField(HttpURLConnection.java:2308)
             // java.net.URLConnection.getContentType(URLConnection.java:485)
             // org.apache.batik.util.ParsedURLData.openStreamInternal(Unknown Source)
             // org.apache.batik.util.ParsedURLData.openStream(Unknown Source)
             // org.apache.batik.util.ParsedURL.openStream(Unknown Source)
             // org.apache.batik.dom.svg.SAXSVGDocumentFactory.createDocument(Unknown Source)
             // org.apache.batik.dom.svg.SAXSVGDocumentFactory.createSVGDocument(Unknown Source)
             // org.apache.batik.bridge.DocumentLoader.loadDocument(Unknown Source)
             // sun.reflect.GeneratedMethodAccessor27.invoke(Unknown Source)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I6 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I17 Branch 2 IF_ICMPEQ L-1 - true
   * 3 org.apache.batik.bridge.DocumentLoader.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: I5 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      try {
        documentLoader0.loadDocument("");
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.loadDocument(Ljava/lang/String;Ljava/io/InputStream;)Lorg/w3c/dom/Document;: I5 Branch 5 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.DocumentLoader.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   * 3 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I6 Branch 1 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I17 Branch 2 IF_ICMPEQ L-1 - true
   * 5 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I49 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      try {
        documentLoader0.loadDocument("L^ ~CicI2GyiP$0", (InputStream) pipedInputStream0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }
}
