/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.SVGDescElementBridge;
import org.apache.batik.bridge.SVGTitleElementBridge;
import org.apache.batik.bridge.TextUtilities;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMMetadataElement;
import org.apache.batik.dom.svg.SVGOMPathElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.XBLOMHandlerGroupElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class TextUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.svgHorizontalCoordinateArrayToUserSpace(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)Ljava/util/ArrayList;: I18 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("7>|Z\u0007/r?tZb[#D2r", "7>|Z\u0007/r?tZb[#D2r", "7>|Z\u0007/r?tZb[#D2r");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getXblShadowTree();
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      ArrayList<?> arrayList0 = TextUtilities.svgHorizontalCoordinateArrayToUserSpace((Element) null, "", "", (BridgeContext) null);
      assertEquals(true, arrayList0.isEmpty());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.svgHorizontalCoordinateArrayToUserSpace(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)Ljava/util/ArrayList;: I18 Branch 7 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("attribute.malformed", "attribute.malformed", "attribute.malformed");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMMetadataElement sVGOMMetadataElement0 = new SVGOMMetadataElement("attribute.malformed", (AbstractDocument) sVG12OMDocument0);
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      // Undeclared exception!
      try {
        TextUtilities.svgHorizontalCoordinateArrayToUserSpace((Element) sVGOMMetadataElement0, "attribute.malformed", "attribute.malformed", (BridgeContext) null);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: 97).
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.svgRotateArrayToFloats(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)Ljava/util/ArrayList;: I14 Branch 9 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      XBLOMHandlerGroupElement xBLOMHandlerGroupElement0 = new XBLOMHandlerGroupElement("", (AbstractDocument) sVG12OMDocument0);
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      BridgeContext bridgeContext0 = sVGDescElementBridge0.theCtx;
      ArrayList<?> arrayList0 = TextUtilities.svgRotateArrayToFloats((Element) xBLOMHandlerGroupElement0, "", "", (BridgeContext) null);
      assertEquals(0, arrayList0.size());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.getElementContent(Lorg/w3c/dom/Element;)Ljava/lang/String;: I9 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Core", "Core", "Core");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("Core", (AbstractDocument) sVG12OMDocument0);
      String string0 = TextUtilities.getElementContent((Element) sVGOMPathElement0);
      assertEquals("", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.svgVerticalCoordinateArrayToUserSpace(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)Ljava/util/ArrayList;: I18 Branch 8 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      ArrayList<?> arrayList0 = TextUtilities.svgVerticalCoordinateArrayToUserSpace((Element) null, "", "", bridgeContext0);
      assertEquals(0, arrayList0.size());
  }
}
