/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericEntityReference;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractEntityReferenceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractEntityReference.getNodeName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractEntityReference.getNodeType()S: root-Branch
   * 3 org.apache.batik.dom.AbstractEntityReference.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I7 Branch 1 IFEQ L-1 - false
   * 4 org.apache.batik.dom.AbstractEntityReference.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I10 Branch 2 IFNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("xml.name", "xml.name", "xml.name");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericEntityReference genericEntityReference0 = new GenericEntityReference("xml.name", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        genericEntityReference0.setSpecified(true);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // An attempt as been made to invoke an invalid method for the current node (type: 5, name: xml.name).
         //
      }
  }

  //Test case number: 1
  /*
   * 14 covered goals:
   * 1 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 3 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 4 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 5 TABLESWITCH L-1 Case 3 - true
   * 4 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 6 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 7 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 8 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 9 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 10 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 11 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 12 TABLESWITCH L-1 Case 10 - false
   * 11 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 13 TABLESWITCH L-1 Case 11 - false
   * 12 org.apache.batik.dom.AbstractEntityReference.checkChildType(Lorg/w3c/dom/Node;Z)V: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   * 13 org.apache.batik.dom.AbstractEntityReference.getNodeType()S: root-Branch
   * 14 org.apache.batik.dom.AbstractEntityReference.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I10 Branch 2 IFNE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("fill-rule", "fill-rule", "fill-rule");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericEntityReference genericEntityReference0 = new GenericEntityReference("fill-rule", (AbstractDocument) genericDocument0);
      genericEntityReference0.setTextContent("fill-rule");
      assertEquals("fill-rule", genericEntityReference0.getTextContent());
      assertEquals(5, genericEntityReference0.getNodeType());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractEntityReference.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I10 Branch 2 IFNE L-1 - false
   * 2 org.apache.batik.dom.AbstractEntityReference.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I7 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("!<", "!<", "!<");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericEntityReference genericEntityReference0 = null;
      try {
        genericEntityReference0 = new GenericEntityReference("!<", (AbstractDocument) sVG12OMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"!<\") is an invalid XML name.
         //
      }
  }
}
