/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMFontFaceUriElement;
import org.apache.batik.dom.svg.SVGTestsSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGTestsSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTestsSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGTestsSupport sVGTestsSupport0 = new SVGTestsSupport();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTestsSupport.getRequiredExtensions(Lorg/w3c/dom/Element;)Lorg/w3c/dom/svg/SVGStringList;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTestsSupport.getRequiredExtensions((Element) null);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGTests.getRequiredExtensions is not implemented
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTestsSupport.getRequiredFeatures(Lorg/w3c/dom/Element;)Lorg/w3c/dom/svg/SVGStringList;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFontFaceUriElement sVGOMFontFaceUriElement0 = new SVGOMFontFaceUriElement("", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        SVGTestsSupport.getRequiredFeatures((Element) sVGOMFontFaceUriElement0);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGTests.getRequiredFeatures is not implemented
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTestsSupport.hasExtension(Lorg/w3c/dom/Element;Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTestsSupport.hasExtension((Element) null, "");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGTests.hasExtension is not implemented
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTestsSupport.getSystemLanguage(Lorg/w3c/dom/Element;)Lorg/w3c/dom/svg/SVGStringList;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTestsSupport.getSystemLanguage((Element) null);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGTests.getSystemLanguage is not implemented
         //
      }
  }
}
