/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class SeekableStreamEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readFully([B)V: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream(16);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) pipedInputStream0);
      byte[] byteArray0 = new byte[6];
      try {
        forwardSeekableStream0.readFully(byteArray0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readLong()J: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readDouble()D: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) null);
      // Undeclared exception!
      try {
        memoryCacheSeekableStream0.readDouble();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readDoubleLE()D: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readLongLE()J: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) null);
      // Undeclared exception!
      try {
        memoryCacheSeekableStream0.readDoubleLE();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.skipBytes(I)I: I1 Branch 5 IFGT L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.wrapInputStream(Ljava/io/InputStream;Z)Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;: I3 Branch 1 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.util.SeekableStream.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          MemoryCacheSeekableStream memoryCacheSeekableStream0 = (MemoryCacheSeekableStream)SeekableStream.wrapInputStream((InputStream) null, true);
          assertNotNull(memoryCacheSeekableStream0);
          
          int int0 = memoryCacheSeekableStream0.skipBytes((-90));
          assertEquals(0, int0);
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }
}
