/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.DefaultScriptSecurity;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;

public class DefaultScriptSecurityEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("sQs~.BHi", "sQs~.BHi");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("sQs~.BHi", parsedURL0, parsedURL0);
      defaultScriptSecurity0.checkLoadScript();
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 4 IFNULL L-1 - false
   * 4 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I33 Branch 5 IFGT L-1 - false
   * 5 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I38 Branch 6 IFNE L-1 - false
   * 6 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I40 Branch 7 IFNULL L-1 - false
   * 7 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I45 Branch 8 IFGT L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("//", "//");
      ParsedURL parsedURL1 = new ParsedURL("DefaultScriptSecurity.error.cannot.access.document.urlyPifM>9l~XnhkVH");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("//", parsedURL0, parsedURL1);
      // Undeclared exception!
      try {
        defaultScriptSecurity0.checkLoadScript();
        fail("Expecting exception: SecurityException");
      
      } catch(SecurityException e) {
         //
         // The document references a script file (null://) which comes from different location than the document itself. This is not allowed with the current security settings and that script will not be loaded.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("", (ParsedURL) null, (ParsedURL) null);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 4 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I38 Branch 6 IFNE L-1 - false
   * 4 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I40 Branch 7 IFNULL L-1 - false
   * 5 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I45 Branch 8 IFGT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("Jah:", "Jah:");
      ParsedURL parsedURL1 = new ParsedURL(parsedURL0, "sQs~.BHi");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("sQs~.BHi", parsedURL1, parsedURL0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I33 Branch 5 IFGT L-1 - true
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - true
   * 4 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("sQs~.BHi", "sQs~.BHi");
      ParsedURL parsedURL1 = new ParsedURL("sQs~.BHi", "sQs~.BHi");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("sQs~.BHi", parsedURL1, parsedURL0);
  }
}
