/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.SVGDescElementBridge;
import org.apache.batik.bridge.UnitProcessor;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.junit.BeforeClass;
import org.w3c.dom.Element;

public class UnitProcessorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getViewportHeight()F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext(bridgeContext0, (Element) null);
      float float0 = unitProcessor_DefaultContext0.getViewportHeight();
      assertEquals(1.0F, float0, 0.01F);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelToMM()F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext(bridgeContext0, (Element) null);
      float float0 = unitProcessor_DefaultContext0.getPixelToMM();
      assertEquals(0.26458332F, float0, 0.01F);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.svgVerticalLengthToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext(bridgeContext0, (Element) null);
      // Undeclared exception!
      try {
        UnitProcessor.svgVerticalLengthToObjectBoundingBox("length.negative", "length.negative", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: 108).
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgOtherLengthToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgOtherLengthToUserSpace("", "", (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgHorizontalCoordinateToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.createContext(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)Lorg/apache/batik/parser/UnitProcessor$Context;: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   * 5 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 6 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext(bridgeContext0, (Element) null);
      // Undeclared exception!
      try {
        UnitProcessor.svgHorizontalCoordinateToUserSpace("?Ee[DdnmEYs", "?Ee[DdnmEYs", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: 63).
         //
      }
  }
}
