/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.css2.ClipManager;
import org.apache.batik.css.engine.value.svg.BaselineShiftManager;
import org.apache.batik.css.engine.value.svg.ClipRuleManager;
import org.apache.batik.css.engine.value.svg.ColorInterpolationManager;
import org.apache.batik.css.engine.value.svg.ColorProfileManager;
import org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractValueFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidStringTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ColorInterpolationManager colorInterpolationManager0 = new ColorInterpolationManager();
      try {
        colorInterpolationManager0.createStringValue((short)533, "[^T2ieSNs,GP=RK88(Z", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (533) is invalid for the \"color-interpolation\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidIdentifierDOMException(Ljava/lang/String;)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      BaselineShiftManager baselineShiftManager0 = new BaselineShiftManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0);
      try {
        baselineShiftManager0.createStringValue((short)0, "", (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"\" identifier is not a valid value for the \"baseline-shift\" property. 
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      try {
        clipManager0.createFloatValue((short)0, (short)0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_UNKNOWN) represents an invalid type for the \"clip\".
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatValueDOMException(F)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GlyphOrientationVerticalManager glyphOrientationVerticalManager0 = new GlyphOrientationVerticalManager();
      ColorProfileManager colorProfileManager0 = new ColorProfileManager();
      colorProfileManager0.getPropertyType();
      try {
        glyphOrientationVerticalManager0.createFloatValue((short)24932, (float) 20);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '20' represents an invalid value for the 'glyph-orientation-vertical' property.
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createDOMException()Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ClipRuleManager clipRuleManager0 = new ClipRuleManager();
      try {
        clipRuleManager0.createFloatValue((short)0, (short)0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"clip-rule\" property.
         //
      }
  }
}
