/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontSizeAdjustManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class FontSizeAdjustManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 9 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      try {
        fontSizeAdjustManager0.createFloatValue((short)0, (short)0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_UNKNOWN) represents an invalid type for the \"font-size-adjust\".
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      boolean boolean0 = fontSizeAdjustManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      StringValue stringValue0 = (StringValue)fontSizeAdjustManager0.getDefaultValue();
      assertEquals("none", stringValue0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      int int0 = fontSizeAdjustManager0.getPropertyType();
      assertEquals(44, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      boolean boolean0 = fontSizeAdjustManager0.isAdditiveProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      boolean boolean0 = fontSizeAdjustManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 13 - false
   * 3 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Case 14 - false
   * 4 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 4 LOOKUPSWITCH L-1 Case 35 - true
   * 5 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 LOOKUPSWITCH L-1 Default-Case - false
   * 6 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I28 Branch 6 IFLE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.BOLD_LU;
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType(":i(yGI{ }U", ":i(yGI{ }U", ":i(yGI{ }U");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      Parser parser0 = new Parser();
      ValueManager[] valueManagerArray0 = new ValueManager[7];
      valueManagerArray0[0] = (ValueManager) fontSizeAdjustManager0;
      valueManagerArray0[1] = (ValueManager) fontSizeAdjustManager0;
      valueManagerArray0[2] = (ValueManager) fontSizeAdjustManager0;
      valueManagerArray0[3] = (ValueManager) fontSizeAdjustManager0;
      valueManagerArray0[4] = (ValueManager) fontSizeAdjustManager0;
      valueManagerArray0[5] = (ValueManager) fontSizeAdjustManager0;
      valueManagerArray0[6] = (ValueManager) fontSizeAdjustManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[6];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[2] = (ShorthandManager) markerShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) marginShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0);
      try {
        fontSizeAdjustManager0.createValue(lexicalUnit0, (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"bold\" identifier is not a valid value for the \"font-size-adjust\" property. 
         //
      }
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 7 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontSizeAdjustManager.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      FontSizeAdjustManager fontSizeAdjustManager0 = new FontSizeAdjustManager();
      try {
        fontSizeAdjustManager0.createStringValue((short)8887, "ei+tC^lq,ktdg{rI6", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (8,887) is invalid for the \"font-size-adjust\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
