/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.FloatValue;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.UnicodeBidiManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.OpacityManager;
import org.apache.batik.css.engine.value.svg.ShapeRenderingManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class OpacityManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.isAnimatableProperty()Z: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.OpacityManager.<init>(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("", true);
      boolean boolean0 = opacityManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
      assertEquals(true, opacityManager0.isInheritedProperty());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("", true);
      boolean boolean0 = opacityManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.OpacityManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.svg.OpacityManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("", true);
      int int0 = opacityManager0.getPropertyType();
      assertEquals(25, int0);
      
      try {
        opacityManager0.createFloatValue((short)8839, (float) 25);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_RGBCOLOR) represents an invalid type for the \"\".
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("", true);
      boolean boolean0 = opacityManager0.isAdditiveProperty();
      assertEquals(true, boolean0);
      assertEquals(true, opacityManager0.isInheritedProperty());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("", true);
      FloatValue floatValue0 = (FloatValue)opacityManager0.getDefaultValue();
      assertNotNull(floatValue0);
      assertEquals(true, opacityManager0.isInheritedProperty());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 TABLESWITCH L-1 Case 12 - false
   * 2 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 TABLESWITCH L-1 Case 13 - false
   * 3 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 TABLESWITCH L-1 Case 14 - false
   * 4 org.apache.batik.css.engine.value.svg.OpacityManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 4 TABLESWITCH L-1 Default-Case - true
   * 5 org.apache.batik.css.engine.value.svg.OpacityManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("DOMImplementationCSS.createCSSStyleSheet is not implemented", false);
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("attributeName");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      InterpreterPool interpreterPool0 = new InterpreterPool();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      ValueManager[] valueManagerArray0 = new ValueManager[8];
      UnicodeBidiManager unicodeBidiManager0 = new UnicodeBidiManager();
      valueManagerArray0[0] = (ValueManager) unicodeBidiManager0;
      valueManagerArray0[1] = (ValueManager) opacityManager0;
      valueManagerArray0[2] = (ValueManager) opacityManager0;
      valueManagerArray0[3] = (ValueManager) opacityManager0;
      valueManagerArray0[4] = (ValueManager) opacityManager0;
      valueManagerArray0[5] = (ValueManager) opacityManager0;
      ShapeRenderingManager shapeRenderingManager0 = new ShapeRenderingManager();
      valueManagerArray0[6] = (ValueManager) shapeRenderingManager0;
      valueManagerArray0[7] = (ValueManager) opacityManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[5];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[1] = (ShorthandManager) markerShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[4] = (ShorthandManager) fontShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0);
      assertNotNull(sVG12CSSEngine0);
      
      try {
        opacityManager0.createValue(lexicalUnit0, (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"DOMImplementationCSS.createCSSStyleSheet is not implemented\" property does not support identifier values.
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.OpacityManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.svg.OpacityManager.<init>(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      OpacityManager opacityManager0 = new OpacityManager("4Ec3b{sc79]}Z", true);
      FloatValue floatValue0 = (FloatValue)opacityManager0.createFloatValue((short)1, (short)1);
      assertEquals(1, floatValue0.getPrimitiveType());
      assertEquals(true, opacityManager0.isInheritedProperty());
      assertNotNull(floatValue0);
      assertEquals("1", floatValue0.getCssText());
  }
}
