/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.CharArrayReader;
import java.io.IOException;
import java.io.PushbackReader;
import java.io.Reader;
import java.io.StringReader;
import java.util.Locale;
import org.apache.batik.css.parser.Parser;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.CSSParseException;
import org.w3c.css.sac.ErrorHandler;
import org.w3c.css.sac.InputSource;
import org.w3c.css.sac.LexicalUnit;

public class ParserEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 12 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parseStyleDeclarationInternal()V: root-Branch
   * 2 org.apache.batik.css.parser.Parser.createCSSParseException(Ljava/lang/String;)Lorg/w3c/css/sac/CSSParseException;: root-Branch
   * 3 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Z)V: I3 Branch 118 LOOKUPSWITCH L-1 Case 0 - true
   * 5 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Z)V: I3 Branch 119 LOOKUPSWITCH L-1 Case 2 - false
   * 6 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Z)V: I3 Branch 120 LOOKUPSWITCH L-1 Case 8 - false
   * 7 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Z)V: I3 Branch 121 LOOKUPSWITCH L-1 Case 20 - false
   * 8 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Z)V: I3 Branch 122 LOOKUPSWITCH L-1 Default-Case - false
   * 9 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Z)V: I6 Branch 123 IFEQ L-1 - true
   * 10 org.apache.batik.css.parser.Parser.createCSSParseException(Ljava/lang/String;[Ljava/lang/Object;)Lorg/w3c/css/sac/CSSParseException;: root-Branch
   * 11 org.apache.batik.css.parser.Parser.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 12 org.apache.batik.css.parser.Parser.<init>()V: I7 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Parser parser0 = new Parser();
      parser0.parseStyleDeclaration("\"]");
      assertEquals("http://www.w3.org/TR/REC-CSS2", parser0.getParserVersion());
  }

  //Test case number: 1
  /*
   * 10 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parsePriority(Lorg/w3c/css/sac/InputSource;)Z: root-Branch
   * 2 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I6 Branch 395 IFNONNULL L-1 - false
   * 3 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I15 Branch 396 IFNULL L-1 - false
   * 4 org.apache.batik.css.parser.Parser.parsePriorityInternal()Z: I8 Branch 16 LOOKUPSWITCH L-1 Case 0 - false
   * 5 org.apache.batik.css.parser.Parser.parsePriorityInternal()Z: I8 Branch 18 LOOKUPSWITCH L-1 Default-Case - true
   * 6 org.apache.batik.css.parser.Parser.reportError(Ljava/lang/String;[Ljava/lang/Object;)V: root-Branch
   * 7 org.apache.batik.css.parser.Parser.parsePriorityInternal()Z: I8 Branch 17 LOOKUPSWITCH L-1 Case 28 - false
   * 8 org.apache.batik.css.parser.Parser.nextIgnoreSpaces()I: I11 Branch 424 LOOKUPSWITCH L-1 Case 17 - false
   * 9 org.apache.batik.css.parser.Parser.nextIgnoreSpaces()I: I11 Branch 425 LOOKUPSWITCH L-1 Case 18 - false
   * 10 org.apache.batik.css.parser.Parser.nextIgnoreSpaces()I: I11 Branch 426 LOOKUPSWITCH L-1 Default-Case - true
   */

  @Test
  public void test1()  throws Throwable  {
      Parser parser0 = new Parser();
      StringReader stringReader0 = new StringReader("cdp`}}Uw\"wqd5M){9\"]");
      InputSource inputSource0 = new InputSource((Reader) stringReader0);
      // Undeclared exception!
      try {
        parser0.parsePriority(inputSource0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 60 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parseRuleInternal()V: root-Branch
   * 2 org.apache.batik.css.parser.Parser.parseRule(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.css.parser.Parser.reportError(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 47 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 48 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 49 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 50 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 51 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 52 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 53 TABLESWITCH L-1 Case 10 - false
   * 11 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 54 TABLESWITCH L-1 Case 11 - false
   * 12 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 55 TABLESWITCH L-1 Case 12 - false
   * 13 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 56 TABLESWITCH L-1 Case 13 - false
   * 14 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 57 TABLESWITCH L-1 Case 14 - false
   * 15 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 58 TABLESWITCH L-1 Case 15 - false
   * 16 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 59 TABLESWITCH L-1 Case 16 - false
   * 17 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 60 TABLESWITCH L-1 Case 17 - false
   * 18 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 61 TABLESWITCH L-1 Case 18 - false
   * 19 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 62 TABLESWITCH L-1 Case 19 - false
   * 20 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 63 TABLESWITCH L-1 Case 20 - false
   * 21 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 64 TABLESWITCH L-1 Case 21 - false
   * 22 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 65 TABLESWITCH L-1 Case 22 - false
   * 23 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 66 TABLESWITCH L-1 Case 23 - false
   * 24 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 67 TABLESWITCH L-1 Case 24 - false
   * 25 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 68 TABLESWITCH L-1 Case 25 - false
   * 26 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 69 TABLESWITCH L-1 Case 26 - false
   * 27 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 70 TABLESWITCH L-1 Case 27 - false
   * 28 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I9 Branch 71 TABLESWITCH L-1 Default-Case - true
   * 29 org.apache.batik.css.parser.Parser.parseSelector()Lorg/w3c/css/sac/Selector;: I73 Branch 75 IFNULL L-1 - true
   * 30 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I2 Branch 76 LOOKUPSWITCH L-1 Case 13 - false
   * 31 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I2 Branch 77 LOOKUPSWITCH L-1 Case 20 - false
   * 32 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I2 Branch 78 LOOKUPSWITCH L-1 Default-Case - true
   * 33 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I35 Branch 79 LOOKUPSWITCH L-1 Case 7 - false
   * 34 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I35 Branch 80 LOOKUPSWITCH L-1 Case 11 - false
   * 35 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I35 Branch 81 LOOKUPSWITCH L-1 Case 16 - false
   * 36 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I35 Branch 82 LOOKUPSWITCH L-1 Case 27 - false
   * 37 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I35 Branch 83 LOOKUPSWITCH L-1 Default-Case - true
   * 38 org.apache.batik.css.parser.Parser.parseSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: I280 Branch 108 IFNULL L-1 - true
   * 39 org.apache.batik.css.parser.Parser.parseRule()V: I3 Branch 19 TABLESWITCH L-1 Case 28 - false
   * 40 org.apache.batik.css.parser.Parser.parseRule()V: I3 Branch 20 TABLESWITCH L-1 Case 29 - false
   * 41 org.apache.batik.css.parser.Parser.parseRule()V: I3 Branch 21 TABLESWITCH L-1 Case 30 - false
   * 42 org.apache.batik.css.parser.Parser.parseRule()V: I3 Branch 22 TABLESWITCH L-1 Case 31 - false
   * 43 org.apache.batik.css.parser.Parser.parseRule()V: I3 Branch 23 TABLESWITCH L-1 Case 32 - false
   * 44 org.apache.batik.css.parser.Parser.parseRule()V: I3 Branch 24 TABLESWITCH L-1 Case 33 - false
   * 45 org.apache.batik.css.parser.Parser.parseRule()V: I3 Branch 25 TABLESWITCH L-1 Default-Case - true
   * 46 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 427 TABLESWITCH L-1 Case 0 - true
   * 47 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 428 TABLESWITCH L-1 Case 1 - false
   * 48 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 429 TABLESWITCH L-1 Case 2 - false
   * 49 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 430 TABLESWITCH L-1 Case 3 - false
   * 50 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 431 TABLESWITCH L-1 Case 4 - false
   * 51 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 432 TABLESWITCH L-1 Case 5 - false
   * 52 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 433 TABLESWITCH L-1 Case 6 - false
   * 53 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 434 TABLESWITCH L-1 Case 7 - false
   * 54 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 435 TABLESWITCH L-1 Case 8 - false
   * 55 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 436 TABLESWITCH L-1 Default-Case - false
   * 56 org.apache.batik.css.parser.Parser.parseRuleSet()V: I22 Branch 44 IF_ICMPEQ L-1 - false
   * 57 org.apache.batik.css.parser.Parser.parseRuleSet()V: I29 Branch 45 IF_ICMPNE L-1 - true
   * 58 org.apache.batik.css.parser.Parser.skipSpaces()I: I7 Branch 399 IF_ICMPNE L-1 - true
   * 59 org.apache.batik.css.parser.Parser.parseSelectorList()Lorg/w3c/css/sac/SelectorList;: I12 Branch 46 IF_ICMPEQ L-1 - false
   * 60 org.apache.batik.css.parser.Parser.reportError(Ljava/lang/String;[Ljava/lang/Object;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Parser parser0 = new Parser();
      parser0.parseRule("");
      assertEquals("http://www.w3.org/TR/REC-CSS2", parser0.getParserVersion());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Parser.getLocale()Ljava/util/Locale;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Parser parser0 = new Parser();
      Locale locale0 = parser0.getLocale();
      assertNull(locale0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parseSelectors(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/SelectorList;: root-Branch
   * 2 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I15 Branch 396 IFNULL L-1 - true
   * 3 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I26 Branch 397 IFNULL L-1 - true
   * 4 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I39 Branch 398 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Parser parser0 = new Parser();
      InputSource inputSource0 = new InputSource();
      try {
        parser0.parseSelectors(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parsePropertyValue(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   * 2 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I39 Branch 398 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Parser parser0 = new Parser();
      InputSource inputSource0 = new InputSource();
      try {
        parser0.parsePropertyValue(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parseStyleSheet(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I6 Branch 395 IFNONNULL L-1 - true
   * 3 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I39 Branch 398 IFNONNULL L-1 - true
   * 4 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I15 Branch 396 IFNULL L-1 - true
   * 5 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I26 Branch 397 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Parser parser0 = new Parser();
      try {
        parser0.parseStyleSheet("");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Parser.setErrorHandler(Lorg/w3c/css/sac/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Parser parser0 = new Parser();
      parser0.setErrorHandler((ErrorHandler) null);
      assertEquals("http://www.w3.org/TR/REC-CSS2", parser0.getParserVersion());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Parser.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Parser parser0 = new Parser();
      Locale locale0 = new Locale("cdp`}}Uw\"wqd5M){9\"]", "cdp`}}Uw\"wqd5M){9\"]", "cdp`}}Uw\"wqd5M){9\"]");
      parser0.setLocale(locale0);
      assertEquals("cdp`}}Uw\"wqd5M){9\"]", locale0.getVariant());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Parser.parseStyleDeclaration(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Parser parser0 = new Parser();
      // Undeclared exception!
      try {
        parser0.parseStyleDeclaration((InputSource) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 57 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parsePropertyValueInternal()Lorg/w3c/css/sac/LexicalUnit;: I24 Branch 14 IFEQ L-1 - true
   * 2 org.apache.batik.css.parser.Parser.parsePropertyValueInternal()Lorg/w3c/css/sac/LexicalUnit;: I34 Branch 15 IFNULL L-1 - true
   * 3 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I11 Branch 128 LOOKUPSWITCH L-1 Case 6 - false
   * 4 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I11 Branch 129 LOOKUPSWITCH L-1 Case 10 - false
   * 5 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I11 Branch 130 LOOKUPSWITCH L-1 Default-Case - true
   * 6 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I35 Branch 131 IFEQ L-1 - true
   * 7 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 134 LOOKUPSWITCH L-1 Case 0 - true
   * 8 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 134 LOOKUPSWITCH L-1 Case 0 - false
   * 9 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 135 LOOKUPSWITCH L-1 Case 2 - false
   * 10 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 136 LOOKUPSWITCH L-1 Case 8 - false
   * 11 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 137 LOOKUPSWITCH L-1 Case 23 - false
   * 12 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 138 LOOKUPSWITCH L-1 Default-Case - true
   * 13 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 138 LOOKUPSWITCH L-1 Default-Case - false
   * 14 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I71 Branch 139 IFEQ L-1 - true
   * 15 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 180 LOOKUPSWITCH L-1 Case 20 - true
   * 16 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 183 LOOKUPSWITCH L-1 Default-Case - false
   * 17 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I251 Branch 184 IFLE L-1 - true
   * 18 org.apache.batik.css.parser.Parser.parsePropertyValue(Ljava/lang/String;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   * 19 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I6 Branch 140 LOOKUPSWITCH L-1 Case 4 - false
   * 20 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I6 Branch 141 LOOKUPSWITCH L-1 Case 5 - false
   * 21 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I6 Branch 142 LOOKUPSWITCH L-1 Default-Case - true
   * 22 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 143 TABLESWITCH L-1 Case 24 - false
   * 23 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 144 TABLESWITCH L-1 Case 25 - false
   * 24 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 145 TABLESWITCH L-1 Case 26 - false
   * 25 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 146 TABLESWITCH L-1 Case 27 - false
   * 26 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 147 TABLESWITCH L-1 Case 28 - false
   * 27 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 148 TABLESWITCH L-1 Case 29 - false
   * 28 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 149 TABLESWITCH L-1 Case 30 - false
   * 29 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 150 TABLESWITCH L-1 Case 31 - false
   * 30 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 151 TABLESWITCH L-1 Case 32 - false
   * 31 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 152 TABLESWITCH L-1 Case 33 - false
   * 32 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 153 TABLESWITCH L-1 Case 34 - false
   * 33 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 154 TABLESWITCH L-1 Case 35 - false
   * 34 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 155 TABLESWITCH L-1 Case 36 - false
   * 35 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 156 TABLESWITCH L-1 Case 37 - false
   * 36 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 157 TABLESWITCH L-1 Case 38 - false
   * 37 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 158 TABLESWITCH L-1 Case 39 - false
   * 38 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 159 TABLESWITCH L-1 Case 40 - false
   * 39 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 160 TABLESWITCH L-1 Case 41 - false
   * 40 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 161 TABLESWITCH L-1 Case 42 - false
   * 41 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 162 TABLESWITCH L-1 Case 43 - false
   * 42 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 163 TABLESWITCH L-1 Case 44 - false
   * 43 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 164 TABLESWITCH L-1 Case 45 - false
   * 44 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 165 TABLESWITCH L-1 Case 46 - false
   * 45 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 166 TABLESWITCH L-1 Case 47 - false
   * 46 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 167 TABLESWITCH L-1 Case 48 - false
   * 47 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 168 TABLESWITCH L-1 Case 49 - false
   * 48 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 169 TABLESWITCH L-1 Case 50 - false
   * 49 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 170 TABLESWITCH L-1 Case 51 - false
   * 50 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 171 TABLESWITCH L-1 Case 52 - false
   * 51 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 172 TABLESWITCH L-1 Case 53 - false
   * 52 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 173 TABLESWITCH L-1 Case 54 - false
   * 53 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 174 TABLESWITCH L-1 Default-Case - true
   * 54 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I208 Branch 178 IFEQ L-1 - true
   * 55 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 179 LOOKUPSWITCH L-1 Case 19 - false
   * 56 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 181 LOOKUPSWITCH L-1 Case 27 - false
   * 57 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 182 LOOKUPSWITCH L-1 Case 51 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("W%j");
      assertEquals("W", lexicalUnit0.getStringValue());
  }

  //Test case number: 11
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parsePriorityInternal()Z: I8 Branch 16 LOOKUPSWITCH L-1 Case 0 - true
   * 2 org.apache.batik.css.parser.Parser.parsePriorityInternal()Z: I8 Branch 18 LOOKUPSWITCH L-1 Default-Case - false
   * 3 org.apache.batik.css.parser.Parser.parsePriority(Ljava/lang/String;)Z: root-Branch
   * 4 org.apache.batik.css.parser.Parser.parsePriorityInternal()Z: I8 Branch 17 LOOKUPSWITCH L-1 Case 28 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Parser parser0 = new Parser();
      boolean boolean0 = parser0.parsePriority("");
      assertEquals(false, boolean0);
  }

  //Test case number: 12
  /*
   * 77 covered goals:
   * 1 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 148 TABLESWITCH L-1 Case 29 - true
   * 2 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 174 TABLESWITCH L-1 Default-Case - false
   * 3 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 427 TABLESWITCH L-1 Case 0 - false
   * 4 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 436 TABLESWITCH L-1 Default-Case - true
   * 5 org.apache.batik.css.parser.Parser.createCSSParseException(Ljava/lang/String;)Lorg/w3c/css/sac/CSSParseException;: root-Branch
   * 6 org.apache.batik.css.parser.Parser.createCSSParseException(Ljava/lang/String;[Ljava/lang/Object;)Lorg/w3c/css/sac/CSSParseException;: root-Branch
   * 7 org.apache.batik.css.parser.Parser.parsePropertyValue(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   * 8 org.apache.batik.css.parser.Parser.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 9 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I11 Branch 128 LOOKUPSWITCH L-1 Case 6 - false
   * 10 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I11 Branch 129 LOOKUPSWITCH L-1 Case 10 - false
   * 11 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I11 Branch 130 LOOKUPSWITCH L-1 Default-Case - true
   * 12 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I35 Branch 131 IFEQ L-1 - true
   * 13 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 134 LOOKUPSWITCH L-1 Case 0 - false
   * 14 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 135 LOOKUPSWITCH L-1 Case 2 - false
   * 15 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 136 LOOKUPSWITCH L-1 Case 8 - false
   * 16 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 137 LOOKUPSWITCH L-1 Case 23 - false
   * 17 org.apache.batik.css.parser.Parser.parseExpression(Z)Lorg/w3c/css/sac/LexicalUnit;: I68 Branch 138 LOOKUPSWITCH L-1 Default-Case - true
   * 18 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I6 Branch 140 LOOKUPSWITCH L-1 Case 4 - false
   * 19 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I6 Branch 141 LOOKUPSWITCH L-1 Case 5 - false
   * 20 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I6 Branch 142 LOOKUPSWITCH L-1 Default-Case - true
   * 21 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 143 TABLESWITCH L-1 Case 24 - false
   * 22 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 144 TABLESWITCH L-1 Case 25 - false
   * 23 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 145 TABLESWITCH L-1 Case 26 - false
   * 24 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 146 TABLESWITCH L-1 Case 27 - false
   * 25 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 147 TABLESWITCH L-1 Case 28 - false
   * 26 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 148 TABLESWITCH L-1 Case 29 - false
   * 27 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 149 TABLESWITCH L-1 Case 30 - false
   * 28 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 150 TABLESWITCH L-1 Case 31 - false
   * 29 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 151 TABLESWITCH L-1 Case 32 - false
   * 30 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 152 TABLESWITCH L-1 Case 33 - false
   * 31 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 153 TABLESWITCH L-1 Case 34 - false
   * 32 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 154 TABLESWITCH L-1 Case 35 - false
   * 33 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 155 TABLESWITCH L-1 Case 36 - false
   * 34 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 156 TABLESWITCH L-1 Case 37 - false
   * 35 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 157 TABLESWITCH L-1 Case 38 - false
   * 36 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 158 TABLESWITCH L-1 Case 39 - false
   * 37 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 159 TABLESWITCH L-1 Case 40 - false
   * 38 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 160 TABLESWITCH L-1 Case 41 - false
   * 39 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 161 TABLESWITCH L-1 Case 42 - false
   * 40 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 162 TABLESWITCH L-1 Case 43 - false
   * 41 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 163 TABLESWITCH L-1 Case 44 - false
   * 42 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 164 TABLESWITCH L-1 Case 45 - false
   * 43 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 165 TABLESWITCH L-1 Case 46 - false
   * 44 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 166 TABLESWITCH L-1 Case 47 - false
   * 45 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 167 TABLESWITCH L-1 Case 48 - false
   * 46 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 168 TABLESWITCH L-1 Case 49 - false
   * 47 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 169 TABLESWITCH L-1 Case 50 - false
   * 48 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 170 TABLESWITCH L-1 Case 51 - false
   * 49 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 171 TABLESWITCH L-1 Case 52 - false
   * 50 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 172 TABLESWITCH L-1 Case 53 - false
   * 51 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 173 TABLESWITCH L-1 Case 54 - false
   * 52 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I19 Branch 174 TABLESWITCH L-1 Default-Case - true
   * 53 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I208 Branch 178 IFEQ L-1 - true
   * 54 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 179 LOOKUPSWITCH L-1 Case 19 - false
   * 55 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 180 LOOKUPSWITCH L-1 Case 20 - true
   * 56 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 180 LOOKUPSWITCH L-1 Case 20 - false
   * 57 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 181 LOOKUPSWITCH L-1 Case 27 - false
   * 58 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 182 LOOKUPSWITCH L-1 Case 51 - false
   * 59 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 183 LOOKUPSWITCH L-1 Default-Case - true
   * 60 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I226 Branch 183 LOOKUPSWITCH L-1 Default-Case - false
   * 61 org.apache.batik.css.parser.Parser.parseTerm(Lorg/w3c/css/sac/LexicalUnit;)Lorg/w3c/css/sac/LexicalUnit;: I251 Branch 184 IFLE L-1 - true
   * 62 org.apache.batik.css.parser.Parser.nextIgnoreSpaces()I: I11 Branch 424 LOOKUPSWITCH L-1 Case 17 - false
   * 63 org.apache.batik.css.parser.Parser.nextIgnoreSpaces()I: I11 Branch 425 LOOKUPSWITCH L-1 Case 18 - false
   * 64 org.apache.batik.css.parser.Parser.nextIgnoreSpaces()I: I11 Branch 426 LOOKUPSWITCH L-1 Default-Case - true
   * 65 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 427 TABLESWITCH L-1 Case 0 - true
   * 66 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 428 TABLESWITCH L-1 Case 1 - false
   * 67 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 429 TABLESWITCH L-1 Case 2 - false
   * 68 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 430 TABLESWITCH L-1 Case 3 - false
   * 69 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 431 TABLESWITCH L-1 Case 4 - false
   * 70 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 432 TABLESWITCH L-1 Case 5 - false
   * 71 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 433 TABLESWITCH L-1 Case 6 - false
   * 72 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 434 TABLESWITCH L-1 Case 7 - false
   * 73 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 435 TABLESWITCH L-1 Case 8 - false
   * 74 org.apache.batik.css.parser.Parser.reportError(Lorg/w3c/css/sac/CSSParseException;)V: I9 Branch 436 TABLESWITCH L-1 Default-Case - false
   * 75 org.apache.batik.css.parser.Parser.<init>()V: I7 Branch 1 IFNONNULL L-1 - true
   * 76 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I6 Branch 395 IFNONNULL L-1 - false
   * 77 org.apache.batik.css.parser.Parser.createScanner(Lorg/w3c/css/sac/InputSource;)Lorg/apache/batik/css/parser/Scanner;: I15 Branch 396 IFNULL L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Parser parser0 = new Parser();
      char[] charArray0 = new char[9];
      charArray0[0] = 'o';
      charArray0[2] = '@';
      charArray0[3] = 'o';
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0);
      PushbackReader pushbackReader0 = new PushbackReader((Reader) charArrayReader0);
      InputSource inputSource0 = new InputSource((Reader) pushbackReader0);
      try {
        parser0.parsePropertyValue(inputSource0);
        fail("Expecting exception: CSSParseException");
      
      } catch(CSSParseException e) {
         //
         // Unexpected token: 29 (see LexicalUnits).
         //
      }
  }
}
