/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericCDATASection;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractCharacterDataEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.getData()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractCharacterData.<init>()V: root-Branch
   * 3 org.apache.batik.dom.AbstractCharacterData.getNodeValue()Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I2 Branch 1 IFEQ L-1 - true
   * 5 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I29 Branch 2 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I43 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("offset", "offset", "offset");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("offset", (AbstractDocument) sVGOMDocument0);
      String string0 = genericCDATASection0.getData();
      assertNotNull(string0);
      assertEquals("offset", genericCDATASection0.getWholeText());
      assertEquals("offset", string0);
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.getLength()I: root-Branch
   * 2 org.apache.batik.dom.AbstractCharacterData.checkOffsetCount(II)V: I1 Branch 11 IFLT L-1 - false
   * 3 org.apache.batik.dom.AbstractCharacterData.checkOffsetCount(II)V: I5 Branch 12 IF_ICMPLT L-1 - false
   * 4 org.apache.batik.dom.AbstractCharacterData.deleteData(II)V: I2 Branch 9 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericComment genericComment0 = new GenericComment("", (AbstractDocument) sVGOMDocument0);
      try {
        genericComment0.deleteData(326, 326);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given offset (326) is out of range.
         //
      }
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I2 Branch 6 IFEQ L-1 - true
   * 2 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I25 Branch 7 IFLT L-1 - false
   * 3 org.apache.batik.dom.AbstractCharacterData.insertData(ILjava/lang/String;)V: I29 Branch 8 IF_ICMPLE L-1 - false
   * 4 org.apache.batik.dom.AbstractCharacterData.<init>()V: root-Branch
   * 5 org.apache.batik.dom.AbstractCharacterData.getLength()I: root-Branch
   * 6 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I2 Branch 1 IFEQ L-1 - true
   * 7 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I29 Branch 2 IFNONNULL L-1 - true
   * 8 org.apache.batik.dom.AbstractCharacterData.setNodeValue(Ljava/lang/String;)V: I43 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("offset", "offset", "offset");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericComment genericComment0 = new GenericComment("offset", (AbstractDocument) sVG12OMDocument0);
      try {
        genericComment0.insertData(888, "offset");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given offset (888) is out of range.
         //
      }
  }
}
