/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericAttr;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericNotation;
import org.apache.batik.dom.StyleSheetFactory;
import org.apache.batik.dom.StyleSheetProcessingInstruction;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class AbstractNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblNextSibling()Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 5 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   * 6 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Not a system-color:", "Not a system-color:", "Not a system-color:");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericComment genericComment0 = new GenericComment("Not a system-color:", (AbstractDocument) genericDocument0);
      genericComment0.getXblNextSibling();
      assertEquals(false, genericDocument0.getEventsEnabled());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getXblNextElementSibling()Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Not a system-color:", "Not a system-color:", "Not a system-color:");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericComment genericComment0 = new GenericComment("Not a system-color:", (AbstractDocument) genericDocument0);
      genericComment0.getXblNextElementSibling();
      assertEquals(false, genericDocument0.getEventsEnabled());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getPreviousSibling()Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getNamespaceURI()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getXblPreviousElementSibling()Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      sVG12OMDocument0.getDoctype();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericAttr genericAttr0 = new GenericAttr("canonical-form", (AbstractDocument) genericDocument0);
      Element element0 = genericAttr0.getXblPreviousElementSibling();
      assertNull(element0);
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getBaseURI()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I7 Branch 14 IFNULL L-1 - true
   * 3 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I24 Branch 16 IFNONNULL L-1 - false
   * 4 org.apache.batik.dom.AbstractNode.getCascadedXMLBase(Lorg/w3c/dom/Node;)Ljava/lang/String;: I28 Branch 17 IF_ICMPNE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      // Undeclared exception!
      try {
        genericComment0.getBaseURI();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.setPrefix(Ljava/lang/String;)V: I2 Branch 3 IFEQ L-1 - true
   * 2 org.apache.batik.dom.AbstractNode.setPrefix(Ljava/lang/String;)V: I28 Branch 4 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.AbstractNode.createDOMException(SLjava/lang/String;[Ljava/lang/Object;)Lorg/w3c/dom/DOMException;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.getNamespaceURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Not a system-color:", "Not a system-color:", "Not a system-color:");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("Not a system-color:", "Not a system-color:", "Not a system-color:", (AbstractDocument) genericDocument0);
      try {
        genericNotation0.setPrefix("Not a system-color:");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method requires the current node (type: 12, name: Not a system-color:) to be placed in a non-anonymous namespace.
         //
      }
  }

  //Test case number: 5
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getUserData(Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 153 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 5 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   * 6 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Not a system-color:", "Not a system-color:", "Not a system-color:");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("Not a system-color:", (AbstractDocument) genericDocument0, (StyleSheetFactory) sVGDOMImplementation0);
      styleSheetProcessingInstruction0.getUserData("Not a system-color:");
      assertEquals(false, genericDocument0.getEventsEnabled());
  }
}
