/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Locale;
import java.util.MissingResourceException;
import javax.swing.JComponent;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.svg.TextRenderingManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DocumentType;

public class ExtensibleDOMImplementationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.setLocale(Ljava/util/Locale;)V: root-Branch
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - false
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.ExtensibleDOMImplementation.getDomExtensions()Ljava/util/List;: I1 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      Locale locale0 = JComponent.getDefaultLocale();
      sVGDOMImplementation0.setLocale(locale0);
      assertEquals("", locale0.getVariant());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      Object[] objectArray0 = new Object[8];
      try {
        sVGDOMImplementation0.formatMessage("|:|QuijF!V", objectArray0);
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: |:|QuijF!V
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSValueManager(Lorg/apache/batik/css/engine/value/ValueManager;)V: I2 Branch 3 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSValueManager(Lorg/apache/batik/css/engine/value/ValueManager;)V: I2 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      TextRenderingManager textRenderingManager0 = new TextRenderingManager();
      sVGDOMImplementation0.registerCustomCSSValueManager((ValueManager) textRenderingManager0);
      sVGDOMImplementation0.registerCustomCSSValueManager((ValueManager) textRenderingManager0);
      assertEquals(false, textRenderingManager0.isAdditiveProperty());
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I1 Branch 9 IFNULL L-1 - false
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I4 Branch 10 IFNE L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I9 Branch 11 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I20 Branch 12 IFNULL L-1 - false
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I32 Branch 13 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("TimeEvent", "TimeEvent", "TimeEvent");
      SVGOMDocument sVGOMDocument0 = (SVGOMDocument)sVGDOMImplementation0.createDocument("TimeEvent", "TimeEvent", (DocumentType) genericDocumentType0);
      assertEquals(false, sVGOMDocument0.getXmlStandalone());
  }

  //Test case number: 4
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSShorthandManager(Lorg/apache/batik/css/engine/value/ShorthandManager;)V: I2 Branch 4 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSShorthandManager(Lorg/apache/batik/css/engine/value/ShorthandManager;)V: I2 Branch 4 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - true
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - false
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - false
   * 7 org.apache.batik.dom.ExtensibleDOMImplementation.getDomExtensions()Ljava/util/List;: I1 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      sVGDOMImplementation0.registerCustomCSSShorthandManager((ShorthandManager) marginShorthandManager0);
      sVGDOMImplementation0.registerCustomCSSShorthandManager((ShorthandManager) marginShorthandManager0);
      assertEquals("margin", marginShorthandManager0.getPropertyName());
  }
}
