/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFETurbulenceElement;
import org.apache.batik.dom.svg.SVGOMLength;
import org.apache.batik.dom.svg.SVGOMSVGElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.FlowDivElement;
import org.apache.batik.parser.ParseException;
import org.apache.batik.parser.UnitProcessor;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractSVGLengthEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength.reset()V: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGLength.newValueSpecifiedUnits(SF)V: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGLength.<init>(S)V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGLength$DefaultContext.<init>(Lorg/apache/batik/dom/svg/AbstractSVGLength;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UnitProcessor.UnitResolver unitProcessor_UnitResolver0 = new UnitProcessor.UnitResolver();
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) null);
      assertEquals(0.0F, sVGOMLength0.getValueInSpecifiedUnits(), 0.01F);
      
      sVGOMLength0.newValueSpecifiedUnits((short)1, (short)1);
      assertEquals("1.0", sVGOMLength0.getValueAsString());
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength.convertToSpecifiedUnits(S)V: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGLength.setValue(F)V: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGLength.getValue()F: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGLength.getUnitType()S: root-Branch
   * 5 org.apache.batik.dom.svg.AbstractSVGLength.revalidate()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("diffuseLighting", "diffuseLighting", "diffuseLighting");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFETurbulenceElement sVGOMFETurbulenceElement0 = new SVGOMFETurbulenceElement("diffuseLighting", (AbstractDocument) sVGOMDocument0);
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) sVGOMFETurbulenceElement0);
      sVGOMLength0.getUnitType();
      sVGOMLength0.convertToSpecifiedUnits((short)1);
      assertEquals(1, sVGOMLength0.getUnitType());
      assertEquals("0.0", sVGOMLength0.getValueAsString());
      assertEquals(0.0F, sVGOMLength0.getValueInSpecifiedUnits(), 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength.getValueInSpecifiedUnits()F: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) null);
      float float0 = sVGOMLength0.getValueInSpecifiedUnits();
      assertEquals(1, sVGOMLength0.getUnitType());
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength.setValueAsString(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGLength.parse(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("pt", "pt", "pt");
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("pt", (AbstractDocument) sVG12OMDocument0);
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) sVGOMSVGElement0);
      assertEquals(1, sVGOMLength0.getUnitType());
      
      sVGOMLength0.setValueAsString("pt");
      assertEquals(0, sVGOMLength0.getUnitType());
      assertEquals("", sVGOMLength0.getValueAsString());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength.setValueInSpecifiedUnits(F)V: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGLength.reset()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      UnitProcessor.UnitResolver unitProcessor_UnitResolver0 = new UnitProcessor.UnitResolver();
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) null);
      sVGOMLength0.setValueInSpecifiedUnits(0.0F);
      assertEquals("0.0", sVGOMLength0.getValueAsString());
      assertEquals(1, sVGOMLength0.getUnitType());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength.getValueAsString()Ljava/lang/String;: I4 Branch 1 IFNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("diffuseLighting", "diffuseLighting", "diffuseLighting");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFETurbulenceElement sVGOMFETurbulenceElement0 = new SVGOMFETurbulenceElement("diffuseLighting", (AbstractDocument) sVGOMDocument0);
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) sVGOMFETurbulenceElement0);
      String string0 = sVGOMLength0.getValueAsString();
      assertEquals("0.0", string0);
      assertNotNull(string0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength$DefaultContext.getViewportWidth()F: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      UnitProcessor.UnitResolver unitProcessor_UnitResolver0 = new UnitProcessor.UnitResolver();
      unitProcessor_UnitResolver0.percentage();
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) null);
      // Undeclared exception!
      try {
        sVGOMLength0.convertToSpecifiedUnits((short)2);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength$DefaultContext.getFontSize()F: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGLength$DefaultContext.getXHeight()F: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      UnitProcessor.UnitResolver unitProcessor_UnitResolver0 = new UnitProcessor.UnitResolver();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowDivElement flowDivElement0 = new FlowDivElement("", (AbstractDocument) genericDocument0);
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) flowDivElement0);
      unitProcessor_UnitResolver0.ex();
      // Undeclared exception!
      try {
        sVGOMLength0.convertToSpecifiedUnits((short)4);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGLength$DefaultContext.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGLength.<init>(S)V: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGLength.convertToSpecifiedUnits(S)V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGLength.setValue(F)V: root-Branch
   * 5 org.apache.batik.dom.svg.AbstractSVGLength.getValue()F: root-Branch
   * 6 org.apache.batik.dom.svg.AbstractSVGLength.revalidate()V: root-Branch
   * 7 org.apache.batik.dom.svg.AbstractSVGLength$DefaultContext.<init>(Lorg/apache/batik/dom/svg/AbstractSVGLength;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("diffuseLighting", "diffuseLighting", "diffuseLighting");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFETurbulenceElement sVGOMFETurbulenceElement0 = new SVGOMFETurbulenceElement("diffuseLighting", (AbstractDocument) sVGOMDocument0);
      SVGOMLength sVGOMLength0 = new SVGOMLength((AbstractElement) sVGOMFETurbulenceElement0);
      // Undeclared exception!
      try {
        sVGOMLength0.convertToSpecifiedUnits((short)10);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
