/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAnimateMotionElement;
import org.apache.batik.dom.svg.SVGOMAnimateTransformElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMSetElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMAnimationElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimationElement.endElement()Z: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimationElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMAnimationElement.initializeLiveAttributes()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("animation.dur.indefinite", "animation.dur.indefinite", "animation.dur.indefinite");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMAnimateMotionElement sVGOMAnimateMotionElement0 = new SVGOMAnimateMotionElement("animation.dur.indefinite", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMAnimateMotionElement0.endElement();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimationElement.getTraitInformationTable()Lorg/apache/batik/util/DoublyIndexedTable;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("animation.dur.indefinite", "animation.dur.indefinite", "animation.dur.indefinite");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMAnimateMotionElement sVGOMAnimateMotionElement0 = new SVGOMAnimateMotionElement("animation.dur.indefinite", (AbstractDocument) sVGOMDocument0);
      int int0 = sVGOMAnimateMotionElement0.getAttributeType("animation.dur.indefinite", "animation.dur.indefinite");
      assertEquals(0, int0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimationElement.getRequiredFeatures()Lorg/w3c/dom/svg/SVGStringList;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMSetElement sVGOMSetElement0 = new SVGOMSetElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMSetElement0.getRequiredFeatures();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGTests.getRequiredFeatures is not implemented
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimationElement.beginElementAt(F)Z: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimationElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMAnimationElement.initializeLiveAttributes()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMAnimateTransformElement sVGOMAnimateTransformElement0 = new SVGOMAnimateTransformElement("animation.dur.indefinite", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMAnimateTransformElement0.beginElementAt(0.787F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
