/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMStyleElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMStyleElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMStyleElement.getType()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMStyleElement.getCSSStyleSheet()Lorg/apache/batik/css/engine/StyleSheet;: I2 Branch 1 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.svg.SVGOMStyleElement.getCSSStyleSheet()Lorg/apache/batik/css/engine/StyleSheet;: I7 Branch 2 IFLE L-1 - true
   * 4 org.apache.batik.dom.svg.SVGOMStyleElement$DOMCharacterDataModifiedListener.<init>(Lorg/apache/batik/dom/svg/SVGOMStyleElement;)V: root-Branch
   * 5 org.apache.batik.dom.svg.SVGOMStyleElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 6 org.apache.batik.dom.svg.SVGOMStyleElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMStyleElement sVGOMStyleElement0 = new SVGOMStyleElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMStyleElement0.getCSSStyleSheet();
      assertEquals(true, sVGOMStyleElement0.hasAttributes());
      assertEquals("preserve", sVGOMStyleElement0.getXMLspace());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMStyleElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "http://www.w3.org/2001/xml-events", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMStyleElement sVGOMStyleElement0 = null;
      try {
        sVGOMStyleElement0 = new SVGOMStyleElement("http://www.w3.org/2001/xml-events", (AbstractDocument) genericDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"http://www.w3.org/2001/xml-events\" is invalid. Current node type: 1, name: style.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMStyleElement.setMedia(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMStyleElement sVGOMStyleElement0 = new SVGOMStyleElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMStyleElement0.setMedia("");
      assertEquals("preserve", sVGOMStyleElement0.getXMLspace());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMStyleElement.getSheet()Lorg/w3c/dom/stylesheets/StyleSheet;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMStyleElement$DOMCharacterDataModifiedListener.<init>(Lorg/apache/batik/dom/svg/SVGOMStyleElement;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMStyleElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMStyleElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMStyleElement sVGOMStyleElement0 = new SVGOMStyleElement("", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        sVGOMStyleElement0.getSheet();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // LinkStyle.getSheet() is not implemented
         //
      }
  }
}
