/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.g2d;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.AlphaComposite;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Composite;
import java.awt.Font;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.font.FontRenderContext;
import java.awt.geom.AffineTransform;
import java.util.HashMap;
import java.util.Map;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JColorChooser;
import javax.swing.colorchooser.ColorSelectionModel;
import javax.swing.colorchooser.DefaultColorSelectionModel;
import javax.swing.plaf.FontUIResource;
import org.apache.batik.ext.awt.g2d.GraphicContext;
import org.apache.batik.ext.awt.g2d.TransformStackElement;
import org.junit.BeforeClass;

public class GraphicContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.rotate(DDD)V: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      graphicContext0.rotate(1583.2335522656026, 1583.2335522656026, 1583.2335522656026);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getStroke()Ljava/awt/Stroke;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      BasicStroke basicStroke0 = (BasicStroke)graphicContext0.getStroke();
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertNotNull(basicStroke0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getFont()Ljava/awt/Font;: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.<init>(Ljava/awt/geom/AffineTransform;)V: I18 Branch 1 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance(1.0, 1.0, 1.0, 1.0);
      GraphicContext graphicContext0 = new GraphicContext(affineTransform0);
      Font font0 = graphicContext0.getFont();
      assertNotNull(font0);
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertEquals("java.awt.Font[family=Dialog,name=sanserif,style=plain,size=12]", font0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.translate(DD)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance(1.0, 1.0, 1.0, 1.0);
      GraphicContext graphicContext0 = new GraphicContext(affineTransform0);
      graphicContext0.translate((double) 1, (double) 1);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getTransformStack()[Lorg/apache/batik/ext/awt/g2d/TransformStackElement;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      TransformStackElement[] transformStackElementArray0 = graphicContext0.getTransformStack();
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertNotNull(transformStackElementArray0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getRenderingHints()Ljava/awt/RenderingHints;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      RenderingHints renderingHints0 = graphicContext0.getRenderingHints();
      assertNotNull(renderingHints0);
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertEquals(1, renderingHints0.size());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.setRenderingHints(Ljava/util/Map;)V: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.<init>(Ljava/awt/geom/AffineTransform;)V: I18 Branch 1 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance(1.0, 1.0, 1.0, 1.0);
      GraphicContext graphicContext0 = new GraphicContext(affineTransform0);
      HashMap<Integer, Object> hashMap0 = new HashMap<Integer, Object>();
      graphicContext0.setRenderingHints((Map) hashMap0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      AffineTransform affineTransform0 = graphicContext0.getTransform();
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertNotNull(affineTransform0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.setComposite(Ljava/awt/Composite;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      AlphaComposite alphaComposite0 = AlphaComposite.DstOver;
      graphicContext0.setComposite((Composite) alphaComposite0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getClip()Ljava/awt/Shape;: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.getClipBounds()Ljava/awt/Rectangle;: I4 Branch 7 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      graphicContext0.getClipBounds();
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      Color color0 = graphicContext0.getColor();
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertNotNull(color0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.setFont(Ljava/awt/Font;)V: I1 Branch 6 IFNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      DefaultListCellRenderer defaultListCellRenderer0 = new DefaultListCellRenderer();
      FontUIResource fontUIResource0 = (FontUIResource)defaultListCellRenderer0.getFont();
      graphicContext0.setFont((Font) fontUIResource0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.clip(Ljava/awt/Shape;)V: I10 Branch 16 IFNULL L-1 - false
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.clipRect(IIII)V: root-Branch
   * 3 org.apache.batik.ext.awt.g2d.GraphicContext.clip(Ljava/awt/Shape;)V: I1 Branch 15 IFNULL L-1 - false
   * 4 org.apache.batik.ext.awt.g2d.GraphicContext.clip(Ljava/awt/Shape;)V: I10 Branch 16 IFNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      Rectangle rectangle0 = new Rectangle();
      graphicContext0.clip((Shape) rectangle0);
      graphicContext0.clipRect(770, 770, 770, 770);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 13
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I9 Branch 17 IF_ACMPEQ L-1 - false
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I12 Branch 18 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I15 Branch 19 IF_ACMPEQ L-1 - false
   * 4 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I23 Branch 20 IF_ACMPEQ L-1 - false
   * 5 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I26 Branch 21 IF_ACMPEQ L-1 - false
   * 6 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I29 Branch 22 IF_ACMPNE L-1 - true
   * 7 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I44 Branch 23 IF_ACMPNE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      FontRenderContext fontRenderContext0 = graphicContext0.getFontRenderContext();
      assertEquals(true, fontRenderContext0.isAntiAliased());
      assertEquals(true, fontRenderContext0.usesFractionalMetrics());
      assertNotNull(fontRenderContext0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.clone()Ljava/lang/Object;: I28 Branch 2 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.clone()Ljava/lang/Object;: I62 Branch 3 IFNULL L-1 - true
   * 3 org.apache.batik.ext.awt.g2d.GraphicContext.<init>(Ljava/awt/geom/AffineTransform;)V: I18 Branch 1 IFNE L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      GraphicContext graphicContext1 = (GraphicContext)graphicContext0.clone();
      assertEquals(true, graphicContext1.isTransformStackValid());
      assertNotNull(graphicContext1);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.setBackground(Ljava/awt/Color;)V: I1 Branch 14 IFNONNULL L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      DefaultColorSelectionModel defaultColorSelectionModel0 = new DefaultColorSelectionModel();
      JColorChooser jColorChooser0 = new JColorChooser((ColorSelectionModel) defaultColorSelectionModel0);
      Color color0 = jColorChooser0.getForeground();
      graphicContext0.setBackground(color0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 16
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getClipBounds()Ljava/awt/Rectangle;: I4 Branch 7 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.<init>()V: root-Branch
   * 3 org.apache.batik.ext.awt.g2d.GraphicContext.getClip()Ljava/awt/Shape;: root-Branch
   * 4 org.apache.batik.ext.awt.g2d.GraphicContext.clip(Ljava/awt/Shape;)V: I1 Branch 15 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.g2d.GraphicContext.clip(Ljava/awt/Shape;)V: I10 Branch 16 IFNULL L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      Rectangle rectangle0 = new Rectangle();
      graphicContext0.clip((Shape) rectangle0);
      Rectangle rectangle1 = graphicContext0.getClipBounds();
      assertNotNull(rectangle1);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }
}
