/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.awt.geom.AffineTransform;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.util.Collection;
import java.util.LinkedList;
import org.apache.batik.ext.awt.geom.RectListManager;
import org.junit.BeforeClass;

public class RectListManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/lang/Object;)Z: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;II)V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager$RectXComparator.compare(Ljava/lang/Object;Ljava/lang/Object;)I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Dimension dimension0 = new Dimension(954, 954);
      Rectangle rectangle0 = new Rectangle(dimension0);
      Rectangle[] rectangleArray0 = new Rectangle[4];
      rectangleArray0[0] = rectangle0;
      rectangleArray0[1] = rectangle0;
      rectangleArray0[2] = rectangleArray0[0];
      rectangleArray0[3] = rectangle0;
      RectListManager rectListManager0 = new RectListManager(rectangleArray0);
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance((double) 0, (double) 954, (double) 954, (double) 954);
      affineTransform0.toString();
      // Undeclared exception!
      try {
        rectListManager0.remove((Object) "AffineTransform[[0.0, -1.0, 1908.0], [1.0, 0.0, 0.0]]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to java.awt.Rectangle
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.clear()V: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>(I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(0);
      rectListManager0.clear();
      assertEquals(0, rectListManager0.size());
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(0);
      RectListManager rectListManager1 = new RectListManager(rectListManager0);
      assertEquals(0, rectListManager1.size());
      assertEquals(0, rectListManager0.size());
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Ljava/util/Collection;)Z: I2 Branch 102 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I107 Branch 111 IFEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.toArray()[Ljava/lang/Object;: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.<init>()V: root-Branch
   * 6 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      LinkedList<String> linkedList0 = new LinkedList<String>((Collection<? extends String>) rectListManager0);
      boolean boolean0 = rectListManager0.retainAll((Collection) linkedList0);
      assertEquals(false, boolean0);
      assertEquals("[]", linkedList0.toString());
  }

  //Test case number: 4
  /*
   * 10 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.dump()V: I32 Branch 19 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.dump()V: I32 Branch 19 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I2 Branch 21 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I9 Branch 22 IFNE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I28 Branch 23 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;)V: root-Branch
   * 7 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/awt/Rectangle;)V: root-Branch
   * 8 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      Rectangle rectangle0 = line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.dump();
      assertEquals(1, rectListManager0.size());
      assertEquals(false, rectListManager0.isEmpty());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Ljava/util/Collection;)Z: I2 Branch 88 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      LinkedList<Rectangle> linkedList0 = new LinkedList<Rectangle>();
      RectListManager rectListManager0 = new RectListManager((Collection) linkedList0);
      boolean boolean0 = rectListManager0.removeAll((Collection) linkedList0);
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Ljava/util/Collection;)Z: I2 Branch 88 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(1);
      boolean boolean0 = rectListManager0.removeAll((Collection) rectListManager0);
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I2 Branch 51 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I18 Branch 52 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      LinkedList<Rectangle> linkedList0 = new LinkedList<Rectangle>();
      RectListManager rectListManager0 = new RectListManager((Collection) linkedList0);
      boolean boolean0 = rectListManager0.addAll((Collection) linkedList0);
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 13 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I86 Branch 117 IFLT L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I89 Branch 118 IF_ICMPGT L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.next()Ljava/lang/Object;: I5 Branch 2 IF_ICMPLT L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.iterator()Ljava/util/Iterator;: root-Branch
   * 9 org.apache.batik.ext.awt.geom.RectListManager.size()I: root-Branch
   * 10 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   * 13 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      Line2D.Double line2D_Double0 = new Line2D.Double(0.0, 0.0, 0.0, 0.0);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      rectListManager0.add(rectangle0);
      RectListManager rectListManager1 = new RectListManager((Collection) rectListManager0);
      rectListManager1.add(rectListManager0);
      assertEquals(false, rectListManager0.isEmpty());
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 9
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I89 Branch 118 IF_ICMPGT L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I123 Branch 120 IFNE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I2 Branch 51 IFEQ L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I18 Branch 52 IFEQ L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Rectangle[] rectangleArray0 = new Rectangle[10];
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      rectangleArray0[0] = rectangle0;
      rectangleArray0[1] = rectangleArray0[0];
      Rectangle rectangle1 = new Rectangle((-1466), 0, 0, 0);
      rectangleArray0[2] = rectangle1;
      rectangleArray0[3] = rectangle0;
      rectangleArray0[4] = rectangle1;
      rectangleArray0[5] = rectangle0;
      rectangleArray0[6] = rectangleArray0[3];
      rectangleArray0[7] = rectangle0;
      rectangleArray0[8] = rectangleArray0[3];
      rectangleArray0[9] = rectangle1;
      RectListManager rectListManager0 = new RectListManager(rectangleArray0);
      boolean boolean0 = rectListManager0.addAll((Collection) rectListManager0);
      assertEquals(20, rectListManager0.size());
      assertEquals(true, boolean0);
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I6 Branch 29 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I15 Branch 30 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I18 Branch 31 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I27 Branch 32 IF_ACMPEQ L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I38 Branch 33 IF_ICMPGE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(0);
      Rectangle[] rectangleArray0 = rectListManager0.rects;
      Object[] objectArray0 = rectListManager0.toArray((Object[]) rectangleArray0);
      assertNotNull(objectArray0);
      assertSame(rectangleArray0, objectArray0);
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I15 Branch 30 IF_ACMPEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I6 Branch 29 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I38 Branch 33 IF_ICMPGE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      Object[] objectArray0 = new Object[7];
      Object[] objectArray1 = rectListManager0.toArray(objectArray0);
      assertSame(objectArray0, objectArray1);
      assertNotNull(objectArray1);
      assertEquals(0, rectListManager0.size());
  }

  //Test case number: 12
  /*
   * 21 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I51 Branch 71 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I56 Branch 72 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I23 Branch 35 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I34 Branch 37 IFNONNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I83 Branch 42 IF_ICMPNE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I93 Branch 43 IF_ICMPGE L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I95 Branch 44 IFNE L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.iterator()Ljava/util/Iterator;: root-Branch
   * 11 org.apache.batik.ext.awt.geom.RectListManager.size()I: root-Branch
   * 12 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/lang/Object;)Z: root-Branch
   * 13 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - false
   * 14 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Ljava/util/Collection;)Z: I2 Branch 67 IFEQ L-1 - false
   * 15 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   * 16 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - true
   * 17 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - true
   * 18 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I22 Branch 171 IF_ICMPGE L-1 - true
   * 19 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - true
   * 20 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I10 Branch 68 IF_ICMPGE L-1 - false
   * 21 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I24 Branch 69 IF_ICMPGE L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      Rectangle[] rectangleArray0 = new Rectangle[3];
      Rectangle rectangle0 = new Rectangle(0, (-633));
      rectangleArray0[0] = rectangle0;
      rectangleArray0[2] = rectangle0;
      RectListManager rectListManager1 = new RectListManager((Collection) rectListManager0);
      rectListManager1.add(rectangleArray0[2]);
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float((float) (-633), (float) 0, (float) 0, (float) 0);
      Rectangle rectangle1 = rectangle2D_Float0.getBounds();
      rectListManager0.add(rectListManager1);
      rectListManager1.add((Object) rectangle1);
      boolean boolean0 = rectListManager0.containsAll((Collection) rectListManager1);
      assertEquals(2, rectListManager1.size());
      assertEquals(false, boolean0);
  }

  //Test case number: 13
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I56 Branch 72 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I66 Branch 73 IF_ICMPEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I10 Branch 68 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I10 Branch 68 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I24 Branch 69 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I51 Branch 71 IFNE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I51 Branch 71 IFNE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Rectangle[] rectangleArray0 = new Rectangle[6];
      Rectangle rectangle0 = new Rectangle(1, 1);
      rectangleArray0[0] = rectangle0;
      Polygon polygon0 = new Polygon();
      Rectangle rectangle1 = polygon0.getBounds();
      rectangleArray0[1] = rectangle1;
      rectangleArray0[2] = rectangle1;
      rectangleArray0[3] = rectangle0;
      rectangleArray0[4] = rectangleArray0[3];
      rectangleArray0[5] = rectangle0;
      RectListManager rectListManager0 = new RectListManager(rectangleArray0);
      boolean boolean0 = rectListManager0.containsAll(rectListManager0);
      assertEquals(true, boolean0);
      assertEquals(6, rectListManager0.size());
  }

  //Test case number: 14
  /*
   * 26 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I11 Branch 143 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I11 Branch 143 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I36 Branch 144 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I36 Branch 144 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I49 Branch 145 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I63 Branch 147 IF_ICMPLE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I69 Branch 148 IFNE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I69 Branch 148 IFNE L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I84 Branch 149 IF_ICMPGE L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I84 Branch 149 IF_ICMPGE L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I90 Branch 150 IFNULL L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I112 Branch 151 IF_ICMPLT L-1 - true
   * 13 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I122 Branch 152 IF_ICMPGE L-1 - true
   * 14 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I122 Branch 152 IF_ICMPGE L-1 - false
   * 15 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I126 Branch 153 IFNULL L-1 - true
   * 16 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I139 Branch 154 IFNE L-1 - false
   * 17 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I149 Branch 155 IFNULL L-1 - true
   * 18 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I229 Branch 158 IF_ICMPGE L-1 - true
   * 19 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I229 Branch 158 IF_ICMPGE L-1 - false
   * 20 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I235 Branch 159 IFNE L-1 - false
   * 21 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I42 Branch 160 IF_ICMPGE L-1 - true
   * 22 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I70 Branch 162 IF_ICMPGT L-1 - false
   * 23 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I73 Branch 163 IF_ICMPLE L-1 - true
   * 24 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I100 Branch 164 IF_ICMPGE L-1 - true
   * 25 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I129 Branch 166 IF_ICMPGT L-1 - false
   * 26 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I132 Branch 167 IF_ICMPLE L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Dimension dimension0 = new Dimension(954, 954);
      Rectangle rectangle0 = new Rectangle(dimension0);
      Rectangle[] rectangleArray0 = new Rectangle[4];
      rectangleArray0[0] = rectangle0;
      rectangleArray0[1] = rectangle0;
      rectangleArray0[2] = rectangleArray0[1];
      rectangleArray0[3] = rectangle0;
      RectListManager rectListManager0 = new RectListManager(rectangleArray0);
      rectListManager0.subtract(rectListManager0, 0, 954);
      assertEquals(0, rectListManager0.size());
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 15
  /*
   * 9 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I2 Branch 121 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I18 Branch 122 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I18 Branch 122 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I25 Branch 123 IFNONNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I278 Branch 139 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I278 Branch 139 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I283 Branch 140 IFNULL L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I325 Branch 141 IFNONNULL L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I9 Branch 22 IFNE L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      rectListManager0.add((Rectangle) null);
      assertEquals(false, rectListManager0.isEmpty());
      
      rectListManager0.mergeRects(0, 0);
      assertEquals(0, rectListManager0.size());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I2 Branch 121 IFNE L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(0);
      rectListManager0.mergeRects(0, 0);
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(0, rectListManager0.size());
  }

  //Test case number: 17
  /*
   * 14 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I61 Branch 124 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I68 Branch 125 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I71 Branch 126 IF_ACMPNE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I343 Branch 142 IFGE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I28 Branch 23 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I39 Branch 24 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I64 Branch 25 IF_ICMPGE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I96 Branch 26 IF_ICMPLE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I122 Branch 27 IF_ICMPLE L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I25 Branch 123 IFNONNULL L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I61 Branch 124 IF_ICMPGE L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I263 Branch 138 IF_ICMPNE L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I283 Branch 140 IFNULL L-1 - false
   * 14 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I325 Branch 141 IFNONNULL L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      Dimension dimension0 = new Dimension(954, 954);
      Rectangle rectangle0 = new Rectangle(dimension0);
      Rectangle[] rectangleArray0 = new Rectangle[4];
      rectangleArray0[0] = rectangle0;
      rectangleArray0[1] = rectangle0;
      rectangleArray0[2] = rectangleArray0[1];
      rectangleArray0[3] = rectangle0;
      RectListManager rectListManager0 = new RectListManager(rectangleArray0);
      rectListManager0.mergeRects(954, 0);
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 18
  /*
   * 23 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I68 Branch 125 IFNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I77 Branch 127 IF_ICMPLT L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I117 Branch 128 IF_ICMPGT L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I263 Branch 138 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I2 Branch 121 IFNE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I18 Branch 122 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I18 Branch 122 IF_ICMPGE L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I25 Branch 123 IFNONNULL L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I25 Branch 123 IFNONNULL L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I61 Branch 124 IF_ICMPGE L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I61 Branch 124 IF_ICMPGE L-1 - false
   * 12 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I68 Branch 125 IFNULL L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I71 Branch 126 IF_ACMPNE L-1 - false
   * 14 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I263 Branch 138 IF_ICMPNE L-1 - false
   * 15 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I278 Branch 139 IF_ICMPGE L-1 - true
   * 16 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I278 Branch 139 IF_ICMPGE L-1 - false
   * 17 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I283 Branch 140 IFNULL L-1 - true
   * 18 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I283 Branch 140 IFNULL L-1 - false
   * 19 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I325 Branch 141 IFNONNULL L-1 - true
   * 20 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I343 Branch 142 IFGE L-1 - true
   * 21 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I2 Branch 21 IFNULL L-1 - true
   * 22 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I9 Branch 22 IFNE L-1 - true
   * 23 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I28 Branch 23 IF_ICMPGE L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      Dimension dimension0 = new Dimension(954, 954);
      Rectangle rectangle0 = new Rectangle(dimension0);
      Rectangle[] rectangleArray0 = new Rectangle[4];
      rectangleArray0[0] = rectangle0;
      rectangleArray0[1] = rectangle0;
      Rectangle rectangle1 = new Rectangle(rectangle0);
      rectangleArray0[2] = rectangle1;
      rectangleArray0[3] = rectangle0;
      RectListManager rectListManager0 = new RectListManager(rectangleArray0);
      rectListManager0.mergeRects(954, 0);
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 19
  /*
   * 12 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I31 Branch 91 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I59 Branch 94 IFNONNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I76 Branch 96 IFEQ L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I89 Branch 97 IF_ICMPNE L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I119 Branch 101 IFNULL L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      Line2D.Double line2D_Double0 = new Line2D.Double(0.0, 0.0, 0.0, 0.0);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      rectListManager0.add(rectangle0);
      assertEquals(false, rectListManager0.isEmpty());
      
      boolean boolean0 = rectListManager0.removeAll(rectListManager0);
      assertEquals(true, boolean0);
  }

  //Test case number: 20
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I37 Branch 92 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.copy()Lorg/apache/batik/ext/awt/geom/RectListManager;: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Ljava/util/Collection;)Z: I2 Branch 88 IFEQ L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(1);
      RectListManager rectListManager1 = rectListManager0.copy();
      assertNotNull(rectListManager1);
      
      // Undeclared exception!
      try {
        rectListManager0.removeAll((Collection) rectListManager1);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 1
         //
      }
  }

  //Test case number: 21
  /*
   * 14 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I89 Branch 97 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I98 Branch 98 IF_ICMPEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I86 Branch 117 IFLT L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I89 Branch 118 IF_ICMPGT L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I31 Branch 91 IF_ICMPGE L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - true
   * 13 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I59 Branch 94 IFNONNULL L-1 - true
   * 14 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I76 Branch 96 IFEQ L-1 - false
   */

  @Test
  public void test21()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      Line2D.Double line2D_Double0 = new Line2D.Double(0.0, 0.0, 0.0, 0.0);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      rectListManager0.add(rectangle0);
      rectListManager0.add(rectListManager0);
      // Undeclared exception!
      try {
        rectListManager0.removeAll(rectListManager0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 22
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I83 Branch 42 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/awt/Rectangle;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I23 Branch 35 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I34 Branch 37 IFNONNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - false
   */

  @Test
  public void test22()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      Rectangle rectangle0 = line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.add(rectangle0);
      assertEquals(2, rectListManager0.size());
  }

  //Test case number: 23
  /*
   * 12 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I78 Branch 108 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I85 Branch 109 IF_ICMPEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I92 Branch 110 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;)V: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;II)V: root-Branch
   * 6 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I26 Branch 104 IF_ICMPGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I37 Branch 106 IF_ICMPNE L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I78 Branch 108 IFEQ L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I107 Branch 111 IFEQ L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager$RectXComparator.compare(Ljava/lang/Object;Ljava/lang/Object;)I: root-Branch
   */

  @Test
  public void test23()  throws Throwable  {
      Rectangle[] rectangleArray0 = new Rectangle[4];
      Line2D.Float line2D_Float0 = new Line2D.Float(0.0F, 0.0F, 83.478096F, 83.478096F);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      rectangleArray0[0] = rectangle0;
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Rectangle rectangle1 = rectangle2D_Float0.getBounds();
      rectangleArray0[1] = rectangle1;
      rectangleArray0[2] = rectangle1;
      rectangleArray0[3] = rectangle1;
      RectListManager rectListManager0 = new RectListManager(rectangleArray0);
      boolean boolean0 = rectListManager0.retainAll(rectListManager0);
      assertEquals(4, rectListManager0.size());
      assertEquals(false, boolean0);
  }

  //Test case number: 24
  /*
   * 8 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I12 Branch 74 IF_ICMPGT L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I26 Branch 75 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I94 Branch 81 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I102 Branch 82 IFLT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I109 Branch 83 IFEQ L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I22 Branch 171 IF_ICMPGE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test24()  throws Throwable  {
      LinkedList<Rectangle> linkedList0 = new LinkedList<Rectangle>();
      RectListManager rectListManager0 = new RectListManager((Collection) linkedList0);
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      rectListManager0.add(rectangle0);
      // Undeclared exception!
      try {
        rectListManager0.remove(rectangle0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 25
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.isEmpty()Z: I2 Branch 28 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>()V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - true
   */

  @Test
  public void test25()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      assertEquals(0, rectListManager0.size());
      
      rectListManager0.add((Rectangle) null);
      boolean boolean0 = rectListManager0.isEmpty();
      assertEquals(1, rectListManager0.size());
      assertEquals(false, boolean0);
  }

  //Test case number: 26
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.isEmpty()Z: I2 Branch 28 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>(I)V: root-Branch
   */

  @Test
  public void test26()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(1770);
      boolean boolean0 = rectListManager0.isEmpty();
      assertEquals(true, boolean0);
  }
}
