/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;
import java.awt.image.ColorModel;
import java.awt.image.DirectColorModel;
import java.awt.image.Raster;
import java.awt.image.SinglePixelPackedSampleModel;
import java.awt.image.WritableRaster;
import java.util.Vector;
import org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage;
import org.apache.batik.ext.awt.image.codec.util.SingleTileRenderedImage;
import org.junit.BeforeClass;

public class SimpleRenderedImageEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMinX()I: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMinY()I: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getBounds()Ljava/awt/Rectangle;: root-Branch
   * 4 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.<init>()V: root-Branch
   * 5 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getWidth()I: root-Branch
   * 6 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getHeight()I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      Rectangle rectangle0 = singleTileRenderedImage0.getBounds();
      assertEquals("java.awt.Rectangle[x=0,y=0,width=1,height=1]", rectangle0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getSampleModel()Ljava/awt/image/SampleModel;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      SinglePixelPackedSampleModel singlePixelPackedSampleModel0 = (SinglePixelPackedSampleModel)singleTileRenderedImage0.getSampleModel();
      assertEquals(1, singlePixelPackedSampleModel0.getWidth());
  }

  //Test case number: 2
  /*
   * 11 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileWidth()I: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileGridXOffset()I: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileGridYOffset()I: root-Branch
   * 4 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileHeight()I: root-Branch
   * 5 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.YToTileY(I)I: root-Branch
   * 6 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.XToTileX(I)I: root-Branch
   * 7 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.XToTileX(III)I: I5 Branch 5 IFGE L-1 - true
   * 8 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.XToTileX(III)I: I5 Branch 5 IFGE L-1 - false
   * 9 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.YToTileY(III)I: I5 Branch 6 IFGE L-1 - true
   * 10 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.YToTileY(III)I: I5 Branch 6 IFGE L-1 - false
   * 11 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getData(Ljava/awt/Rectangle;)Ljava/awt/image/Raster;: I32 Branch 7 IF_ICMPNE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Rectangle rectangle0 = rectangle2D_Float0.getBounds();
      // Undeclared exception!
      try {
        singleTileRenderedImage0.getData(rectangle0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Width (0) and height (0) must be > 0
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getData()Ljava/awt/image/Raster;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getData(Ljava/awt/Rectangle;)Ljava/awt/image/Raster;: I32 Branch 7 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getData(Ljava/awt/Rectangle;)Ljava/awt/image/Raster;: I35 Branch 8 IF_ICMPNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      Raster raster0 = singleTileRenderedImage0.getData();
      assertEquals(1, singleTileRenderedImage0.getTileHeight());
      assertEquals(0, raster0.getMinY());
      assertEquals(0, raster0.getMinX());
      assertNotNull(raster0);
  }

  //Test case number: 4
  /*
   * 10 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMaxX()I: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMaxTileX()I: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getNumXTiles()I: root-Branch
   * 4 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMinTileX()I: root-Branch
   * 5 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMinX()I: root-Branch
   * 6 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileWidth()I: root-Branch
   * 7 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileGridXOffset()I: root-Branch
   * 8 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getWidth()I: root-Branch
   * 9 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.XToTileX(I)I: root-Branch
   * 10 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.XToTileX(III)I: I5 Branch 5 IFGE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      int int0 = singleTileRenderedImage0.getNumXTiles();
      assertEquals(1, singleTileRenderedImage0.getTileWidth());
      assertEquals(1, int0);
      assertEquals(0, singleTileRenderedImage0.getMaxTileX());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.tileYToY(I)I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      rectangle2D_Float0.getBounds();
      int int0 = singleTileRenderedImage0.tileYToY(0);
      assertEquals(0, int0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.tileXToX(I)I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      int int0 = singleTileRenderedImage0.tileXToX(1);
      assertEquals(1, int0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getProperty(Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      Object object0 = singleTileRenderedImage0.getProperty("B*;8@9zSZKA");
      assertNull(object0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.tileXToX(III)I: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      rectangle2D_Float0.getBounds();
      int int0 = SimpleRenderedImage.tileXToX(0, 1, 0);
      assertEquals(1, int0);
  }

  //Test case number: 9
  /*
   * 10 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMaxY()I: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMinTileY()I: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getNumYTiles()I: root-Branch
   * 4 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMaxTileY()I: root-Branch
   * 5 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getMinY()I: root-Branch
   * 6 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileGridYOffset()I: root-Branch
   * 7 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getTileHeight()I: root-Branch
   * 8 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.YToTileY(I)I: root-Branch
   * 9 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getHeight()I: root-Branch
   * 10 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.YToTileY(III)I: I5 Branch 6 IFGE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      int int0 = singleTileRenderedImage0.getNumYTiles();
      assertEquals(1, singleTileRenderedImage0.getTileHeight());
      assertEquals(0, singleTileRenderedImage0.getMaxTileY());
      assertEquals(1, int0);
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getPropertyNames()[Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getPropertyNames(Ljava/lang/String;)[Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getPropertyNames(Ljava/lang/String;)[Ljava/lang/String;: I21 Branch 2 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getPropertyNames(Ljava/lang/String;)[Ljava/lang/String;: I41 Branch 4 IFNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      String[] stringArray0 = singleTileRenderedImage0.getPropertyNames("B*;8@9zSZKA");
      assertNull(stringArray0);
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.getSources()Ljava/util/Vector;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.<init>()V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      DirectColorModel directColorModel0 = new DirectColorModel(1, 1, 1, 1, 1);
      WritableRaster writableRaster0 = directColorModel0.createCompatibleWritableRaster(1, 1);
      SingleTileRenderedImage singleTileRenderedImage0 = new SingleTileRenderedImage((Raster) writableRaster0, (ColorModel) directColorModel0);
      Vector<?> vector0 = singleTileRenderedImage0.getSources();
      assertNull(vector0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SimpleRenderedImage.tileYToY(III)I: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      int int0 = SimpleRenderedImage.tileYToY(46, 46, 46);
      assertEquals(2162, int0);
  }
}
