/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.renderer;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.util.Collection;
import java.util.Vector;
import javax.swing.table.DefaultTableModel;
import org.apache.batik.gvt.CanvasGraphicsNode;
import org.apache.batik.gvt.GraphicsNode;
import org.apache.batik.gvt.ProxyGraphicsNode;
import org.apache.batik.gvt.renderer.StaticRenderer;
import org.junit.BeforeClass;

public class StaticRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.getTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.<init>()V: root-Branch
   * 3 org.apache.batik.gvt.renderer.StaticRenderer.flush(Ljava/util/Collection;)V: I9 Branch 20 IFEQ L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      Object[][] objectArray0 = new Object[8][6];
      DefaultTableModel defaultTableModel0 = new DefaultTableModel(objectArray0, objectArray0);
      Vector<?> vector0 = defaultTableModel0.getDataVector();
      // Undeclared exception!
      try {
        staticRenderer0.flush((Collection) vector0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.util.Vector cannot be cast to java.awt.Shape
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.setTree(Lorg/apache/batik/gvt/GraphicsNode;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      CanvasGraphicsNode canvasGraphicsNode0 = new CanvasGraphicsNode();
      staticRenderer0.setTree((GraphicsNode) canvasGraphicsNode0);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.isDoubleBuffered()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      boolean boolean0 = staticRenderer0.isDoubleBuffered();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.<init>(Ljava/awt/RenderingHints;Ljava/awt/geom/AffineTransform;)V: root-Branch
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.getRenderingHints()Ljava/awt/RenderingHints;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      RenderingHints renderingHints0 = staticRenderer0.getRenderingHints();
      assertNotNull(renderingHints0);
      
      CanvasGraphicsNode canvasGraphicsNode0 = new CanvasGraphicsNode();
      canvasGraphicsNode0.getInverseTransform();
      StaticRenderer staticRenderer1 = null;
      try {
        staticRenderer1 = new StaticRenderer(renderingHints0, (AffineTransform) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.getOffScreen()Ljava/awt/image/BufferedImage;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.getOffScreen();
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.repaint(Ljava/awt/Shape;)V: I1 Branch 9 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.<init>()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      ProxyGraphicsNode proxyGraphicsNode0 = new ProxyGraphicsNode();
      proxyGraphicsNode0.getBounds();
      staticRenderer0.repaint((Shape) null);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }
}
