/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.io;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import org.apache.batik.util.io.StreamNormalizingReader;
import org.junit.BeforeClass;

public class StreamNormalizingReaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/Reader;)V: root-Branch
   * 2 org.apache.batik.util.io.StreamNormalizingReader$ISO_8859_1DecoderFactory.createCharDecoder(Ljava/io/InputStream;)Lorg/apache/batik/util/io/CharDecoder;: root-Branch
   * 3 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;)V: root-Branch
   * 4 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - false
   * 5 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((InputStream) pipedInputStream0);
      StreamNormalizingReader streamNormalizingReader1 = new StreamNormalizingReader((Reader) streamNormalizingReader0);
      assertEquals(0, streamNormalizingReader1.getColumn());
      assertEquals(0, streamNormalizingReader0.getColumn());
      assertEquals(1, streamNormalizingReader0.getLine());
      assertEquals(1, streamNormalizingReader1.getLine());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.getColumn()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((InputStream) pipedInputStream0);
      int int0 = streamNormalizingReader0.getColumn();
      assertEquals(1, streamNormalizingReader0.getLine());
      assertEquals(0, int0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - true
   * 2 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I17 Branch 9 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) byteArrayInputStream0);
      StreamNormalizingReader streamNormalizingReader0 = null;
      try {
        streamNormalizingReader0 = new StreamNormalizingReader((InputStream) bufferedInputStream0, "O?o#}amJSAzU");
        fail("Expecting exception: UnsupportedEncodingException");
      
      } catch(UnsupportedEncodingException e) {
         //
         // O?o#}amJSAzU
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.read()I: I5 Branch 2 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.util.io.StreamNormalizingReader$ISO_8859_1DecoderFactory.createCharDecoder(Ljava/io/InputStream;)Lorg/apache/batik/util/io/CharDecoder;: root-Branch
   * 3 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;)V: root-Branch
   * 4 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - false
   * 5 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((InputStream) pipedInputStream0);
      char[] charArray0 = new char[4];
      try {
        streamNormalizingReader0.read(charArray0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }
}
