/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge.svg12;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.svg12.AbstractContentSelector;
import org.apache.batik.bridge.svg12.ContentManager;
import org.apache.batik.bridge.svg12.XPathSubsetContentSelector;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.XBLOMContentElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class AbstractContentSelectorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.svg12.AbstractContentSelector.<init>(Lorg/apache/batik/bridge/svg12/ContentManager;Lorg/apache/batik/dom/svg12/XBLOMContentElement;Lorg/w3c/dom/Element;)V: root-Branch
   * 2 org.apache.batik.bridge.svg12.AbstractContentSelector.createSelector(Ljava/lang/String;Lorg/apache/batik/bridge/svg12/ContentManager;Lorg/apache/batik/dom/svg12/XBLOMContentElement;Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/apache/batik/bridge/svg12/AbstractContentSelector;: I6 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.svg12.AbstractContentSelector$XPathSubsetContentSelectorFactory.createSelector(Lorg/apache/batik/bridge/svg12/ContentManager;Lorg/apache/batik/dom/svg12/XBLOMContentElement;Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/apache/batik/bridge/svg12/AbstractContentSelector;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XBLOMContentElement xBLOMContentElement0 = new XBLOMContentElement("", (AbstractDocument) null);
      XPathSubsetContentSelector xPathSubsetContentSelector0 = (XPathSubsetContentSelector)AbstractContentSelector.createSelector("XPathSubset", (ContentManager) null, xBLOMContentElement0, (Element) xBLOMContentElement0, "");
      assertNotNull(xPathSubsetContentSelector0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.svg12.AbstractContentSelector.createSelector(Ljava/lang/String;Lorg/apache/batik/bridge/svg12/ContentManager;Lorg/apache/batik/dom/svg12/XBLOMContentElement;Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/apache/batik/bridge/svg12/AbstractContentSelector;: I6 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      XBLOMContentElement xBLOMContentElement0 = new XBLOMContentElement("", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        AbstractContentSelector.createSelector("", (ContentManager) null, xBLOMContentElement0, (Element) xBLOMContentElement0, "");
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // Invalid XBL content selector language ''
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.svg12.AbstractContentSelector$XPathPatternContentSelectorFactory.createSelector(Lorg/apache/batik/bridge/svg12/ContentManager;Lorg/apache/batik/dom/svg12/XBLOMContentElement;Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/apache/batik/bridge/svg12/AbstractContentSelector;: root-Branch
   * 2 org.apache.batik.bridge.svg12.AbstractContentSelector.createSelector(Ljava/lang/String;Lorg/apache/batik/bridge/svg12/ContentManager;Lorg/apache/batik/dom/svg12/XBLOMContentElement;Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/apache/batik/bridge/svg12/AbstractContentSelector;: I6 Branch 2 IFNONNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("XPathPattern", "XPathPattern", "XPathPattern");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      XBLOMContentElement xBLOMContentElement0 = new XBLOMContentElement("XPathPattern", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        AbstractContentSelector.createSelector("XPathPattern", (ContentManager) null, xBLOMContentElement0, (Element) xBLOMContentElement0, "XPathPattern");
        fail("Expecting exception: NoClassDefFoundError");
      
      } catch(NoClassDefFoundError e) {
         //
         // org/apache/xml/utils/PrefixResolver
         //
      }
  }
}
