/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.css2.CursorManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMFilterElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMSubImageRefElement;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class CursorManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.CursorManager.getPropertyType()I: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.CursorManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CursorManager cursorManager0 = new CursorManager();
      int int0 = cursorManager0.getPropertyType();
      assertEquals(21, int0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.CursorManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CursorManager cursorManager0 = new CursorManager();
      boolean boolean0 = cursorManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 2
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.CursorManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.CursorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 3 org.apache.batik.css.engine.value.css2.CursorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 2 LOOKUPSWITCH L-1 Case 24 - false
   * 4 org.apache.batik.css.engine.value.css2.CursorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 3 LOOKUPSWITCH L-1 Case 35 - false
   * 5 org.apache.batik.css.engine.value.css2.CursorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 4 LOOKUPSWITCH L-1 Default-Case - true
   * 6 org.apache.batik.css.engine.value.css2.CursorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I90 Branch 11 IFNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      CursorManager cursorManager0 = new CursorManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.SZ_8PT_LU;
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("cj*fb", "cj*fb", "cj*fb");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        cursorManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"cursor\" property does not support point values.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.CursorManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CursorManager cursorManager0 = new CursorManager();
      boolean boolean0 = cursorManager0.isAdditiveProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.CursorManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CursorManager cursorManager0 = new CursorManager();
      boolean boolean0 = cursorManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.CursorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 12 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.css2.CursorManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.CursorManager.<init>()V: root-Branch
   * 4 org.apache.batik.css.engine.value.css2.CursorManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CursorManager cursorManager0 = new CursorManager();
      String string0 = cursorManager0.getPropertyName();
      assertEquals("cursor", string0);
      
      StringValue stringValue0 = (StringValue)cursorManager0.getDefaultValue();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("cursor", "cursor", "cursor");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSubImageRefElement sVGOMSubImageRefElement0 = new SVGOMSubImageRefElement("cursor", (AbstractDocument) sVG12OMDocument0);
      SVGOMFilterElement sVGOMFilterElement0 = new SVGOMFilterElement("cursor", (AbstractDocument) sVG12OMDocument0);
      sVGOMFilterElement0.getComputedStyleMap("cursor");
      StringValue stringValue1 = (StringValue)cursorManager0.computeValue((CSSStylableElement) sVGOMSubImageRefElement0, "cursor", (CSSEngine) null, 221, (StyleMap) null, (Value) stringValue0);
      assertNotNull(stringValue1);
      assertEquals("cursor", cursorManager0.getPropertyName());
  }
}
