/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.CharArrayReader;
import java.io.InputStream;
import java.io.PushbackInputStream;
import java.io.Reader;
import org.apache.batik.css.parser.ParseException;
import org.apache.batik.css.parser.Scanner;
import org.junit.BeforeClass;

public class ScannerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.Scanner.getStringValue()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.parser.Scanner.<init>(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Scanner scanner0 = new Scanner("");
      assertEquals(0, scanner0.next());
      
      scanner0.getStringValue();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[10];
      byteArray0[9] = (byte)92;
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) byteArrayInputStream0, (int) (byte)92);
      Scanner scanner0 = null;
      try {
        scanner0 = new Scanner((InputStream) pushbackInputStream0, "2{3");
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // 2{3
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.getType()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Scanner scanner0 = new Scanner("");
      int int0 = scanner0.getType();
      assertEquals(0, int0);
      assertEquals(-1, scanner0.getStart());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.<init>(Ljava/io/Reader;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      char[] charArray0 = new char[6];
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0, 0, (int) '\u0000');
      Scanner scanner0 = new Scanner((Reader) charArrayReader0);
      assertEquals(-1, scanner0.getStart());
      assertEquals(0, scanner0.next());
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.Scanner.getEnd()I: root-Branch
   * 2 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.parser.Scanner.nextChar()I: I18 Branch 598 IF_ICMPNE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Scanner scanner0 = new Scanner("2{3");
      int int0 = scanner0.getEnd();
      assertEquals(1, scanner0.getType());
      assertEquals(1, int0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.getColumn()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Scanner scanner0 = new Scanner("");
      assertEquals(0, scanner0.next());
      
      scanner0.getColumn();
      assertEquals(-1, scanner0.getStart());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.clearBuffer()V: I2 Branch 1 IFGT L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Scanner scanner0 = new Scanner("");
      assertEquals(0, scanner0.getType());
      
      scanner0.clearBuffer();
      assertEquals(-1, scanner0.getStart());
      assertEquals(0, scanner0.getEnd());
  }

  //Test case number: 7
  /*
   * 16 covered goals:
   * 1 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 2 LOOKUPSWITCH L-1 Case -1 - false
   * 2 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 3 LOOKUPSWITCH L-1 Case 59 - false
   * 3 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 4 LOOKUPSWITCH L-1 Case 123 - true
   * 4 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 4 LOOKUPSWITCH L-1 Case 123 - false
   * 5 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 5 LOOKUPSWITCH L-1 Default-Case - true
   * 6 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 5 LOOKUPSWITCH L-1 Default-Case - false
   * 7 org.apache.batik.css.parser.Scanner.scanAtRule()V: I13 Branch 6 LOOKUPSWITCH L-1 Case -1 - true
   * 8 org.apache.batik.css.parser.Scanner.scanAtRule()V: I13 Branch 6 LOOKUPSWITCH L-1 Case -1 - false
   * 9 org.apache.batik.css.parser.Scanner.scanAtRule()V: I13 Branch 7 LOOKUPSWITCH L-1 Case 123 - false
   * 10 org.apache.batik.css.parser.Scanner.scanAtRule()V: I13 Branch 8 LOOKUPSWITCH L-1 Case 125 - false
   * 11 org.apache.batik.css.parser.Scanner.scanAtRule()V: I13 Branch 9 LOOKUPSWITCH L-1 Default-Case - true
   * 12 org.apache.batik.css.parser.Scanner.scanAtRule()V: I13 Branch 9 LOOKUPSWITCH L-1 Default-Case - false
   * 13 org.apache.batik.css.parser.Scanner.<init>(Ljava/lang/String;)V: root-Branch
   * 14 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - true
   * 15 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - false
   * 16 org.apache.batik.css.parser.Scanner.nextChar()I: I18 Branch 598 IF_ICMPNE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Scanner scanner0 = new Scanner("2{3");
      scanner0.scanAtRule();
      assertEquals(2, scanner0.getStart());
      assertEquals("3", scanner0.getStringValue());
  }
}
