/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.SVGAElementBridge;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericCDATASection;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentFragment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericNotation;
import org.apache.batik.dom.StyleSheetFactory;
import org.apache.batik.dom.StyleSheetProcessingInstruction;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.util.SVGConstants;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.NodeList;
import org.w3c.dom.events.EventListener;

public class AbstractNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.willTriggerNS(Ljava/lang/String;Ljava/lang/String;)Z: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("qname", "qname", "qname");
      genericDocumentType0.getInternalSubset();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericDocumentFragment genericDocumentFragment0 = new GenericDocumentFragment((AbstractDocument) sVG12OMDocument0);
      boolean boolean0 = genericDocumentFragment0.willTriggerNS((String) null, (String) null);
      assertEquals(true, boolean0);
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblParentNode()Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 3 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("3NM)w<'=>0`[`i%s", "3NM)w<'=>0`[`i%s", "3NM)w<'=>0`[`i%s");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericCDATASection genericCDATASection0 = new GenericCDATASection("3NM)w<'=>0`[`i%s", (AbstractDocument) genericDocument0);
      genericCDATASection0.getXblParentNode();
      assertEquals(false, genericDocument0.getEventsEnabled());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getXblChildNodes()Lorg/w3c/dom/NodeList;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      String string0 = SVGConstants.SVG_DUPLICATE_VALUE;
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("duplicate", "duplicate", "duplicate");
      // Undeclared exception!
      try {
        genericDocumentType0.getXblChildNodes();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.createDOMException(SLjava/lang/String;[Ljava/lang/Object;)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericDocument genericDocument1 = null;
      try {
        genericDocument1 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given node (type: 9, name: #document) was not created by the current document.
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.getXblScopedChildNodes()Lorg/w3c/dom/NodeList;: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.getChildNodes()Lorg/w3c/dom/NodeList;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("qname", "qname", "qname");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("qname", (AbstractDocument) sVG12OMDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      NodeList nodeList0 = styleSheetProcessingInstruction0.getXblScopedChildNodes();
      assertEquals(false, sVG12OMDocument0.getEventsEnabled());
      assertNotNull(nodeList0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.setManagerData(Ljava/lang/Object;)V: root-Branch
   * 2 org.apache.batik.dom.AbstractNode.fireDOMCharacterDataModifiedEvent(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 174 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("1Xj?Gwz;:TH", "1Xj?Gwz;:TH", "1Xj?Gwz;:TH");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("1Xj?Gwz;:TH", (AbstractDocument) sVGOMDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      String string0 = SVGConstants.SVG_DUPLICATE_VALUE;
      styleSheetProcessingInstruction0.setManagerData((Object) "duplicate");
      assertEquals(false, sVGOMDocument0.getEventsEnabled());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNode.getNodeValue()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("", "", "", (AbstractDocument) genericDocument0);
      String string0 = genericNotation0.getNodeValue();
      assertNull(string0);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.addEventListenerNS(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/events/EventListener;ZLjava/lang/Object;)V: I2 Branch 160 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractNode.addEventListenerNS(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/events/EventListener;ZLjava/lang/Object;)V: I8 Branch 161 IFNULL L-1 - true
   * 3 org.apache.batik.dom.AbstractNode.initializeEventSupport()Lorg/apache/batik/dom/events/EventSupport;: I2 Branch 171 IFNONNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("qname", "qname", "qname");
      genericDocumentType0.getInternalSubset();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericDocumentFragment genericDocumentFragment0 = new GenericDocumentFragment((AbstractDocument) sVG12OMDocument0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      SVGAElementBridge.CursorMouseOutListener sVGAElementBridge_CursorMouseOutListener0 = new SVGAElementBridge.CursorMouseOutListener((UserAgent) userAgentAdapter0, (SVGAElementBridge.CursorHolder) null);
      genericDocumentFragment0.addEventListenerNS((String) null, (String) null, (EventListener) sVGAElementBridge_CursorMouseOutListener0, true, (Object) null);
      assertEquals(true, sVG12OMDocument0.getEventsEnabled());
  }

  //Test case number: 8
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.AbstractNode.addEventListenerNS(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/events/EventListener;ZLjava/lang/Object;)V: I8 Branch 161 IFNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractNode.addEventListenerNS(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/events/EventListener;ZLjava/lang/Object;)V: I11 Branch 162 IFNE L-1 - true
   * 3 org.apache.batik.dom.AbstractNode.setOwnerDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 4 org.apache.batik.dom.AbstractNode.getCurrentDocument()Lorg/apache/batik/dom/AbstractDocument;: root-Branch
   * 5 org.apache.batik.dom.AbstractNode.getOwnerDocument()Lorg/w3c/dom/Document;: root-Branch
   * 6 org.apache.batik.dom.AbstractNode.<init>()V: root-Branch
   * 7 org.apache.batik.dom.AbstractNode.addEventListenerNS(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/events/EventListener;ZLjava/lang/Object;)V: I2 Branch 160 IFNONNULL L-1 - false
   * 8 org.apache.batik.dom.AbstractNode.initializeEventSupport()Lorg/apache/batik/dom/events/EventSupport;: I2 Branch 171 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("qname", "qname", "qname");
      genericDocumentType0.getInternalSubset();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericDocumentFragment genericDocumentFragment0 = new GenericDocumentFragment((AbstractDocument) sVG12OMDocument0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      SVGAElementBridge.CursorMouseOutListener sVGAElementBridge_CursorMouseOutListener0 = new SVGAElementBridge.CursorMouseOutListener((UserAgent) userAgentAdapter0, (SVGAElementBridge.CursorHolder) null);
      genericDocumentFragment0.addEventListenerNS("qname", (String) null, (EventListener) sVGAElementBridge_CursorMouseOutListener0, true, (Object) null);
      assertEquals(true, sVG12OMDocument0.getEventsEnabled());
  }
}
