/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMPatternElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMPatternElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMPatternElement.getRequiredExtensions()Lorg/w3c/dom/svg/SVGStringList;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMPatternElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMPatternElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMPatternElement.initializeLiveAttributes()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("org.apache.batik.anim.resources.Messages", "org.apache.batik.anim.resources.Messages", "org.apache.batik.anim.resources.Messages");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("org.apache.batik.anim.resources.Messages", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        sVGOMPatternElement0.getRequiredExtensions();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGTests.getRequiredExtensions is not implemented
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMPatternElement.setXMLlang(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMPatternElement0.setXMLlang("");
      assertEquals("", sVGOMPatternElement0.getXMLlang());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMPatternElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("y5}+_{k:\u0003>PhS", "y5}+_{k:\u0003>PhS", "y5}+_{k:\u0003>PhS");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = null;
      try {
        sVGOMPatternElement0 = new SVGOMPatternElement("y5}+_{k:\u0003>PhS", (AbstractDocument) sVG12OMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"y5}+_{k:\u0003>PhS\" is invalid. Current node type: 1, name: pattern.
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMPatternElement.getXMLspace()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMPatternElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMPatternElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMPatternElement.initializeLiveAttributes()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("org.apache.batik.anim.resources.Messages", "org.apache.batik.anim.resources.Messages", "org.apache.batik.anim.resources.Messages");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("org.apache.batik.anim.resources.Messages", (AbstractDocument) sVG12OMDocument0);
      String string0 = sVGOMPatternElement0.getXMLspace();
      assertEquals(true, sVGOMPatternElement0.hasAttributes());
      assertNotNull(string0);
  }
}
