/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Map;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericAttrNS;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericNotation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMPatternElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.XBLOMContentElement;
import org.apache.batik.dom.util.DOMUtilities;
import org.apache.batik.dom.util.HashTable;
import org.apache.batik.dom.util.SAXDocumentFactory;
import org.apache.batik.xml.XMLUtilities;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class DOMUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.getModifiersList(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      String string0 = DOMUtilities.getModifiersList(60, 60);
      assertNotNull(string0);
      
      String string1 = DOMUtilities.getLocalName("KanaMode Scroll ");
      assertTrue(string1.equals(string0));
      assertNotNull(string1);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 81 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      String string0 = DOMUtilities.getPrefix("");
      assertNull(string0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      DOMUtilities.parseStyleSheetPIData("", (HashTable) null);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      HashTable hashTable0 = new HashTable((int) 't');
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData(" !important", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong name initial:  !
         //
      }
  }

  //Test case number: 4
  /*
   * 13 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I70 Branch 89 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I90 Branch 90 IFNE L-1 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I90 Branch 90 IFNE L-1 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I102 Branch 91 IF_ICMPLT L-1 - true
   * 6 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I120 Branch 92 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I127 Branch 93 IFNE L-1 - true
   * 8 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I127 Branch 93 IFNE L-1 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I136 Branch 94 IF_ICMPLT L-1 - true
   * 10 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I155 Branch 95 IF_ICMPEQ L-1 - false
   * 11 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 12 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 13 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      DOMUtilities.getModifiersList((int) 't', (int) 't');
      HashTable hashTable0 = new HashTable((int) 't');
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData("Scroll Shift", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong xml-stylesheet data: Scroll Shift
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.canAppendAny(Ljava/util/ArrayList;Lorg/w3c/dom/Node;)Z: I2 Branch 44 IFNE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I1 Branch 47 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      ArrayList<GenericAttrNS> arrayList0 = new ArrayList<GenericAttrNS>();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      XBLOMContentElement xBLOMContentElement0 = new XBLOMContentElement("", (AbstractDocument) sVGOMDocument0);
      xBLOMContentElement0.getNextSibling();
      boolean boolean0 = DOMUtilities.canAppendAny((ArrayList) arrayList0, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 18 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I1 Branch 47 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 48 TABLESWITCH L-1 Case 3 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 49 TABLESWITCH L-1 Case 4 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 50 TABLESWITCH L-1 Case 5 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 51 TABLESWITCH L-1 Case 6 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 52 TABLESWITCH L-1 Case 7 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 53 TABLESWITCH L-1 Case 8 - false
   * 8 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 54 TABLESWITCH L-1 Case 9 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I7 Branch 55 TABLESWITCH L-1 Default-Case - true
   * 10 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - false
   * 11 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 84 IF_ICMPNE L-1 - true
   * 12 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 81 IF_ICMPEQ L-1 - false
   * 13 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 82 IF_ICMPNE L-1 - true
   * 14 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 15 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 16 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - true
   * 17 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 18 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("orient", (AbstractDocument) sVG12OMDocument0);
      boolean boolean0 = DOMUtilities.canHaveChildren((Node) sVGOMPatternElement0);
      assertEquals("orient", sVGOMPatternElement0.getPrefix());
      assertEquals(true, boolean0);
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseXML(Ljava/lang/String;Lorg/w3c/dom/Document;Ljava/lang/String;Ljava/util/Map;Ljava/lang/String;Lorg/apache/batik/dom/util/SAXDocumentFactory;)Lorg/w3c/dom/Node;: I5 Branch 56 IFNULL L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.parseXML(Ljava/lang/String;Lorg/w3c/dom/Document;Ljava/lang/String;Ljava/util/Map;Ljava/lang/String;Lorg/apache/batik/dom/util/SAXDocumentFactory;)Lorg/w3c/dom/Node;: I16 Branch 57 IFNULL L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseXML(Ljava/lang/String;Lorg/w3c/dom/Document;Ljava/lang/String;Ljava/util/Map;Ljava/lang/String;Lorg/apache/batik/dom/util/SAXDocumentFactory;)Lorg/w3c/dom/Node;: I35 Branch 58 IFEQ L-1 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.parseXML(Ljava/lang/String;Lorg/w3c/dom/Document;Ljava/lang/String;Ljava/util/Map;Ljava/lang/String;Lorg/apache/batik/dom/util/SAXDocumentFactory;)Lorg/w3c/dom/Node;: I88 Branch 59 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.getModifiersList(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XMLUtilities.isXMLPublicIdCharacter('t');
      DOMUtilities.getModifiersList(60, 60);
      Hashtable<GenericNotation, GenericComment> hashtable0 = new Hashtable<GenericNotation, GenericComment>();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "", true);
      Node node0 = DOMUtilities.parseXML("KanaMode Scroll ", (Document) null, "KanaMode Scroll ", (Map) hashtable0, "KanaMode Scroll ", sAXDocumentFactory0);
      assertNull(node0);
  }
}
