/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMGlyphRefElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.XLinkSupport;
import org.apache.batik.extension.svg.FlowLineElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class XLinkSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkHref(Lorg/w3c/dom/Element;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkHref((Element) null, "");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkRole(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.getXLinkRole((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XLinkSupport xLinkSupport0 = new XLinkSupport();
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkType(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.getXLinkType((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkActuate(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMGlyphRefElement sVGOMGlyphRefElement0 = new SVGOMGlyphRefElement("", (AbstractDocument) sVGOMDocument0);
      String string0 = XLinkSupport.getXLinkActuate((Element) sVGOMGlyphRefElement0);
      assertNotNull(string0);
      assertEquals("onLoad", string0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkArcRole(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMGlyphRefElement sVGOMGlyphRefElement0 = new SVGOMGlyphRefElement("", (AbstractDocument) sVGOMDocument0);
      String string0 = XLinkSupport.getXLinkArcRole((Element) sVGOMGlyphRefElement0);
      assertEquals("", string0);
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - false
   * 4 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I15 Branch 4 IFGT L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("actuate", "actuate", "actuate");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      FlowLineElement flowLineElement0 = new FlowLineElement("actuate", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkType((Element) flowLineElement0, "actuate");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:type='actuate'
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 8 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 9 IFGT L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkActuate((Element) null, "embed");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:actuate='embed'
         //
      }
  }
}
