/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.PushbackInputStream;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.junit.BeforeClass;

public class ForwardSeekableStreamEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.markSupported()Z: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.<init>(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) null);
      // Undeclared exception!
      try {
        forwardSeekableStream0.markSupported();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.skip(J)J: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) null);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) pushbackInputStream0);
      try {
        forwardSeekableStream0.skip((-846L));
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Stream closed
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.reset()V: I4 Branch 3 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.mark(I)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream(732);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) pipedInputStream0);
      forwardSeekableStream0.mark(732);
      try {
        forwardSeekableStream0.reset();
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // mark/reset not supported
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.read([BII)I: I9 Branch 2 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.<init>(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      byte[] byteArray0 = new byte[9];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) byteArrayInputStream0);
      int int0 = forwardSeekableStream0.read(byteArray0);
      assertEquals(8L, forwardSeekableStream0.getFilePointer());
      assertEquals((-1), int0);
  }
}
