/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.renderable;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.awt.image.renderable.RenderContext;
import org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit;
import org.apache.batik.ext.awt.image.rendered.TurbulencePatternRed;
import org.junit.BeforeClass;

public class TurbulenceRable8BitEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.getTurbulenceRegion()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 2 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.<init>(Ljava/awt/geom/Rectangle2D;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      int[] intArray0 = new int[4];
      Polygon polygon0 = new Polygon(intArray0, intArray0, 0);
      Rectangle rectangle0 = polygon0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0);
      Rectangle rectangle1 = (Rectangle)turbulenceRable8Bit0.getTurbulenceRegion();
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyX(), 0.01D);
      assertEquals(1, turbulenceRable8Bit0.getNumOctaves());
      assertNotNull(rectangle1);
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
      assertEquals(0, turbulenceRable8Bit0.getSeed());
      assertEquals(false, turbulenceRable8Bit0.isFractalNoise());
      assertEquals(false, turbulenceRable8Bit0.isStitched());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.setNumOctaves(I)V: root-Branch
   * 2 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.<init>(Ljava/awt/geom/Rectangle2D;IIDDZZ)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) null, 256, 256, (double) 256, (double) 256, false, false);
      turbulenceRable8Bit0.setNumOctaves(256);
      assertEquals(1L, turbulenceRable8Bit0.getTimeStamp());
      assertEquals(false, turbulenceRable8Bit0.isStitched());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 2 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I4 Branch 1 IFNONNULL L-1 - false
   * 3 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I38 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0);
      // Undeclared exception!
      try {
        turbulenceRable8Bit0.createScaledRendering(0, 0, (RenderingHints) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.getBaseFrequencyX()D: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((-694.3527866442605), (-694.3527866442605), (-694.3527866442605), (-694.3527866442605));
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle2D_Double0);
      double double0 = turbulenceRable8Bit0.getBaseFrequencyX();
      assertEquals(false, turbulenceRable8Bit0.isStitched());
      assertEquals(false, turbulenceRable8Bit0.isFractalNoise());
      assertEquals(0, turbulenceRable8Bit0.getSeed());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
      assertEquals(1, turbulenceRable8Bit0.getNumOctaves());
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.setSeed(I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((double) 0, (double) 0, (double) 0, (double) 0);
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle2D_Double0, 0, 0, 0.0, (double) 0, true, true);
      turbulenceRable8Bit0.setSeed(0);
      assertEquals(1L, turbulenceRable8Bit0.getTimeStamp());
      assertEquals(true, turbulenceRable8Bit0.isStitched());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.getBaseFrequencyY()D: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      int[] intArray0 = new int[4];
      Polygon polygon0 = new Polygon(intArray0, intArray0, 0);
      Rectangle rectangle0 = polygon0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0);
      double double0 = turbulenceRable8Bit0.getBaseFrequencyY();
      assertEquals(0, turbulenceRable8Bit0.getSeed());
      assertEquals(0.0, double0, 0.01D);
      assertEquals(false, turbulenceRable8Bit0.isFractalNoise());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyX(), 0.01D);
      assertEquals(1, turbulenceRable8Bit0.getNumOctaves());
      assertEquals(false, turbulenceRable8Bit0.isStitched());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.isStitched()Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) null, 256, 256, (double) 256, (double) 256, false, false);
      boolean boolean0 = turbulenceRable8Bit0.isStitched();
      assertEquals(false, turbulenceRable8Bit0.isFractalNoise());
      assertEquals(256.0, turbulenceRable8Bit0.getBaseFrequencyX(), 0.01D);
      assertEquals(256, turbulenceRable8Bit0.getSeed());
      assertEquals(256.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
      assertEquals(256, turbulenceRable8Bit0.getNumOctaves());
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.setTurbulenceRegion(Ljava/awt/geom/Rectangle2D;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) null, 256, 256, (double) 256, (double) 256, false, false);
      turbulenceRable8Bit0.setTurbulenceRegion((Rectangle2D) null);
      assertEquals(1L, turbulenceRable8Bit0.getTimeStamp());
      assertEquals(256, turbulenceRable8Bit0.getNumOctaves());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.setFractalNoise(Z)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0, 0, 0, (double) 0, (double) 0, false, false);
      turbulenceRable8Bit0.setFractalNoise(false);
      assertEquals(1L, turbulenceRable8Bit0.getTimeStamp());
      assertEquals(false, turbulenceRable8Bit0.isStitched());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.setStitched(Z)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) null, 256, 256, (double) 256, (double) 256, false, false);
      boolean boolean0 = turbulenceRable8Bit0.stitched;
      turbulenceRable8Bit0.setStitched(false);
      assertEquals(1L, turbulenceRable8Bit0.getTimeStamp());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.isFractalNoise()Z: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0, 0, 0, (double) 0, (double) 0, false, false);
      boolean boolean0 = turbulenceRable8Bit0.isFractalNoise();
      assertEquals(0, turbulenceRable8Bit0.getSeed());
      assertEquals(0, turbulenceRable8Bit0.getNumOctaves());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyX(), 0.01D);
      assertEquals(false, boolean0);
      assertEquals(false, turbulenceRable8Bit0.isStitched());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.getNumOctaves()I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0);
      int int0 = turbulenceRable8Bit0.getNumOctaves();
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyX(), 0.01D);
      assertEquals(0, turbulenceRable8Bit0.getSeed());
      assertEquals(false, turbulenceRable8Bit0.isStitched());
      assertEquals(false, turbulenceRable8Bit0.isFractalNoise());
      assertEquals(1, int0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.getSeed()I: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float((-881.834F), (-881.834F), (-881.834F), (-881.834F));
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle2D_Float0);
      int int0 = turbulenceRable8Bit0.getSeed();
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
      assertEquals(0, int0);
      assertEquals(false, turbulenceRable8Bit0.isStitched());
      assertEquals(false, turbulenceRable8Bit0.isFractalNoise());
      assertEquals(1, turbulenceRable8Bit0.getNumOctaves());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyX(), 0.01D);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.setBaseFrequencyX(D)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double(2.143735613490696, 2.143735613490696, 2.143735613490696, 2.143735613490696);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0);
      turbulenceRable8Bit0.setBaseFrequencyX((double) 1);
      assertEquals(1L, turbulenceRable8Bit0.getTimeStamp());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.setBaseFrequencyY(D)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) null, 256, 256, (double) 256, (double) 256, false, false);
      turbulenceRable8Bit0.setBaseFrequencyY((double) 256);
      assertEquals(1L, turbulenceRable8Bit0.getTimeStamp());
      assertEquals(256, turbulenceRable8Bit0.getNumOctaves());
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I4 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I19 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0, 0, 0, (double) 0, (double) 0, false, false);
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance((double) 0);
      RenderContext renderContext0 = new RenderContext(affineTransform0, (Shape) polygon0, (RenderingHints) null);
      turbulenceRable8Bit0.createRendering(renderContext0);
      assertEquals(false, turbulenceRable8Bit0.isStitched());
      assertEquals(false, turbulenceRable8Bit0.isFractalNoise());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyX(), 0.01D);
      assertEquals(0, turbulenceRable8Bit0.getSeed());
      assertEquals(0.0, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
      assertEquals(0, turbulenceRable8Bit0.getNumOctaves());
  }

  //Test case number: 16
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I19 Branch 2 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I38 Branch 3 IFLE L-1 - false
   * 3 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I41 Branch 4 IFGT L-1 - true
   * 4 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I53 Branch 5 IFEQ L-1 - true
   * 5 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.<init>(Ljava/awt/geom/Rectangle2D;)V: root-Branch
   * 6 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I4 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double(2.143735613490696, 2.143735613490696, 2.143735613490696, 2.143735613490696);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle0);
      AffineTransform affineTransform0 = AffineTransform.getQuadrantRotateInstance(2);
      RenderContext renderContext0 = new RenderContext(affineTransform0, (Shape) rectangle0);
      TurbulencePatternRed turbulencePatternRed0 = (TurbulencePatternRed)turbulenceRable8Bit0.createRendering(renderContext0);
      assertEquals(0, turbulencePatternRed0.getSeed());
      assertNotNull(turbulencePatternRed0);
      assertEquals(1, turbulenceRable8Bit0.getNumOctaves());
      assertEquals(0, turbulencePatternRed0.getNumOctaves());
      assertEquals(0.0, turbulencePatternRed0.getBaseFrequencyX(), 0.01D);
      assertEquals(false, turbulenceRable8Bit0.isStitched());
      assertEquals(0.0, turbulencePatternRed0.getBaseFrequencyY(), 0.01D);
      assertEquals(false, turbulencePatternRed0.isFractalNoise());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I41 Branch 4 IFGT L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((double) 0, (double) 0, 1.0, (double) 0);
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle2D_Double0, 0, 0, 0.0, 1.0, true, true);
      AffineTransform affineTransform0 = AffineTransform.getQuadrantRotateInstance(119);
      RenderContext renderContext0 = new RenderContext(affineTransform0, (Shape) rectangle2D_Double0);
      renderContext0.getRenderingHints();
      // Undeclared exception!
      try {
        turbulenceRable8Bit0.createScaledRendering(119, 119, (RenderingHints) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 18
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I53 Branch 5 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 3 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.<init>(Ljava/awt/geom/Rectangle2D;IIDDZZ)V: root-Branch
   * 4 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I4 Branch 1 IFNONNULL L-1 - false
   * 5 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I38 Branch 3 IFLE L-1 - false
   * 6 org.apache.batik.ext.awt.image.renderable.TurbulenceRable8Bit.createRendering(Ljava/awt/image/renderable/RenderContext;)Ljava/awt/image/RenderedImage;: I41 Branch 4 IFGT L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(0.0, 1152.6536626326763, 1152.6536626326763, 0.0);
      TurbulenceRable8Bit turbulenceRable8Bit0 = new TurbulenceRable8Bit((Rectangle2D) rectangle2D_Double0, 2147483646, 2147483646, (double) 2147483646, (double) 2147483646, true, true);
      AffineTransform affineTransform0 = new AffineTransform((double) 2147483646, 1152.6536626326763, 1152.6536626326763, 1152.6536626326763, 0.0, 1152.6536626326763);
      RenderContext renderContext0 = new RenderContext(affineTransform0);
      TurbulencePatternRed turbulencePatternRed0 = (TurbulencePatternRed)turbulenceRable8Bit0.createRendering(renderContext0);
      assertNotNull(turbulencePatternRed0);
      assertEquals(true, turbulenceRable8Bit0.isStitched());
      assertEquals(2147483646, turbulenceRable8Bit0.getNumOctaves());
      assertEquals(2147483646, turbulencePatternRed0.getSeed());
      assertEquals(2.147483646E9, turbulenceRable8Bit0.getBaseFrequencyY(), 0.01D);
      assertEquals(2.1474836460002832E9, turbulencePatternRed0.getBaseFrequencyX(), 0.01D);
      assertEquals(1, turbulencePatternRed0.getNumOctaves());
      assertEquals(true, turbulencePatternRed0.isFractalNoise());
  }
}
