/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.text;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.font.FontRenderContext;
import java.awt.geom.AffineTransform;
import java.text.AttributedCharacterIterator;
import java.text.AttributedString;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;
import org.apache.batik.gvt.text.AttributedCharacterSpanIterator;
import org.apache.batik.gvt.text.BidiAttributedCharacterIterator;
import org.apache.batik.gvt.text.GVTAttributedCharacterIterator;
import org.junit.BeforeClass;

public class AttributedCharacterSpanIteratorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getAttribute(Ljava/text/AttributedCharacterIterator$Attribute;)Ljava/lang/Object;: root-Branch
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.<init>(Ljava/text/AttributedCharacterIterator;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("38GBwLi1;V)");
      AttributedCharacterIterator.Attribute[] attributedCharacterIterator_AttributeArray0 = new AttributedCharacterIterator.Attribute[6];
      GVTAttributedCharacterIterator.TextAttribute gVTAttributedCharacterIterator_TextAttribute0 = GVTAttributedCharacterIterator.TextAttribute.FLOW_LINE_BREAK;
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator(attributedCharacterIterator_AttributeArray0);
      AffineTransform affineTransform0 = AffineTransform.getTranslateInstance((-1744.5976724402956), (-1744.5976724402956));
      FontRenderContext fontRenderContext0 = new FontRenderContext(affineTransform0, true, true);
      BidiAttributedCharacterIterator bidiAttributedCharacterIterator0 = new BidiAttributedCharacterIterator(attributedCharacterIterator0, fontRenderContext0, (-121));
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator((AttributedCharacterIterator) bidiAttributedCharacterIterator0, (-121), (-121));
      assertEquals('\uFFFF', attributedCharacterSpanIterator0.previous());
      
      attributedCharacterSpanIterator0.getAttribute((AttributedCharacterIterator.Attribute) gVTAttributedCharacterIterator_TextAttribute0);
      assertEquals('V', attributedCharacterSpanIterator0.previous());
      assertEquals(0, bidiAttributedCharacterIterator0.getIndex());
      assertEquals(-121, attributedCharacterSpanIterator0.getRunLimit());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("UnAg[,Ut!t.}Zg");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, 0, 0);
      AttributedCharacterSpanIterator attributedCharacterSpanIterator1 = (AttributedCharacterSpanIterator)attributedCharacterSpanIterator0.clone();
      assertNotNull(attributedCharacterSpanIterator1);
      assertEquals(0, attributedCharacterSpanIterator1.getRunLimit());
      assertEquals(0, attributedCharacterSpanIterator1.getBeginIndex());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunStart(Ljava/text/AttributedCharacterIterator$Attribute;)I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("38GBwLi1;V)");
      AttributedCharacterIterator.Attribute[] attributedCharacterIterator_AttributeArray0 = new AttributedCharacterIterator.Attribute[6];
      GVTAttributedCharacterIterator.TextAttribute gVTAttributedCharacterIterator_TextAttribute0 = GVTAttributedCharacterIterator.TextAttribute.FLOW_LINE_BREAK;
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator(attributedCharacterIterator_AttributeArray0);
      AffineTransform affineTransform0 = AffineTransform.getTranslateInstance((-1744.5976724402956), (-1744.5976724402956));
      FontRenderContext fontRenderContext0 = new FontRenderContext(affineTransform0, true, true);
      BidiAttributedCharacterIterator bidiAttributedCharacterIterator0 = new BidiAttributedCharacterIterator(attributedCharacterIterator0, fontRenderContext0, (-121));
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator((AttributedCharacterIterator) bidiAttributedCharacterIterator0, (-121), (-121));
      assertEquals('\uFFFF', attributedCharacterSpanIterator0.previous());
      
      int int0 = attributedCharacterSpanIterator0.getRunStart((AttributedCharacterIterator.Attribute) gVTAttributedCharacterIterator_TextAttribute0);
      assertEquals(0, bidiAttributedCharacterIterator0.getIndex());
      assertEquals(9, attributedCharacterSpanIterator0.getIndex());
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunLimit()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("ROTATION");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, 0, 0);
      int int0 = attributedCharacterSpanIterator0.getRunLimit();
      assertEquals(0, int0);
      assertEquals('R', attributedCharacterSpanIterator0.first());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getAllAttributeKeys()Ljava/util/Set;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("38GBwLi1;V)");
      AttributedCharacterIterator.Attribute[] attributedCharacterIterator_AttributeArray0 = new AttributedCharacterIterator.Attribute[6];
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator(attributedCharacterIterator_AttributeArray0);
      AffineTransform affineTransform0 = AffineTransform.getTranslateInstance((-1744.5976724402956), (-1744.5976724402956));
      FontRenderContext fontRenderContext0 = new FontRenderContext(affineTransform0, true, true);
      BidiAttributedCharacterIterator bidiAttributedCharacterIterator0 = new BidiAttributedCharacterIterator(attributedCharacterIterator0, fontRenderContext0, (-121));
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator((AttributedCharacterIterator) bidiAttributedCharacterIterator0, (-121), (-121));
      assertEquals('\uFFFF', attributedCharacterSpanIterator0.previous());
      
      attributedCharacterSpanIterator0.getAllAttributeKeys();
      assertEquals('V', attributedCharacterSpanIterator0.previous());
      assertEquals(0, bidiAttributedCharacterIterator0.getIndex());
      assertEquals(-121, attributedCharacterSpanIterator0.getRunLimit());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.current()C: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("WORD_SPACING");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, 0, 0);
      char char0 = attributedCharacterSpanIterator0.current();
      assertEquals('G', char0);
      assertEquals(0, attributedCharacterSpanIterator0.getRunLimit());
      assertEquals('W', attributedCharacterSpanIterator0.first());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getAttributes()Ljava/util/Map;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1649), (-1649));
      Map<?, ?> map0 = attributedCharacterSpanIterator0.getAttributes();
      assertNotNull(map0);
      assertEquals(-1649, attributedCharacterSpanIterator0.getRunLimit());
      assertEquals(-1649, attributedCharacterSpanIterator0.getEndIndex());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunStart(Ljava/util/Set;)I: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("UnAg[,Ut!t.}Zg");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, 0, 0);
      TreeSet<Integer> treeSet0 = new TreeSet<Integer>();
      int int0 = attributedCharacterSpanIterator0.getRunStart((Set) treeSet0);
      assertEquals(0, int0);
      assertEquals('\uFFFF', attributedCharacterSpanIterator0.previous());
  }

  //Test case number: 8
  /*
   * 4 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getBeginIndex()I: root-Branch
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getEndIndex()I: root-Branch
   * 3 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.setIndex(I)C: I18 Branch 3 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.last()C: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1649), 0);
      char char0 = attributedCharacterSpanIterator0.last();
      assertEquals('\uFFFF', char0);
      
      AttributedCharacterSpanIterator attributedCharacterSpanIterator1 = new AttributedCharacterSpanIterator((AttributedCharacterIterator) attributedCharacterSpanIterator0, 0, (int) '\uFFFF');
      assertEquals(0, attributedCharacterSpanIterator1.getEndIndex());
      assertEquals(0, attributedCharacterSpanIterator1.getBeginIndex());
      assertEquals(0, attributedCharacterSpanIterator0.getEndIndex());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunLimit(Ljava/text/AttributedCharacterIterator$Attribute;)I: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1649), (-1649));
      GVTAttributedCharacterIterator.TextAttribute gVTAttributedCharacterIterator_TextAttribute0 = GVTAttributedCharacterIterator.TextAttribute.VERTICAL_ORIENTATION;
      int int0 = attributedCharacterSpanIterator0.getRunLimit((AttributedCharacterIterator.Attribute) gVTAttributedCharacterIterator_TextAttribute0);
      assertEquals((-1649), int0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.first()C: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1649), (-1649));
      char char0 = attributedCharacterSpanIterator0.first();
      assertEquals('\uFFFF', char0);
      assertEquals(-1649, attributedCharacterSpanIterator0.getRunLimit());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getIndex()I: root-Branch
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.next()C: I6 Branch 1 IF_ICMPGE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1649), (-1649));
      // Undeclared exception!
      try {
        attributedCharacterSpanIterator0.next();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Invalid index
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunLimit(Ljava/util/Set;)I: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1649), (-1649));
      LinkedHashSet<AttributedCharacterSpanIterator> linkedHashSet0 = new LinkedHashSet<AttributedCharacterSpanIterator>();
      int int0 = attributedCharacterSpanIterator0.getRunLimit((Set) linkedHashSet0);
      assertEquals((-1649), int0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunStart()I: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("WORD_SPACING");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, 0, 0);
      int int0 = attributedCharacterSpanIterator0.getRunStart();
      assertEquals(0, int0);
      assertEquals(0, attributedCharacterSpanIterator0.getRunLimit());
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.previous()C: I4 Branch 2 IF_ICMPLE L-1 - true
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.<init>(Ljava/text/AttributedCharacterIterator;II)V: root-Branch
   * 3 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getIndex()I: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("G\"zP\"{");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-187), (-187));
      char char0 = attributedCharacterSpanIterator0.previous();
      assertEquals(3, attributedCharacterSpanIterator0.getIndex());
      assertEquals('\"', char0);
  }
}
