/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.script.rhino;

import org.junit.Test;
import static org.junit.Assert.*;
import java.net.MalformedURLException;
import java.net.URL;
import java.security.AccessControlContext;
import org.apache.batik.script.rhino.RhinoClassLoader;
import org.junit.BeforeClass;

public class RhinoClassLoaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.script.rhino.RhinoClassLoader.defineClass(Ljava/lang/String;[B)Ljava/lang/Class;: root-Branch
   * 2 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I3 Branch 5 IFNULL L-1 - true
   * 3 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I11 Branch 6 IFNULL L-1 - true
   * 4 org.apache.batik.script.rhino.RhinoClassLoader.<init>(Ljava/net/URL;Ljava/lang/ClassLoader;)V: I20 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ClassLoader classLoader0 = ClassLoader.getSystemClassLoader();
      RhinoClassLoader rhinoClassLoader0 = new RhinoClassLoader((URL) null, classLoader0);
      byte[] byteArray0 = new byte[2];
      // Undeclared exception!
      try {
        rhinoClassLoader0.defineClass("/data/havrikov/evosuite/subjcts/batik/e&7-}cWd(gX1$^Ec^/", byteArray0);
        fail("Expecting exception: NoClassDefFoundError");
      
      } catch(NoClassDefFoundError e) {
         //
         // IllegalName: /data/havrikov/evosuite/subjcts/batik/e&7-}cWd(gX1$^Ec^/
         //
      }
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.apache.batik.script.rhino.RhinoClassLoader.getAccessControlContext()Ljava/security/AccessControlContext;: root-Branch
   * 2 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I3 Branch 5 IFNULL L-1 - false
   * 3 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I11 Branch 6 IFNULL L-1 - false
   * 4 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I13 Branch 7 IFNULL L-1 - false
   * 5 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I33 Branch 8 IFEQ L-1 - false
   * 6 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I40 Branch 9 IFGT L-1 - true
   * 7 org.apache.batik.script.rhino.RhinoClassLoader.<init>(Ljava/net/URL;Ljava/lang/ClassLoader;)V: I20 Branch 2 IFNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      URL uRL0 = ClassLoader.getSystemResource("");
      RhinoClassLoader rhinoClassLoader0 = new RhinoClassLoader(uRL0, (ClassLoader) null);
      AccessControlContext accessControlContext0 = rhinoClassLoader0.getAccessControlContext();
      assertNotNull(accessControlContext0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.script.rhino.RhinoClassLoader.linkClass(Ljava/lang/Class;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ClassLoader classLoader0 = ClassLoader.getSystemClassLoader();
      RhinoClassLoader rhinoClassLoader0 = new RhinoClassLoader((URL) null, classLoader0);
      Class<RhinoClassLoader> class0 = RhinoClassLoader.class;
      rhinoClassLoader0.linkClass(class0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I40 Branch 9 IFGT L-1 - false
   * 2 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I47 Branch 10 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ClassLoader classLoader0 = ClassLoader.getSystemClassLoader();
      URL uRL0 = ClassLoader.getSystemResource("");
      URL uRL1 = new URL(uRL0, "e&7-}cWd(gX1$^Ec^");
      RhinoClassLoader rhinoClassLoader0 = new RhinoClassLoader(uRL1, classLoader0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.script.rhino.RhinoClassLoader.getURL(Ljava/lang/ClassLoader;)[Ljava/net/URL;: I2 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      ClassLoader classLoader0 = ClassLoader.getSystemClassLoader();
      URL[] uRLArray0 = RhinoClassLoader.getURL(classLoader0);
      assertNotNull(uRLArray0);
  }

  //Test case number: 5
  /*
   * 8 covered goals:
   * 1 org.apache.batik.script.rhino.RhinoClassLoader.getURL(Ljava/lang/ClassLoader;)[Ljava/net/URL;: I2 Branch 3 IFEQ L-1 - false
   * 2 org.apache.batik.script.rhino.RhinoClassLoader.getURL(Ljava/lang/ClassLoader;)[Ljava/net/URL;: I8 Branch 4 IFNULL L-1 - false
   * 3 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I3 Branch 5 IFNULL L-1 - false
   * 4 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I11 Branch 6 IFNULL L-1 - false
   * 5 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I13 Branch 7 IFNULL L-1 - false
   * 6 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I33 Branch 8 IFEQ L-1 - false
   * 7 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I40 Branch 9 IFGT L-1 - true
   * 8 org.apache.batik.script.rhino.RhinoClassLoader.<init>(Ljava/net/URL;Ljava/lang/ClassLoader;)V: I20 Branch 2 IFNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      ClassLoader classLoader0 = ClassLoader.getSystemClassLoader();
      URL uRL0 = ClassLoader.getSystemResource("");
      RhinoClassLoader rhinoClassLoader0 = new RhinoClassLoader(uRL0, classLoader0);
      URL[] uRLArray0 = RhinoClassLoader.getURL(rhinoClassLoader0);
      assertNotNull(uRLArray0);
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.apache.batik.script.rhino.RhinoClassLoader.getURL(Ljava/lang/ClassLoader;)[Ljava/net/URL;: I8 Branch 4 IFNULL L-1 - true
   * 2 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I3 Branch 5 IFNULL L-1 - true
   * 3 org.apache.batik.script.rhino.RhinoClassLoader.getPermissions(Ljava/security/CodeSource;)Ljava/security/PermissionCollection;: I11 Branch 6 IFNULL L-1 - true
   * 4 org.apache.batik.script.rhino.RhinoClassLoader.<init>(Ljava/net/URL;Ljava/lang/ClassLoader;)V: I20 Branch 2 IFNULL L-1 - true
   * 5 org.apache.batik.script.rhino.RhinoClassLoader.getURL(Ljava/lang/ClassLoader;)[Ljava/net/URL;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      ClassLoader.getSystemResource("CYgsJ*@C.`bSf7~hZ~ ");
      RhinoClassLoader rhinoClassLoader0 = new RhinoClassLoader((URL) null, (ClassLoader) null);
      URL[] uRLArray0 = RhinoClassLoader.getURL(rhinoClassLoader0);
      assertNotNull(uRLArray0);
  }
}
