/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.TimeZone;
import org.apache.batik.anim.timing.AccesskeyTimingSpecifier;
import org.apache.batik.anim.timing.IndefiniteTimingSpecifier;
import org.apache.batik.anim.timing.InstanceTime;
import org.apache.batik.anim.timing.Interval;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.anim.timing.TimingSpecifier;
import org.apache.batik.anim.timing.WallclockTimingSpecifier;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGAnimateTransformElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.junit.BeforeClass;

public class TimingSpecifierEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifier.deinitialize()V: root-Branch
   * 2 org.apache.batik.anim.timing.TimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      IndefiniteTimingSpecifier indefiniteTimingSpecifier0 = new IndefiniteTimingSpecifier((TimedElement) null, false);
      indefiniteTimingSpecifier0.deinitialize();
      assertEquals(false, indefiniteTimingSpecifier0.isBegin());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifier.newInterval(Lorg/apache/batik/anim/timing/Interval;)F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      sVGAnimateMotionElementBridge0.getTimedElement();
      SimpleDateFormat simpleDateFormat0 = new SimpleDateFormat("");
      TimeZone timeZone0 = simpleDateFormat0.getTimeZone();
      GregorianCalendar gregorianCalendar0 = (GregorianCalendar)Calendar.getInstance(timeZone0);
      WallclockTimingSpecifier wallclockTimingSpecifier0 = new WallclockTimingSpecifier((TimedElement) null, false, (Calendar) gregorianCalendar0);
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) wallclockTimingSpecifier0, (-1.0F), false);
      Interval interval0 = new Interval((-1.0F), (-1.0F), instanceTime0, instanceTime0);
      float float0 = wallclockTimingSpecifier0.newInterval(interval0);
      assertEquals("java.util.GregorianCalendar[time=1397722320290,areFieldsSet=true,areAllFieldsSet=true,lenient=true,zone=sun.util.calendar.ZoneInfo[id=\"Europe/Berlin\",offset=3600000,dstSavings=3600000,useDaylight=true,transitions=143,lastRule=java.util.SimpleTimeZone[id=Europe/Berlin,offset=3600000,dstSavings=3600000,useDaylight=true,startYear=0,startMode=2,startMonth=2,startDay=-1,startDayOfWeek=1,startTime=3600000,startTimeMode=2,endMode=2,endMonth=9,endDay=-1,endDayOfWeek=1,endTime=3600000,endTimeMode=2]],firstDayOfWeek=1,minimalDaysInFirstWeek=1,ERA=1,YEAR=2014,MONTH=3,WEEK_OF_YEAR=16,WEEK_OF_MONTH=3,DAY_OF_MONTH=17,DAY_OF_YEAR=107,DAY_OF_WEEK=5,DAY_OF_WEEK_IN_MONTH=3,AM_PM=0,HOUR=10,HOUR_OF_DAY=10,MINUTE=12,SECOND=0,MILLISECOND=290,ZONE_OFFSET=3600000,DST_OFFSET=3600000]", gregorianCalendar0.toString());
      assertEquals(Float.POSITIVE_INFINITY, float0, 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifier.removeInterval(Lorg/apache/batik/anim/timing/Interval;)F: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 0.0F, "");
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) accesskeyTimingSpecifier0, 0.0F, true);
      Interval interval0 = new Interval(0.0F, 0.0F, instanceTime0, instanceTime0);
      float float0 = accesskeyTimingSpecifier0.removeInterval(interval0);
      assertEquals(true, accesskeyTimingSpecifier0.isBegin());
      assertEquals(Float.POSITIVE_INFINITY, float0, 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.TimingSpecifier.isBegin()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.getTimedElement();
      IndefiniteTimingSpecifier indefiniteTimingSpecifier0 = new IndefiniteTimingSpecifier((TimedElement) null, false);
      boolean boolean0 = indefiniteTimingSpecifier0.isBegin();
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.TimingSpecifier.getOwner()Lorg/apache/batik/anim/timing/TimedElement;: root-Branch
   * 2 org.apache.batik.anim.timing.TimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;Z)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, (-452.1847F), "");
      accesskeyTimingSpecifier0.getOwner();
      assertEquals(false, accesskeyTimingSpecifier0.isBegin());
  }
}
