/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.SVGTitleElementBridge;
import org.apache.batik.bridge.UnitProcessor;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMHandlerElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class UnitProcessorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getViewportHeight()F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("100", "100", "100");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getDocumentElement();
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) null);
      // Undeclared exception!
      try {
        unitProcessor_DefaultContext0.getViewportHeight();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelToMM()F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext(bridgeContext0, (Element) null);
      float float0 = unitProcessor_DefaultContext0.getPixelToMM();
      assertEquals(0.26458332F, float0, 0.01F);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.svgOtherCoordinateToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMHandlerElement sVGOMHandlerElement0 = new SVGOMHandlerElement("", (AbstractDocument) genericDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) sVGOMHandlerElement0);
      // Undeclared exception!
      try {
        UnitProcessor.svgOtherCoordinateToUserSpace("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgLengthToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: I9 Branch 1 IFGE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("100", "100", "100");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getDocumentElement();
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) null);
      float float0 = UnitProcessor.svgLengthToObjectBoundingBox("100", "100", (short)0, (UnitProcessor.Context) unitProcessor_DefaultContext0);
      assertEquals(100.0F, float0, 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.UnitProcessor.svgHorizontalCoordinateToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) null);
      // Undeclared exception!
      try {
        UnitProcessor.svgHorizontalCoordinateToObjectBoundingBox("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgVerticalCoordinateToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.createContext(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)Lorg/apache/batik/parser/UnitProcessor$Context;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("100", "100", "100");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getDocumentElement();
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext((BridgeContext) null, (Element) null);
      float float0 = UnitProcessor.svgVerticalCoordinateToUserSpace("100", "100", (UnitProcessor.Context) unitProcessor_DefaultContext0);
      assertEquals(100.0F, float0, 0.01F);
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgOtherCoordinateToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 5 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext(bridgeContext0, (Element) null);
      // Undeclared exception!
      try {
        UnitProcessor.svgOtherCoordinateToObjectBoundingBox("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - true
   * 2 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgLengthToUserSpace("4=*+7 e+ND^|Y_X", "4=*+7 e+ND^|Y_X", (short)1700, (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
