/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.parser.DefaultAndCondition;
import org.apache.batik.css.parser.DefaultAttributeCondition;
import org.apache.batik.css.parser.DefaultBeginHyphenAttributeCondition;
import org.apache.batik.css.parser.DefaultClassCondition;
import org.apache.batik.css.parser.DefaultConditionFactory;
import org.apache.batik.css.parser.DefaultIdCondition;
import org.apache.batik.css.parser.DefaultLangCondition;
import org.apache.batik.css.parser.DefaultOneOfAttributeCondition;
import org.apache.batik.css.parser.DefaultPseudoClassCondition;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.Condition;

public class DefaultConditionFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createOneOfAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultOneOfAttributeCondition defaultOneOfAttributeCondition0 = (DefaultOneOfAttributeCondition)defaultConditionFactory0.createOneOfAttributeCondition("~=", "~=", false, "~=");
      assertEquals(false, defaultOneOfAttributeCondition0.getSpecified());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createOnlyTypeCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      try {
        defaultConditionFactory0.createOnlyTypeCondition();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createContentCondition(Ljava/lang/String;)Lorg/w3c/css/sac/ContentCondition;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      try {
        defaultConditionFactory0.createContentCondition("~=");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createOnlyChildCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      try {
        defaultConditionFactory0.createOnlyChildCondition();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createOrCondition(Lorg/w3c/css/sac/Condition;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/CombinatorCondition;: root-Branch
   * 2 org.apache.batik.css.parser.DefaultConditionFactory.createLangCondition(Ljava/lang/String;)Lorg/w3c/css/sac/LangCondition;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultLangCondition defaultLangCondition0 = (DefaultLangCondition)defaultConditionFactory0.createLangCondition("\"]");
      try {
        defaultConditionFactory0.createOrCondition((Condition) defaultLangCondition0, (Condition) defaultLangCondition0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createPositionalCondition(IZZ)Lorg/w3c/css/sac/PositionalCondition;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      try {
        defaultConditionFactory0.createPositionalCondition((-162), true, true);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createPseudoClassCondition(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultPseudoClassCondition defaultPseudoClassCondition0 = (DefaultPseudoClassCondition)defaultConditionFactory0.createPseudoClassCondition("\"]", "\"]");
      assertEquals(":\"]", defaultPseudoClassCondition0.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createNegativeCondition(Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/NegativeCondition;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultBeginHyphenAttributeCondition defaultBeginHyphenAttributeCondition0 = new DefaultBeginHyphenAttributeCondition("yGz6YIKaB+~`tBk", "yGz6YIKaB+~`tBk", false, "yGz6YIKaB+~`tBk");
      try {
        defaultConditionFactory0.createNegativeCondition((Condition) defaultBeginHyphenAttributeCondition0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createBeginHyphenAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultBeginHyphenAttributeCondition defaultBeginHyphenAttributeCondition0 = (DefaultBeginHyphenAttributeCondition)defaultConditionFactory0.createBeginHyphenAttributeCondition("~=", "~=", false, "~=");
      assertEquals(false, defaultBeginHyphenAttributeCondition0.getSpecified());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createIdCondition(Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultIdCondition defaultIdCondition0 = (DefaultIdCondition)defaultConditionFactory0.createIdCondition("yGz6YIKaB+~`tBk");
      assertEquals("id", defaultIdCondition0.getLocalName());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createAndCondition(Lorg/w3c/css/sac/Condition;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/CombinatorCondition;: root-Branch
   * 2 org.apache.batik.css.parser.DefaultConditionFactory.createAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultAttributeCondition defaultAttributeCondition0 = (DefaultAttributeCondition)defaultConditionFactory0.createAttributeCondition("C{D9\"-bJfz`ps iew", "C{D9\"-bJfz`ps iew", false, "C{D9\"-bJfz`ps iew");
      DefaultAndCondition defaultAndCondition0 = new DefaultAndCondition((Condition) defaultAttributeCondition0, (Condition) defaultAttributeCondition0);
      defaultConditionFactory0.createAndCondition((Condition) defaultAndCondition0, (Condition) defaultAndCondition0);
      assertEquals(false, defaultAttributeCondition0.getSpecified());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultConditionFactory.createClassCondition(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      DefaultConditionFactory defaultConditionFactory0 = (DefaultConditionFactory)DefaultConditionFactory.INSTANCE;
      DefaultClassCondition defaultClassCondition0 = (DefaultClassCondition)defaultConditionFactory0.createClassCondition("~=", "~=");
      assertEquals("~=", defaultClassCondition0.getNamespaceURI());
  }
}
