/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.FileDescriptor;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.Reader;
import java.io.StringReader;
import org.apache.batik.css.parser.ParseException;
import org.apache.batik.css.parser.Scanner;
import org.junit.BeforeClass;

public class ScannerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FileDescriptor fileDescriptor0 = FileDescriptor.out;
      FileInputStream fileInputStream0 = new FileInputStream(fileDescriptor0);
      Scanner scanner0 = null;
      try {
        scanner0 = new Scanner((InputStream) fileInputStream0, ",PHX_|;^JL8a= c3Sx");
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // ,PHX_|;^JL8a= c3Sx
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.Scanner.getType()I: root-Branch
   * 2 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.css.parser.Scanner.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Scanner scanner0 = new Scanner("");
      int int0 = scanner0.getType();
      assertEquals(0, int0);
      assertEquals(-1, scanner0.getStart());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.Scanner.getStart()I: root-Branch
   * 2 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.parser.Scanner.nextChar()I: I18 Branch 598 IF_ICMPNE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      int int0 = scanner0.getStart();
      assertEquals(20, scanner0.getType());
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.<init>(Ljava/io/Reader;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      StringReader stringReader0 = new StringReader("");
      Scanner scanner0 = new Scanner((Reader) stringReader0);
      assertEquals(0, scanner0.getType());
      assertEquals(-1, scanner0.getStart());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.getEnd()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      int int0 = scanner0.getEnd();
      assertEquals(1, scanner0.getStart());
      assertEquals(1, int0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.getBuffer()[C: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      scanner0.getBuffer();
      assertEquals(1, scanner0.getStart());
      assertEquals(20, scanner0.getType());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.getColumn()I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      scanner0.getColumn();
      assertEquals(20, scanner0.getType());
      assertEquals("lz", scanner0.getStringValue());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.getLine()I: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      int int0 = scanner0.getLine();
      assertEquals(1, scanner0.getStart());
      assertEquals(1, int0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.Scanner.clearBuffer()V: I2 Branch 1 IFGT L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      scanner0.clearBuffer();
      assertEquals(20, scanner0.getType());
      assertEquals(2, scanner0.getEnd());
  }

  //Test case number: 9
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 2 LOOKUPSWITCH L-1 Case -1 - true
   * 2 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 2 LOOKUPSWITCH L-1 Case -1 - false
   * 3 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 3 LOOKUPSWITCH L-1 Case 59 - false
   * 4 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 4 LOOKUPSWITCH L-1 Case 123 - false
   * 5 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 5 LOOKUPSWITCH L-1 Default-Case - true
   * 6 org.apache.batik.css.parser.Scanner.scanAtRule()V: I3 Branch 5 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test9()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      scanner0.scanAtRule();
      assertEquals(2, scanner0.getStart());
      assertEquals(3, scanner0.getEnd());
  }

  //Test case number: 10
  /*
   * 183 covered goals:
   * 1 org.apache.batik.css.parser.Scanner.endGap()I: I3 Branch 11 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 14 TABLESWITCH L-1 Case 20 - true
   * 3 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 47 TABLESWITCH L-1 Default-Case - false
   * 4 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 93 TABLESWITCH L-1 Case 44 - false
   * 5 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 157 TABLESWITCH L-1 Case 108 - true
   * 6 org.apache.batik.css.parser.Scanner.nextToken()V: I1321 Branch 307 IF_ICMPNE L-1 - true
   * 7 org.apache.batik.css.parser.Scanner.nextToken()V: I1338 Branch 309 IFNE L-1 - true
   * 8 org.apache.batik.css.parser.Scanner.nextToken()V: I1357 Branch 310 IF_ICMPEQ L-1 - true
   * 9 org.apache.batik.css.parser.Scanner.nextToken()V: I1357 Branch 310 IF_ICMPEQ L-1 - false
   * 10 org.apache.batik.css.parser.Scanner.nextToken()V: I1362 Branch 311 IFEQ L-1 - false
   * 11 org.apache.batik.css.parser.Scanner.nextToken()V: I1370 Branch 312 IF_ICMPNE L-1 - true
   * 12 org.apache.batik.css.parser.Scanner.nextToken()V: I1381 Branch 313 IF_ICMPNE L-1 - true
   * 13 org.apache.batik.css.parser.Scanner.next()I: root-Branch
   * 14 org.apache.batik.css.parser.Scanner.<init>(Ljava/lang/String;)V: root-Branch
   * 15 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - true
   * 16 org.apache.batik.css.parser.Scanner.nextChar()I: I8 Branch 597 IF_ICMPNE L-1 - false
   * 17 org.apache.batik.css.parser.Scanner.nextChar()I: I18 Branch 598 IF_ICMPNE L-1 - true
   * 18 org.apache.batik.css.parser.Scanner.endGap()I: I3 Branch 11 IF_ICMPNE L-1 - true
   * 19 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 12 TABLESWITCH L-1 Case 18 - false
   * 20 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 13 TABLESWITCH L-1 Case 19 - false
   * 21 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 14 TABLESWITCH L-1 Case 20 - false
   * 22 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 15 TABLESWITCH L-1 Case 21 - false
   * 23 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 16 TABLESWITCH L-1 Case 22 - false
   * 24 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 17 TABLESWITCH L-1 Case 23 - false
   * 25 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 18 TABLESWITCH L-1 Case 24 - false
   * 26 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 19 TABLESWITCH L-1 Case 25 - false
   * 27 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 20 TABLESWITCH L-1 Case 26 - false
   * 28 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 21 TABLESWITCH L-1 Case 27 - false
   * 29 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 22 TABLESWITCH L-1 Case 28 - false
   * 30 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 23 TABLESWITCH L-1 Case 29 - false
   * 31 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 24 TABLESWITCH L-1 Case 30 - false
   * 32 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 25 TABLESWITCH L-1 Case 31 - false
   * 33 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 26 TABLESWITCH L-1 Case 32 - false
   * 34 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 27 TABLESWITCH L-1 Case 33 - false
   * 35 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 28 TABLESWITCH L-1 Case 34 - false
   * 36 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 29 TABLESWITCH L-1 Case 35 - false
   * 37 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 30 TABLESWITCH L-1 Case 36 - false
   * 38 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 31 TABLESWITCH L-1 Case 37 - false
   * 39 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 32 TABLESWITCH L-1 Case 38 - false
   * 40 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 33 TABLESWITCH L-1 Case 39 - false
   * 41 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 34 TABLESWITCH L-1 Case 40 - false
   * 42 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 35 TABLESWITCH L-1 Case 41 - false
   * 43 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 36 TABLESWITCH L-1 Case 42 - false
   * 44 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 37 TABLESWITCH L-1 Case 43 - false
   * 45 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 38 TABLESWITCH L-1 Case 44 - false
   * 46 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 39 TABLESWITCH L-1 Case 45 - false
   * 47 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 40 TABLESWITCH L-1 Case 46 - false
   * 48 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 41 TABLESWITCH L-1 Case 47 - false
   * 49 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 42 TABLESWITCH L-1 Case 48 - false
   * 50 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 43 TABLESWITCH L-1 Case 49 - false
   * 51 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 44 TABLESWITCH L-1 Case 50 - false
   * 52 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 45 TABLESWITCH L-1 Case 51 - false
   * 53 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 46 TABLESWITCH L-1 Case 52 - false
   * 54 org.apache.batik.css.parser.Scanner.endGap()I: I12 Branch 47 TABLESWITCH L-1 Default-Case - true
   * 55 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 48 TABLESWITCH L-1 Case -1 - false
   * 56 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 49 TABLESWITCH L-1 Case 0 - false
   * 57 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 50 TABLESWITCH L-1 Case 1 - false
   * 58 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 51 TABLESWITCH L-1 Case 2 - false
   * 59 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 52 TABLESWITCH L-1 Case 3 - false
   * 60 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 53 TABLESWITCH L-1 Case 4 - false
   * 61 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 54 TABLESWITCH L-1 Case 5 - false
   * 62 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 55 TABLESWITCH L-1 Case 6 - false
   * 63 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 56 TABLESWITCH L-1 Case 7 - false
   * 64 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 57 TABLESWITCH L-1 Case 8 - false
   * 65 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 58 TABLESWITCH L-1 Case 9 - false
   * 66 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 59 TABLESWITCH L-1 Case 10 - false
   * 67 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 60 TABLESWITCH L-1 Case 11 - false
   * 68 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 61 TABLESWITCH L-1 Case 12 - false
   * 69 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 62 TABLESWITCH L-1 Case 13 - false
   * 70 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 63 TABLESWITCH L-1 Case 14 - false
   * 71 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 64 TABLESWITCH L-1 Case 15 - false
   * 72 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 65 TABLESWITCH L-1 Case 16 - false
   * 73 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 66 TABLESWITCH L-1 Case 17 - false
   * 74 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 67 TABLESWITCH L-1 Case 18 - false
   * 75 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 68 TABLESWITCH L-1 Case 19 - false
   * 76 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 69 TABLESWITCH L-1 Case 20 - false
   * 77 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 70 TABLESWITCH L-1 Case 21 - false
   * 78 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 71 TABLESWITCH L-1 Case 22 - false
   * 79 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 72 TABLESWITCH L-1 Case 23 - false
   * 80 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 73 TABLESWITCH L-1 Case 24 - false
   * 81 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 74 TABLESWITCH L-1 Case 25 - false
   * 82 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 75 TABLESWITCH L-1 Case 26 - false
   * 83 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 76 TABLESWITCH L-1 Case 27 - false
   * 84 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 77 TABLESWITCH L-1 Case 28 - false
   * 85 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 78 TABLESWITCH L-1 Case 29 - false
   * 86 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 79 TABLESWITCH L-1 Case 30 - false
   * 87 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 80 TABLESWITCH L-1 Case 31 - false
   * 88 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 81 TABLESWITCH L-1 Case 32 - false
   * 89 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 82 TABLESWITCH L-1 Case 33 - false
   * 90 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 83 TABLESWITCH L-1 Case 34 - false
   * 91 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 84 TABLESWITCH L-1 Case 35 - false
   * 92 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 85 TABLESWITCH L-1 Case 36 - false
   * 93 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 86 TABLESWITCH L-1 Case 37 - false
   * 94 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 87 TABLESWITCH L-1 Case 38 - false
   * 95 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 88 TABLESWITCH L-1 Case 39 - false
   * 96 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 89 TABLESWITCH L-1 Case 40 - false
   * 97 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 90 TABLESWITCH L-1 Case 41 - false
   * 98 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 91 TABLESWITCH L-1 Case 42 - false
   * 99 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 92 TABLESWITCH L-1 Case 43 - false
   * 100 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 93 TABLESWITCH L-1 Case 44 - true
   * 101 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 94 TABLESWITCH L-1 Case 45 - false
   * 102 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 95 TABLESWITCH L-1 Case 46 - false
   * 103 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 96 TABLESWITCH L-1 Case 47 - false
   * 104 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 97 TABLESWITCH L-1 Case 48 - false
   * 105 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 98 TABLESWITCH L-1 Case 49 - false
   * 106 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 99 TABLESWITCH L-1 Case 50 - false
   * 107 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 100 TABLESWITCH L-1 Case 51 - false
   * 108 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 101 TABLESWITCH L-1 Case 52 - false
   * 109 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 102 TABLESWITCH L-1 Case 53 - false
   * 110 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 103 TABLESWITCH L-1 Case 54 - false
   * 111 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 104 TABLESWITCH L-1 Case 55 - false
   * 112 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 105 TABLESWITCH L-1 Case 56 - false
   * 113 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 106 TABLESWITCH L-1 Case 57 - false
   * 114 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 107 TABLESWITCH L-1 Case 58 - false
   * 115 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 108 TABLESWITCH L-1 Case 59 - false
   * 116 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 109 TABLESWITCH L-1 Case 60 - false
   * 117 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 110 TABLESWITCH L-1 Case 61 - false
   * 118 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 111 TABLESWITCH L-1 Case 62 - false
   * 119 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 112 TABLESWITCH L-1 Case 63 - false
   * 120 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 113 TABLESWITCH L-1 Case 64 - false
   * 121 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 114 TABLESWITCH L-1 Case 65 - false
   * 122 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 115 TABLESWITCH L-1 Case 66 - false
   * 123 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 116 TABLESWITCH L-1 Case 67 - false
   * 124 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 117 TABLESWITCH L-1 Case 68 - false
   * 125 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 118 TABLESWITCH L-1 Case 69 - false
   * 126 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 119 TABLESWITCH L-1 Case 70 - false
   * 127 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 120 TABLESWITCH L-1 Case 71 - false
   * 128 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 121 TABLESWITCH L-1 Case 72 - false
   * 129 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 122 TABLESWITCH L-1 Case 73 - false
   * 130 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 123 TABLESWITCH L-1 Case 74 - false
   * 131 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 124 TABLESWITCH L-1 Case 75 - false
   * 132 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 125 TABLESWITCH L-1 Case 76 - false
   * 133 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 126 TABLESWITCH L-1 Case 77 - false
   * 134 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 127 TABLESWITCH L-1 Case 78 - false
   * 135 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 128 TABLESWITCH L-1 Case 79 - false
   * 136 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 129 TABLESWITCH L-1 Case 80 - false
   * 137 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 130 TABLESWITCH L-1 Case 81 - false
   * 138 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 131 TABLESWITCH L-1 Case 82 - false
   * 139 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 132 TABLESWITCH L-1 Case 83 - false
   * 140 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 133 TABLESWITCH L-1 Case 84 - false
   * 141 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 134 TABLESWITCH L-1 Case 85 - false
   * 142 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 135 TABLESWITCH L-1 Case 86 - false
   * 143 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 136 TABLESWITCH L-1 Case 87 - false
   * 144 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 137 TABLESWITCH L-1 Case 88 - false
   * 145 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 138 TABLESWITCH L-1 Case 89 - false
   * 146 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 139 TABLESWITCH L-1 Case 90 - false
   * 147 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 140 TABLESWITCH L-1 Case 91 - false
   * 148 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 141 TABLESWITCH L-1 Case 92 - false
   * 149 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 142 TABLESWITCH L-1 Case 93 - false
   * 150 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 143 TABLESWITCH L-1 Case 94 - false
   * 151 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 144 TABLESWITCH L-1 Case 95 - false
   * 152 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 145 TABLESWITCH L-1 Case 96 - false
   * 153 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 146 TABLESWITCH L-1 Case 97 - false
   * 154 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 147 TABLESWITCH L-1 Case 98 - false
   * 155 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 148 TABLESWITCH L-1 Case 99 - false
   * 156 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 149 TABLESWITCH L-1 Case 100 - false
   * 157 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 150 TABLESWITCH L-1 Case 101 - false
   * 158 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 151 TABLESWITCH L-1 Case 102 - false
   * 159 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 152 TABLESWITCH L-1 Case 103 - false
   * 160 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 153 TABLESWITCH L-1 Case 104 - false
   * 161 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 154 TABLESWITCH L-1 Case 105 - false
   * 162 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 155 TABLESWITCH L-1 Case 106 - false
   * 163 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 156 TABLESWITCH L-1 Case 107 - false
   * 164 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 157 TABLESWITCH L-1 Case 108 - false
   * 165 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 158 TABLESWITCH L-1 Case 109 - false
   * 166 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 159 TABLESWITCH L-1 Case 110 - false
   * 167 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 160 TABLESWITCH L-1 Case 111 - false
   * 168 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 161 TABLESWITCH L-1 Case 112 - false
   * 169 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 162 TABLESWITCH L-1 Case 113 - false
   * 170 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 163 TABLESWITCH L-1 Case 114 - false
   * 171 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 164 TABLESWITCH L-1 Case 115 - false
   * 172 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 165 TABLESWITCH L-1 Case 116 - false
   * 173 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 166 TABLESWITCH L-1 Case 117 - false
   * 174 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 167 TABLESWITCH L-1 Case 118 - false
   * 175 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 168 TABLESWITCH L-1 Case 119 - false
   * 176 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 169 TABLESWITCH L-1 Case 120 - false
   * 177 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 170 TABLESWITCH L-1 Case 121 - false
   * 178 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 171 TABLESWITCH L-1 Case 122 - false
   * 179 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 172 TABLESWITCH L-1 Case 123 - false
   * 180 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 173 TABLESWITCH L-1 Case 124 - false
   * 181 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 174 TABLESWITCH L-1 Case 125 - false
   * 182 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 175 TABLESWITCH L-1 Case 126 - false
   * 183 org.apache.batik.css.parser.Scanner.nextToken()V: I3 Branch 176 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test10()  throws Throwable  {
      Scanner scanner0 = new Scanner(",lz");
      scanner0.next();
      int int0 = scanner0.next();
      assertEquals(2, scanner0.getStart());
      assertEquals(0, int0);
  }
}
