/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.anim.AnimationTarget;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAnimatedString;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMSetElement;
import org.apache.batik.dom.svg.SVGOMTextPathElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.XBLOMTemplateElement;
import org.apache.batik.extension.svg.BatikRegularPolygonElement;
import org.apache.batik.extension.svg.FlowParaElement;
import org.apache.batik.extension.svg.FlowRegionBreakElement;
import org.junit.BeforeClass;
import org.w3c.dom.Attr;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMAnimatedStringEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.setBaseVal(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedString.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) null, "", "");
      // Undeclared exception!
      try {
        sVGOMAnimatedString0.setBaseVal("");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.getUnderlyingValue(Lorg/apache/batik/dom/anim/AnimationTarget;)Lorg/apache/batik/anim/values/AnimatableValue;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedString.getBaseVal()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) null, "tan", "tan");
      BatikRegularPolygonElement batikRegularPolygonElement0 = new BatikRegularPolygonElement("tan", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        sVGOMAnimatedString0.getUnderlyingValue((AnimationTarget) batikRegularPolygonElement0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.attrAdded(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I4 Branch 3 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("org.apache.batik.parser.AbstractParser", "org.apache.batik.parser.AbstractParser", "org.apache.batik.parser.AbstractParser");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSetElement sVGOMSetElement0 = new SVGOMSetElement("org.apache.batik.parser.AbstractParser", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) sVGOMSetElement0, "org.apache.batik.parser.AbstractParser", "org.apache.batik.parser.AbstractParser");
      FlowRegionBreakElement flowRegionBreakElement0 = new FlowRegionBreakElement("org.apache.batik.parser.AbstractParser", (AbstractDocument) sVG12OMDocument0);
      flowRegionBreakElement0.setAttributeNode((Attr) null);
      sVGOMAnimatedString0.attrAdded((Attr) null, "org.apache.batik.parser.AbstractParser");
      assertEquals("", sVGOMAnimatedString0.getBaseVal());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.attrModified(Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 4 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) null, "tan", "tan");
      SVGOMTextPathElement sVGOMTextPathElement0 = new SVGOMTextPathElement("tan", (AbstractDocument) sVG12OMDocument0);
      sVGOMTextPathElement0.getAttributeNodeNS("tan", "tan");
      sVGOMAnimatedString0.attrModified((Attr) null, "tan", "tan");
      assertEquals("tan", sVGOMAnimatedString0.getLocalName());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.getAnimVal()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("org.apache.batik.parser.AbstractParser", "org.apache.batik.parser.AbstractParser", "org.apache.batik.parser.AbstractParser");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSetElement sVGOMSetElement0 = new SVGOMSetElement("org.apache.batik.parser.AbstractParser", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) sVGOMSetElement0, "org.apache.batik.parser.AbstractParser", "org.apache.batik.parser.AbstractParser");
      String string0 = sVGOMAnimatedString0.getAnimVal();
      assertEquals("", string0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.attrRemoved(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I4 Branch 5 IFNE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedString.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      XBLOMTemplateElement xBLOMTemplateElement0 = new XBLOMTemplateElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) xBLOMTemplateElement0, "", "");
      FlowParaElement flowParaElement0 = new FlowParaElement("", (AbstractDocument) sVGOMDocument0);
      flowParaElement0.getAttributeNodeNS("", "");
      sVGOMAnimatedString0.attrRemoved((Attr) null, "");
      assertEquals(false, sVGOMAnimatedString0.isSpecified());
  }
}
