/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMCircleElement;
import org.apache.batik.dom.svg.SVGOMFEFuncGElement;
import org.apache.batik.dom.svg.SVGZoomAndPanSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGZoomAndPanSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - true
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGZoomAndPanSupport.setZoomAndPan((Element) null, (short)1);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - true
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - false
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMFEFuncGElement sVGOMFEFuncGElement0 = new SVGOMFEFuncGElement("", (AbstractDocument) sVG12OMDocument0);
      try {
        SVGZoomAndPanSupport.setZoomAndPan((Element) sVGOMFEFuncGElement0, (short) (-1362));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given value (-1,362) represents an invalid SVGZoomAndPan value.
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - true
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - false
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("zoom.and.pan", "zoom.and.pan", "zoom.and.pan");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCircleElement sVGOMCircleElement0 = new SVGOMCircleElement("zoom.and.pan", (AbstractDocument) sVG12OMDocument0);
      SVGZoomAndPanSupport.setZoomAndPan((Element) sVGOMCircleElement0, (short)2);
      assertEquals(true, sVGOMCircleElement0.hasAttributes());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.getZoomAndPan(Lorg/w3c/dom/Element;)S: I8 Branch 4 IFLE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMFEFuncGElement sVGOMFEFuncGElement0 = new SVGOMFEFuncGElement("", (AbstractDocument) sVG12OMDocument0);
      short short0 = SVGZoomAndPanSupport.getZoomAndPan((Element) sVGOMFEFuncGElement0);
      assertEquals((short)1, short0);
  }
}
