/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMSolidColorElement;
import org.apache.batik.dom.svg12.XBLOMImportElement;
import org.apache.batik.dom.traversal.DOMTreeWalker;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class DOMTreeWalkerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getExpandEntityReferences()Z: root-Branch
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.<init>(Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSolidColorElement sVGOMSolidColorElement0 = new SVGOMSolidColorElement("A", (AbstractDocument) sVGOMDocument0);
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) sVGOMSolidColorElement0, 65280, (NodeFilter) null, true);
      boolean boolean0 = dOMTreeWalker0.getExpandEntityReferences();
      assertEquals(true, boolean0);
      assertEquals(65280, dOMTreeWalker0.getWhatToShow());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getFilter()Lorg/w3c/dom/traversal/NodeFilter;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSolidColorElement sVGOMSolidColorElement0 = new SVGOMSolidColorElement("A", (AbstractDocument) sVGOMDocument0);
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) sVGOMSolidColorElement0, 65280, (NodeFilter) null, true);
      dOMTreeWalker0.getFilter();
      assertEquals(65280, dOMTreeWalker0.getWhatToShow());
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getRoot()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericDocumentType0, 0, (NodeFilter) null, false);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMTreeWalker0.getRoot();
      assertEquals(0, dOMTreeWalker0.getWhatToShow());
      assertEquals(false, dOMTreeWalker0.getExpandEntityReferences());
      assertNotNull(genericDocumentType1);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getWhatToShow()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSolidColorElement sVGOMSolidColorElement0 = new SVGOMSolidColorElement("A", (AbstractDocument) sVGOMDocument0);
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) sVGOMSolidColorElement0, 65280, (NodeFilter) null, true);
      int int0 = dOMTreeWalker0.getWhatToShow();
      assertEquals(65280, int0);
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.getCurrentNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericDocumentType0, 0, (NodeFilter) null, false);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMTreeWalker0.getCurrentNode();
      assertEquals(false, dOMTreeWalker0.getExpandEntityReferences());
      assertEquals(0, dOMTreeWalker0.getWhatToShow());
      assertNotNull(genericDocumentType1);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.previousNode()Lorg/w3c/dom/Node;: I8 Branch 7 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.previousNode()Lorg/w3c/dom/Node;: I15 Branch 8 IFNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMTreeWalker.previousSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 34 IF_ACMPNE L-1 - false
   * 4 org.apache.batik.dom.traversal.DOMTreeWalker.parentNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 15 IF_ACMPNE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) null, (-1760), (NodeFilter) null, false);
      dOMTreeWalker0.previousNode();
      assertEquals(false, dOMTreeWalker0.getExpandEntityReferences());
      assertEquals(-1760, dOMTreeWalker0.getWhatToShow());
  }

  //Test case number: 6
  /*
   * 19 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 43 IF_ACMPNE L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I11 Branch 44 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I16 Branch 45 IFNULL L-1 - true
   * 4 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I16 Branch 45 IFNULL L-1 - false
   * 5 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I19 Branch 46 IF_ACMPNE L-1 - false
   * 6 org.apache.batik.dom.traversal.DOMTreeWalker.nextNode()Lorg/w3c/dom/Node;: I6 Branch 11 IFNULL L-1 - true
   * 7 org.apache.batik.dom.traversal.DOMTreeWalker.nextNode()Lorg/w3c/dom/Node;: I21 Branch 12 IFNULL L-1 - true
   * 8 org.apache.batik.dom.traversal.DOMTreeWalker.nextNode()Lorg/w3c/dom/Node;: I37 Branch 13 IFNONNULL L-1 - false
   * 9 org.apache.batik.dom.traversal.DOMTreeWalker.acceptNode(Lorg/w3c/dom/Node;)S: I9 Branch 52 IFEQ L-1 - true
   * 10 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 20 IF_ICMPNE L-1 - true
   * 11 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I14 Branch 22 IFNONNULL L-1 - true
   * 12 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I14 Branch 22 IFNONNULL L-1 - false
   * 13 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I21 Branch 23 LOOKUPSWITCH L-1 Case 1 - false
   * 14 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I21 Branch 24 LOOKUPSWITCH L-1 Case 3 - true
   * 15 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I21 Branch 25 LOOKUPSWITCH L-1 Default-Case - false
   * 16 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I31 Branch 26 IFNULL L-1 - true
   * 17 org.apache.batik.dom.traversal.DOMTreeWalker.parentNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 15 IF_ACMPNE L-1 - true
   * 18 org.apache.batik.dom.traversal.DOMTreeWalker.parentNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I14 Branch 16 IFNONNULL L-1 - false
   * 19 org.apache.batik.dom.traversal.DOMTreeWalker.setCurrentNode(Lorg/w3c/dom/Node;)V: I1 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) genericDocumentType0, 0, (NodeFilter) null, false);
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      dOMTreeWalker0.setCurrentNode((Node) sVG12OMDocument0);
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMTreeWalker0.nextNode();
      assertEquals(false, dOMTreeWalker0.getExpandEntityReferences());
      assertNull(genericDocumentType1);
      assertEquals(0, dOMTreeWalker0.getWhatToShow());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 43 IF_ACMPNE L-1 - false
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.nextSibling()Lorg/w3c/dom/Node;: I8 Branch 6 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) null, (-1760), (NodeFilter) null, false);
      dOMTreeWalker0.nextSibling();
      assertEquals(-1760, dOMTreeWalker0.getWhatToShow());
      assertEquals(false, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.previousSibling()Lorg/w3c/dom/Node;: I8 Branch 5 IFNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.previousSibling(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 34 IF_ACMPNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSolidColorElement sVGOMSolidColorElement0 = new SVGOMSolidColorElement("A", (AbstractDocument) sVGOMDocument0);
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) sVGOMSolidColorElement0, 65280, (NodeFilter) null, true);
      dOMTreeWalker0.previousSibling();
      assertEquals(65280, dOMTreeWalker0.getWhatToShow());
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.setCurrentNode(Lorg/w3c/dom/Node;)V: I1 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      XBLOMImportElement xBLOMImportElement0 = new XBLOMImportElement("accumulate", (AbstractDocument) sVGOMDocument0);
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) xBLOMImportElement0, (-1576), (NodeFilter) null, true);
      // Undeclared exception!
      try {
        dOMTreeWalker0.setCurrentNode((Node) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // An attempt was made to set the current node of a tree walker to null.
         //
      }
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild()Lorg/w3c/dom/Node;: I6 Branch 3 IFNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMTreeWalker.<init>(Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   * 3 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I3 Branch 20 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.dom.traversal.DOMTreeWalker.firstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I14 Branch 22 IFNONNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSolidColorElement sVGOMSolidColorElement0 = new SVGOMSolidColorElement("A", (AbstractDocument) sVGOMDocument0);
      DOMTreeWalker dOMTreeWalker0 = new DOMTreeWalker((Node) sVGOMSolidColorElement0, 65280, (NodeFilter) null, true);
      dOMTreeWalker0.firstChild();
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
      assertEquals(65280, dOMTreeWalker0.getWhatToShow());
  }
}
