/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericAttrNS;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.XBLOMHandlerGroupElement;
import org.apache.batik.dom.util.DOMUtilities;
import org.apache.batik.dom.util.HashTable;
import org.apache.batik.xml.XMLUtilities;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class DOMUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getModifiersList(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      String string0 = DOMUtilities.getModifiersList(0, 0);
      assertNotNull(string0);
      assertEquals("", string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      String string0 = DOMUtilities.getLocalName("Alt AltGraph Control Shift");
      assertNotNull(string0);
      assertEquals("Alt AltGraph Control Shift", string0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 81 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      String string0 = DOMUtilities.getPrefix("");
      assertNull(string0);
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 19 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 20 LOOKUPSWITCH L-1 Case 34 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 21 LOOKUPSWITCH L-1 Case 38 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 22 LOOKUPSWITCH L-1 Case 39 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 23 LOOKUPSWITCH L-1 Case 60 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 24 LOOKUPSWITCH L-1 Case 62 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 25 LOOKUPSWITCH L-1 Default-Case - true
   * 8 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 19 IF_ICMPGE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      String string0 = DOMUtilities.contentToString("Alt AltGraph Control Shift");
      assertEquals("Alt AltGraph Control Shift", string0);
      assertNotNull(string0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ArrayList<GenericAttrNS> arrayList0 = new ArrayList<GenericAttrNS>();
      arrayList0.toString();
      HashTable hashTable0 = new HashTable();
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData("[]", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong name initial:  [
         //
      }
  }

  //Test case number: 5
  /*
   * 11 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I70 Branch 89 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I90 Branch 90 IFNE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I102 Branch 91 IF_ICMPLT L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I120 Branch 92 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I127 Branch 93 IFNE L-1 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I136 Branch 94 IF_ICMPLT L-1 - true
   * 8 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I155 Branch 95 IF_ICMPEQ L-1 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 10 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 11 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      XMLUtilities.encodingToJavaEncoding("y}I", "y}I");
      HashTable hashTable0 = new HashTable();
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData("y}I", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong xml-stylesheet data: y}I
         //
      }
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I27 Branch 77 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I36 Branch 78 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I56 Branch 79 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I56 Branch 79 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("SG%&*Tn]a~,?|2D");
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidPrefix(Ljava/lang/String;)Z: I4 Branch 80 IF_ICMPNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidPrefix("y}I");
      assertEquals(true, boolean0);
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("NZ2X+'&F^@gLZnxT^gr", "NZ2X+'&F^@gLZnxT^gr", "NZ2X+'&F^@gLZnxT^gr");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      XBLOMHandlerGroupElement xBLOMHandlerGroupElement0 = null;
      try {
        xBLOMHandlerGroupElement0 = new XBLOMHandlerGroupElement("NZ2X+'&F^@gLZnxT^gr", (AbstractDocument) genericDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"NZ2X+'&F^@gLZnxT^gr\" is invalid. Current node type: 1, name: handlerGroup.
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName("");
      assertEquals(false, boolean0);
  }
}
