/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEMergeElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.XLinkSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class XLinkSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XLinkSupport xLinkSupport0 = new XLinkSupport();
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - false
   * 4 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I15 Branch 4 IFGT L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkType((Element) null, "type");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:type='type'
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 5 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 6 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 7 IFGT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkShow((Element) null, "");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:show=''
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 8 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 9 IFGT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("readonly.node", "readonly.node", "readonly.node");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEMergeElement sVGOMFEMergeElement0 = new SVGOMFEMergeElement("readonly.node", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkActuate((Element) sVGOMFEMergeElement0, "readonly.node");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:actuate='readonly.node'
         //
      }
  }
}
