/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.Rectangle2D;
import org.apache.batik.ext.awt.geom.AbstractSegment;
import org.apache.batik.ext.awt.geom.Cubic;
import org.apache.batik.ext.awt.geom.Linear;
import org.apache.batik.ext.awt.geom.Quadradic;
import org.apache.batik.ext.awt.geom.Segment;
import org.junit.BeforeClass;

public class CubicEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getSegment(DD)Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Cubic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Cubic.<init>(DDDDDDDD)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098));
      Cubic cubic1 = (Cubic)cubic0.splitBefore((-1207.8706056172098));
      assertEquals("M-1207.8706056172098,-1207.8706056172098C-1207.8706056172098,-1207.8706056172098 -1207.87158203125,-1207.87158203125 -1207.87158203125,-1207.87158203125", cubic1.toString());
      assertNotNull(cubic1);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.findRoots(D[D)I: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Cubic cubic0 = new Cubic();
      // Undeclared exception!
      try {
        cubic0.split(0.0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // fromIndex(0) > toIndex(-1)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.reverse()Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Cubic cubic0 = new Cubic(3.552713678800501E-15, 3.552713678800501E-15, 3.552713678800501E-15, 0.0, 0.0, 3.552713678800501E-15, 0.0, 3.552713678800501E-15);
      Cubic cubic1 = (Cubic)cubic0.reverse();
      assertEquals("M0.0,3.552713678800501E-15C0.0,3.552713678800501E-15 3.552713678800501E-15,0.0 3.552713678800501E-15,3.552713678800501E-15", cubic1.toString());
      assertNotNull(cubic1);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.maxX()D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic(0.0, 0.0, 0.0, 0.0, 0.0, 0.0);
      Linear linear0 = new Linear(0.0, 0.0, 0.0, 0.0);
      Cubic cubic0 = new Cubic(quadradic0.p2, quadradic0.p2, linear0.p1, quadradic0.p2);
      double double0 = cubic0.maxX();
      assertEquals(0.0, double0, 0.01D);
      assertEquals(0.0, cubic0.minY(), 0.01D);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.minX()D: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      double double0 = cubic0.minX();
      assertEquals(0.0, cubic0.maxX(), 0.01D);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408));
      double[] doubleArray0 = new double[4];
      AbstractSegment.solveCubic((-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408), doubleArray0);
      Cubic cubic0 = new Cubic((-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408), 0.0, (-956.9679276744408), (double) 0);
      String string0 = cubic0.toString();
      assertNotNull(string0);
      assertEquals("M-956.9679276744408,-956.9679276744408C-956.9679276744408,-956.9679276744408 -956.9679276744408,0.0 -956.9679276744408,0.0", string0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Linear linear0 = new Linear();
      Cubic cubic0 = new Cubic(linear0.p2, linear0.p2, linear0.p1, linear0.p2);
      Cubic cubic1 = (Cubic)cubic0.clone();
      assertNotNull(cubic1);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic1.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Cubic.maxY()D: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098), (-1207.8706056172098));
      double double0 = cubic0.maxY();
      assertEquals((-1207.8706056172098), double0, 0.01D);
      assertEquals((-1207.8706056172098), cubic0.minX(), 0.01D);
      assertEquals("M-1207.8706056172098,-1207.8706056172098C-1207.8706056172098,-1207.8706056172098 -1207.8706056172098,-1207.8706056172098 -1207.8706056172098,-1207.8706056172098", cubic0.toString());
  }

  //Test case number: 8
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 9 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 10 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 15 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 16 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I15 Branch 17 IFNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I88 Branch 18 IFNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      Quadradic quadradic0 = new Quadradic(333.43820225933, 333.43820225933, 333.43820225933, 333.43820225933, 333.43820225933, 333.43820225933);
      cubic0.subdivide(333.43820225933, (Segment) quadradic0, (Segment) cubic0);
      assertEquals("M0.0,0.0C0.0,0.0 -0.0,-0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 9
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 9 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 10 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 15 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I15 Branch 17 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I88 Branch 18 IFNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Cubic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 7 org.apache.batik.ext.awt.geom.Cubic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Quadradic quadradic0 = new Quadradic(0.0, 0.0, 0.0, 0.0, 0.0, 0.0);
      Cubic cubic0 = new Cubic(quadradic0.p1, quadradic0.p2, quadradic0.p1, quadradic0.p1);
      Linear linear0 = new Linear(cubic0.p1, cubic0.p4);
      cubic0.subdivide(0.0, (Segment) cubic0, (Segment) linear0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 10
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I80 Branch 3 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I84 Branch 4 IFLT L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I80 Branch 3 IFLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Quadradic quadradic0 = new Quadradic(0.0, 0.0, (-1239.9588294856542), 0.0, 0.0, (-1239.9588294856542));
      Cubic cubic0 = new Cubic(quadradic0.p2, quadradic0.p2, quadradic0.p1, quadradic0.p1);
      Rectangle2D.Double rectangle2D_Double1 = (Rectangle2D.Double)cubic0.getBounds2D();
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-1239.9588294856542,y=0.0,w=1239.9588294856542,h=0.0]", rectangle2D_Double1.toString());
      assertEquals(0.0, cubic0.maxX(), 0.01D);
      assertNotNull(rectangle2D_Double1);
  }

  //Test case number: 11
  /*
   * 8 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I84 Branch 4 IFLT L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I140 Branch 5 IFGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I140 Branch 5 IFGE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I152 Branch 6 IFLE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Cubic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Cubic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 7 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I84 Branch 4 IFLT L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Quadradic quadradic0 = new Quadradic(775.7841490806173, 0.0, 0.0, 775.7841490806173, 775.7841490806173, 0.0);
      Cubic cubic0 = new Cubic(quadradic0.p3, quadradic0.p2, quadradic0.p1, quadradic0.p1);
      Rectangle2D.Double rectangle2D_Double1 = (Rectangle2D.Double)cubic0.getBounds2D();
      assertEquals("java.awt.geom.Rectangle2D$Double[x=430.9911939336764,y=0.0,w=344.7929551469409,h=344.7929551469411]", rectangle2D_Double1.toString());
      assertNotNull(rectangle2D_Double1);
  }

  //Test case number: 12
  /*
   * 9 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I152 Branch 6 IFLE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.minY()D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I72 Branch 2 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I80 Branch 3 IFLE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I84 Branch 4 IFLT L-1 - true
   * 8 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I140 Branch 5 IFGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.Cubic.getMinMax(DDDD[D)V: I140 Branch 5 IFGE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Cubic cubic0 = new Cubic(97.66390187972988, 0.0, 0.0, 97.66390187972988, 97.66390187972988, (-1137.1418434131613), (-1137.1418434131613), 97.66390187972988);
      double double0 = cubic0.minY();
      assertEquals(97.66390187972988, cubic0.maxY(), 0.01D);
      assertEquals(97.66390187972988, cubic0.maxX(), 0.01D);
      assertEquals("M97.66390187972988,0.0C0.0,97.66390187972988 97.66390187972988,-1137.1418434131613 -1137.1418434131613,97.66390187972988", cubic0.toString());
      assertEquals((-454.8296461169704), double0, 0.01D);
  }

  //Test case number: 13
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 7 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 8 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 11 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 12 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I103 Branch 13 IFNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I162 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408));
      Cubic cubic0 = new Cubic((-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408), (-956.9679276744408));
      Linear linear0 = new Linear();
      cubic0.subdivide((Segment) linear0, (Segment) cubic0);
      assertEquals("M-956.9679276744408,-956.9679276744408C-956.9679276744408,-956.9679276744408 -956.9679276744408,-956.9679276744408 -956.9679276744408,-956.9679276744408", cubic0.toString());
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 7 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 8 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 11 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I103 Branch 13 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I162 Branch 14 IFNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      Quadradic quadradic0 = new Quadradic(333.43820225933, 333.43820225933, 333.43820225933, 333.43820225933, 333.43820225933, 333.43820225933);
      cubic0.subdivide((Segment) cubic0, (Segment) quadradic0);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I63 Branch 19 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.getLength(D)D: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      Cubic cubic0 = new Cubic((-1207.8706056172098), (-1207.8706056172098), 1109.1854972130136, 1109.1854972130136, (-1207.8706056172098), 1109.1854972130136, (-1207.8706056172098), 1109.1854972130136);
      double double0 = cubic0.getLength(1109.1854972130136);
      assertEquals(3955.462185531149, double0, 0.01D);
      assertEquals(3344.256924839129, cubic0.getLength(), 0.01D);
  }

  //Test case number: 16
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I78 Branch 20 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.getLength(D)D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.getLength()D: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I63 Branch 19 IFGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.subLength(DDD)D: I78 Branch 20 IFGE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(0.0, 0.0, 0.0, 0.0);
      Cubic cubic0 = new Cubic(942.2858153680904, 942.2858153680904, 942.2858153680904, 942.2858153680904, 942.2858153680904, 0.0, 0.0, 0.0);
      double double0 = cubic0.getLength();
      assertEquals(1494.828242396484, cubic0.getLength(), 0.01D);
      assertEquals("M942.2858153680904,942.2858153680904C942.2858153680904,942.2858153680904 942.2858153680904,0.0 0.0,0.0", cubic0.toString());
      assertEquals(1494.828242396484, double0, 0.01D);
  }

  //Test case number: 17
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 12 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>()V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 7 IFEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 8 IFEQ L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(Lorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 11 IFNONNULL L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      Cubic cubic0 = new Cubic();
      cubic0.subdivide((Segment) null, (Segment) null);
      assertEquals(0.0, cubic0.minY(), 0.01D);
  }

  //Test case number: 18
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I3 Branch 16 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Cubic.<init>(DDDDDDDD)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 9 IFEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 10 IFEQ L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Cubic.subdivide(DLorg/apache/batik/ext/awt/geom/Cubic;Lorg/apache/batik/ext/awt/geom/Cubic;)V: I1 Branch 15 IFNONNULL L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Cubic cubic0 = new Cubic(0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0);
      Linear linear0 = new Linear(0.0, 0.0, 0.0, 0.0);
      cubic0.subdivide(0.0, (Segment) linear0, (Segment) linear0);
      assertEquals("M0.0,0.0C0.0,0.0 0.0,0.0 0.0,0.0", cubic0.toString());
  }
}
