/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.io;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.FileDescriptor;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.PipedReader;
import java.io.PushbackInputStream;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import org.apache.batik.util.io.StreamNormalizingReader;
import org.junit.BeforeClass;

public class StreamNormalizingReaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.close()V: root-Branch
   * 2 org.apache.batik.util.io.StreamNormalizingReader$ISO_8859_1DecoderFactory.createCharDecoder(Ljava/io/InputStream;)Lorg/apache/batik/util/io/CharDecoder;: root-Branch
   * 3 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;)V: root-Branch
   * 4 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - false
   * 5 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      byte[] byteArray0 = new byte[7];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) byteArrayInputStream0);
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((InputStream) pushbackInputStream0);
      streamNormalizingReader0.close();
      assertEquals(-1, byteArrayInputStream0.read());
      assertEquals(1, streamNormalizingReader0.getLine());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.getColumn()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      PipedInputStream pipedInputStream0 = new PipedInputStream(pipedOutputStream0, 11);
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((InputStream) pipedInputStream0);
      streamNormalizingReader0.getColumn();
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - true
   * 2 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I17 Branch 9 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      FileDescriptor fileDescriptor0 = FileDescriptor.out;
      FileInputStream fileInputStream0 = new FileInputStream(fileDescriptor0);
      StreamNormalizingReader streamNormalizingReader0 = null;
      try {
        streamNormalizingReader0 = new StreamNormalizingReader((InputStream) fileInputStream0, "g*");
        fail("Expecting exception: UnsupportedEncodingException");
      
      } catch(UnsupportedEncodingException e) {
         //
         // g*
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.read()I: I5 Branch 2 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/Reader;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PipedReader pipedReader0 = new PipedReader();
      BufferedReader bufferedReader0 = new BufferedReader((Reader) pipedReader0);
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((Reader) bufferedReader0);
      char[] charArray0 = new char[10];
      charArray0[0] = 'T';
      charArray0[1] = 'T';
      charArray0[6] = 'T';
      char[] charArray1 = new char[1];
      charArray1[0] = 'T';
      try {
        streamNormalizingReader0.read(charArray1, (int) 'T', (int) 'T');
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 4
  /*
   * 8 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.read()I: I38 Branch 4 LOOKUPSWITCH L-1 Case 10 - false
   * 2 org.apache.batik.util.io.StreamNormalizingReader.read()I: I38 Branch 5 LOOKUPSWITCH L-1 Case 13 - false
   * 3 org.apache.batik.util.io.StreamNormalizingReader.read()I: I38 Branch 6 LOOKUPSWITCH L-1 Default-Case - true
   * 4 org.apache.batik.util.io.StreamNormalizingReader$ISO_8859_1DecoderFactory.createCharDecoder(Ljava/io/InputStream;)Lorg/apache/batik/util/io/CharDecoder;: root-Branch
   * 5 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;)V: root-Branch
   * 6 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - false
   * 7 org.apache.batik.util.io.StreamNormalizingReader.read()I: I5 Branch 2 IF_ICMPEQ L-1 - true
   * 8 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      byte[] byteArray0 = new byte[4];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((InputStream) byteArrayInputStream0);
      char[] charArray0 = new char[4];
      int int0 = streamNormalizingReader0.read(charArray0);
      assertEquals(0, byteArrayInputStream0.available());
      assertEquals(2, int0);
  }
}
