/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.xml;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.PrintWriter;
import org.apache.batik.xml.XMLException;
import org.junit.BeforeClass;

public class XMLExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintWriter;)V: I2 Branch 5 IFNONNULL L-1 - true
   * 2 org.apache.batik.xml.XMLException.<init>(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.xml.XMLException.<init>(Ljava/lang/Exception;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XMLException xMLException0 = new XMLException("if");
      XMLException xMLException1 = new XMLException((Exception) xMLException0);
      // Undeclared exception!
      try {
        xMLException1.printStackTrace((PrintWriter) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintWriter;)V: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      XMLException xMLException0 = new XMLException("_Zk");
      // Undeclared exception!
      try {
        xMLException0.printStackTrace((PrintWriter) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintStream;)V: I2 Branch 4 IFNONNULL L-1 - true
   * 2 org.apache.batik.xml.XMLException.printStackTrace()V: I2 Branch 3 IFNONNULL L-1 - true
   * 3 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - true
   * 4 org.apache.batik.xml.XMLException.<init>(Ljava/lang/String;Ljava/lang/Exception;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XMLException xMLException0 = new XMLException("*^4v.9jV;cm");
      XMLException xMLException1 = new XMLException("*^4v.9jV;cm", (Exception) xMLException0);
      // Undeclared exception!
      try {
        xMLException1.printStackTrace();
        fail("Expecting exception: StackOverflowError");
      
      } catch(StackOverflowError e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.xml.XMLException.printStackTrace(Ljava/io/PrintStream;)V: I2 Branch 4 IFNONNULL L-1 - false
   * 2 org.apache.batik.xml.XMLException.printStackTrace()V: I2 Branch 3 IFNONNULL L-1 - false
   * 3 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      XMLException xMLException0 = new XMLException("KsYKtHhLAJ?9C7 ");
      xMLException0.printStackTrace();
      assertEquals("KsYKtHhLAJ?9C7 ", xMLException0.getLocalizedMessage());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I7 Branch 2 IFNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Exception exception0 = new Exception("");
      XMLException xMLException0 = new XMLException(exception0);
      String string0 = xMLException0.toString();
      assertNotNull(string0);
      assertEquals("org.apache.batik.xml.XMLException: ", string0);
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I7 Branch 2 IFNULL L-1 - true
   * 2 org.apache.batik.xml.XMLException.<init>(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.xml.XMLException.getException()Ljava/lang/Exception;: root-Branch
   * 4 org.apache.batik.xml.XMLException.<init>(Ljava/lang/Exception;)V: root-Branch
   * 5 org.apache.batik.xml.XMLException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      XMLException xMLException0 = new XMLException("");
      xMLException0.getException();
      XMLException xMLException1 = new XMLException((Exception) null);
      String string0 = xMLException1.toString();
      assertEquals("org.apache.batik.xml.XMLException", string0);
  }
}
