/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGAnimateTransformElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.apache.batik.dom.events.DOMMutationEvent;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.AnimatedLiveAttributeValue;
import org.apache.batik.dom.svg.SVGOMAnimatedString;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.events.MutationEvent;
import org.w3c.dom.svg.SVGElement;

public class SVGAnimationElementBridgeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.getPixelToMM()F: root-Branch
   * 3 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.getPixelToMM();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getTargetElement()Lorg/w3c/dom/svg/SVGElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      SVGElement sVGElement0 = sVGSetElementBridge0.getTargetElement();
      assertNull(sVGElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMNodeInsertedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      sVGAnimateTransformElementBridge0.handleDOMNodeInsertedEvent((MutationEvent) dOMMutationEvent0);
      assertNull(dOMMutationEvent0.getAttrName());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleOtherAnimationChanged(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.handleOtherAnimationChanged("");
      assertEquals(0.0F, sVGAnimateTransformElementBridge0.getFontSize(), 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleAnimatedAttributeChanged(Lorg/apache/batik/dom/svg/AnimatedLiveAttributeValue;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) null, "c[Pvj:Pkmuq^x", "c[Pvj:Pkmuq^x");
      sVGSetElementBridge0.handleAnimatedAttributeChanged((AnimatedLiveAttributeValue) sVGOMAnimatedString0);
      assertEquals("c[Pvj:Pkmuq^x", sVGOMAnimatedString0.getNamespaceURI());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.svgToUserSpace(FII)F: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      float float0 = sVGAnimateTransformElementBridge0.svgToUserSpace(92.38384F, (-1036), (-1036));
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.setScreenTransform(Ljava/awt/geom/AffineTransform;)V: root-Branch
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.getCTM()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.getCTM();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.setScreenTransform((AffineTransform) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.endElementAt(F)Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.endElementAt(1131.4957F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getBBox()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      Rectangle2D rectangle2D0 = sVGAnimateTransformElementBridge0.getBBox();
      assertNull(rectangle2D0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getViewportWidth()F: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      // Undeclared exception!
      try {
        sVGSetElementBridge0.getViewportWidth();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getTimedElement()Lorg/apache/batik/anim/timing/TimedElement;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      TimedElement timedElement0 = sVGAnimateMotionElementBridge0.getTimedElement();
      assertNull(timedElement0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.beginElementAt(F)Z: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateMotionElementBridge0.beginElementAt(180.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getScreenTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.getScreenTransform();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getGlobalTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      AffineTransform affineTransform0 = sVGSetElementBridge0.getGlobalTransform();
      assertNull(affineTransform0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getFontSize()F: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      float float0 = sVGAnimateMotionElementBridge0.getFontSize();
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getUnderlyingValue()Lorg/apache/batik/anim/values/AnimatableValue;: I2 Branch 4 IFNE L-1 - false
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      // Undeclared exception!
      try {
        sVGSetElementBridge0.getUnderlyingValue();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
