/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.FloatValue;
import org.apache.batik.css.engine.value.RectValue;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringMap;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontWeightManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.TextAnchorManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMFEBlendElement;
import org.apache.batik.dom.svg.SVGOMForeignObjectElement;
import org.apache.batik.dom.svg.SVGOMPatternElement;
import org.apache.batik.dom.svg.SVGOMPolygonElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.BatikHistogramNormalizationElement;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.css.sac.Parser;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class FontWeightManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 12 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      try {
        fontWeightManager0.createFloatValue((short) (-580), (short) (-580));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '-580' represents an invalid value for the 'font-weight' property.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      int int0 = fontWeightManager0.getPropertyType();
      assertEquals(28, int0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isAdditiveProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      StringMap stringMap0 = fontWeightManager0.getIdentifiers();
      assertNotNull(stringMap0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.SZ_8PT_LU;
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        fontWeightManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"font-weight\" property does not support point values.
         //
      }
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 24 IF_ACMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I38 Branch 26 IF_ACMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I74 Branch 28 IF_ACMPNE L-1 - false
   * 4 org.apache.batik.css.engine.value.css2.FontWeightManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      StringValue stringValue0 = (StringValue)fontWeightManager0.getDefaultValue();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("", (AbstractDocument) sVG12OMDocument0);
      sVG12OMDocument0.getCSSEngine();
      SVGOMFEBlendElement sVGOMFEBlendElement0 = new SVGOMFEBlendElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMFEBlendElement0.getComputedStyleMap("");
      FloatValue floatValue0 = (FloatValue)fontWeightManager0.computeValue((CSSStylableElement) sVGOMPatternElement0, "", (CSSEngine) null, (int) (short)633, (StyleMap) null, (Value) stringValue0);
      assertEquals("400", floatValue0.getCssText());
  }

  //Test case number: 8
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I74 Branch 28 IF_ACMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I80 Branch 29 IF_ACMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.css.engine.value.css2.FontWeightManager.<init>()V: root-Branch
   * 5 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 24 IF_ACMPNE L-1 - true
   * 6 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I38 Branch 26 IF_ACMPNE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      BatikHistogramNormalizationElement batikHistogramNormalizationElement0 = new BatikHistogramNormalizationElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMForeignObjectElement sVGOMForeignObjectElement0 = new SVGOMForeignObjectElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMForeignObjectElement0.getCSSBase();
      ExtendedParserWrapper extendedParserWrapper0 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((Parser) null);
      ValueManager[] valueManagerArray0 = new ValueManager[8];
      valueManagerArray0[0] = (ValueManager) fontWeightManager0;
      valueManagerArray0[1] = (ValueManager) fontWeightManager0;
      valueManagerArray0[2] = (ValueManager) fontWeightManager0;
      valueManagerArray0[3] = (ValueManager) fontWeightManager0;
      valueManagerArray0[4] = (ValueManager) fontWeightManager0;
      valueManagerArray0[5] = (ValueManager) fontWeightManager0;
      TextAnchorManager textAnchorManager0 = new TextAnchorManager();
      valueManagerArray0[6] = (ValueManager) textAnchorManager0;
      valueManagerArray0[7] = (ValueManager) fontWeightManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[9];
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) fontShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[2] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) marginShorthandManager0;
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[5] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[7] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[8] = (ShorthandManager) fontShorthandManager0;
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12CSSEngine sVG12CSSEngine0 = new SVG12CSSEngine((Document) sVG12OMDocument0, (ParsedURL) null, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0, (CSSContext) bridgeContext0);
      SVGOMPolygonElement sVGOMPolygonElement0 = new SVGOMPolygonElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMPolygonElement0.getComputedStyleMap("");
      RectValue rectValue0 = new RectValue((Value) null, (Value) null, (Value) null, (Value) null);
      RectValue rectValue1 = (RectValue)fontWeightManager0.computeValue((CSSStylableElement) batikHistogramNormalizationElement0, "", (CSSEngine) sVG12CSSEngine0, (int) (short)184, (StyleMap) null, (Value) rectValue0);
      assertNotNull(rectValue1);
      assertEquals("font-weight", fontWeightManager0.getPropertyName());
  }
}
