/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.DocumentDescriptor;
import org.apache.batik.dom.util.SAXDocumentFactory;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.xml.sax.Attributes;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.Attributes2Impl;
import org.xml.sax.ext.Locator2Impl;
import org.xml.sax.helpers.LocatorImpl;

public class SAXDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory$ProcessingInstructionInfo.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 43 IFEQ L-1 - true
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I9 Branch 44 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Found: ");
      // Undeclared exception!
      try {
        sAXDocumentFactory0.processingInstruction("Found: ", "Found: ");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "http://xml.org/sax/properties/lexical-handler");
      try {
        sAXDocumentFactory0.createDocument("http://xml.org/sax/properties/lexical-handler", "http://xml.org/sax/properties/lexical-handler", "http://xml.org/sax/properties/lexical-handler");
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class http://xml.org/sax/properties/lexical-handler not found
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setDocumentLocator(Lorg/xml/sax/Locator;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Could not create SAXParser: ");
      LocatorImpl locatorImpl0 = new LocatorImpl();
      sAXDocumentFactory0.setDocumentLocator((Locator) locatorImpl0);
      assertNull(locatorImpl0.getPublicId());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.warning(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Could not create SAXParser: ");
      sAXDocumentFactory0.warning((SAXParseException) null);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDocumentDescriptor()Lorg/apache/batik/dom/util/DocumentDescriptor;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "aO7I%f/*/mh0#<v5um", false);
      DocumentDescriptor documentDescriptor0 = sAXDocumentFactory0.getDocumentDescriptor();
      assertNull(documentDescriptor0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.ignorableWhitespace([CII)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "Could not create SAXParser: ");
      char[] charArray0 = new char[10];
      // Undeclared exception!
      try {
        sAXDocumentFactory0.ignorableWhitespace(charArray0, (int) '\u0000', (int) 'q');
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.characters([CII)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "");
      char[] charArray0 = new char[9];
      sAXDocumentFactory0.characters(charArray0, (int) '\u0000', (int) '\u0000');
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "Haqr{_");
      GenericDOMImplementation genericDOMImplementation1 = (GenericDOMImplementation)sAXDocumentFactory0.getDOMImplementation("Haqr{_");
      assertSame(genericDOMImplementation1, genericDOMImplementation0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endCDATA()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Found: ");
      sAXDocumentFactory0.endCDATA();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endDTD()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "http://xml.org/sax/properties/lexical-handler");
      sAXDocumentFactory0.endDTD();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startCDATA()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Could not create SAXParser: ");
      sAXDocumentFactory0.startCDATA();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Found: ");
      sAXDocumentFactory0.endEntity("Found: ");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setValidating(Z)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Could not create SAXParser: ");
      sAXDocumentFactory0.setValidating(true);
      assertEquals(true, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.error(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "left.curly.brace");
      Locator2Impl locator2Impl0 = new Locator2Impl();
      SAXParseException sAXParseException0 = new SAXParseException("left.curly.brace", (Locator) locator2Impl0);
      try {
        sAXDocumentFactory0.error(sAXParseException0);
        fail("Expecting exception: SAXParseException");
      
      } catch(SAXParseException e) {
         //
         // left.curly.brace
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.isValidating()Z: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "Root element namespace does not match that requested:\nRequested: ");
      boolean boolean0 = sAXDocumentFactory0.isValidating();
      assertEquals(false, boolean0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDocument()V: I58 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "Could not create SAXParser: ");
      sAXDocumentFactory0.startDocument();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 38 IFNULL L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "Haqr{_");
      // Undeclared exception!
      try {
        sAXDocumentFactory0.endElement("Haqr{_", "Haqr{_", "Haqr{_");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 17
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I1 Branch 19 IFEQ L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I12 Branch 20 IFEQ L-1 - true
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "", false);
      Attributes2Impl attributes2Impl0 = new Attributes2Impl();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.startElement("", "", "", (Attributes) attributes2Impl0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 18
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.comment([CII)V: I2 Branch 45 IFEQ L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.comment([CII)V: I16 Branch 46 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory$CommentInfo.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "WND");
      char[] charArray0 = new char[9];
      // Undeclared exception!
      try {
        sAXDocumentFactory0.comment(charArray0, (int) '\u0000', (int) '\u0000');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 43 IFEQ L-1 - false
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test19()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "Could not create SAXParser: ");
      sAXDocumentFactory0.startDTD("Could not create SAXParser: ", "Could not create SAXParser: ", "Could not create SAXParser: ");
      sAXDocumentFactory0.processingInstruction("Could not create SAXParser: ", "Could not create SAXParser: ");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }
}
