/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleDeclaration;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class StyleDeclarationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.getValue(I)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.StyleDeclaration.getIndex(I)I: root-Branch
   * 3 org.apache.batik.css.engine.StyleDeclaration.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      styleDeclaration0.getIndex(0);
      Value value0 = styleDeclaration0.getValue(0);
      assertNull(value0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.StyleDeclaration.getPriority(I)Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      styleDeclaration0.getIndex(0);
      boolean boolean0 = styleDeclaration0.getPriority(0);
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.StyleDeclaration.size()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      int int0 = styleDeclaration0.size();
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.remove(I)V: root-Branch
   * 2 org.apache.batik.css.engine.StyleDeclaration.getIndex(I)I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      styleDeclaration0.getIndex(0);
      // Undeclared exception!
      try {
        styleDeclaration0.remove(0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I64 Branch 2 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I70 Branch 3 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I72 Branch 4 IFNE L-1 - false
   * 4 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I78 Branch 5 IF_ICMPNE L-1 - false
   * 5 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I5 Branch 1 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I64 Branch 2 IF_ICMPGE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      styleDeclaration0.append((Value) null, (-1), false);
      styleDeclaration0.append((Value) null, (-1), false);
      assertEquals(1, styleDeclaration0.size());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: I14 Branch 6 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.css.engine.StyleDeclaration.<init>()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0);
      String string0 = styleDeclaration0.toString((CSSEngine) sVG12CSSEngine0);
      assertEquals("", string0);
      assertNotNull(string0);
  }
}
