/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.StyleDeclaration;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.css2.UnicodeBidiManager;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class StyleDeclarationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.getIndex(I)I: root-Branch
   * 2 org.apache.batik.css.engine.StyleDeclaration.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      int int0 = styleDeclaration0.getIndex(0);
      assertEquals(0, int0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.StyleDeclaration.remove(I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      // Undeclared exception!
      try {
        styleDeclaration0.remove(0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.put(ILorg/apache/batik/css/engine/value/Value;IZ)V: root-Branch
   * 2 org.apache.batik.css.engine.StyleDeclaration.getValue(I)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      styleDeclaration0.getValue(0);
      styleDeclaration0.put(0, (Value) null, 0, false);
      assertEquals(0, styleDeclaration0.size());
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I64 Branch 2 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I70 Branch 3 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I72 Branch 4 IFNE L-1 - true
   * 4 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I5 Branch 1 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I64 Branch 2 IF_ICMPGE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      UnicodeBidiManager unicodeBidiManager0 = new UnicodeBidiManager();
      StringValue stringValue0 = (StringValue)unicodeBidiManager0.getDefaultValue();
      styleDeclaration0.append((Value) stringValue0, 8908, true);
      styleDeclaration0.append((Value) stringValue0, 8908, true);
      assertEquals(1, styleDeclaration0.size());
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I70 Branch 3 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I5 Branch 1 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I64 Branch 2 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.css.engine.StyleDeclaration.append(Lorg/apache/batik/css/engine/value/Value;IZ)V: I64 Branch 2 IF_ICMPGE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      UnicodeBidiManager unicodeBidiManager0 = new UnicodeBidiManager();
      StringValue stringValue0 = (StringValue)unicodeBidiManager0.getDefaultValue();
      styleDeclaration0.append((Value) stringValue0, 8908, true);
      styleDeclaration0.append((Value) stringValue0, 0, true);
      assertEquals(2, styleDeclaration0.size());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.StyleDeclaration.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: I14 Branch 6 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.css.engine.StyleDeclaration.<init>()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      StyleDeclaration styleDeclaration0 = new StyleDeclaration();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("uri.malformed", "uri.malformed", "uri.malformed");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      String string0 = styleDeclaration0.toString((CSSEngine) null);
      assertEquals("", string0);
  }
}
