/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.sac.CSSAndCondition;
import org.apache.batik.css.engine.sac.CSSAttributeCondition;
import org.apache.batik.css.engine.sac.CSSBeginHyphenAttributeCondition;
import org.apache.batik.css.engine.sac.CSSClassCondition;
import org.apache.batik.css.engine.sac.CSSConditionFactory;
import org.apache.batik.css.engine.sac.CSSIdCondition;
import org.apache.batik.css.engine.sac.CSSLangCondition;
import org.apache.batik.css.engine.sac.CSSOneOfAttributeCondition;
import org.apache.batik.css.engine.sac.CSSPseudoClassCondition;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.Condition;

public class CSSConditionFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createPseudoClassCondition(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.<init>(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("=)6Nwt>7cEi<AeH", "=)6Nwt>7cEi<AeH", "=)6Nwt>7cEi<AeH", "=)6Nwt>7cEi<AeH");
      CSSPseudoClassCondition cSSPseudoClassCondition0 = (CSSPseudoClassCondition)cSSConditionFactory0.createPseudoClassCondition("=)6Nwt>7cEi<AeH", "=)6Nwt>7cEi<AeH");
      assertEquals("=)6Nwt>7cEi<AeH", cSSPseudoClassCondition0.getNamespaceURI());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOneOfAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ");
      CSSOneOfAttributeCondition cSSOneOfAttributeCondition0 = (CSSOneOfAttributeCondition)cSSConditionFactory0.createOneOfAttributeCondition("9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ", true, "9sfu(xf4D.i%$mBdqJ");
      assertEquals(true, cSSOneOfAttributeCondition0.getSpecified());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createPositionalCondition(IZZ)Lorg/w3c/css/sac/PositionalCondition;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      try {
        cSSConditionFactory0.createPositionalCondition(0, true, true);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("ajB<e.$qEnNd6Ngw", "ajB<e.$qEnNd6Ngw", "ajB<e.$qEnNd6Ngw", "ajB<e.$qEnNd6Ngw");
      CSSAttributeCondition cSSAttributeCondition0 = (CSSAttributeCondition)cSSConditionFactory0.createAttributeCondition("ajB<e.$qEnNd6Ngw", "ajB<e.$qEnNd6Ngw", true, "ajB<e.$qEnNd6Ngw");
      assertEquals(true, cSSAttributeCondition0.getSpecified());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createNegativeCondition(Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/NegativeCondition;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory(":lang(", ":lang(", ":lang(", ":lang(");
      try {
        cSSConditionFactory0.createNegativeCondition((Condition) null);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOnlyTypeCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      try {
        cSSConditionFactory0.createOnlyTypeCondition();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createContentCondition(Ljava/lang/String;)Lorg/w3c/css/sac/ContentCondition;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ");
      try {
        cSSConditionFactory0.createContentCondition("9sfu(xf4D.i%$mBdqJ");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createAndCondition(Lorg/w3c/css/sac/Condition;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/CombinatorCondition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.createClassCondition(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ");
      CSSClassCondition cSSClassCondition0 = (CSSClassCondition)cSSConditionFactory0.createClassCondition("9sfu(xf4D.i%$mBdqJ", "9sfu(xf4D.i%$mBdqJ");
      CSSAndCondition cSSAndCondition0 = (CSSAndCondition)cSSConditionFactory0.createAndCondition((Condition) cSSClassCondition0, (Condition) cSSClassCondition0);
      assertEquals(512, cSSAndCondition0.getSpecificity());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createIdCondition(Ljava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      CSSIdCondition cSSIdCondition0 = (CSSIdCondition)cSSConditionFactory0.createIdCondition("");
      assertEquals(65536, cSSIdCondition0.getSpecificity());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOrCondition(Lorg/w3c/css/sac/Condition;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/CombinatorCondition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.createLangCondition(Ljava/lang/String;)Lorg/w3c/css/sac/LangCondition;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      CSSLangCondition cSSLangCondition0 = (CSSLangCondition)cSSConditionFactory0.createLangCondition("");
      try {
        cSSConditionFactory0.createOrCondition((Condition) cSSLangCondition0, (Condition) cSSLangCondition0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createBeginHyphenAttributeCondition(Ljava/lang/String;Ljava/lang/String;ZLjava/lang/String;)Lorg/w3c/css/sac/AttributeCondition;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      CSSBeginHyphenAttributeCondition cSSBeginHyphenAttributeCondition0 = (CSSBeginHyphenAttributeCondition)cSSConditionFactory0.createBeginHyphenAttributeCondition("", "", true, "");
      assertEquals(true, cSSBeginHyphenAttributeCondition0.getSpecified());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionFactory.createOnlyChildCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionFactory.<init>(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      CSSConditionFactory cSSConditionFactory0 = new CSSConditionFactory("", "", "", "");
      try {
        cSSConditionFactory0.createOnlyChildCondition();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }
}
