/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.LinkedHashSet;
import java.util.Set;
import org.apache.batik.css.engine.sac.CSSClassCondition;
import org.apache.batik.css.engine.sac.CSSConditionalSelector;
import org.apache.batik.css.engine.sac.CSSElementSelector;
import org.apache.batik.css.engine.sac.CSSLangCondition;
import org.apache.batik.css.engine.sac.CSSOneOfAttributeCondition;
import org.apache.batik.css.parser.DefaultConditionalSelector;
import org.apache.batik.css.parser.DefaultPseudoClassCondition;
import org.apache.batik.util.SVGConstants;
import org.junit.BeforeClass;
import org.w3c.css.sac.Condition;
import org.w3c.css.sac.SimpleSelector;

public class CSSConditionalSelectorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSpecificity()I: root-Branch
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   * 4 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSElementSelector cSSElementSelector0 = new CSSElementSelector("<,HPF{Kif,z", "<,HPF{Kif,z");
      CSSClassCondition cSSClassCondition0 = new CSSClassCondition("<,HPF{Kif,z", "<,HPF{Kif,z", "<,HPF{Kif,z");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) cSSElementSelector0, (Condition) cSSClassCondition0);
      int int0 = cSSConditionalSelector0.getSpecificity();
      assertEquals(257, int0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.fillAttributeSet(Ljava/util/Set;)V: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CSSOneOfAttributeCondition cSSOneOfAttributeCondition0 = new CSSOneOfAttributeCondition(">MT", ">MT", false, ">MT");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) cSSOneOfAttributeCondition0);
      LinkedHashSet<CSSLangCondition> linkedHashSet0 = new LinkedHashSet<CSSLangCondition>();
      // Undeclared exception!
      try {
        cSSConditionalSelector0.fillAttributeSet((Set) linkedHashSet0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultPseudoClassCondition defaultPseudoClassCondition0 = new DefaultPseudoClassCondition("", "");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) defaultPseudoClassCondition0);
      String string0 = cSSConditionalSelector0.toString();
      assertNotNull(string0);
      assertEquals("null:", string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSelectorType()S: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DefaultConditionalSelector defaultConditionalSelector0 = new DefaultConditionalSelector((SimpleSelector) null, (Condition) null);
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) defaultConditionalSelector0, (Condition) null);
      short short0 = cSSConditionalSelector0.getSelectorType();
      assertEquals((short)0, short0);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I1 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I6 Branch 2 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSOneOfAttributeCondition cSSOneOfAttributeCondition0 = new CSSOneOfAttributeCondition(">MT", ">MT", false, ">MT");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) cSSOneOfAttributeCondition0);
      String string0 = SVGConstants.SVG_NAME_ATTRIBUTE;
      boolean boolean0 = cSSConditionalSelector0.equals((Object) "name");
      assertEquals(false, boolean0);
  }
}
