/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.SrcManager;
import org.apache.batik.css.engine.value.css2.UnicodeBidiManager;
import org.apache.batik.css.engine.value.svg.AlignmentBaselineManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.WritingModeManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMPolygonElement;
import org.apache.batik.dom.svg.SVGOMTSpanElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.extension.svg.FlowRegionBreakElement;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class AbstractValueManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      AlignmentBaselineManager alignmentBaselineManager0 = new AlignmentBaselineManager();
      try {
        alignmentBaselineManager0.createFloatValue((short) (-1414), (short) (-1414));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"alignment-baseline\" property.
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I7 Branch 2 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      WritingModeManager writingModeManager0 = new WritingModeManager();
      SrcManager srcManager0 = new SrcManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("BrowserForward", "BrowserForward", "BrowserForward");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPolygonElement sVGOMPolygonElement0 = new SVGOMPolygonElement("BrowserForward", (AbstractDocument) sVGOMDocument0);
      FlowRegionBreakElement flowRegionBreakElement0 = new FlowRegionBreakElement("BrowserForward", (AbstractDocument) sVGOMDocument0);
      flowRegionBreakElement0.getCSSBase();
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ValueManager[] valueManagerArray0 = new ValueManager[9];
      valueManagerArray0[0] = (ValueManager) writingModeManager0;
      valueManagerArray0[1] = (ValueManager) srcManager0;
      valueManagerArray0[2] = (ValueManager) writingModeManager0;
      valueManagerArray0[3] = (ValueManager) srcManager0;
      valueManagerArray0[4] = (ValueManager) srcManager0;
      valueManagerArray0[5] = (ValueManager) srcManager0;
      valueManagerArray0[6] = (ValueManager) writingModeManager0;
      valueManagerArray0[7] = (ValueManager) srcManager0;
      UnicodeBidiManager unicodeBidiManager0 = new UnicodeBidiManager();
      valueManagerArray0[8] = (ValueManager) unicodeBidiManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[10];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) marginShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[7] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[8] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[9] = (ShorthandManager) fontShorthandManager0;
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = new SVG12CSSEngine((Document) sVGOMDocument0, (ParsedURL) null, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0, (CSSContext) bridgeContext0);
      SVGOMTSpanElement sVGOMTSpanElement0 = new SVGOMTSpanElement("BrowserForward", (AbstractDocument) sVGOMDocument0);
      sVGOMTSpanElement0.getComputedStyleMap("BrowserForward");
      StringValue stringValue0 = new StringValue((short) (-1989), "BrowserForward");
      StringValue stringValue1 = (StringValue)srcManager0.computeValue((CSSStylableElement) sVGOMPolygonElement0, "BrowserForward", (CSSEngine) sVG12CSSEngine0, (-1844), (StyleMap) null, (Value) stringValue0);
      assertEquals(1, stringValue1.getCssValueType());
  }
}
