/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.PipedReader;
import java.io.Reader;
import java.util.Locale;
import org.apache.batik.css.parser.CSSSACMediaList;
import org.apache.batik.css.parser.CSSSelectorList;
import org.apache.batik.css.parser.DefaultDocumentHandler;
import org.apache.batik.css.parser.DefaultSelectorFactory;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.CSSParseException;
import org.w3c.css.sac.DocumentHandler;
import org.w3c.css.sac.InputSource;
import org.w3c.css.sac.Parser;
import org.w3c.css.sac.SelectorFactory;

public class ExtendedParserWrapperEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleDeclaration(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) null);
      PipedReader pipedReader0 = new PipedReader();
      InputSource inputSource0 = new InputSource((Reader) pipedReader0);
      // Undeclared exception!
      try {
        extendedParserWrapper0.parseStyleDeclaration(inputSource0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setSelectorFactory(Lorg/w3c/css/sac/SelectorFactory;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      extendedParserWrapper0.setSelectorFactory((SelectorFactory) defaultSelectorFactory0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseSelectors(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/SelectorList;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      InputSource inputSource0 = new InputSource("");
      try {
        extendedParserWrapper0.parseSelectors(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePriority(Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      // Undeclared exception!
      try {
        extendedParserWrapper0.parsePriority("SVGConverter.error.cannot.compute.destination");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Ljava/lang/String;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      try {
        extendedParserWrapper0.parsePropertyValue(" + ");
        fail("Expecting exception: CSSParseException");
      
      } catch(CSSParseException e) {
         //
         // Unexpected token: 17 (see LexicalUnits).
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleSheet(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      InputSource inputSource0 = new InputSource();
      try {
        extendedParserWrapper0.parseStyleSheet(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      Locale locale0 = Locale.CHINA;
      extendedParserWrapper0.setLocale(locale0);
      assertEquals("zh", locale0.getLanguage());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseSelectors(Ljava/lang/String;)Lorg/w3c/css/sac/SelectorList;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      CSSSelectorList cSSSelectorList0 = (CSSSelectorList)extendedParserWrapper0.parseSelectors("java.lang.Object");
      assertEquals(1, cSSSelectorList0.getLength());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      InputSource inputSource0 = new InputSource(" ,");
      try {
        extendedParserWrapper0.parsePropertyValue(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setDocumentHandler(Lorg/w3c/css/sac/DocumentHandler;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      DefaultDocumentHandler defaultDocumentHandler0 = (DefaultDocumentHandler)DefaultDocumentHandler.INSTANCE;
      extendedParserWrapper0.setDocumentHandler((DocumentHandler) defaultDocumentHandler0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.wrap(Lorg/w3c/css/sac/Parser;)Lorg/apache/batik/css/parser/ExtendedParser;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      ExtendedParserWrapper extendedParserWrapper0 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((Parser) null);
      assertNotNull(extendedParserWrapper0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.wrap(Lorg/w3c/css/sac/Parser;)Lorg/apache/batik/css/parser/ExtendedParser;: I2 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      org.apache.batik.css.parser.Parser parser1 = (org.apache.batik.css.parser.Parser)ExtendedParserWrapper.wrap((Parser) parser0);
      assertSame(parser0, parser1);
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I7 Branch 2 IFGT L-1 - false
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I17 Branch 3 IFEQ L-1 - true
   * 3 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      org.apache.batik.css.parser.Parser parser0 = new org.apache.batik.css.parser.Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) parser0);
      CSSSACMediaList cSSSACMediaList0 = (CSSSACMediaList)extendedParserWrapper0.parseMedia("");
      assertEquals(0, cSSSACMediaList0.getLength());
  }
}
