/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.svg.ColorManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.events.DocumentEventSupport;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGDOMImplementationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.getUserAgentStyleSheet()Lorg/w3c/dom/css/CSSStyleSheet;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation.initLocalizable()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      // Undeclared exception!
      try {
        sVGDOMImplementation0.getUserAgentStyleSheet();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // StyleSheetFactory.getUserAgentStyleSheet is not implemented
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createDocumentEventSupport()Lorg/apache/batik/dom/events/DocumentEventSupport;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation$1.<init>(Lorg/apache/batik/dom/svg/SVGDOMImplementation;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation$2.<init>(Lorg/apache/batik/dom/svg/SVGDOMImplementation;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      DocumentEventSupport documentEventSupport0 = sVGDOMImplementation0.createDocumentEventSupport();
      assertNotNull(documentEventSupport0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createCSSStyleDeclaration()Lorg/w3c/dom/css/CSSStyleDeclaration;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      // Undeclared exception!
      try {
        sVGDOMImplementation0.createCSSStyleDeclaration();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // CSSStyleDeclarationFactory.createCSSStyleDeclaration is not implemented
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createCSSStyleSheet(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/css/CSSStyleSheet;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      // Undeclared exception!
      try {
        sVGDOMImplementation0.createCSSStyleSheet("X>JfD]xzt+jjE0z#wn^", "X>JfD]xzt+jjE0z#wn^");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // DOMImplementationCSS.createCSSStyleSheet is not implemented
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createDocument(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/DocumentType;)Lorg/w3c/dom/Document;: I7 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I3 Branch 3 IFLE L-1 - true
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation.createDocumentType(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/DocumentType;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("[CompositeRule: IN]", "[CompositeRule: IN]", "[CompositeRule: IN]");
      try {
        sVGDOMImplementation0.createDocument("[CompositeRule: IN]", "[CompositeRule: IN]", (DocumentType) genericDocumentType0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"[CompositeRule: IN]\") is an invalid XML name.
         //
      }
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;Lorg/apache/batik/css/parser/ExtendedParser;[Lorg/apache/batik/css/engine/value/ValueManager;[Lorg/apache/batik/css/engine/value/ShorthandManager;)Lorg/apache/batik/css/engine/CSSEngine;: I20 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation.initLocalizable()V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGDOMImplementation.getDOMImplementation()Lorg/w3c/dom/DOMImplementation;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ValueManager[] valueManagerArray0 = new ValueManager[1];
      ColorManager colorManager0 = new ColorManager();
      valueManagerArray0[0] = (ValueManager) colorManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[8];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) fontShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[7] = (ShorthandManager) marginShorthandManager0;
      SVGCSSEngine sVGCSSEngine0 = (SVGCSSEngine)sVGDOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0);
      assertEquals(22, sVGCSSEngine0.getFontSizeIndex());
  }
}
