/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAnimatedEnumeration;
import org.apache.batik.dom.svg.SVGOMAnimatedInteger;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFETurbulenceElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMFETurbulenceElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.getNumOctaves()Lorg/w3c/dom/svg/SVGAnimatedInteger;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.initializeLiveAttributes()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMFETurbulenceElement sVGOMFETurbulenceElement0 = new SVGOMFETurbulenceElement("stitchTiles", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedInteger sVGOMAnimatedInteger0 = (SVGOMAnimatedInteger)sVGOMFETurbulenceElement0.getNumOctaves();
      assertEquals("numOctaves", sVGOMAnimatedInteger0.getLocalName());
      assertEquals(1, sVGOMAnimatedInteger0.getBaseVal());
      assertNotNull(sVGOMAnimatedInteger0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.getStitchTiles()Lorg/w3c/dom/svg/SVGAnimatedEnumeration;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMFETurbulenceElement sVGOMFETurbulenceElement0 = new SVGOMFETurbulenceElement("noStitch", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedEnumeration sVGOMAnimatedEnumeration0 = (SVGOMAnimatedEnumeration)sVGOMFETurbulenceElement0.getStitchTiles();
      assertEquals("stitchTiles", sVGOMAnimatedEnumeration0.getLocalName());
      assertEquals(2, sVGOMAnimatedEnumeration0.getBaseVal());
      assertNotNull(sVGOMAnimatedEnumeration0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.getBaseFrequencyY()Lorg/w3c/dom/svg/SVGAnimatedNumber;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.initializeLiveAttributes()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("feTurbulence", "feTurbulence", "feTurbulence");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFETurbulenceElement sVGOMFETurbulenceElement0 = new SVGOMFETurbulenceElement("feTurbulence", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMFETurbulenceElement0.getBaseFrequencyY();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // SVGFETurbulenceElement.getBaseFrequencyY is not implemented
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMFETurbulenceElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("9w", "9w", "9w");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFETurbulenceElement sVGOMFETurbulenceElement0 = null;
      try {
        sVGOMFETurbulenceElement0 = new SVGOMFETurbulenceElement("9w", (AbstractDocument) sVG12OMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"9w\" is invalid. Current node type: 1, name: feTurbulence.
         //
      }
  }
}
