/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericElement;
import org.apache.batik.dom.svg.SVGOMCircleElement;
import org.apache.batik.dom.svg.SVGOMDefinitionSrcElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFilterElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.util.XLinkSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class XLinkSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XLinkSupport xLinkSupport0 = new XLinkSupport();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkHref(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMDefinitionSrcElement sVGOMDefinitionSrcElement0 = new SVGOMDefinitionSrcElement("title", (AbstractDocument) sVG12OMDocument0);
      String string0 = XLinkSupport.getXLinkHref((Element) sVGOMDefinitionSrcElement0);
      assertEquals("", string0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkType(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("title", "title", "title");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCircleElement sVGOMCircleElement0 = new SVGOMCircleElement("title", (AbstractDocument) sVG12OMDocument0);
      String string0 = XLinkSupport.getXLinkType((Element) sVGOMCircleElement0);
      assertEquals("", string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkArcRole(Lorg/w3c/dom/Element;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("title", "title", "title");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMCircleElement sVGOMCircleElement0 = new SVGOMCircleElement("title", (AbstractDocument) sVG12OMDocument0);
      XLinkSupport.setXLinkArcRole((Element) sVGOMCircleElement0, "title");
      assertEquals(true, sVGOMCircleElement0.hasAttributes());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkShow(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFilterElement sVGOMFilterElement0 = new SVGOMFilterElement("", (AbstractDocument) sVGOMDocument0);
      String string0 = XLinkSupport.getXLinkShow((Element) sVGOMFilterElement0);
      assertEquals("other", string0);
      assertNotNull(string0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - false
   * 4 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I15 Branch 4 IFGT L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFilterElement sVGOMFilterElement0 = new SVGOMFilterElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkType((Element) sVGOMFilterElement0, "");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:type=''
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 5 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 6 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 7 IFGT L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkShow((Element) null, "");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:show=''
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 8 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 9 IFGT L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("%'@r/S/", "%'@r/S/", "textLength");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      GenericElement genericElement0 = new GenericElement("textLength", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkActuate((Element) genericElement0, "%'@r/S/");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:actuate='%'@r/S/'
         //
      }
  }
}
