/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.xbl;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMFESpotLightElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMSolidColorElement;
import org.apache.batik.dom.xbl.GenericXBLManager;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class GenericXBLManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblParentNode(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.xbl.GenericXBLManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMFESpotLightElement sVGOMFESpotLightElement0 = new SVGOMFESpotLightElement("readonly.preserve.aspect.ratio", (AbstractDocument) sVG12OMDocument0);
      Node node0 = sVGOMFESpotLightElement0.getCSSParentNode();
      assertNull(node0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblNextSibling(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      Node node0 = genericXBLManager0.getXblNextSibling((Node) sVG12OMDocument0);
      assertNull(node0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblDefinitions(Lorg/w3c/dom/Node;)Lorg/w3c/dom/NodeList;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("2N", "2N", "2N");
      NodeList nodeList0 = genericXBLManager0.getXblDefinitions((Node) genericDocumentType0);
      assertEquals(0, nodeList0.getLength());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblLastChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      // Undeclared exception!
      try {
        genericXBLManager0.getXblLastChild((Node) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.isProcessing()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      boolean boolean0 = genericXBLManager0.isProcessing();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblScopedChildNodes(Lorg/w3c/dom/Node;)Lorg/w3c/dom/NodeList;: root-Branch
   * 2 org.apache.batik.dom.xbl.GenericXBLManager.getXblNextElementSibling(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I7 Branch 7 IFNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio");
      genericXBLManager0.getXblNextElementSibling((Node) genericDocumentType0);
      // Undeclared exception!
      try {
        genericXBLManager0.getXblScopedChildNodes((Node) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.startProcessing()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      genericXBLManager0.startProcessing();
      assertEquals(true, genericXBLManager0.isProcessing());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblBoundElement(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericComment genericComment0 = new GenericComment();
      Element element0 = genericXBLManager0.getXblBoundElement((Node) genericComment0);
      assertNull(element0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblFirstChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("o0", "o0", "o0");
      Node node0 = genericXBLManager0.getXblFirstChild((Node) genericDocumentType0);
      assertNull(node0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.stopProcessing()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      genericXBLManager0.stopProcessing();
      assertEquals(false, genericXBLManager0.isProcessing());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblChildNodes(Lorg/w3c/dom/Node;)Lorg/w3c/dom/NodeList;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("2N", "2N", "2N");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      NodeList nodeList0 = genericXBLManager0.getXblChildNodes((Node) sVG12OMDocument0);
      assertEquals(1, nodeList0.getLength());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblPreviousSibling(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("yc;", "yc;", "yc;");
      Node node0 = genericXBLManager0.getXblPreviousSibling((Node) genericDocumentType0);
      assertNull(node0);
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblShadowTree(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: root-Branch
   * 2 org.apache.batik.dom.xbl.GenericXBLManager.getXblNextElementSibling(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I7 Branch 7 IFNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio");
      genericXBLManager0.getXblNextElementSibling((Node) genericDocumentType0);
      Element element0 = genericXBLManager0.getXblShadowTree((Node) null);
      assertNull(element0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblFirstElementChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      genericDocumentType0.getNodeName();
      SVGOMSolidColorElement sVGOMSolidColorElement0 = new SVGOMSolidColorElement("readonly.preserve.aspect.ratio", (AbstractDocument) sVG12OMDocument0);
      Element element0 = sVGOMSolidColorElement0.getXblFirstElementChild();
      assertNull(element0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblLastElementChild(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio", "readonly.preserve.aspect.ratio");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMFESpotLightElement sVGOMFESpotLightElement0 = new SVGOMFESpotLightElement("readonly.preserve.aspect.ratio", (AbstractDocument) sVG12OMDocument0);
      Element element0 = genericXBLManager0.getXblLastElementChild((Node) sVGOMFESpotLightElement0);
      assertNull(element0);
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.xbl.GenericXBLManager.getXblPreviousElementSibling(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I7 Branch 5 IFNULL L-1 - true
   * 2 org.apache.batik.dom.xbl.GenericXBLManager.<init>()V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("yc;", "yc;", "yc;");
      Element element0 = genericXBLManager0.getXblPreviousElementSibling((Node) genericDocumentType0);
      assertNull(element0);
  }
}
