/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import org.apache.batik.ext.awt.image.AbstractLight;
import org.apache.batik.ext.awt.image.PointLight;
import org.apache.batik.ext.awt.image.SpotLight;
import org.junit.BeforeClass;

public class AbstractLightEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.image.AbstractLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 4 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.image.AbstractLight.getLightRow(DDDI[[D[[D)[[D: I14 Branch 5 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.image.AbstractLight.<init>(Ljava/awt/Color;)V: root-Branch
   * 4 org.apache.batik.ext.awt.image.AbstractLight.setColor(Ljava/awt/Color;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Color color0 = Color.yellow;
      PointLight pointLight0 = new PointLight((-1989.3405528494927), (-1989.3405528494927), (-1989.3405528494927), color0);
      double[][] doubleArray0 = new double[1][3];
      // Undeclared exception!
      try {
        pointLight0.getLightRow((-1989.3405528494927), (-1989.3405528494927), (-1989.3405528494927), 180, doubleArray0, doubleArray0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 3
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.AbstractLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 4 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.image.AbstractLight.getLightRow(DDDI[[D[[D)[[D: I14 Branch 5 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.image.AbstractLight.getLightMap(DDDDII[[[D)[[[D: I8 Branch 3 IF_ICMPGE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Color color0 = Color.darkGray;
      PointLight pointLight0 = new PointLight(1937.2113494228183, 1937.2113494228183, 1937.2113494228183, color0);
      double[][][] doubleArray0 = new double[4][9][2];
      // Undeclared exception!
      try {
        pointLight0.getLightMap(1937.2113494228183, 1937.2113494228183, 1937.2113494228183, 1937.2113494228183, 0, 1514, doubleArray0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 4
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.AbstractLight.sRGBToLsRGB(D)D: I3 Branch 1 IFGT L-1 - true
   * 2 org.apache.batik.ext.awt.image.AbstractLight.getColor(Z)[D: I4 Branch 2 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Color color0 = Color.PINK;
      SpotLight spotLight0 = new SpotLight(1992.4382679496648, 1992.4382679496648, 1992.4382679496648, 1992.4382679496648, 1992.4382679496648, 1992.4382679496648, 1992.4382679496648, 1992.4382679496648, color0);
      double[] doubleArray0 = spotLight0.getColor(true);
      assertArrayEquals(new double[] {1.0, 0.4286904966139067, 0.4286904966139067}, doubleArray0);
      assertNotNull(doubleArray0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.AbstractLight.sRGBToLsRGB(D)D: I3 Branch 1 IFGT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      double double0 = AbstractLight.sRGBToLsRGB((double) (-1994.1896F));
      assertEquals((-154.34903832781058), double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.AbstractLight.getColor(Z)[D: I4 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Color color0 = Color.yellow;
      PointLight pointLight0 = new PointLight((-1989.3405528494927), (-1989.3405528494927), (-1989.3405528494927), color0);
      double[] doubleArray0 = pointLight0.getColor(false);
      assertArrayEquals(new double[] {1.0, 1.0, 0.0}, doubleArray0);
      assertNotNull(doubleArray0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.AbstractLight.getLightMap(DDDDII[[[D)[[[D: I8 Branch 3 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.image.AbstractLight.<init>(Ljava/awt/Color;)V: root-Branch
   * 3 org.apache.batik.ext.awt.image.AbstractLight.setColor(Ljava/awt/Color;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Color color0 = new Color(411, true);
      SpotLight spotLight0 = new SpotLight(1200.2617886593655, 1200.2617886593655, 1200.2617886593655, 1200.2617886593655, 1200.2617886593655, (double) 0, 1200.2617886593655, 1200.2617886593655, color0);
      double[][][] doubleArray0 = new double[1][2][5];
      double[][][] doubleArray1 = spotLight0.getLightMap(1200.2617886593655, 1200.2617886593655, 1200.2617886593655, 1200.2617886593655, 411, 0, doubleArray0);
      assertFalse(doubleArray1.equals(doubleArray0));
  }
}
