/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import org.apache.batik.ext.awt.image.AbstractLight;
import org.apache.batik.ext.awt.image.DistantLight;
import org.junit.BeforeClass;

public class DistantLightEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getElevation()D: root-Branch
   * 2 org.apache.batik.ext.awt.image.DistantLight.<init>(DDLjava/awt/Color;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      AbstractLight.sRGBToLsRGB(1.055);
      Color color0 = Color.green;
      DistantLight distantLight0 = new DistantLight(1.1297159123886322, 1.1297159123886322, color0);
      double double0 = distantLight0.getElevation();
      assertEquals(1.1297159123886322, distantLight0.getAzimuth(), 0.01D);
      assertEquals(1.1297159123886322, double0, 0.01D);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLight(DDD[D)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Color color0 = Color.black;
      DistantLight distantLight0 = new DistantLight(0.003928, 0.003928, color0);
      double[] doubleArray0 = new double[1];
      // Undeclared exception!
      try {
        distantLight0.getLight(0.003928, 0.003928, 0.003928, doubleArray0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 1
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.DistantLight.isConstant()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AbstractLight.sRGBToLsRGB(1.055);
      Color color0 = Color.green;
      DistantLight distantLight0 = new DistantLight(1.1297159123886322, 1.055, color0);
      boolean boolean0 = distantLight0.isConstant();
      assertEquals(true, boolean0);
      assertEquals(1.055, distantLight0.getElevation(), 0.01D);
      assertEquals(1.1297159123886322, distantLight0.getAzimuth(), 0.01D);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I52 Branch 3 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.image.DistantLight.getAzimuth()D: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Color color0 = Color.getHSBColor((-1.0F), (-1.0F), (-1.0F));
      DistantLight distantLight0 = new DistantLight(0.003928, 0.003928, color0);
      double double0 = distantLight0.getAzimuth();
      assertEquals(0.003928, double0, 0.01D);
      
      double[][] doubleArray0 = new double[6][9];
      // Undeclared exception!
      try {
        distantLight0.getLightRow((double) (-1.0F), 0.003928, (double) (-1.0F), 813, doubleArray0, doubleArray0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 6
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I30 Branch 2 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I30 Branch 2 IF_ICMPGE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Color color0 = Color.BLUE;
      DistantLight distantLight0 = new DistantLight((-1451.9730786252464), (-1451.9730786252464), color0);
      double[][][] doubleArray0 = new double[6][6][5];
      double[][][] doubleArray1 = distantLight0.getLightMap((-1451.9730786252464), (-1451.9730786252464), (-1451.9730786252464), (-1451.9730786252464), 1, 1, doubleArray0);
      assertEquals((-1451.9730786252464), distantLight0.getAzimuth(), 0.01D);
      assertNotNull(doubleArray1);
      assertEquals((-1451.9730786252464), distantLight0.getElevation(), 0.01D);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I52 Branch 3 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.image.DistantLight.<init>(DDLjava/awt/Color;)V: root-Branch
   * 3 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I3 Branch 1 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.image.DistantLight.getLightRow(DDDI[[D[[D)[[D: I52 Branch 3 IF_ICMPGE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Color color0 = new Color(46);
      DistantLight distantLight0 = new DistantLight(95.51789305684785, 95.51789305684785, color0);
      double[][] doubleArray0 = new double[5][1];
      double[] doubleArray1 = new double[10];
      doubleArray0[0] = doubleArray1;
      doubleArray0[1] = doubleArray0[0];
      doubleArray0[2] = doubleArray0[1];
      doubleArray0[3] = doubleArray0[0];
      doubleArray0[4] = doubleArray0[3];
      double[][] doubleArray2 = distantLight0.getLightRow((double) 46, 95.51789305684785, 95.51789305684785, 5, doubleArray0, doubleArray0);
      assertEquals(95.51789305684785, distantLight0.getElevation(), 0.01D);
      assertNotNull(doubleArray2);
      assertSame(doubleArray0, doubleArray2);
      assertEquals(95.51789305684785, distantLight0.getAzimuth(), 0.01D);
  }
}
