/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.tiff;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.junit.BeforeClass;

public class TIFFDirectoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsByte(I)B: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsByte(II)B: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      int int0 = tIFFDirectory0.numEntries;
      // Undeclared exception!
      try {
        tIFFDirectory0.getFieldAsByte(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.isTagPresent(I)Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      boolean boolean0 = tIFFDirectory0.isTagPresent(0);
      assertEquals(0L, tIFFDirectory0.getNextIFDOffset());
      assertEquals(true, boolean0);
      assertEquals(8L, tIFFDirectory0.getIFDOffset());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsLong(II)J: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsLong(I)J: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      // Undeclared exception!
      try {
        tIFFDirectory0.getFieldAsLong(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsDouble(II)D: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      // Undeclared exception!
      try {
        tIFFDirectory0.getFieldAsDouble((-1147), (-1147));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getFieldAsFloat(II)F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      // Undeclared exception!
      try {
        tIFFDirectory0.getFieldAsFloat(344, 344);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getNextIFDOffset()J: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      long long0 = tIFFDirectory0.getNextIFDOffset();
      assertEquals(8L, tIFFDirectory0.getIFDOffset());
      assertEquals(0L, long0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;JI)V: I24 Branch 8 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.isValidEndianTag(I)Z: I2 Branch 1 IF_ICMPEQ L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.isValidEndianTag(I)Z: I5 Branch 2 IF_ICMPNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      byte[] byteArray0 = new byte[7];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      ForwardSeekableStream forwardSeekableStream0 = (ForwardSeekableStream)SeekableStream.wrapInputStream((InputStream) byteArrayInputStream0, false);
      ForwardSeekableStream forwardSeekableStream1 = new ForwardSeekableStream((InputStream) forwardSeekableStream0);
      TIFFDirectory tIFFDirectory0 = null;
      try {
        tIFFDirectory0 = new TIFFDirectory((SeekableStream) forwardSeekableStream1, (long) (byte)0, (int) (byte)0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // TIFFDirectory1
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.getField(I)Lorg/apache/batik/ext/awt/image/codec/tiff/TIFFField;: I10 Branch 38 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFDirectory.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      TIFFDirectory tIFFDirectory0 = new TIFFDirectory();
      tIFFDirectory0.getField(0);
      assertEquals(8L, tIFFDirectory0.getIFDOffset());
      assertEquals(0L, tIFFDirectory0.getNextIFDOffset());
  }
}
