/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.text;

import org.junit.Test;
import static org.junit.Assert.*;
import java.text.AttributedCharacterIterator;
import java.text.AttributedString;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;
import org.apache.batik.gvt.text.AttributedCharacterSpanIterator;
import org.apache.batik.gvt.text.GVTACIImpl;
import org.apache.batik.gvt.text.GVTAttributedCharacterIterator;
import org.junit.BeforeClass;

public class AttributedCharacterSpanIteratorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getAttribute(Ljava/text/AttributedCharacterIterator$Attribute;)Ljava/lang/Object;: root-Branch
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.<init>(Ljava/text/AttributedCharacterIterator;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("TEXT_COMPOUND_ID");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1100), (-1100));
      assertEquals('\uFFFF', attributedCharacterSpanIterator0.previous());
      
      attributedCharacterSpanIterator0.getAttribute((AttributedCharacterIterator.Attribute) null);
      assertEquals('T', attributedCharacterIterator0.previous());
      assertEquals('I', attributedCharacterSpanIterator0.previous());
      assertEquals('T', attributedCharacterSpanIterator0.current());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-481), (-481));
      AttributedCharacterSpanIterator attributedCharacterSpanIterator1 = (AttributedCharacterSpanIterator)attributedCharacterSpanIterator0.clone();
      assertEquals(-481, attributedCharacterSpanIterator1.getEndIndex());
      assertNotNull(attributedCharacterSpanIterator1);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.last()C: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("rZ$R?wVaZ");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-166), (-166));
      assertEquals(0, attributedCharacterSpanIterator0.getIndex());
      
      // Undeclared exception!
      try {
        attributedCharacterSpanIterator0.last();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Invalid index
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunStart(Ljava/text/AttributedCharacterIterator$Attribute;)I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      GVTAttributedCharacterIterator.TextAttribute gVTAttributedCharacterIterator_TextAttribute0 = GVTAttributedCharacterIterator.TextAttribute.FONT_VARIANT;
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-481), (-481));
      int int0 = attributedCharacterSpanIterator0.getRunStart((AttributedCharacterIterator.Attribute) gVTAttributedCharacterIterator_TextAttribute0);
      assertEquals(0, int0);
      assertEquals(-481, attributedCharacterSpanIterator0.getEndIndex());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunLimit()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("gC<HZV]$~");
      AttributedCharacterIterator.Attribute[] attributedCharacterIterator_AttributeArray0 = new AttributedCharacterIterator.Attribute[1];
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator(attributedCharacterIterator_AttributeArray0);
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, 1, 1);
      int int0 = attributedCharacterSpanIterator0.getRunLimit();
      assertEquals('C', attributedCharacterIterator0.previous());
      assertEquals(1, int0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.current()C: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-481), (-481));
      char char0 = attributedCharacterSpanIterator0.current();
      assertEquals('\uFFFF', char0);
      assertEquals(-481, attributedCharacterSpanIterator0.getRunLimit());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getAttributes()Ljava/util/Map;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-481), (-481));
      Map<?, ?> map0 = attributedCharacterSpanIterator0.getAttributes();
      assertNotNull(map0);
      assertEquals(-481, attributedCharacterSpanIterator0.getRunLimit());
      assertEquals(-481, attributedCharacterSpanIterator0.getEndIndex());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunStart(Ljava/util/Set;)I: root-Branch
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getAllAttributeKeys()Ljava/util/Set;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("gC<HZV]$~");
      AttributedCharacterIterator.Attribute[] attributedCharacterIterator_AttributeArray0 = new AttributedCharacterIterator.Attribute[1];
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator(attributedCharacterIterator_AttributeArray0);
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, 1, 1);
      Set<?> set0 = attributedCharacterSpanIterator0.getAllAttributeKeys();
      int int0 = attributedCharacterSpanIterator0.getRunStart(set0);
      assertEquals(1, attributedCharacterIterator0.getIndex());
      assertEquals(1, int0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunLimit(Ljava/text/AttributedCharacterIterator$Attribute;)I: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1752), (-1752));
      GVTAttributedCharacterIterator.TextAttribute gVTAttributedCharacterIterator_TextAttribute0 = GVTAttributedCharacterIterator.TextAttribute.HORIZONTAL_ORIENTATION_ANGLE;
      int int0 = attributedCharacterSpanIterator0.getRunLimit((AttributedCharacterIterator.Attribute) gVTAttributedCharacterIterator_TextAttribute0);
      assertEquals((-1752), int0);
  }

  //Test case number: 9
  /*
   * 4 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.first()C: root-Branch
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getAllAttributeKeys()Ljava/util/Set;: root-Branch
   * 3 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getBeginIndex()I: root-Branch
   * 4 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getEndIndex()I: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1752), 826);
      GVTACIImpl gVTACIImpl0 = new GVTACIImpl((AttributedCharacterIterator) attributedCharacterSpanIterator0);
      assertEquals('\uFFFF', attributedCharacterSpanIterator0.first());
      assertEquals(0, attributedCharacterSpanIterator0.getBeginIndex());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getIndex()I: root-Branch
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.previous()C: I4 Branch 2 IF_ICMPLE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1752), (-1752));
      char char0 = attributedCharacterSpanIterator0.previous();
      assertEquals(-1752, attributedCharacterSpanIterator0.getRunLimit());
      assertEquals('\uFFFF', char0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunLimit(Ljava/util/Set;)I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("rZ$R?wVaZ");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-166), (-166));
      assertEquals(0, attributedCharacterSpanIterator0.getIndex());
      
      TreeSet<String> treeSet0 = new TreeSet<String>();
      int int0 = attributedCharacterSpanIterator0.getRunLimit((Set) treeSet0);
      assertEquals(8, attributedCharacterSpanIterator0.getIndex());
      assertEquals((-166), int0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getRunStart()I: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("D1`T");
      AttributedCharacterIterator.Attribute[] attributedCharacterIterator_AttributeArray0 = new AttributedCharacterIterator.Attribute[4];
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator(attributedCharacterIterator_AttributeArray0);
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-405), (-405));
      assertEquals(0, attributedCharacterSpanIterator0.getIndex());
      
      int int0 = attributedCharacterSpanIterator0.getRunStart();
      assertEquals(2, attributedCharacterSpanIterator0.getIndex());
      assertEquals(0, int0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.next()C: I6 Branch 1 IF_ICMPGE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-1752), (-1752));
      // Undeclared exception!
      try {
        attributedCharacterSpanIterator0.next();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Invalid index
         //
      }
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.next()C: I6 Branch 1 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.getIndex()I: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("D1`T");
      AttributedCharacterIterator.Attribute[] attributedCharacterIterator_AttributeArray0 = new AttributedCharacterIterator.Attribute[4];
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator(attributedCharacterIterator_AttributeArray0);
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-405), 265);
      char char0 = attributedCharacterSpanIterator0.next();
      assertEquals(3, attributedCharacterIterator0.getIndex());
      assertEquals('\uFFFF', char0);
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.setIndex(I)C: I18 Branch 3 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.gvt.text.AttributedCharacterSpanIterator.<init>(Ljava/text/AttributedCharacterIterator;II)V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      AttributedString attributedString0 = new AttributedString("");
      AttributedCharacterIterator attributedCharacterIterator0 = attributedString0.getIterator();
      AttributedCharacterSpanIterator attributedCharacterSpanIterator0 = new AttributedCharacterSpanIterator(attributedCharacterIterator0, (-481), 1);
      char char0 = attributedCharacterSpanIterator0.setIndex((-481));
      assertEquals(0, attributedCharacterSpanIterator0.getEndIndex());
      assertEquals('\uFFFF', char0);
  }
}
