/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.script;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.Interpreter;
import org.apache.batik.script.InterpreterFactory;
import org.apache.batik.script.InterpreterPool;
import org.apache.batik.script.rhino.RhinoInterpreterFactory;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class InterpreterPoolEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.script.InterpreterPool.putInterpreterFactory(Ljava/lang/String;Lorg/apache/batik/script/InterpreterFactory;)V: root-Branch
   * 2 org.apache.batik.script.InterpreterPool.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      InterpreterPool interpreterPool0 = new InterpreterPool();
      RhinoInterpreterFactory rhinoInterpreterFactory0 = new RhinoInterpreterFactory();
      interpreterPool0.putInterpreterFactory("document", (InterpreterFactory) rhinoInterpreterFactory0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.script.InterpreterPool.removeInterpreterFactory(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      InterpreterPool interpreterPool0 = new InterpreterPool();
      interpreterPool0.removeInterpreterFactory("fkb{s");
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.script.InterpreterPool.createInterpreter(Lorg/w3c/dom/Document;Ljava/lang/String;)Lorg/apache/batik/script/Interpreter;: I7 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.script.InterpreterPool.createInterpreter(Lorg/w3c/dom/Document;Ljava/lang/String;)Lorg/apache/batik/script/Interpreter;: I35 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      InterpreterPool interpreterPool0 = bridgeContext0.getInterpreterPool();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Interpreter interpreter0 = interpreterPool0.createInterpreter((Document) sVG12OMDocument0, "");
      assertNull(interpreter0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.script.InterpreterPool.createInterpreter(Lorg/w3c/dom/Document;Ljava/lang/String;)Lorg/apache/batik/script/Interpreter;: I7 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.script.InterpreterPool.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      InterpreterPool interpreterPool0 = new InterpreterPool();
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      Interpreter interpreter0 = interpreterPool0.createInterpreter((Document) sVG12OMDocument0, "document");
      assertNull(interpreter0);
  }
}
