/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.io;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.SequenceInputStream;
import java.util.MissingResourceException;
import org.apache.batik.util.io.ISO_8859_1Decoder;
import org.apache.batik.util.io.UTF16Decoder;
import org.junit.BeforeClass;

public class AbstractCharDecoderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.io.AbstractCharDecoder.endOfStreamError(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.util.io.AbstractCharDecoder.<init>(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      byte[] byteArray0 = new byte[10];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte) (-71), (int) (byte)0);
      UTF16Decoder uTF16Decoder0 = null;
      try {
        uTF16Decoder0 = new UTF16Decoder((InputStream) byteArrayInputStream0);
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: end.of.stream
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.io.AbstractCharDecoder.dispose()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[4];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte)0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) byteArrayInputStream0);
      SequenceInputStream sequenceInputStream0 = new SequenceInputStream((InputStream) bufferedInputStream0, (InputStream) byteArrayInputStream0);
      ISO_8859_1Decoder iSO_8859_1Decoder0 = new ISO_8859_1Decoder((InputStream) sequenceInputStream0);
      iSO_8859_1Decoder0.dispose();
      assertEquals(-1, iSO_8859_1Decoder0.readChar());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.io.AbstractCharDecoder.fillBuffer()V: root-Branch
   * 2 org.apache.batik.util.io.AbstractCharDecoder.<init>(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      byte[] byteArray0 = new byte[4];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte)0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) byteArrayInputStream0);
      SequenceInputStream sequenceInputStream0 = new SequenceInputStream((InputStream) bufferedInputStream0, (InputStream) byteArrayInputStream0);
      ISO_8859_1Decoder iSO_8859_1Decoder0 = new ISO_8859_1Decoder((InputStream) sequenceInputStream0);
      int int0 = iSO_8859_1Decoder0.readChar();
      assertEquals((-1), int0);
  }
}
