/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.timing.AccesskeyTimingSpecifier;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGAnimateTransformElementBridge;
import org.apache.batik.dom.events.DOMMouseEvent;
import org.junit.BeforeClass;
import org.w3c.dom.events.Event;

public class AccesskeyTimingSpecifierEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.resolve(Lorg/w3c/dom/events/Event;)V: root-Branch
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFC)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, (-75.0F), 'Y');
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.resolve((Event) dOMMouseEvent0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I42 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, (-75.0F), 'Y');
      String string0 = accesskeyTimingSpecifier0.toString();
      assertEquals("accesskey(Y)-75.0", string0);
      assertNotNull(string0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I17 Branch 2 IFEQ L-1 - false
   * 3 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, (-1.0F), "~:ri");
      String string0 = accesskeyTimingSpecifier0.toString();
      assertEquals("accessKey(~:ri)-1.0", string0);
      assertNotNull(string0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I42 Branch 3 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.toString()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 0.0F, 'n');
      String string0 = accesskeyTimingSpecifier0.toString();
      assertNotNull(string0);
      assertEquals("accesskey(n)", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.deinitialize()V: I2 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      sVGAnimateMotionElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 0.0F, 'O');
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.deinitialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.deinitialize()V: I2 Branch 5 IFEQ L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, true, 200.0F, "Yq'fvU6S*");
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.deinitialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.initialize()V: I2 Branch 4 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFC)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      sVGAnimateMotionElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 0.0F, ';');
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.initialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.initialize()V: I2 Branch 4 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.AccesskeyTimingSpecifier.<init>(Lorg/apache/batik/anim/timing/TimedElement;ZFLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.getTimedElement();
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, (-1752.3099F), "bottom");
      // Undeclared exception!
      try {
        accesskeyTimingSpecifier0.initialize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
