/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.timing.InstanceTime;
import org.apache.batik.anim.timing.Interval;
import org.apache.batik.anim.timing.TimingSpecifier;
import org.junit.BeforeClass;

public class IntervalEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.getBegin()F: root-Branch
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Interval interval0 = new Interval((-1.0F), (-1.0F), (InstanceTime) null, (InstanceTime) null);
      float float0 = interval0.getBegin();
      assertEquals((-1.0F), float0, 0.01F);
      assertEquals((-1.0F), interval0.getEnd(), 0.01F);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.getEndInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Interval interval0 = new Interval((-1.0F), (-1.0F), (InstanceTime) null, (InstanceTime) null);
      interval0.getEndInstanceTime();
      assertEquals("-1.0..-1.0", interval0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Interval interval0 = new Interval((-1.0F), (-1.0F), (InstanceTime) null, (InstanceTime) null);
      String string0 = interval0.toString();
      assertEquals("-1.0..-1.0", string0);
      assertNotNull(string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.getBeginInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Interval interval0 = new Interval((-1.0F), (-1.0F), (InstanceTime) null, (InstanceTime) null);
      interval0.getBeginInstanceTime();
      assertEquals("-1.0..-1.0", interval0.toString());
      assertEquals((-1.0F), interval0.getBegin(), 0.01F);
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I15 Branch 5 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I27 Branch 6 IFGE L-1 - true
   * 3 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - true
   * 4 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I15 Branch 5 IFEQ L-1 - true
   * 5 org.apache.batik.anim.timing.Interval.getEnd()F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) null, 0.0F, true);
      Interval interval0 = new Interval(0.0F, 0.0F, instanceTime0, instanceTime0);
      float float0 = interval0.getEnd();
      assertEquals(0.0F, float0, 0.01F);
      
      interval0.addDependent(instanceTime0, false);
      float float1 = interval0.setEnd(0.0F, instanceTime0);
      assertEquals(Float.POSITIVE_INFINITY, float1, 0.01F);
      assertEquals(0.0F, instanceTime0.getTime(), 0.01F);
      assertEquals("0.0..0.0", interval0.toString());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.setBegin(F)F: I12 Branch 3 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.setBegin(F)F: I24 Branch 4 IFGE L-1 - true
   * 3 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - false
   * 4 org.apache.batik.anim.timing.Interval.getEnd()F: root-Branch
   * 5 org.apache.batik.anim.timing.Interval.setBegin(F)F: I12 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) null, 0.0F, true);
      Interval interval0 = new Interval(0.0F, 0.0F, instanceTime0, instanceTime0);
      float float0 = interval0.getEnd();
      assertEquals(0.0F, float0, 0.01F);
      
      interval0.addDependent(instanceTime0, true);
      float float1 = interval0.setBegin(0.0F);
      assertEquals(Float.POSITIVE_INFINITY, float1, 0.01F);
      assertEquals("0.0..0.0", interval0.toString());
      assertEquals("0.0", instanceTime0.toString());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Interval interval0 = new Interval((-1.0F), (-1.0F), (InstanceTime) null, (InstanceTime) null);
      interval0.removeDependent((InstanceTime) null, false);
      assertEquals("-1.0..-1.0", interval0.toString());
      assertEquals((-1.0F), interval0.getBegin(), 0.01F);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Interval interval0 = new Interval((-1.0F), (-1.0F), (InstanceTime) null, (InstanceTime) null);
      interval0.removeDependent((InstanceTime) null, true);
      assertEquals("-1.0..-1.0", interval0.toString());
  }
}
