/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge.svg12;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.bridge.svg12.SVG12BridgeContext;
import org.apache.batik.bridge.svg12.SVG12URIResolver;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.svg.SVGDocument;

public class SVG12BridgeContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.svg12.SVG12BridgeContext.stopMouseCapture()V: root-Branch
   * 2 org.apache.batik.bridge.svg12.SVG12BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      SVG12BridgeContext sVG12BridgeContext0 = new SVG12BridgeContext((UserAgent) userAgentAdapter0);
      sVG12BridgeContext0.stopMouseCapture();
      assertEquals(false, sVG12BridgeContext0.isSVG12());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.svg12.SVG12BridgeContext.addDOMListeners()V: root-Branch
   * 2 org.apache.batik.bridge.svg12.SVG12BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/script/InterpreterPool;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      InterpreterPool interpreterPool0 = bridgeContext0.getInterpreterPool();
      DocumentLoader documentLoader0 = bridgeContext0.getDocumentLoader();
      SVG12BridgeContext sVG12BridgeContext0 = new SVG12BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      // Undeclared exception!
      try {
        sVG12BridgeContext0.addDOMListeners();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.svg12.SVG12BridgeContext.createURIResolver(Lorg/w3c/dom/svg/SVGDocument;Lorg/apache/batik/bridge/DocumentLoader;)Lorg/apache/batik/bridge/URIResolver;: root-Branch
   * 2 org.apache.batik.bridge.svg12.SVG12BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      SVG12BridgeContext sVG12BridgeContext0 = new SVG12BridgeContext((UserAgent) userAgentAdapter0);
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      DocumentLoader documentLoader0 = sVG12BridgeContext0.getDocumentLoader();
      SVG12URIResolver sVG12URIResolver0 = (SVG12URIResolver)sVG12BridgeContext0.createURIResolver((SVGDocument) sVG12OMDocument0, documentLoader0);
      assertNotNull(sVG12URIResolver0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.svg12.SVG12BridgeContext.createSubBridgeContext(Lorg/apache/batik/dom/svg/SVGOMDocument;)Lorg/apache/batik/bridge/BridgeContext;: I4 Branch 26 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.svg12.SVG12BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      SVG12BridgeContext sVG12BridgeContext0 = new SVG12BridgeContext((UserAgent) userAgentAdapter0, (DocumentLoader) null);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("@R^^h+F", "@R^^h+F", "@R^^h+F");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      // Undeclared exception!
      try {
        sVG12BridgeContext0.createSubBridgeContext((SVGOMDocument) sVG12OMDocument0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.apache.batik.bridge.svg12.SVG12BridgeContext.dispose()V: I15 Branch 4 IFEQ L-1 - true
   * 2 org.apache.batik.bridge.svg12.SVG12BridgeContext.dispose()V: I104 Branch 11 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.svg12.SVG12BridgeContext.dispose()V: I112 Branch 12 IFNULL L-1 - true
   * 4 org.apache.batik.bridge.svg12.SVG12BridgeContext.dispose()V: I128 Branch 13 IFEQ L-1 - true
   * 5 org.apache.batik.bridge.svg12.SVG12BridgeContext.dispose()V: I144 Branch 15 IFNULL L-1 - true
   * 6 org.apache.batik.bridge.svg12.SVG12BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      SVG12BridgeContext sVG12BridgeContext0 = new SVG12BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      sVG12BridgeContext0.dispose();
      assertEquals(0.26458332F, sVG12BridgeContext0.getPixelToMillimeter(), 0.01F);
  }
}
