/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.FontFaceRule;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMClipPathElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEImageElement;
import org.apache.batik.dom.svg.SVGOMMaskElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.FlowRegionBreakElement;
import org.apache.batik.script.InterpreterPool;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class FontFaceRuleEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.FontFaceRule.getURL()Lorg/apache/batik/util/ParsedURL;: root-Branch
   * 2 org.apache.batik.css.engine.FontFaceRule.<init>(Lorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/util/ParsedURL;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMFEImageElement sVGOMFEImageElement0 = new SVGOMFEImageElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMFEImageElement0.getComputedStyleMap("");
      SVGOMMaskElement sVGOMMaskElement0 = new SVGOMMaskElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMMaskElement0.getCSSBase();
      FontFaceRule fontFaceRule0 = new FontFaceRule((StyleMap) null, (ParsedURL) null);
      ParsedURL parsedURL0 = fontFaceRule0.getURL();
      assertNull(parsedURL0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.FontFaceRule.getStyleMap()Lorg/apache/batik/css/engine/StyleMap;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("altGlyphDef", "altGlyphDef", "altGlyphDef");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMClipPathElement sVGOMClipPathElement0 = new SVGOMClipPathElement("altGlyphDef", (AbstractDocument) sVG12OMDocument0);
      sVGOMClipPathElement0.getComputedStyleMap("altGlyphDef");
      ParsedURL parsedURL0 = new ParsedURL("altGlyphDef", "altGlyphDef");
      FontFaceRule fontFaceRule0 = new FontFaceRule((StyleMap) null, parsedURL0);
      StyleMap styleMap0 = fontFaceRule0.getStyleMap();
      assertNull(styleMap0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.FontFaceRule.toString(Lorg/apache/batik/css/engine/CSSEngine;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("o<8x*", "o<8x*", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowRegionBreakElement flowRegionBreakElement0 = new FlowRegionBreakElement("", (AbstractDocument) sVGOMDocument0);
      flowRegionBreakElement0.getComputedStyleMap("");
      FontFaceRule fontFaceRule0 = new FontFaceRule((StyleMap) null, (ParsedURL) null);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      bridgeContext0.getCSSEngineForElement((Element) flowRegionBreakElement0);
      // Undeclared exception!
      try {
        fontFaceRule0.toString((CSSEngine) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.FontFaceRule.getType()S: root-Branch
   * 2 org.apache.batik.css.engine.FontFaceRule.<init>(Lorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/util/ParsedURL;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("altGlyphDef", "altGlyphDef", "altGlyphDef");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMClipPathElement sVGOMClipPathElement0 = new SVGOMClipPathElement("altGlyphDef", (AbstractDocument) sVG12OMDocument0);
      sVGOMClipPathElement0.getComputedStyleMap("altGlyphDef");
      ParsedURL parsedURL0 = new ParsedURL("altGlyphDef", "altGlyphDef");
      FontFaceRule fontFaceRule0 = new FontFaceRule((StyleMap) null, parsedURL0);
      short short0 = fontFaceRule0.getType();
      assertEquals((short)3, short0);
  }
}
