/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.svg.FilterManager;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class FilterManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.FilterManager.isAnimatableProperty()Z: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.FilterManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FilterManager filterManager0 = new FilterManager();
      boolean boolean0 = filterManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.FilterManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FilterManager filterManager0 = new FilterManager();
      StringValue stringValue0 = (StringValue)filterManager0.getDefaultValue();
      assertEquals(1, stringValue0.getCssValueType());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.FilterManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FilterManager filterManager0 = new FilterManager();
      int int0 = filterManager0.getPropertyType();
      assertEquals(20, int0);
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.FilterManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.FilterManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 3 org.apache.batik.css.engine.value.svg.FilterManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 24 - false
   * 4 org.apache.batik.css.engine.value.svg.FilterManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Case 35 - true
   * 5 org.apache.batik.css.engine.value.svg.FilterManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 4 LOOKUPSWITCH L-1 Default-Case - false
   * 6 org.apache.batik.css.engine.value.svg.FilterManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I23 Branch 5 IFLE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      FilterManager filterManager0 = new FilterManager();
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("v");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("v", "v", "v");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        filterManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"v\" identifier is not a valid value for the \"filter\" property. 
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.FilterManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FilterManager filterManager0 = new FilterManager();
      boolean boolean0 = filterManager0.isInheritedProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.FilterManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 6 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.svg.FilterManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I17 Branch 8 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.svg.FilterManager.<init>()V: root-Branch
   * 4 org.apache.batik.css.engine.value.svg.FilterManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      FilterManager filterManager0 = new FilterManager();
      String string0 = filterManager0.getPropertyName();
      assertEquals("filter", string0);
      
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("filter", "filter", "filter");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      SVGCSSEngine sVGCSSEngine0 = (SVGCSSEngine)sVGDOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0);
      try {
        filterManager0.createStringValue((short)78, "filter", (CSSEngine) sVGCSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (78) is invalid for the \"filter\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
