/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;
import java.io.Reader;
import java.io.StringReader;
import java.util.Locale;
import org.apache.batik.css.parser.CSSSACMediaList;
import org.apache.batik.css.parser.DefaultErrorHandler;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.ErrorHandler;
import org.w3c.css.sac.InputSource;
import org.w3c.css.sac.LexicalUnit;

public class ExtendedParserWrapperEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleDeclaration(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      InputSource inputSource0 = new InputSource("id");
      try {
        extendedParserWrapper0.parseStyleDeclaration(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleSheet(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      try {
        extendedParserWrapper0.parseStyleSheet(" + ");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseRule(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      extendedParserWrapper0.parseRule("");
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleDeclaration(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      extendedParserWrapper0.parseStyleDeclaration(" + ");
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setErrorHandler(Lorg/w3c/css/sac/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      DefaultErrorHandler defaultErrorHandler0 = (DefaultErrorHandler)DefaultErrorHandler.INSTANCE;
      extendedParserWrapper0.setErrorHandler((ErrorHandler) defaultErrorHandler0);
      assertEquals("http://www.w3.org/TR/REC-CSS2", extendedParserWrapper0.getParserVersion());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Ljava/lang/String;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("id");
      assertEquals("id", lexicalUnit0.getStringValue());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseStyleSheet(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      StringReader stringReader0 = new StringReader("0) BQ_v/LvJ");
      InputSource inputSource0 = new InputSource((Reader) stringReader0);
      extendedParserWrapper0.parseStyleSheet(inputSource0);
      assertEquals(-1, stringReader0.read());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      Locale locale0 = Locale.CHINA;
      extendedParserWrapper0.setLocale(locale0);
      assertEquals("zho", locale0.getISO3Language());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePriority(Lorg/w3c/css/sac/InputSource;)Z: root-Branch
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.parsePriority(Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) extendedParserWrapper0);
      boolean boolean0 = extendedParserWrapper1.parsePriority("$Iw;qXC9j xp");
      assertEquals(false, boolean0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseRule(Lorg/w3c/css/sac/InputSource;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) null);
      PipedWriter pipedWriter0 = new PipedWriter();
      PipedReader pipedReader0 = new PipedReader(pipedWriter0, 2022);
      InputSource inputSource0 = new InputSource((Reader) pipedReader0);
      // Undeclared exception!
      try {
        extendedParserWrapper0.parseRule(inputSource0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parsePropertyValue(Lorg/w3c/css/sac/InputSource;)Lorg/w3c/css/sac/LexicalUnit;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      InputSource inputSource0 = new InputSource();
      try {
        extendedParserWrapper0.parsePropertyValue(inputSource0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Empty input source.
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.wrap(Lorg/w3c/css/sac/Parser;)Lorg/apache/batik/css/parser/ExtendedParser;: I2 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      ExtendedParserWrapper extendedParserWrapper1 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((org.w3c.css.sac.Parser) extendedParserWrapper0);
      assertSame(extendedParserWrapper0, extendedParserWrapper1);
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I17 Branch 3 IFEQ L-1 - false
   * 2 org.apache.batik.css.parser.ExtendedParserWrapper.<init>(Lorg/w3c/css/sac/Parser;)V: root-Branch
   * 3 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I7 Branch 2 IFGT L-1 - false
   * 4 org.apache.batik.css.parser.ExtendedParserWrapper.parseMedia(Ljava/lang/String;)Lorg/w3c/css/sac/SACMediaList;: I17 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      CSSSACMediaList cSSSACMediaList0 = (CSSSACMediaList)extendedParserWrapper0.parseMedia(" + ");
      assertEquals(1, cSSSACMediaList0.getLength());
  }
}
