/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Locale;
import java.util.MissingResourceException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.svg.EnableBackgroundManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class ExtensibleDOMImplementationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.getLocale()Ljava/util/Locale;: root-Branch
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - false
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.ExtensibleDOMImplementation.getDomExtensions()Ljava/util/List;: I1 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      Locale locale0 = sVG12DOMImplementation0.getLocale();
      assertNull(locale0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      Locale locale0 = Locale.US;
      sVG12DOMImplementation0.setLocale(locale0);
      assertEquals("eng", locale0.getISO3Language());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      Object[] objectArray0 = new Object[9];
      try {
        sVG12DOMImplementation0.formatMessage("98ja6;^", objectArray0);
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: 98ja6;^
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSValueManager(Lorg/apache/batik/css/engine/value/ValueManager;)V: I2 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      EnableBackgroundManager enableBackgroundManager0 = new EnableBackgroundManager();
      sVG12DOMImplementation0.registerCustomCSSValueManager((ValueManager) enableBackgroundManager0);
      assertEquals(false, enableBackgroundManager0.isAnimatableProperty());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;)Lorg/apache/batik/css/engine/CSSEngine;: I64 Branch 5 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;)Lorg/apache/batik/css/engine/CSSEngine;: I96 Branch 7 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0);
      assertEquals(60, sVG12CSSEngine0.getLineHeightIndex());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I1 Branch 9 IFNULL L-1 - false
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I4 Branch 10 IFNE L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I9 Branch 11 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I20 Branch 12 IFNULL L-1 - false
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I32 Branch 13 IFNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType(",", ",", ",");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      // Undeclared exception!
      try {
        sVGDOMImplementation0.createElementNS((AbstractDocument) sVG12OMDocument0, ",", ",");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\",\") is an invalid XML name.
         //
      }
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomCSSShorthandManager(Lorg/apache/batik/css/engine/value/ShorthandManager;)V: I2 Branch 4 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - true
   * 3 org.apache.batik.dom.ExtensibleDOMImplementation.<init>()V: I10 Branch 1 IFEQ L-1 - false
   * 4 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.ExtensibleDOMImplementation.registerCustomElementFactory(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/dom/ExtensibleDOMImplementation$ElementFactory;)V: I2 Branch 2 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.ExtensibleDOMImplementation.getDomExtensions()Ljava/util/List;: I1 Branch 14 IFNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      sVG12DOMImplementation0.registerCustomCSSShorthandManager((ShorthandManager) marginShorthandManager0);
      assertEquals(true, marginShorthandManager0.isAnimatableProperty());
  }
}
