/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.StyleSheetFactory;
import org.apache.batik.dom.StyleSheetProcessingInstruction;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class StyleSheetProcessingInstructionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.StyleSheetProcessingInstruction.getTarget()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.StyleSheetProcessingInstruction.setData(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.StyleSheetProcessingInstruction.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;Lorg/apache/batik/dom/StyleSheetFactory;)V: root-Branch
   * 4 org.apache.batik.dom.StyleSheetProcessingInstruction.isReadonly()Z: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("", (AbstractDocument) sVGOMDocument0, (StyleSheetFactory) sVG12DOMImplementation0);
      try {
        styleSheetProcessingInstruction0.removeChild((Node) genericDocumentType0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The current node (type: 7, name: xml-stylesheet) cannot have children.
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.StyleSheetProcessingInstruction.<init>()V: root-Branch
   * 2 org.apache.batik.dom.StyleSheetProcessingInstruction.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("Mg{@_-", "Mg{@_-", "Mg{@_-");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("Mg{@_-", (AbstractDocument) genericDocument0, (StyleSheetFactory) sVGDOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction1 = (StyleSheetProcessingInstruction)styleSheetProcessingInstruction0.cloneNode(false);
      assertEquals("Mg{@_-", styleSheetProcessingInstruction1.getData());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.StyleSheetProcessingInstruction.setReadonly(Z)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("", (AbstractDocument) genericDocument0, (StyleSheetFactory) sVGDOMImplementation0);
      styleSheetProcessingInstruction0.setReadonly(true);
      assertEquals(true, styleSheetProcessingInstruction0.isReadonly());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.StyleSheetProcessingInstruction.setNodeName(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.StyleSheetProcessingInstruction.setData(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.StyleSheetProcessingInstruction.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;Lorg/apache/batik/dom/StyleSheetFactory;)V: root-Branch
   * 4 org.apache.batik.dom.StyleSheetProcessingInstruction.isReadonly()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      StyleSheetProcessingInstruction styleSheetProcessingInstruction0 = new StyleSheetProcessingInstruction("", (AbstractDocument) genericDocument0, (StyleSheetFactory) sVGDOMImplementation0);
      styleSheetProcessingInstruction0.setNodeName("");
      assertEquals("xml-stylesheet", styleSheetProcessingInstruction0.getNodeName());
  }
}
