/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.Reader;
import org.apache.batik.dom.svg.SAXSVGDocumentFactory;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class SAXSVGDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.createSVGDocument(Ljava/lang/String;Ljava/io/Reader;)Lorg/w3c/dom/svg/SVGDocument;: root-Branch
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("", false);
      try {
        sAXSVGDocumentFactory0.createSVGDocument("", (Reader) null);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class  not found
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.createSVGDocument(Ljava/lang/String;)Lorg/w3c/dom/svg/SVGDocument;: root-Branch
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("}8a");
      try {
        sAXSVGDocumentFactory0.createSVGDocument("}8a");
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 2
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I1 Branch 16 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I4 Branch 17 IFEQ L-1 - false
   * 3 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I8 Branch 18 IFGT L-1 - false
   * 4 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I12 Branch 19 IFLE L-1 - true
   * 5 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I20 Branch 20 IFLE L-1 - true
   * 6 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("publicIds");
      // Undeclared exception!
      try {
        sAXSVGDocumentFactory0.getDOMImplementation("publicIds");
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // Unsupport SVG version 'publicIds'
         //
      }
  }

  //Test case number: 3
  /*
   * 9 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I7 Branch 21 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I42 Branch 23 IFNONNULL L-1 - true
   * 3 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I49 Branch 24 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I56 Branch 25 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I75 Branch 26 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I82 Branch 27 IFNE L-1 - false
   * 7 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I87 Branch 28 IF_ICMPEQ L-1 - true
   * 8 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I102 Branch 29 IF_ICMPEQ L-1 - true
   * 9 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory(".w:)wD_/H'81C`", true);
      InputSource inputSource0 = sAXSVGDocumentFactory0.resolveEntity(".w:)wD_/H'81C`", ".w:)wD_/H'81C`");
      assertNull(inputSource0);
  }
}
