/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.anim.AnimationTarget;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEGaussianBlurElement;
import org.apache.batik.dom.svg.SVGOMFEMergeNodeElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.BatikRegularPolygonElement;
import org.junit.BeforeClass;
import org.w3c.dom.Attr;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMAnimatedMarkerOrientValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.resetAnimatedValue()V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue$AnimatedEnumeration.<init>(Lorg/apache/batik/dom/svg/SVGOMAnimatedMarkerOrientValue;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue$AnimatedAngle.<init>(Lorg/apache/batik/dom/svg/SVGOMAnimatedMarkerOrientValue;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      BatikRegularPolygonElement batikRegularPolygonElement0 = new BatikRegularPolygonElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedMarkerOrientValue sVGOMAnimatedMarkerOrientValue0 = new SVGOMAnimatedMarkerOrientValue((AbstractElement) batikRegularPolygonElement0, "", "");
      sVGOMAnimatedMarkerOrientValue0.resetAnimatedValue();
      assertEquals(false, sVGOMAnimatedMarkerOrientValue0.isSpecified());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.setAnimatedValueToAngle(SF)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("T53LFiVgu", "T53LFiVgu", "T53LFiVgu");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEGaussianBlurElement sVGOMFEGaussianBlurElement0 = new SVGOMFEGaussianBlurElement("T53LFiVgu", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedMarkerOrientValue sVGOMAnimatedMarkerOrientValue0 = new SVGOMAnimatedMarkerOrientValue((AbstractElement) sVGOMFEGaussianBlurElement0, "T53LFiVgu", "T53LFiVgu");
      // Undeclared exception!
      try {
        sVGOMAnimatedMarkerOrientValue0.setAnimatedValueToAngle((short)0, (short)0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.getUnderlyingValue(Lorg/apache/batik/dom/anim/AnimationTarget;)Lorg/apache/batik/anim/values/AnimatableValue;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEMergeNodeElement sVGOMFEMergeNodeElement0 = new SVGOMFEMergeNodeElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedMarkerOrientValue sVGOMAnimatedMarkerOrientValue0 = new SVGOMAnimatedMarkerOrientValue((AbstractElement) sVGOMFEMergeNodeElement0, "", "");
      // Undeclared exception!
      try {
        sVGOMAnimatedMarkerOrientValue0.getUnderlyingValue((AnimationTarget) sVGOMFEMergeNodeElement0);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // Animation of marker orient value is not implemented
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.attrAdded(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I2 Branch 14 IFNE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.attrAdded(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I11 Branch 15 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      BatikRegularPolygonElement batikRegularPolygonElement0 = new BatikRegularPolygonElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedMarkerOrientValue sVGOMAnimatedMarkerOrientValue0 = new SVGOMAnimatedMarkerOrientValue((AbstractElement) batikRegularPolygonElement0, "", "");
      sVGOMAnimatedMarkerOrientValue0.attrAdded((Attr) null, "");
      assertEquals("", sVGOMAnimatedMarkerOrientValue0.getLocalName());
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.attrModified(Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 16 IFNE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.attrModified(Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 17 IFNE L-1 - false
   * 3 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue$AnimatedEnumeration.<init>(Lorg/apache/batik/dom/svg/SVGOMAnimatedMarkerOrientValue;)V: root-Branch
   * 5 org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue$AnimatedAngle.<init>(Lorg/apache/batik/dom/svg/SVGOMAnimatedMarkerOrientValue;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGOMAnimatedMarkerOrientValue sVGOMAnimatedMarkerOrientValue0 = new SVGOMAnimatedMarkerOrientValue((AbstractElement) null, "", "");
      sVGOMAnimatedMarkerOrientValue0.attrModified((Attr) null, "", "");
      assertEquals("", sVGOMAnimatedMarkerOrientValue0.getLocalName());
  }
}
