/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMFontFaceUriElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;

public class DOMNodeIteratorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.getFilter()Lorg/w3c/dom/traversal/NodeFilter;: root-Branch
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGOMFontFaceUriElement sVGOMFontFaceUriElement0 = new SVGOMFontFaceUriElement("detached.iterator", (AbstractDocument) null);
      sVGOMFontFaceUriElement0.getAttributeNodeNS("detached.iterator", "detached.iterator");
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 908, (NodeFilter) null, false);
      dOMNodeIterator0.getFilter();
      assertEquals(908, dOMNodeIterator0.getWhatToShow());
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.detach()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGOMFontFaceUriElement sVGOMFontFaceUriElement0 = new SVGOMFontFaceUriElement("detached.iterator", (AbstractDocument) null);
      sVGOMFontFaceUriElement0.getAttributeNodeNS("detached.iterator", "detached.iterator");
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 908, (NodeFilter) null, false);
      // Undeclared exception!
      try {
        dOMNodeIterator0.detach();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 10 TABLESWITCH L-1 Case 0 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 11 TABLESWITCH L-1 Case 1 - false
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 12 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 13 TABLESWITCH L-1 Case 3 - false
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.previousNode()Lorg/w3c/dom/Node;: I2 Branch 14 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test2()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 43, (NodeFilter) null, false);
      dOMNodeIterator0.previousNode();
      assertEquals(43, dOMNodeIterator0.getWhatToShow());
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I3 Branch 19 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I11 Branch 20 IFNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I27 Branch 23 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) null, (Node) null, 43, (NodeFilter) null, false);
      dOMNodeIterator0.nodeToBeRemoved((Node) null);
      assertEquals(false, dOMNodeIterator0.getExpandEntityReferences());
      assertEquals(43, dOMNodeIterator0.getWhatToShow());
  }

  //Test case number: 4
  /*
   * 13 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I2 Branch 37 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I9 Branch 38 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I19 Branch 40 IFNULL L-1 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - true
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I23 Branch 6 IFNONNULL L-1 - true
   * 12 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I37 Branch 7 IFEQ L-1 - false
   * 13 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I40 Branch 8 IFNULL L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("lsd9H}J]W}&KO\":f~V", "lsd9H}J]W}&KO\":f~V", "lsd9H}J]W}&KO\":f~V");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) genericDocument0, (Node) genericDocument0, (-1518), (NodeFilter) null, true);
      GenericDocument genericDocument1 = (GenericDocument)dOMNodeIterator0.nextNode();
      assertNotNull(genericDocument1);
      
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertEquals(-1518, dOMNodeIterator0.getWhatToShow());
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
      assertNotNull(genericDocumentType1);
  }

  //Test case number: 5
  /*
   * 18 covered goals:
   * 1 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I19 Branch 40 IFNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I30 Branch 41 IFNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I44 Branch 42 IFNULL L-1 - false
   * 4 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I48 Branch 43 IF_ACMPEQ L-1 - true
   * 5 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I23 Branch 6 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I37 Branch 7 IFEQ L-1 - true
   * 7 org.apache.batik.dom.traversal.DOMNodeIterator.<init>(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)V: root-Branch
   * 8 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I2 Branch 37 IFNONNULL L-1 - true
   * 9 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I9 Branch 38 IF_ICMPNE L-1 - true
   * 10 org.apache.batik.dom.traversal.DOMNodeIterator.unfilteredNextNode()V: I19 Branch 40 IFNULL L-1 - false
   * 11 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 12 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 13 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 14 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - true
   * 15 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 16 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 4 TABLESWITCH L-1 Case 3 - false
   * 17 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I2 Branch 5 TABLESWITCH L-1 Default-Case - false
   * 18 org.apache.batik.dom.traversal.DOMNodeIterator.nextNode()Lorg/w3c/dom/Node;: I23 Branch 6 IFNONNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("lsd9H}J]W}&KO\":f~V", "lsd9H}J]W}&KO\":f~V", "lsd9H}J]W}&KO\":f~V");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) genericDocument0, (Node) genericDocument0, 1, (NodeFilter) null, true);
      GenericDocument genericDocument1 = (GenericDocument)dOMNodeIterator0.nextNode();
      assertNotNull(genericDocument1);
      
      GenericDocumentType genericDocumentType1 = (GenericDocumentType)dOMNodeIterator0.nextNode();
      assertEquals(1, dOMNodeIterator0.getWhatToShow());
      assertNull(genericDocumentType1);
      assertEquals(true, dOMNodeIterator0.getExpandEntityReferences());
  }
}
