/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.traversal;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.traversal.DOMNodeIterator;
import org.apache.batik.dom.traversal.DOMTreeWalker;
import org.apache.batik.dom.traversal.TraversalSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeFilter;
import org.w3c.dom.traversal.NodeIterator;

public class TraversalSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.detachNodeIterator(Lorg/w3c/dom/traversal/NodeIterator;)V: root-Branch
   * 2 org.apache.batik.dom.traversal.TraversalSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      // Undeclared exception!
      try {
        traversalSupport0.detachNodeIterator((NodeIterator) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      // Undeclared exception!
      try {
        traversalSupport0.createNodeIterator((AbstractDocument) null, (Node) null, 65489, (NodeFilter) null, false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Aw//uu7n", "Aw//uu7n", "Aw//uu7n");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, (-1795), (NodeFilter) null, true);
      dOMNodeIterator0.getFilter();
      DOMNodeIterator dOMNodeIterator1 = (DOMNodeIterator)traversalSupport0.createNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, (-1795), (NodeFilter) null, true);
      assertNotNull(dOMNodeIterator1);
      
      dOMNodeIterator0.getExpandEntityReferences();
      DOMNodeIterator dOMNodeIterator2 = (DOMNodeIterator)traversalSupport0.createNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, (-1795), (NodeFilter) null, true);
      assertEquals(-1795, dOMNodeIterator2.getWhatToShow());
      assertEquals(true, dOMNodeIterator2.getExpandEntityReferences());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I2 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      traversalSupport0.nodeToBeRemoved((Node) null);
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I2 Branch 4 IFNULL L-1 - false
   * 2 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I10 Branch 5 IFEQ L-1 - true
   * 3 org.apache.batik.dom.traversal.TraversalSupport.nodeToBeRemoved(Lorg/w3c/dom/Node;)V: I10 Branch 5 IFEQ L-1 - false
   * 4 org.apache.batik.dom.traversal.TraversalSupport.<init>()V: root-Branch
   * 5 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I1 Branch 2 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.traversal.TraversalSupport.createNodeIterator(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/NodeIterator;: I20 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      TraversalSupport traversalSupport0 = new TraversalSupport();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Aw//uu7n", "Aw//uu7n", "Aw//uu7n");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, (-1795), (NodeFilter) null, true);
      dOMNodeIterator0.getFilter();
      traversalSupport0.createNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, (-1795), (NodeFilter) null, true);
      traversalSupport0.nodeToBeRemoved((Node) sVG12OMDocument0);
      assertEquals(9, sVG12OMDocument0.getNodeType());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createTreeWalker(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/TreeWalker;: I1 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Aw//uu7n", "Aw//uu7n", "Aw//uu7n");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      DOMNodeIterator dOMNodeIterator0 = new DOMNodeIterator((AbstractDocument) sVG12OMDocument0, (Node) genericDocumentType0, (-1795), (NodeFilter) null, true);
      dOMNodeIterator0.getFilter();
      DOMTreeWalker dOMTreeWalker0 = (DOMTreeWalker)TraversalSupport.createTreeWalker((AbstractDocument) sVG12OMDocument0, (Node) sVG12OMDocument0, (-1795), (NodeFilter) null, true);
      assertEquals(true, dOMTreeWalker0.getExpandEntityReferences());
      assertNotNull(dOMTreeWalker0);
      assertEquals(-1795, dOMTreeWalker0.getWhatToShow());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.traversal.TraversalSupport.createTreeWalker(Lorg/apache/batik/dom/AbstractDocument;Lorg/w3c/dom/Node;ILorg/w3c/dom/traversal/NodeFilter;Z)Lorg/w3c/dom/traversal/TreeWalker;: I1 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      // Undeclared exception!
      try {
        TraversalSupport.createTreeWalker((AbstractDocument) sVG12OMDocument0, (Node) null, (-1262), (NodeFilter) null, true);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Iterators do not support null root nodes.
         //
      }
  }
}
