/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.SAXDocumentFactory;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class SAXDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory$ProcessingInstructionInfo.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 43 IFEQ L-1 - true
   * 5 org.apache.batik.dom.util.SAXDocumentFactory.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I9 Branch 44 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "xYmnV?OG=Xxia~:_[ez", true);
      // Undeclared exception!
      try {
        sAXDocumentFactory0.processingInstruction("xYmnV?OG=Xxia~:_[ez", "xYmnV?OG=Xxia~:_[ez");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "", false);
      try {
        sAXDocumentFactory0.createDocument("", "", "");
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class  not found
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setDocumentLocator(Lorg/xml/sax/Locator;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "xml");
      sAXDocumentFactory0.setDocumentLocator((Locator) null);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "xml", true);
      sAXDocumentFactory0.startDTD("xml", "xml", "xml");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.fatalError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "xml");
      // Undeclared exception!
      try {
        sAXDocumentFactory0.fatalError((SAXParseException) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "xml", true);
      sAXDocumentFactory0.startEntity("xml");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.ignorableWhitespace([CII)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "6#~", true);
      char[] charArray0 = new char[10];
      sAXDocumentFactory0.ignorableWhitespace(charArray0, (int) '\u0000', (int) '\u0000');
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.characters([CII)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "glyph-orientation-horizontal", false);
      char[] charArray0 = new char[7];
      // Undeclared exception!
      try {
        sAXDocumentFactory0.characters(charArray0, (int) 'b', (int) '\u0000');
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "xml", true);
      DOMImplementation dOMImplementation0 = sAXDocumentFactory0.getDOMImplementation("xml");
      assertNull(dOMImplementation0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endCDATA()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "xYmnV?OG=Xxia~:_[ez", true);
      sAXDocumentFactory0.endCDATA();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.isValidating()Z: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "glyph-orientation-horizontal", false);
      boolean boolean0 = sAXDocumentFactory0.isValidating();
      assertEquals(false, boolean0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDocument()V: I58 Branch 18 IFEQ L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "xml", true);
      sAXDocumentFactory0.startDocument();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 12
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I18 Branch 40 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I21 Branch 41 IFEQ L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.comment([CII)V: I2 Branch 45 IFEQ L-1 - true
   * 5 org.apache.batik.dom.util.SAXDocumentFactory$CDataInfo.<init>(Ljava/lang/String;)V: root-Branch
   * 6 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 7 org.apache.batik.dom.util.SAXDocumentFactory.startCDATA()V: root-Branch
   * 8 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "", false);
      char[] charArray0 = new char[7];
      sAXDocumentFactory0.startCDATA();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.comment(charArray0, (int) '\u0000', (int) '\u0000');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
