/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericEntity;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMGlyphElement;
import org.apache.batik.dom.svg.SVGOMSVGElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.util.XLinkSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class XLinkSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XLinkSupport xLinkSupport0 = new XLinkSupport();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkActuate(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("arc", "arc", "arc");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("arc", (AbstractDocument) sVG12OMDocument0);
      String string0 = XLinkSupport.getXLinkActuate((Element) sVGOMSVGElement0);
      assertEquals("", string0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkArcRole(Lorg/w3c/dom/Element;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericEntity genericEntity0 = new GenericEntity("", "", "", (AbstractDocument) sVGOMDocument0);
      genericEntity0.getXblPreviousElementSibling();
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkArcRole((Element) null, "");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - false
   * 4 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I15 Branch 4 IFGT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMGlyphElement sVGOMGlyphElement0 = new SVGOMGlyphElement(":Q", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkType((Element) sVGOMGlyphElement0, ":Q");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:type=':Q'
         //
      }
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I15 Branch 4 IFGT L-1 - true
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   * 4 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("arc", "arc", "arc");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("arc", (AbstractDocument) sVG12OMDocument0);
      XLinkSupport.setXLinkType((Element) sVGOMSVGElement0, "arc");
      assertEquals(0, sVGOMSVGElement0.getChildElementCount());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 5 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 6 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkShow(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 7 IFGT L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkShow((Element) null, "H (_OF7/KJ,");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:show='H (_OF7/KJ,'
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 8 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkActuate(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 9 IFGT L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkActuate((Element) null, "locator");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:actuate='locator'
         //
      }
  }
}
