/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.geom.Line2D;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.util.Collection;
import java.util.LinkedList;
import java.util.ListIterator;
import org.apache.batik.ext.awt.geom.RectListManager;
import org.junit.BeforeClass;

public class RectListManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/lang/Object;)Z: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I12 Branch 74 IF_ICMPGT L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>(I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      Rectangle rectangle0 = new Rectangle(0, 0);
      // Undeclared exception!
      try {
        rectListManager0.remove((Object) rectangle0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 14 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.iterator()Ljava/util/Iterator;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.size()I: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/awt/Rectangle;)V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   * 7 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.next()Ljava/lang/Object;: I5 Branch 2 IF_ICMPLT L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;)V: root-Branch
   * 11 org.apache.batik.ext.awt.geom.RectListManager.<init>()V: root-Branch
   * 12 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - true
   * 14 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      RectListManager rectListManager1 = new RectListManager((Collection) rectListManager0);
      assertEquals(1, rectListManager0.size());
      assertEquals(1, rectListManager1.size());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.clear()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      rectListManager0.clear();
      assertEquals(0, rectListManager0.size());
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;II)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      RectListManager rectListManager1 = new RectListManager(rectListManager0);
      assertEquals(true, rectListManager1.isEmpty());
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.clone()Ljava/lang/Object;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.copy()Lorg/apache/batik/ext/awt/geom/RectListManager;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      // Undeclared exception!
      try {
        rectListManager0.clone();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.listIterator()Ljava/util/ListIterator;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      ListIterator<?> listIterator0 = rectListManager0.listIterator();
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(false, listIterator0.hasNext());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.toArray()[Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      Object[] objectArray0 = rectListManager0.toArray();
      assertNotNull(objectArray0);
      assertEquals(1, rectListManager0.size());
      assertEquals(false, rectListManager0.isEmpty());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I22 Branch 171 IF_ICMPGE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      Point2D.Float point2D_Float0 = new Point2D.Float((-535.3323F), (-535.3323F));
      Line2D.Double line2D_Double0 = new Line2D.Double((Point2D) point2D_Float0, (Point2D) point2D_Float0);
      line2D_Double0.getBounds();
      rectListManager0.ensureCapacity(1);
      assertEquals(0, rectListManager0.size());
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Ljava/util/Collection;)Z: I2 Branch 102 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I107 Branch 111 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.getBounds();
      Rectangle[] rectangleArray0 = new Rectangle[8];
      RectListManager rectListManager0 = new RectListManager(rectangleArray0, 0, 0);
      boolean boolean0 = rectListManager0.retainAll((Collection) rectListManager0);
      assertEquals(false, boolean0);
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 9
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.dump()V: I32 Branch 19 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.dump()V: I32 Branch 19 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I2 Branch 21 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I9 Branch 22 IFNE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I28 Branch 23 IF_ICMPGE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.dump();
      assertEquals(false, rectListManager0.isEmpty());
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I2 Branch 51 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I18 Branch 52 IFEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      LinkedList<RectListManager> linkedList0 = new LinkedList<RectListManager>();
      boolean boolean0 = rectListManager0.addAll((Collection) linkedList0);
      assertEquals(false, boolean0);
      assertEquals(0, rectListManager0.size());
  }

  //Test case number: 11
  /*
   * 16 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Ljava/util/Collection;)Z: I2 Branch 88 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I31 Branch 91 IF_ICMPGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I59 Branch 94 IFNONNULL L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I76 Branch 96 IFEQ L-1 - false
   * 12 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I89 Branch 97 IF_ICMPNE L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - false
   * 14 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - true
   * 15 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - false
   * 16 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I119 Branch 101 IFNULL L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      RectListManager rectListManager1 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager1.removeAll((Collection) rectListManager0);
      assertEquals(true, rectListManager1.isEmpty());
      assertEquals(true, boolean0);
      
      rectListManager1.add(rectListManager0);
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 12
  /*
   * 11 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/lang/Object;)Z: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I86 Branch 117 IFLT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I89 Branch 118 IF_ICMPGT L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I23 Branch 35 IFNONNULL L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I34 Branch 37 IFNONNULL L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I83 Branch 42 IF_ICMPNE L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.add((Object) rectangle0);
      rectListManager0.add(rectListManager0);
      assertEquals(4, rectListManager0.size());
  }

  //Test case number: 13
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I6 Branch 29 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I15 Branch 30 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I18 Branch 31 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I27 Branch 32 IF_ACMPEQ L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I38 Branch 33 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;II)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.getBounds();
      Rectangle[] rectangleArray0 = new Rectangle[8];
      RectListManager rectListManager0 = new RectListManager(rectangleArray0, 0, 0);
      Object[] objectArray0 = rectListManager0.toArray((Object[]) rectangleArray0);
      assertNotNull(objectArray0);
      assertEquals(true, rectListManager0.isEmpty());
      assertSame(rectangleArray0, objectArray0);
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I11 Branch 143 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I229 Branch 158 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>(I)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      rectListManager0.subtract(rectListManager0, 0, 0);
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(0, rectListManager0.size());
  }

  //Test case number: 15
  /*
   * 11 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I18 Branch 122 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I61 Branch 124 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I263 Branch 138 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I278 Branch 139 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I278 Branch 139 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I283 Branch 140 IFNULL L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I325 Branch 141 IFNONNULL L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I343 Branch 142 IFGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I2 Branch 121 IFNE L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I18 Branch 122 IF_ICMPGE L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I25 Branch 123 IFNONNULL L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      Dimension dimension0 = new Dimension(2, 2);
      Rectangle rectangle0 = new Rectangle(dimension0);
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.mergeRects(2, 2);
      assertEquals(false, rectListManager0.isEmpty());
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 16
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I37 Branch 92 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.add((Object) rectangle0);
      RectListManager rectListManager1 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager1.removeAll((Collection) rectListManager0);
      assertEquals(2, rectListManager0.size());
      assertEquals(true, boolean0);
  }

  //Test case number: 17
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I37 Branch 92 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I89 Branch 97 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I119 Branch 101 IFNULL L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      RectListManager rectListManager1 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager1.removeAll((Collection) rectListManager0);
      assertEquals(true, boolean0);
      
      // Undeclared exception!
      try {
        rectListManager1.removeAll((Collection) rectListManager0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 18
  /*
   * 8 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I89 Branch 97 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I98 Branch 98 IF_ICMPEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I31 Branch 91 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I59 Branch 94 IFNONNULL L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I76 Branch 96 IFEQ L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.add((Object) rectangle0);
      // Undeclared exception!
      try {
        rectListManager0.removeAll((Collection) rectListManager0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 19
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Ljava/util/Collection;)Z: I2 Branch 88 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      boolean boolean0 = rectListManager0.removeAll((Collection) rectListManager0);
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(false, boolean0);
  }

  //Test case number: 20
  /*
   * 9 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I2 Branch 51 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I18 Branch 52 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.size()I: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I86 Branch 117 IFLT L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I89 Branch 118 IF_ICMPGT L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager0.addAll((Collection) rectListManager0);
      assertEquals(2, rectListManager0.size());
      assertEquals(true, boolean0);
  }

  //Test case number: 21
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I23 Branch 35 IFNONNULL L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I26 Branch 36 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I34 Branch 37 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I49 Branch 38 IF_ICMPLE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I57 Branch 39 IFNONNULL L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I60 Branch 40 IF_ICMPLE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I68 Branch 41 IFNONNULL L-1 - false
   */

  @Test
  public void test21()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      assertEquals(true, rectListManager0.isEmpty());
      
      rectListManager0.add((Rectangle) null);
      Rectangle rectangle0 = new Rectangle((-1), (-1), (-1), (-1));
      rectListManager0.add(rectangle0);
      assertEquals(false, rectListManager0.isEmpty());
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 22
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I26 Branch 104 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I37 Branch 106 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I78 Branch 108 IFEQ L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I107 Branch 111 IFEQ L-1 - true
   */

  @Test
  public void test22()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager0.retainAll(rectListManager0);
      assertEquals(1, rectListManager0.size());
      assertEquals(false, boolean0);
  }

  //Test case number: 23
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I12 Branch 74 IF_ICMPGT L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I26 Branch 75 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I94 Branch 81 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I102 Branch 82 IFLT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I109 Branch 83 IFEQ L-1 - false
   */

  @Test
  public void test23()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle(0, 0);
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      assertEquals(false, rectListManager0.isEmpty());
      
      boolean boolean0 = rectListManager0.remove((Object) rectangle0);
      assertEquals(0, rectListManager0.size());
      assertEquals(true, boolean0);
  }

  //Test case number: 24
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I26 Branch 75 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I36 Branch 76 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I38 Branch 77 IFNE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I94 Branch 81 IF_ICMPEQ L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/lang/Object;)Z: root-Branch
   * 6 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I12 Branch 74 IF_ICMPGT L-1 - false
   */

  @Test
  public void test24()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle(0, 0);
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      Point2D.Float point2D_Float0 = new Point2D.Float((-535.3323F), (float) 0);
      Line2D.Double line2D_Double0 = new Line2D.Double((Point2D) point2D_Float0, (Point2D) point2D_Float0);
      Rectangle rectangle1 = line2D_Double0.getBounds();
      rectListManager0.remove((Object) rectangle1);
      assertEquals(false, rectListManager0.isEmpty());
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.isEmpty()Z: I2 Branch 28 IFNE L-1 - false
   */

  @Test
  public void test25()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      boolean boolean0 = rectListManager0.isEmpty();
      assertEquals(true, boolean0);
  }

  //Test case number: 26
  /*
   * 20 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I28 Branch 23 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I39 Branch 24 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I64 Branch 25 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I96 Branch 26 IF_ICMPLE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I122 Branch 27 IF_ICMPLE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;)V: root-Branch
   * 7 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/awt/Rectangle;)V: root-Branch
   * 8 org.apache.batik.ext.awt.geom.RectListManager.<init>()V: root-Branch
   * 9 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/lang/Object;)Z: root-Branch
   * 10 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I23 Branch 35 IFNONNULL L-1 - true
   * 14 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I34 Branch 37 IFNONNULL L-1 - true
   * 15 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I83 Branch 42 IF_ICMPNE L-1 - false
   * 16 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - true
   * 17 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - false
   * 18 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I2 Branch 21 IFNULL L-1 - true
   * 19 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I9 Branch 22 IFNE L-1 - true
   * 20 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I28 Branch 23 IF_ICMPGE L-1 - true
   */

  @Test
  public void test26()  throws Throwable  {
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.add((Object) rectangle0);
      rectListManager0.getBounds();
      assertEquals(2, rectListManager0.size());
  }
}
