/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class SeekableStreamEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readLong()J: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.<init>()V: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.SeekableStream.wrapInputStream(Ljava/io/InputStream;Z)Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;: I3 Branch 1 IFEQ L-1 - true
   * 4 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readInt()I: I19 Branch 16 IFGE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      byte[] byteArray0 = new byte[8];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      ForwardSeekableStream forwardSeekableStream0 = (ForwardSeekableStream)SeekableStream.wrapInputStream((InputStream) byteArrayInputStream0, false);
      forwardSeekableStream0.readLong();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readUTF()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) pipedInputStream0);
      try {
        memoryCacheSeekableStream0.readUTF();
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.skipBytes(I)I: I1 Branch 5 IFGT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) pipedInputStream0);
      int int0 = forwardSeekableStream0.skipBytes((-1));
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.wrapInputStream(Ljava/io/InputStream;Z)Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;: I3 Branch 1 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
          MemoryCacheSeekableStream memoryCacheSeekableStream0 = (MemoryCacheSeekableStream)SeekableStream.wrapInputStream((InputStream) null, true);
          assertEquals(true, memoryCacheSeekableStream0.canSeekBackwards());
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }
}
