/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.flow;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.Polygon;
import java.awt.Shape;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import org.apache.batik.ext.awt.geom.SegmentList;
import org.apache.batik.gvt.flow.FlowRegions;
import org.junit.BeforeClass;

public class FlowRegionsEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.getLineHeight()D: root-Branch
   * 2 org.apache.batik.gvt.flow.FlowRegions.<init>(Ljava/awt/Shape;)V: root-Branch
   * 3 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I50 Branch 3 IFNONNULL L-1 - false
   * 4 org.apache.batik.gvt.flow.FlowRegions.<init>(Ljava/awt/Shape;D)V: root-Branch
   * 5 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I4 Branch 1 IFGE L-1 - true
   * 6 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I27 Branch 2 IFNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      int[] intArray0 = new int[5];
      Polygon polygon0 = new Polygon(intArray0, intArray0, 0);
      FlowRegions flowRegions0 = new FlowRegions((Shape) polygon0);
      assertEquals(true, flowRegions0.done());
      
      double double0 = flowRegions0.getLineHeight();
      assertEquals(0.0, double0, 0.01D);
      assertEquals(0.0, flowRegions0.getCurrentY(), 0.01D);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.flow.FlowRegions.endLine()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      int[] intArray0 = new int[5];
      Polygon polygon0 = new Polygon(intArray0, intArray0, 0);
      FlowRegions flowRegions0 = new FlowRegions((Shape) polygon0);
      assertEquals(false, flowRegions0.newLine());
      
      // Undeclared exception!
      try {
        flowRegions0.endLine();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.flow.FlowRegions.resetRange()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      FlowRegions flowRegions0 = new FlowRegions((Shape) polygon0);
      assertEquals(true, flowRegions0.done());
      
      flowRegions0.resetRange();
      assertEquals(0.0, flowRegions0.getCurrentY(), 0.01D);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.flow.FlowRegions.getCurrentY()D: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(0.0, 0.0, 0.0, 0.0);
      FlowRegions flowRegions0 = new FlowRegions((Shape) rectangle2D_Double0);
      double double0 = flowRegions0.getCurrentY();
      assertEquals(true, flowRegions0.done());
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.newLine()Z: root-Branch
   * 2 org.apache.batik.gvt.flow.FlowRegions.newLine(D)Z: I2 Branch 7 IFNULL L-1 - true
   * 3 org.apache.batik.gvt.flow.FlowRegions.newLine(D)Z: I14 Branch 8 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((double) (-1), (double) (-1), (double) (-1), (double) (-1));
      FlowRegions flowRegions0 = new FlowRegions((Shape) rectangle2D_Double0);
      boolean boolean0 = flowRegions0.newLine();
      assertEquals((-1.0), flowRegions0.getCurrentY(), 0.01D);
      assertEquals(false, flowRegions0.newLine());
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.getNumRangeOnLine()I: I2 Branch 5 IFNONNULL L-1 - true
   * 2 org.apache.batik.gvt.flow.FlowRegions.sortRow(Lorg/apache/batik/ext/awt/geom/SegmentList;)V: I59 Branch 13 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.gvt.flow.FlowRegions.sortRow(Lorg/apache/batik/ext/awt/geom/SegmentList;)V: I14 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float();
      FlowRegions flowRegions0 = new FlowRegions((Shape) line2D_Float0, (double) 0.0F);
      SegmentList segmentList0 = new SegmentList();
      flowRegions0.sortRow(segmentList0);
      flowRegions0.getNumRangeOnLine();
      assertEquals(false, flowRegions0.newLine());
      assertEquals(0.0, flowRegions0.getCurrentY(), 0.01D);
      assertEquals(true, flowRegions0.done());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.flow.FlowRegions.getNumRangeOnLine()I: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      int[] intArray0 = new int[5];
      Polygon polygon0 = new Polygon(intArray0, intArray0, 5);
      FlowRegions flowRegions0 = new FlowRegions((Shape) polygon0);
      int int0 = flowRegions0.getNumRangeOnLine();
      assertEquals(0, int0);
      assertEquals(0.0, flowRegions0.getCurrentY(), 0.01D);
      assertEquals(true, flowRegions0.done());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.done()Z: I2 Branch 11 IFNONNULL L-1 - true
   * 2 org.apache.batik.gvt.flow.FlowRegions.newLineHeight(D)V: I15 Branch 4 IFNULL L-1 - true
   * 3 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I50 Branch 3 IFNONNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float();
      FlowRegions flowRegions0 = new FlowRegions((Shape) line2D_Float0, (-616.5920651543917));
      boolean boolean0 = flowRegions0.done();
      assertEquals(false, boolean0);
      assertEquals((-616.5920651543917), flowRegions0.getCurrentY(), 0.01D);
      assertEquals(0.0, flowRegions0.getLineHeight(), 0.01D);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.flow.FlowRegions.done()Z: I2 Branch 11 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      FlowRegions flowRegions0 = new FlowRegions((Shape) polygon0);
      boolean boolean0 = flowRegions0.done();
      assertEquals(true, boolean0);
      assertEquals(0.0, flowRegions0.getCurrentY(), 0.01D);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.newLineAt(DD)Z: I2 Branch 9 IFNULL L-1 - true
   * 2 org.apache.batik.gvt.flow.FlowRegions.newLineAt(DD)Z: I14 Branch 10 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Dimension dimension0 = new Dimension((-1), (-1));
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((double) (-1), (double) (-1), (double) (-1), (double) (-1));
      FlowRegions flowRegions0 = new FlowRegions((Shape) rectangle2D_Double0);
      assertEquals(false, flowRegions0.newLine());
      
      boolean boolean0 = flowRegions0.newLineAt((double) (-1), (double) (-1));
      assertEquals((-1.0), flowRegions0.getCurrentY(), 0.01D);
      assertEquals(0.0, flowRegions0.getLineHeight(), 0.01D);
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.newLineAt(DD)Z: I2 Branch 9 IFNULL L-1 - false
   * 2 org.apache.batik.gvt.flow.FlowRegions.newLineAt(DD)Z: I14 Branch 10 IFNONNULL L-1 - true
   * 3 org.apache.batik.gvt.flow.FlowRegions$Transition.<init>(DZ)V: root-Branch
   * 4 org.apache.batik.gvt.flow.FlowRegions.sortRow(Lorg/apache/batik/ext/awt/geom/SegmentList;)V: I14 Branch 12 IFEQ L-1 - false
   * 5 org.apache.batik.gvt.flow.FlowRegions.newLineHeight(D)V: I15 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Line2D.ptLineDistSq(849.8511479779053, 849.8511479779053, 849.8511479779053, 0.0, 0.0, 0.0);
      Line2D.Double line2D_Double0 = new Line2D.Double(722246.9737193635, 722246.9737193635, 722246.9737193635, 722246.9737193635);
      FlowRegions flowRegions0 = new FlowRegions((Shape) line2D_Double0, 0.0);
      boolean boolean0 = flowRegions0.newLineAt(722246.9737193635, 722246.9737193635);
      assertEquals(722246.9737193635, flowRegions0.getCurrentY(), 0.01D);
      assertEquals(true, boolean0);
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.nextRange()[D: I5 Branch 6 IF_ICMPLT L-1 - false
   * 2 org.apache.batik.gvt.flow.FlowRegions.sortRow(Lorg/apache/batik/ext/awt/geom/SegmentList;)V: I14 Branch 12 IFEQ L-1 - true
   * 3 org.apache.batik.gvt.flow.FlowRegions.sortRow(Lorg/apache/batik/ext/awt/geom/SegmentList;)V: I59 Branch 13 IF_ICMPGE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float();
      FlowRegions flowRegions0 = new FlowRegions((Shape) line2D_Float0, (double) 1);
      assertEquals(false, flowRegions0.newLine());
      
      SegmentList segmentList0 = new SegmentList();
      flowRegions0.sortRow(segmentList0);
      flowRegions0.nextRange();
      assertEquals(1.0, flowRegions0.getCurrentY(), 0.01D);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I4 Branch 1 IFGE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float();
      FlowRegions flowRegions0 = new FlowRegions((Shape) line2D_Float0, 1861.0984912420836);
      assertEquals(true, flowRegions0.done());
      
      // Undeclared exception!
      try {
        flowRegions0.gotoY((double) 0.0F);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // New Y can not be lower than old Y
         // Old Y: 1861.0984912420836 New Y: 0.0
         //
      }
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I27 Branch 2 IFNE L-1 - false
   * 2 org.apache.batik.gvt.flow.FlowRegions.<init>(Ljava/awt/Shape;)V: root-Branch
   * 3 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I50 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      FlowRegions flowRegions0 = new FlowRegions((Shape) polygon0);
      assertEquals(true, flowRegions0.done());
      
      boolean boolean0 = flowRegions0.gotoY((double) 0);
      assertEquals(0.0, flowRegions0.getCurrentY(), 0.01D);
      assertEquals(false, boolean0);
  }

  //Test case number: 14
  /*
   * 8 covered goals:
   * 1 org.apache.batik.gvt.flow.FlowRegions.newLine(D)Z: I2 Branch 7 IFNULL L-1 - false
   * 2 org.apache.batik.gvt.flow.FlowRegions.newLine(D)Z: I14 Branch 8 IFNONNULL L-1 - true
   * 3 org.apache.batik.gvt.flow.FlowRegions.<init>(Ljava/awt/Shape;D)V: root-Branch
   * 4 org.apache.batik.gvt.flow.FlowRegions.newLine()Z: root-Branch
   * 5 org.apache.batik.gvt.flow.FlowRegions.newLineHeight(D)V: I15 Branch 4 IFNULL L-1 - true
   * 6 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I4 Branch 1 IFGE L-1 - true
   * 7 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I27 Branch 2 IFNE L-1 - true
   * 8 org.apache.batik.gvt.flow.FlowRegions.gotoY(D)Z: I50 Branch 3 IFNONNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float();
      FlowRegions flowRegions0 = new FlowRegions((Shape) line2D_Float0, (-616.5920651543917));
      boolean boolean0 = flowRegions0.newLine();
      assertEquals((-616.5920651543917), flowRegions0.getCurrentY(), 0.01D);
      assertEquals(true, boolean0);
      assertEquals(0.0, flowRegions0.getLineHeight(), 0.01D);
  }
}
