/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.font;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Font;
import java.text.AttributedCharacterIterator;
import java.util.HashMap;
import java.util.Map;
import org.apache.batik.gvt.font.AWTFontFamily;
import org.apache.batik.gvt.font.AWTGVTFont;
import org.apache.batik.gvt.font.GVTFontFace;
import org.apache.batik.gvt.text.GVTACIImpl;
import org.apache.batik.util.CSSConstants;
import org.junit.BeforeClass;

public class AWTFontFamilyEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.font.AWTFontFamily.getFamilyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.gvt.font.AWTFontFamily.<init>(Lorg/apache/batik/gvt/font/GVTFontFace;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GVTFontFace gVTFontFace0 = new GVTFontFace("");
      AWTFontFamily aWTFontFamily0 = new AWTFontFamily(gVTFontFace0);
      String string0 = aWTFontFamily0.getFamilyName();
      assertEquals("", string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.font.AWTFontFamily.getFontFace()Lorg/apache/batik/gvt/font/GVTFontFace;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GVTFontFace gVTFontFace0 = new GVTFontFace("");
      AWTFontFamily aWTFontFamily0 = new AWTFontFamily(gVTFontFace0);
      GVTFontFace gVTFontFace1 = aWTFontFamily0.getFontFace();
      assertEquals(800.0F, gVTFontFace1.getOverlinePosition(), 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.font.AWTFontFamily.deriveFont(FLjava/util/Map;)Lorg/apache/batik/gvt/font/GVTFont;: I2 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      String string0 = CSSConstants.CSS_SCROLL_VALUE;
      GVTFontFace gVTFontFace0 = new GVTFontFace("scroll");
      AWTFontFamily aWTFontFamily0 = new AWTFontFamily(gVTFontFace0);
      // Undeclared exception!
      try {
        aWTFontFamily0.deriveFont(1000.0F, (Map) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.font.AWTFontFamily.deriveFont(FLjava/util/Map;)Lorg/apache/batik/gvt/font/GVTFont;: I2 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.gvt.font.AWTFontFamily.<init>(Lorg/apache/batik/gvt/font/GVTFontFace;Ljava/awt/Font;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GVTFontFace gVTFontFace0 = new GVTFontFace("");
      Font font0 = Font.decode("");
      AWTFontFamily aWTFontFamily0 = new AWTFontFamily(gVTFontFace0, font0);
      HashMap<String, Integer> hashMap0 = new HashMap<String, Integer>();
      AWTGVTFont aWTGVTFont0 = (AWTGVTFont)aWTFontFamily0.deriveFont((float) 1293, (Map) hashMap0);
      assertEquals(15516.0F, aWTGVTFont0.getSize(), 0.01F);
      assertNotNull(aWTGVTFont0);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.font.AWTFontFamily.deriveFont(FLjava/text/AttributedCharacterIterator;)Lorg/apache/batik/gvt/font/GVTFont;: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.gvt.font.AWTFontFamily.<init>(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.gvt.font.AWTFontFamily.<init>(Lorg/apache/batik/gvt/font/GVTFontFace;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AWTFontFamily aWTFontFamily0 = new AWTFontFamily("Mh^@i17}1B_llSFIE");
      GVTACIImpl gVTACIImpl0 = new GVTACIImpl();
      // Undeclared exception!
      try {
        aWTFontFamily0.deriveFont(5.7714114F, (AttributedCharacterIterator) gVTACIImpl0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.font.AWTFontFamily.deriveFont(FLjava/text/AttributedCharacterIterator;)Lorg/apache/batik/gvt/font/GVTFont;: I2 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.gvt.font.AWTFontFamily.<init>(Lorg/apache/batik/gvt/font/GVTFontFace;Ljava/awt/Font;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      GVTFontFace gVTFontFace0 = new GVTFontFace("");
      GVTACIImpl gVTACIImpl0 = new GVTACIImpl();
      Font font0 = Font.decode("");
      AWTFontFamily aWTFontFamily0 = new AWTFontFamily(gVTFontFace0, font0);
      AWTGVTFont aWTGVTFont0 = (AWTGVTFont)aWTFontFamily0.deriveFont((float) 1293, (AttributedCharacterIterator) gVTACIImpl0);
      assertNotNull(aWTGVTFont0);
      assertEquals(15516.0F, aWTGVTFont0.getSize(), 0.01F);
  }
}
