/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.transcoder;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.InputStream;
import java.io.PushbackInputStream;
import java.io.Reader;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.transcoder.TranscoderInput;
import org.junit.BeforeClass;
import org.w3c.css.sac.InputSource;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;
import org.xml.sax.XMLReader;

public class TranscoderInputEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.transcoder.TranscoderInput.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput("g$=]{7)G");
      assertEquals("g$=]{7)G", transcoderInput0.getURI());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.transcoder.TranscoderInput.<init>(Lorg/w3c/dom/Document;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericComment genericComment0 = new GenericComment();
      genericComment0.getOwnerDocument();
      TranscoderInput transcoderInput0 = new TranscoderInput((Document) null);
      assertNull(transcoderInput0.getURI());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.TranscoderInput.setDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 2 org.apache.batik.transcoder.TranscoderInput.<init>(Ljava/io/Reader;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput((Reader) null);
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      transcoderInput0.setDocument((Document) sVGOMDocument0);
      assertEquals(true, sVGOMDocument0.hasChildNodes());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.TranscoderInput.getDocument()Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.transcoder.TranscoderInput.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput();
      Document document0 = transcoderInput0.getDocument();
      assertNull(document0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.transcoder.TranscoderInput.<init>(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      InputSource inputSource0 = new InputSource();
      inputSource0.getByteStream();
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) null);
      TranscoderInput transcoderInput0 = new TranscoderInput((InputStream) pushbackInputStream0);
      assertNull(transcoderInput0.getURI());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.TranscoderInput.setURI(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.transcoder.TranscoderInput.getURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput();
      transcoderInput0.getURI();
      transcoderInput0.setURI((String) null);
      assertNull(transcoderInput0.getURI());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.TranscoderInput.<init>(Lorg/xml/sax/XMLReader;)V: root-Branch
   * 2 org.apache.batik.transcoder.TranscoderInput.getXMLReader()Lorg/xml/sax/XMLReader;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput();
      transcoderInput0.getXMLReader();
      TranscoderInput transcoderInput1 = new TranscoderInput((XMLReader) null);
      assertFalse(transcoderInput1.equals(transcoderInput0));
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.TranscoderInput.setXMLReader(Lorg/xml/sax/XMLReader;)V: root-Branch
   * 2 org.apache.batik.transcoder.TranscoderInput.getXMLReader()Lorg/xml/sax/XMLReader;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput();
      transcoderInput0.getXMLReader();
      transcoderInput0.setXMLReader((XMLReader) null);
      assertNull(transcoderInput0.getURI());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.transcoder.TranscoderInput.setInputStream(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      InputSource inputSource0 = new InputSource();
      inputSource0.getByteStream();
      TranscoderInput transcoderInput0 = new TranscoderInput((Reader) null);
      transcoderInput0.setInputStream((InputStream) null);
      assertNull(transcoderInput0.getURI());
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 org.apache.batik.transcoder.TranscoderInput.setReader(Ljava/io/Reader;)V: root-Branch
   * 2 org.apache.batik.transcoder.TranscoderInput.<init>()V: root-Branch
   * 3 org.apache.batik.transcoder.TranscoderInput.getReader()Ljava/io/Reader;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput();
      transcoderInput0.getReader();
      transcoderInput0.setReader((Reader) null);
      assertNull(transcoderInput0.getURI());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.transcoder.TranscoderInput.getInputStream()Ljava/io/InputStream;: root-Branch
   * 2 org.apache.batik.transcoder.TranscoderInput.<init>(Ljava/io/Reader;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      TranscoderInput transcoderInput0 = new TranscoderInput((Reader) null);
      InputStream inputStream0 = transcoderInput0.getInputStream();
      assertNull(inputStream0);
  }
}
