/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.TextUtilities;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMRectElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowRegionElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class TextUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.convertFontSize(Lorg/w3c/dom/Element;)Ljava/lang/Float;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMRectElement sVGOMRectElement0 = new SVGOMRectElement("", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        TextUtilities.convertFontSize((Element) sVGOMRectElement0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.svgHorizontalCoordinateArrayToUserSpace(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)Ljava/util/ArrayList;: I18 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      ArrayList<?> arrayList0 = TextUtilities.svgHorizontalCoordinateArrayToUserSpace((Element) null, "", "", (BridgeContext) null);
      assertEquals(0, arrayList0.size());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.svgRotateArrayToFloats(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/bridge/BridgeContext;)Ljava/util/ArrayList;: I14 Branch 9 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMRectElement sVGOMRectElement0 = new SVGOMRectElement("", (AbstractDocument) sVG12OMDocument0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      ArrayList<?> arrayList0 = TextUtilities.svgRotateArrayToFloats((Element) sVGOMRectElement0, "", "", bridgeContext0);
      assertEquals("[]", arrayList0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.TextUtilities.getElementContent(Lorg/w3c/dom/Element;)Ljava/lang/String;: I9 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      SVGOMFlowRegionElement sVGOMFlowRegionElement0 = new SVGOMFlowRegionElement("", (AbstractDocument) sVG12OMDocument0);
      String string0 = TextUtilities.getElementContent((Element) sVGOMFlowRegionElement0);
      assertEquals("", string0);
  }
}
