/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.svg.MarkerManager;
import org.apache.batik.css.engine.value.svg.SVGPaintManager;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMEllipseElement;
import org.apache.batik.dom.svg.SVGOMTextPathElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGPaintManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.SVGPaintManager.getPropertyType()I: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.SVGPaintManager.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("http://xml.apache.org/batik/ext");
      int int0 = sVGPaintManager0.getPropertyType();
      assertEquals(7, int0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.SVGPaintManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("http://xml.apache.org/batik/ext");
      boolean boolean0 = sVGPaintManager0.isAdditiveProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.SVGPaintManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("http://xml.apache.org/batik/ext");
      boolean boolean0 = sVGPaintManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.SVGPaintManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 24 - false
   * 2 org.apache.batik.css.engine.value.svg.SVGPaintManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 3 org.apache.batik.css.engine.value.svg.SVGPaintManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 4 org.apache.batik.css.engine.value.svg.SVGPaintManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I8 Branch 4 IFLE L-1 - true
   * 5 org.apache.batik.css.engine.value.svg.SVGPaintManager.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("4Nukqt!JK+\"4");
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("X");
      try {
        sVGPaintManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"X\" identifier is not a valid value for the \"4Nukqt!JK+\"4\" property. 
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.SVGPaintManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 10 IF_ACMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.svg.SVGPaintManager.<init>(Ljava/lang/String;Lorg/apache/batik/css/engine/value/Value;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("", (Value) null);
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMTextPathElement sVGOMTextPathElement0 = new SVGOMTextPathElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMEllipseElement sVGOMEllipseElement0 = new SVGOMEllipseElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMEllipseElement0.getComputedStyleMap("");
      MarkerManager markerManager0 = new MarkerManager("");
      StringValue stringValue0 = (StringValue)markerManager0.getDefaultValue();
      StringValue stringValue1 = (StringValue)sVGPaintManager0.computeValue((CSSStylableElement) sVGOMTextPathElement0, "", (CSSEngine) null, 0, (StyleMap) null, (Value) stringValue0);
      assertEquals(1, stringValue1.getCssValueType());
  }
}
