/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGZoomAndPanSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.XBLOMContentElement;
import org.apache.batik.extension.svg.FlowLineElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGZoomAndPanSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - true
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - false
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      XBLOMContentElement xBLOMContentElement0 = new XBLOMContentElement("", (AbstractDocument) sVGOMDocument0);
      SVGZoomAndPanSupport.setZoomAndPan((Element) xBLOMContentElement0, (short)1);
      assertEquals(true, xBLOMContentElement0.hasAttributes());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - false
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - true
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGZoomAndPanSupport.setZoomAndPan((Element) null, (short)2);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 3 LOOKUPSWITCH L-1 Default-Case - true
   * 2 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 1 LOOKUPSWITCH L-1 Case 1 - false
   * 3 org.apache.batik.dom.svg.SVGZoomAndPanSupport.setZoomAndPan(Lorg/w3c/dom/Element;S)V: I1 Branch 2 LOOKUPSWITCH L-1 Case 2 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("all", "all", "all");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowLineElement flowLineElement0 = new FlowLineElement("all", (AbstractDocument) sVGOMDocument0);
      try {
        SVGZoomAndPanSupport.setZoomAndPan((Element) flowLineElement0, (short)1856);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given value (1,856) represents an invalid SVGZoomAndPan value.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGZoomAndPanSupport.getZoomAndPan(Lorg/w3c/dom/Element;)S: I8 Branch 4 IFLE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("all", "all", "all");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowLineElement flowLineElement0 = new FlowLineElement("all", (AbstractDocument) sVGOMDocument0);
      short short0 = SVGZoomAndPanSupport.getZoomAndPan((Element) flowLineElement0);
      assertEquals((short)1, short0);
  }
}
