/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.io;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.MissingResourceException;
import org.apache.batik.util.io.UTF8Decoder;
import org.junit.BeforeClass;

public class UTF8DecoderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 9 covered goals:
   * 1 org.apache.batik.util.io.UTF8Decoder.readChar()I: I24 Branch 3 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 4 TABLESWITCH L-1 Case 1 - true
   * 3 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 5 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 6 TABLESWITCH L-1 Case 3 - false
   * 5 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 7 TABLESWITCH L-1 Case 4 - false
   * 6 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 8 TABLESWITCH L-1 Default-Case - false
   * 7 org.apache.batik.util.io.UTF8Decoder.<init>(Ljava/io/InputStream;)V: root-Branch
   * 8 org.apache.batik.util.io.UTF8Decoder.readChar()I: I3 Branch 1 IF_ICMPEQ L-1 - true
   * 9 org.apache.batik.util.io.UTF8Decoder.readChar()I: I17 Branch 2 IF_ICMPNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      UTF8Decoder uTF8Decoder0 = new UTF8Decoder((InputStream) byteArrayInputStream0);
      int int0 = uTF8Decoder0.readChar();
      assertEquals(0, byteArrayInputStream0.available());
      assertEquals(0, int0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.io.UTF8Decoder.readChar()I: I24 Branch 3 IF_ICMPNE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[9];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte) (-127));
      UTF8Decoder uTF8Decoder0 = new UTF8Decoder((InputStream) byteArrayInputStream0);
      int int0 = uTF8Decoder0.readChar();
      assertEquals(-1, uTF8Decoder0.readChar());
      assertEquals((-1), int0);
  }

  //Test case number: 2
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 4 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 6 TABLESWITCH L-1 Case 3 - true
   * 3 org.apache.batik.util.io.UTF8Decoder.readChar()I: I93 Branch 11 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.util.io.UTF8Decoder.readChar()I: I100 Branch 12 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.util.io.UTF8Decoder.readChar()I: I120 Branch 13 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.util.io.UTF8Decoder.readChar()I: I127 Branch 14 IF_ICMPNE L-1 - true
   * 7 org.apache.batik.util.io.UTF8Decoder.readChar()I: I147 Branch 15 IF_ICMPNE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      byteArray0[0] = (byte) (-23);
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      UTF8Decoder uTF8Decoder0 = new UTF8Decoder((InputStream) byteArrayInputStream0);
      // Undeclared exception!
      int int0 = 0;
      try {
        int0 = uTF8Decoder0.readChar();
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: invalid.char
         //
      }
      
      assertEquals(0, byteArrayInputStream0.available());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.io.UTF8Decoder.readChar()I: I147 Branch 15 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.util.io.UTF8Decoder.readChar()I: I152 Branch 16 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      byteArray0[0] = (byte) (-23);
      byteArray0[1] = (byte) (-94);
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      UTF8Decoder uTF8Decoder0 = new UTF8Decoder((InputStream) byteArrayInputStream0);
      // Undeclared exception!
      int int0 = 0;
      try {
        int0 = uTF8Decoder0.readChar();
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: invalid.char
         //
      }
      
      assertEquals(0, byteArrayInputStream0.available());
  }

  //Test case number: 4
  /*
   * 15 covered goals:
   * 1 org.apache.batik.util.io.UTF8Decoder.readChar()I: I152 Branch 16 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.util.io.UTF8Decoder.<init>(Ljava/io/InputStream;)V: root-Branch
   * 3 org.apache.batik.util.io.UTF8Decoder.readChar()I: I3 Branch 1 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.util.io.UTF8Decoder.readChar()I: I17 Branch 2 IF_ICMPNE L-1 - false
   * 5 org.apache.batik.util.io.UTF8Decoder.readChar()I: I24 Branch 3 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 4 TABLESWITCH L-1 Case 1 - false
   * 7 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 5 TABLESWITCH L-1 Case 2 - false
   * 8 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 6 TABLESWITCH L-1 Case 3 - true
   * 9 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 7 TABLESWITCH L-1 Case 4 - false
   * 10 org.apache.batik.util.io.UTF8Decoder.readChar()I: I44 Branch 8 TABLESWITCH L-1 Default-Case - false
   * 11 org.apache.batik.util.io.UTF8Decoder.readChar()I: I93 Branch 11 IF_ICMPNE L-1 - true
   * 12 org.apache.batik.util.io.UTF8Decoder.readChar()I: I100 Branch 12 IF_ICMPNE L-1 - true
   * 13 org.apache.batik.util.io.UTF8Decoder.readChar()I: I120 Branch 13 IF_ICMPNE L-1 - true
   * 14 org.apache.batik.util.io.UTF8Decoder.readChar()I: I127 Branch 14 IF_ICMPNE L-1 - true
   * 15 org.apache.batik.util.io.UTF8Decoder.readChar()I: I147 Branch 15 IF_ICMPNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      byteArray0[0] = (byte) (-23);
      byteArray0[1] = (byte) (-94);
      byteArray0[2] = (byte) (-94);
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      UTF8Decoder uTF8Decoder0 = new UTF8Decoder((InputStream) byteArrayInputStream0);
      uTF8Decoder0.readChar();
  }
}
