package org.apache.batik;

import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import org.apache.batik.transcoder.TranscoderException;
import org.apache.batik.transcoder.TranscoderInput;
import org.apache.batik.transcoder.TranscoderOutput;
import org.apache.batik.transcoder.image.JPEGTranscoder;
import org.apache.batik.transcoder.image.PNGTranscoder;
import org.apache.batik.transcoder.image.TIFFTranscoder;

public class Driver {
	public static void main(String[] args) throws TranscoderException {
		if (args.length < 1) {
			System.out.println("Usage: <path-to-xml>+");
			return;
		}
		JPEGTranscoder jpeg = new JPEGTranscoder();
		jpeg.addTranscodingHint(JPEGTranscoder.KEY_QUALITY, new Float(.8));
		PNGTranscoder png = new PNGTranscoder();
		TIFFTranscoder tiff = new TIFFTranscoder();
		@SuppressWarnings("resource")
		TranscoderOutput output = new TranscoderOutput(new OutputStream() {
			@Override
			public void write(int arg0) throws IOException {
				/* nop */
			}
		});

		// int i = 0;
		for (String arg : args) {
			// System.out.println("Processing " + ++i + "/" + args.length);
			String svgURI = new File(arg).toURI().toString();
			TranscoderInput input = new TranscoderInput(svgURI);

			jpeg.transcode(input, output);
			png.transcode(input, output);
			tiff.transcode(input, output);

		}
	}
}
