/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.simple;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.io.IOException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.xhtmlrenderer.simple.ImageRenderer;

public class ImageRendererEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.ImageRenderer.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ImageRenderer imageRenderer0 = new ImageRenderer();
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.simple.ImageRenderer.renderToImage(Ljava/lang/String;Ljava/lang/String;I)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 org.xhtmlrenderer.simple.ImageRenderer.renderToImage(Ljava/io/File;Ljava/lang/String;I)Ljava/awt/image/BufferedImage;: root-Branch
   * 3 org.xhtmlrenderer.simple.ImageRenderer.renderImageToOutput(Ljava/lang/String;Lorg/xhtmlrenderer/util/FSImageWriter;Ljava/lang/String;I)Ljava/awt/image/BufferedImage;: I61 Branch 2 IFNULL L137 - true
   */

  @Test
  public void test1()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          File file0 = new File("r/");
          // Undeclared exception!
          try {
            ImageRenderer.renderToImage(file0, "r/", (-879));
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission r write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:183)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:84)
             // org.xhtmlrenderer.simple.ImageRenderer.renderImageToOutput(ImageRenderer.java:130)
             // org.xhtmlrenderer.simple.ImageRenderer.renderToImage(ImageRenderer.java:67)
             // org.xhtmlrenderer.simple.ImageRenderer.renderToImage(ImageRenderer.java:95)
             // sun.reflect.GeneratedMethodAccessor49.invoke(Unknown Source)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.simple.ImageRenderer.renderToImage(Ljava/lang/String;Ljava/lang/String;II)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 org.xhtmlrenderer.simple.ImageRenderer.renderToImage(Ljava/io/File;Ljava/lang/String;II)Ljava/awt/image/BufferedImage;: root-Branch
   * 3 org.xhtmlrenderer.simple.ImageRenderer.renderImageToOutput(Ljava/lang/String;Lorg/xhtmlrenderer/util/FSImageWriter;Ljava/lang/String;I)Ljava/awt/image/BufferedImage;: I61 Branch 2 IFNULL L137 - true
   */

  @Test
  public void test2()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          File file0 = new File("JPEG");
          // Undeclared exception!
          try {
            ImageRenderer.renderToImage(file0, "JPEG", 1, 1);
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission JPEG write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:183)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:84)
             // org.xhtmlrenderer.simple.ImageRenderer.renderImageToOutput(ImageRenderer.java:130)
             // org.xhtmlrenderer.simple.ImageRenderer.renderToImage(ImageRenderer.java:81)
             // org.xhtmlrenderer.simple.ImageRenderer.renderToImage(ImageRenderer.java:110)
             // sun.reflect.GeneratedMethodAccessor50.invoke(Unknown Source)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }
}
