/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import nu.xom.Attribute;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.JaxenNavigator;
import nu.xom.Namespaces;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.jaxen.FunctionCallException;
import nu.xom.jaxen.JaxenException;
import nu.xom.jaxen.UnsupportedAxisException;
import nu.xom.jaxen.XPath;
import org.junit.BeforeClass;

public class JaxenNavigatorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ArrayList<DocType> arrayList0 = new ArrayList<DocType>();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementName((Object) arrayList0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.util.ArrayList cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionTarget(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getDocument();
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionTarget((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 nu.xom.JaxenNavigator.isAttribute(Ljava/lang/Object;)Z: root-Branch
   * 2 nu.xom.JaxenNavigator.isProcessingInstruction(Ljava/lang/Object;)Z: root-Branch
   * 3 nu.xom.JaxenNavigator.isElement(Ljava/lang/Object;)Z: root-Branch
   * 4 nu.xom.JaxenNavigator.isComment(Ljava/lang/Object;)Z: root-Branch
   * 5 nu.xom.JaxenNavigator.isNamespace(Ljava/lang/Object;)Z: root-Branch
   * 6 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - true
   * 7 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I2 Branch 45 IFNE L-1 - false
   * 8 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I5 Branch 46 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = CDATASection.build("xml:id");
      short short0 = jaxenNavigator0.getNodeType((Object) text0);
      assertEquals((short)14, short0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocument(Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      try {
        jaxenNavigator0.getDocument("`:q1qG]brgC-%l;");
        fail("Expecting exception: FunctionCallException");
      
      } catch(FunctionCallException e) {
         //
         // document() function not supported
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionData(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text.escapeLineBreaksAndTruncate("AlK0-h");
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionData((Object) "AlK0-h");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.ProcessingInstruction
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeQName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = Text.build("Tried to replace child with null");
      text0.toXML();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeQName((Object) "Tried to replace child with null");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.getCommentStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = new Comment("Hk}b`C!Mlv");
      jaxenNavigator0.getCommentStringValue((Object) comment0);
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementNamespaceUri((Object) "Hk}b`C!Mlv");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementQName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      AbstractMap.SimpleImmutableEntry<String, String> abstractMap_SimpleImmutableEntry0 = new AbstractMap.SimpleImmutableEntry<String, String>(")h GbA)JD f&{|]n36\"", ")h GbA)JD f&{|]n36\"");
      abstractMap_SimpleImmutableEntry0.getValue();
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementQName((Object) ")h GbA)JD f&{|]n36\"");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = CDATASection.build("");
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeStringValue((Object) text0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.CDATASection cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      String string0 = documentFragment0.actualBaseURI;
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeNamespaceUri((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: root-Branch
   * 2 nu.xom.JaxenNavigator.getTextStringValue(Ljava/lang/Object;)Ljava/lang/String;: I6 Branch 43 IF_ICMPNE L-1 - true
   * 3 nu.xom.JaxenNavigator.getTextStringValue(Ljava/lang/Object;)Ljava/lang/String;: I24 Branch 44 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      LinkedList<ProcessingInstruction> linkedList0 = new LinkedList<ProcessingInstruction>();
      jaxenNavigator0.getTextStringValue((Object) linkedList0);
      Iterator<?> iterator0 = jaxenNavigator0.getAttributeAxisIterator((Object) "");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("document() function not supported");
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementStringValue((Object) cDATASection0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.CDATASection cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I7 Branch 51 IFNONNULL L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Namespaces namespaces0 = new Namespaces();
      namespaces0.getURI("nBU9Zatn|'tBn");
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeAxisIterator((Object) null, (String) null, "nBU9Zatn|'tBn", (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.hasID(Lnu/xom/Element;Ljava/lang/String;)Z: I8 Branch 33 IF_ICMPGE L-1 - true
   * 2 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I3 Branch 30 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I16 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Element element1 = JaxenNavigator.findByID(element0, "");
      assertNull(element1);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I2 Branch 50 IFEQ L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = Text.build("xml");
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) text0, "xml", "xml", "xml");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getSelfAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text.escapeLineBreaksAndTruncate("AlK0-h");
      Iterator<?> iterator0 = jaxenNavigator0.getSelfAxisIterator((Object) "AlK0-h");
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 16
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 40 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.parseXPath(Ljava/lang/String;)Lnu/xom/jaxen/XPath;: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      XPath xPath0 = jaxenNavigator0.parseXPath("contains");
      // Undeclared exception!
      try {
        jaxenNavigator0.getFollowingAxisIterator((Object) xPath0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenConnector cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getParentNode(Ljava/lang/Object;)Ljava/lang/Object;: I2 Branch 42 IFEQ L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Attribute.Type attribute_Type0 = Attribute.Type.ENUMERATION;
      // Undeclared exception!
      try {
        jaxenNavigator0.getParentAxisIterator((Object) attribute_Type0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Attribute$Type cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 18
  /*
   * 6 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I35 Branch 27 IFNULL L-1 - false
   * 2 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I45 Branch 28 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 24 IFEQ L-1 - true
   * 4 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I17 Branch 25 IFNE L-1 - false
   * 5 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I20 Branch 26 IFEQ L-1 - true
   * 6 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I35 Branch 27 IFNULL L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      CDATASection cDATASection0 = new CDATASection("xml:id");
      cDATASection0.setParent(documentFragment0);
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementById((Object) cDATASection0, "xml:id");
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // This node has no children
         //
      }
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Attribute.Type attribute_Type0 = Attribute.Type.ENUMERATION;
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) attribute_Type0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 20
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - false
   * 2 nu.xom.JaxenNavigator$ChildIterator.<init>(Lnu/xom/ParentNode;)V: root-Branch
   * 3 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Element element0 = new Element("xml");
      Iterator<?> iterator0 = jaxenNavigator0.getDescendantAxisIterator((Object) element0);
      assertEquals(false, iterator0.hasNext());
  }
}
