/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.List;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.parser.FSRGBColor;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.parser.Token;
import org.xhtmlrenderer.layout.StyleTracker;

public class PropertyValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCounterValue()Lorg/w3c/dom/css/Counter;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSRGBColor;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FSRGBColor fSRGBColor0 = new FSRGBColor((int) (short)93, (int) (short)93, (int) (short)93);
      PropertyValue propertyValue0 = new PropertyValue(fSRGBColor0);
      // Undeclared exception!
      try {
        propertyValue0.getCounterValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test1()  throws Throwable  {
      IdentValue identValue0 = IdentValue.W_RESIZE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getFunction();
      PropertyValue propertyValue1 = null;
      try {
        propertyValue1 = new PropertyValue((FSFunction) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getOperator()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_700;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getOperator();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRectValue()Lorg/w3c/dom/css/Rect;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - false
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - false
   */

  @Test
  public void test3()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)21, "inherit", "inherit");
      // Undeclared exception!
      try {
        propertyValue0.getRectValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue()F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_700;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      float float0 = propertyValue0.getFloatValue();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(0.0F, float0, 0.01F);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I32", propertyValue0.getFingerprint());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFSRGBColor()Lorg/xhtmlrenderer/css/parser/FSRGBColor;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      IdentValue identValue0 = IdentValue.LEFT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getFSRGBColor();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getValues()Ljava/util/List;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      IdentValue identValue0 = IdentValue.W_RESIZE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getValues();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals("I142", propertyValue0.getFingerprint());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRGBColorValue()Lorg/w3c/dom/css/RGBColor;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test7()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1594), "`|", "`|");
      // Undeclared exception!
      try {
        propertyValue0.getRGBColorValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setCssText(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - true
   */

  @Test
  public void test8()  throws Throwable  {
      IdentValue identValue0 = IdentValue.LEFT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getFingerprint();
      assertEquals("I55", string0);
      assertNotNull(string0);
      
      // Undeclared exception!
      try {
        propertyValue0.setCssText("I55");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringValue(SLjava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_700;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getCssText();
      assertNotNull(string0);
      
      // Undeclared exception!
      try {
        propertyValue0.setStringValue((short)1730, "700");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setFloatValue(SF)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1364), "sSwPDMVQoz<Dr@", "sSwPDMVQoz<Dr@");
      // Undeclared exception!
      try {
        propertyValue0.setFloatValue((short) (-1364), (short) (-1364));
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getPrimitiveType()S: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)21, "inherit", "inherit");
      short short0 = propertyValue0.getPrimitiveType();
      assertEquals(0, propertyValue0.getCssValueType());
      assertEquals((short)21, short0);
      assertEquals("I44", propertyValue0.getFingerprint());
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getStringValue()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - false
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - false
   * 5 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - false
   */

  @Test
  public void test12()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)21, "inherit", "inherit");
      String string0 = propertyValue0.getFingerprint();
      assertEquals(0, propertyValue0.getCssValueType());
      assertNotNull(string0);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I44", string0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCssValueType()S: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      IdentValue identValue0 = IdentValue.W_RESIZE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      short short0 = propertyValue0.getCssValueType();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals((short)1, short0);
      assertEquals("I142", propertyValue0.getFingerprint());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Ljava/util/List;)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      List<?> list0 = styleTracker0.getStyles();
      PropertyValue propertyValue0 = new PropertyValue(list0);
      assertEquals(0, propertyValue0.getPrimitiveType());
      assertEquals(6, propertyValue0.getPropertyValueType());
      assertEquals(3, propertyValue0.getCssValueType());
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setOperator(Lorg/xhtmlrenderer/css/parser/Token;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test15()  throws Throwable  {
      IdentValue identValue0 = IdentValue.W_RESIZE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      Token token0 = Token.TK_PT;
      propertyValue0.setOperator(token0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I142", propertyValue0.getFingerprint());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test16()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1594), (float) 420, "`|");
      assertEquals(420.0F, propertyValue0.getFloatValue(), 0.01F);
      assertEquals(-1594, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(2, propertyValue0.getPropertyValueType());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - false
   */

  @Test
  public void test17()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      assertEquals(0, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I44", propertyValue0.getFingerprint());
  }

  //Test case number: 18
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 5 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test18()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1594), "`|", "`|");
      String string0 = propertyValue0.getFingerprint();
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(-1594, propertyValue0.getPrimitiveType());
      assertNotNull(string0);
  }
}
