/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.CDATASection;
import nu.xom.CycleException;
import nu.xom.Document;
import nu.xom.Element;
import nu.xom.IllegalNameException;
import nu.xom.NodeFactory;
import nu.xom.Nodes;
import nu.xom.Text;
import org.junit.BeforeClass;

public class NodeFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 nu.xom.NodeFactory.startMakingElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   * 2 nu.xom.NodeFactory.<init>()V: root-Branch
   * 3 nu.xom.NodeFactory.makeRootElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeRootElement("", "");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot be empty
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeDocType(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeDocType("q", "q", "q");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeComment(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.IDREF;
      attribute_Type0.toString();
      Nodes nodes0 = nodeFactory0.makeComment("[Attribute.Type: IDREF]");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.makeCDATASection(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.makeText(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeCDATASection("@PvOC9^~");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.startMakingDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Document document0 = nodeFactory0.startMakingDocument();
      assertEquals("<?xml version=\"1.0\"?>\n<root xmlns=\"http://www.xom.nu/fakeRoot\" />\n", document0.toXML());
      assertNotNull(document0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeAttribute(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lnu/xom/Attribute$Type;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKENS;
      // Undeclared exception!
      try {
        nodeFactory0.makeAttribute("Can't change type of xml:id attribute to ", "Can't change type of xml:id attribute to ", "Can't change type of xml:id attribute to ", attribute_Type0);
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // 0x20 is not a legal NCName character
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.insertChild(Lnu/xom/Element;Lnu/xom/Node;I)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Element element0 = Element.build("", "", "");
      // Undeclared exception!
      try {
        nodeFactory0.insertChild(element0, element0, 483);
        fail("Expecting exception: CycleException");
      
      } catch(CycleException e) {
         //
         // Cannot add a node to itself
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeProcessingInstruction(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeProcessingInstruction("root", "root");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.addAttribute(Lnu/xom/Element;Lnu/xom/Attribute;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      Attribute attribute0 = Attribute.build("", "", "", attribute_Type0, "");
      // Undeclared exception!
      try {
        nodeFactory0.addAttribute((Element) null, attribute0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.finishMakingDocument(Lnu/xom/Document;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.IDREF;
      attribute_Type0.toString();
      Text text0 = CDATASection.build("[Attribute.Type: IDREF]");
      CDATASection cDATASection0 = new CDATASection(text0);
      cDATASection0.getDocument();
      nodeFactory0.finishMakingDocument((Document) null);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.finishMakingElement(Lnu/xom/Element;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.finishMakingElement((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Nodes content must be non-null
         //
      }
  }
}
