/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.canonical;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.PrintStream;
import nu.xom.Attribute;
import nu.xom.Comment;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.canonical.CanonicalizationException;
import nu.xom.canonical.Canonicalizer;
import org.junit.BeforeClass;

public class CanonicalizerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - false
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2006/12/xml-c14n11");
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      PrintStream printStream0 = new PrintStream((OutputStream) pipedOutputStream0, true);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) printStream0, "http://www.w3.org/2001/10/xml-exc-c14n#WithComments");
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2006/12/xml-c14n11#WithComments");
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(0);
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "v/L=6}zU+n4.wu][Z4");
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Unsupported canonicalization algorithm: v/L=6}zU+n4.wu][Z4
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Text text0 = new Text("pseudo");
      Nodes nodes0 = text0.query("pseudo");
      canonicalizer0.write(nodes0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I9 Branch 164 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Text text0 = new Text("^y^QF$'GSPV!EI!tA;0");
      Nodes nodes0 = new Nodes((Node) text0);
      // Undeclared exception!
      try {
        canonicalizer0.write(nodes0);
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Canonicalization is not defined for detached nodes
         //
      }
  }

  //Test case number: 6
  /*
   * 11 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I2 Branch 124 IFNULL L-1 - true
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - false
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I31 Branch 127 IF_ICMPNE L-1 - true
   * 9 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I40 Branch 128 IF_ICMPNE L-1 - true
   * 10 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I49 Branch 129 IF_ICMPNE L-1 - true
   * 11 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I58 Branch 130 IF_ICMPNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Text text0 = new Text("^y^QF$'GSPV!EI!tA;0");
      canonicalizer0.write((Node) text0);
      assertEquals(20, byteArrayOutputStream0.size());
      assertEquals("^y^QF$'GSPV!EI!tA;0", byteArrayOutputStream0.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I5 Branch 165 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0);
      canonicalizer0.setInclusiveNamespacePrefixList("8BZuce@L.9w(y");
  }

  //Test case number: 8
  /*
   * 14 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Attribute;)V: root-Branch
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I13 Branch 104 IFNE L-1 - false
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I18 Branch 105 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I109 Branch 113 IF_ICMPGE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I109 Branch 113 IF_ICMPGE L-1 - false
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I114 Branch 114 IF_ICMPNE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I144 Branch 118 IF_ICMPNE L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I155 Branch 119 IF_ICMPNE L-1 - true
   * 9 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I166 Branch 120 IF_ICMPNE L-1 - true
   * 10 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I177 Branch 121 IF_ICMPNE L-1 - true
   * 11 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I188 Branch 122 IF_ICMPNE L-1 - true
   * 12 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.prepareAttributeValue(Lnu/xom/Attribute;)Ljava/lang/String;: I199 Branch 123 IF_ICMPNE L-1 - true
   * 13 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - false
   * 14 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, true);
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      Attribute attribute0 = new Attribute("pseudo", "pseudo", attribute_Type0);
      try {
        canonicalizer0.write((Node) attribute0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/ProcessingInstruction;)V: I2 Branch 134 IFNULL L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("pseudo", "pseudo");
      canonicalizer0.write((Node) processingInstruction0);
      assertEquals("<?pseudo pseudo?>", byteArrayOutputStream0.toString());
      assertEquals(17, byteArrayOutputStream0.size());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      Comment comment0 = new Comment("v/L=6}zU+n4.wu][Z4");
      canonicalizer0.write((Node) comment0);
      assertEquals(0, byteArrayOutputStream0.size());
      assertEquals("", byteArrayOutputStream0.toString());
  }

  //Test case number: 11
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - false
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I6 Branch 132 IFNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   * 4 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0);
      Comment comment0 = new Comment("8BZuce@L.9w(y");
      canonicalizer0.write((Node) comment0);
  }
}
