/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.jaxen;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.LinkedList;
import java.util.List;
import nu.xom.jaxen.Context;
import nu.xom.jaxen.ContextSupport;
import nu.xom.jaxen.Navigator;
import nu.xom.jaxen.UnresolvableException;
import nu.xom.jaxen.function.ConcatFunction;
import org.junit.BeforeClass;

public class ContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 nu.xom.jaxen.Context.getFunction(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/jaxen/Function;: root-Branch
   * 2 nu.xom.jaxen.Context.<init>(Lnu/xom/jaxen/ContextSupport;)V: root-Branch
   * 3 nu.xom.jaxen.Context.getContextSupport()Lnu/xom/jaxen/ContextSupport;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      try {
        context0.getFunction("0]i$uacF$", "0]i$uacF$", "0]i$uacF$");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No function context installed
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.Context.setContextSupport(Lnu/xom/jaxen/ContextSupport;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.setContextSupport(contextSupport0);
      assertEquals(0, context0.getPosition());
      assertEquals(0, context0.getSize());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 nu.xom.jaxen.Context.setPosition(I)V: root-Branch
   * 2 nu.xom.jaxen.Context.getNodeSet()Ljava/util/List;: root-Branch
   * 3 nu.xom.jaxen.Context.duplicate()Lnu/xom/jaxen/Context;: I10 Branch 2 IFNULL L-1 - false
   * 4 nu.xom.jaxen.Context.setNodeSet(Ljava/util/List;)V: I11 Branch 1 IF_ICMPLT L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      Context context1 = context0.duplicate();
      assertEquals(0, context0.getSize());
      assertEquals(0, context1.getPosition());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.Context.getVariableValue(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      try {
        context0.getVariableValue("$", "$", "$");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No variable context installed
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.Context.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.translateNamespacePrefixToUri("$");
      assertEquals(0, context0.getSize());
      assertEquals(0, context0.getPosition());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.Context.getPosition()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      int int0 = context0.getPosition();
      assertEquals(0, int0);
      assertEquals(0, context0.getSize());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.Context.setSize(I)V: root-Branch
   * 2 nu.xom.jaxen.Context.getSize()I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      context0.getSize();
      context0.setSize(0);
      assertEquals(0, context0.getPosition());
      assertEquals(0, context0.getSize());
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 nu.xom.jaxen.Context.setNodeSet(Ljava/util/List;)V: I11 Branch 1 IF_ICMPLT L-1 - true
   * 2 nu.xom.jaxen.Context.<init>(Lnu/xom/jaxen/ContextSupport;)V: root-Branch
   * 3 nu.xom.jaxen.Context.getNodeSet()Ljava/util/List;: root-Branch
   * 4 nu.xom.jaxen.Context.getContextSupport()Lnu/xom/jaxen/ContextSupport;: root-Branch
   * 5 nu.xom.jaxen.Context.getNavigator()Lnu/xom/jaxen/Navigator;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      context0.getNavigator();
      List<?> list0 = context0.getNodeSet();
      ConcatFunction.evaluate((List) list0, (Navigator) null);
      assertEquals(0, context0.getSize());
      
      linkedList0.offerLast((Object) "");
      context0.setNodeSet((List) linkedList0);
      assertEquals(1, context0.getSize());
  }
}
