/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.io.IOException;
import java.util.List;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.css.style.CalculatedStyle;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.AnonymousBlockBox;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.render.InlineLayoutBox;
import org.xhtmlrenderer.render.LineBox;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class BoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getY()I: root-Branch
   * 2 org.xhtmlrenderer.render.Box.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getX()I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      // Undeclared exception!
      try {
        marginBox0.positionRelative((CssContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getStyleMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getPaintingBorderEdge(Lorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getBorderEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 4 org.xhtmlrenderer.render.Box.setElement(Lorg/w3c/dom/Element;)V: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getAbsY()I: root-Branch
   * 6 org.xhtmlrenderer.render.Box.getContainingBlockWidth()I: root-Branch
   * 7 org.xhtmlrenderer.render.Box.getAbsX()I: root-Branch
   * 8 org.xhtmlrenderer.render.Box.getParent()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 9 org.xhtmlrenderer.render.Box.getPaintingClipEdge(Lorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 10 org.xhtmlrenderer.render.Box.getContainingBlock()Lorg/xhtmlrenderer/render/Box;: I4 Branch 25 IFNONNULL L273 - false
   * 11 org.xhtmlrenderer.render.Box.getMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: I4 Branch 97 IFNULL L735 - true
   */

  @Test
  public void test1()  throws Throwable  {
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      RenderingContext renderingContext0 = new RenderingContext((SharedContext) null);
      // Undeclared exception!
      try {
        anonymousBlockBox0.getPaintingClipEdge((CssContext) renderingContext0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.isMarginAreaRoot()Z: root-Branch
   * 2 org.xhtmlrenderer.render.Box.isContainedInMarginBox()Z: I12 Branch 133 IFNONNULL L1105 - false
   */

  @Test
  public void test2()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      boolean boolean0 = lineBox0.isContainedInMarginBox();
      assertEquals(false, boolean0);
      assertEquals(0, lineBox0.getState());
      assertEquals("LineBox: (0,0)->(0,0)", lineBox0.toString());
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.render.Box.setLayer(Lorg/xhtmlrenderer/layout/Layer;)V: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setPaintingInfo(Lorg/xhtmlrenderer/layout/PaintingInfo;)V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.setContentWidth(I)V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.setContainingLayer(Lorg/xhtmlrenderer/layout/Layer;)V: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getChildCount()I: I4 Branch 16 IFNONNULL L211 - false
   * 6 org.xhtmlrenderer.render.Box.reset(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I9 Branch 52 IFNULL L512 - true
   * 7 org.xhtmlrenderer.render.Box.resetChildren(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I12 Branch 58 IF_ICMPGE L556 - true
   */

  @Test
  public void test3()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      // Undeclared exception!
      try {
        marginBox0.detach((LayoutContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.render.Box.setStyle(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)V: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setMarginTop(Lorg/xhtmlrenderer/css/style/CssContext;I)V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.setState(I)V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.ensureWorkingMargin(Lorg/xhtmlrenderer/css/style/CssContext;)V: I4 Branch 96 IFNONNULL L729 - false
   */

  @Test
  public void test4()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      xHTMLPanel0.getLayoutContext();
      InlineLayoutBox inlineLayoutBox0 = null;
      try {
        inlineLayoutBox0 = new InlineLayoutBox((LayoutContext) null, (Element) null, (CalculatedStyle) null, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.getBorderSides()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      Rectangle rectangle0 = scalableXHTMLPanel0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      int int0 = marginBox0.getBorderSides();
      assertEquals(0, marginBox0.getLeftMBP());
      assertEquals(0, marginBox0.getState());
      assertEquals(0, marginBox0.getRightMBP());
      assertEquals(15, int0);
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getPseudoElementOrClass()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I17 Branch 111 IFNULL L844 - true
   * 4 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I83 Branch 113 IFNULL L856 - true
   * 5 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I115 Branch 115 IFNULL L863 - true
   * 6 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I142 Branch 117 IFNULL L873 - true
   * 7 org.xhtmlrenderer.render.Box.restyleChildren(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I8 Branch 118 IF_ICMPGE L881 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.restyle((LayoutContext) null);
      assertEquals(0, anonymousBlockBox0.getRightMBP());
      assertEquals(0, anonymousBlockBox0.getChildCount());
      assertEquals(0, anonymousBlockBox0.getLeftMBP());
      assertEquals(0, anonymousBlockBox0.getState());
  }

  //Test case number: 7
  /*
   * 12 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getPaintingInfo()Lorg/xhtmlrenderer/layout/PaintingInfo;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.find(Lorg/xhtmlrenderer/css/style/CssContext;IIZ)Lorg/xhtmlrenderer/render/Box;: I8 Branch 86 IFNULL L675 - true
   * 4 org.xhtmlrenderer.render.Box.find(Lorg/xhtmlrenderer/css/style/CssContext;IIZ)Lorg/xhtmlrenderer/render/Box;: I31 Branch 88 IF_ICMPGE L680 - true
   * 5 org.xhtmlrenderer.render.Box.getStyleMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: root-Branch
   * 6 org.xhtmlrenderer.render.Box.getAbsY()I: root-Branch
   * 7 org.xhtmlrenderer.render.Box.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 8 org.xhtmlrenderer.render.Box.getContainingBlockWidth()I: root-Branch
   * 9 org.xhtmlrenderer.render.Box.getAbsX()I: root-Branch
   * 10 org.xhtmlrenderer.render.Box.getParent()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 11 org.xhtmlrenderer.render.Box.getContainingBlock()Lorg/xhtmlrenderer/render/Box;: I4 Branch 25 IFNONNULL L273 - false
   * 12 org.xhtmlrenderer.render.Box.getMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: I4 Branch 97 IFNULL L735 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      polygon0.getBounds();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      scalableXHTMLPanel0.getLayoutContext();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      // Undeclared exception!
      try {
        anonymousBlockBox0.find((CssContext) null, 0, 0, true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.setContainingBlock(Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setElement(Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.setContainingBlock((Box) marginBox0);
      assertEquals(0, anonymousBlockBox0.getLeftMBP());
      assertEquals(0, anonymousBlockBox0.getRightMBP());
      assertEquals(0, anonymousBlockBox0.getState());
      assertEquals(0, marginBox0.getState());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.getLeftMBP()I: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      int int0 = viewportBox0.getLeftMBP();
      assertEquals(0, viewportBox0.getState());
      assertEquals(0, int0);
      assertEquals(0, viewportBox0.getRightMBP());
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.render.Box.addAllChildren(Ljava/util/List;)V: I8 Branch 5 IFEQ L147 - true
   * 2 org.xhtmlrenderer.render.Box.getElementBoxes(Lorg/w3c/dom/Element;)Ljava/util/List;: I14 Branch 50 IF_ICMPGE L500 - true
   * 3 org.xhtmlrenderer.render.Box.getChildCount()I: I4 Branch 16 IFNONNULL L211 - false
   */

  @Test
  public void test10()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      Rectangle rectangle0 = scalableXHTMLPanel0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      List<?> list0 = marginBox0.getElementBoxes((Element) null);
      assertNotNull(list0);
      
      marginBox0.addAllChildren(list0);
      assertEquals(0, marginBox0.getRightMBP());
      assertEquals(0, marginBox0.getState());
      assertEquals(0, marginBox0.getLeftMBP());
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getChildIterator()Ljava/util/Iterator;: I4 Branch 18 IFNONNULL L223 - false
   * 2 org.xhtmlrenderer.render.Box.collectText(Lorg/xhtmlrenderer/render/RenderingContext;Ljava/lang/StringBuffer;)V: I8 Branch 119 IFEQ L1006 - true
   * 3 org.xhtmlrenderer.render.Box.<init>()V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      Rectangle rectangle0 = scalableXHTMLPanel0.getBounds();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      StringBuffer stringBuffer0 = new StringBuffer(")");
      viewportBox0.collectText(renderingContext0, stringBuffer0);
      assertEquals(0, viewportBox0.getRightMBP());
      assertEquals(0, viewportBox0.getLeftMBP());
      assertEquals(0, viewportBox0.getState());
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 20 TABLESWITCH L250 Case 0 - false
   * 2 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 21 TABLESWITCH L250 Case 1 - false
   * 3 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 22 TABLESWITCH L250 Case 2 - false
   * 4 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 23 TABLESWITCH L250 Case 3 - false
   * 5 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 24 TABLESWITCH L250 Default-Case - true
   */

  @Test
  public void test12()  throws Throwable  {
      String string0 = Box.stateToString(9);
      assertEquals("unknown", string0);
  }
}
