/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import javax.swing.Box;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.BoxDimensions;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class MarginBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = new RenderingContext(sharedContext0);
      // Undeclared exception!
      try {
        marginBox0.getPaddingEdge(1, 1, (CssContext) renderingContext0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.MarginBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      // Undeclared exception!
      try {
        marginBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.getHeight()I: root-Branch
   * 3 org.xhtmlrenderer.render.MarginBox.getContainingBlockWidth()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Box box0 = Box.createVerticalBox();
      Rectangle rectangle0 = box0.getVisibleRect();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      // Undeclared exception!
      try {
        marginBox0.calcPaintingInfo((CssContext) null, true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.getHeight()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      Rectangle rectangle0 = xHTMLPanel0.getScreenExtents();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      BoxDimensions boxDimensions0 = marginBox0.getBoxDimensions();
      assertEquals(0, marginBox0.getHeight());
      assertEquals(0, marginBox0.getContentWidth());
      assertNotNull(boxDimensions0);
      assertEquals(0, boxDimensions0.getContentWidth());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Box box0 = Box.createHorizontalBox();
      Rectangle rectangle0 = box0.getVisibleRect();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      Rectangle rectangle1 = marginBox0.getContentAreaEdge(0, 0, (CssContext) null);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
      assertNotNull(rectangle1);
  }
}
