/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Rectangle;
import javax.swing.JInternalFrame;
import javax.swing.JScrollBar;
import javax.swing.JScrollPane;
import javax.swing.JToolBar;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.BoxDimensions;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class ViewportBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JInternalFrame jInternalFrame0 = new JInternalFrame();
      JInternalFrame.JDesktopIcon jInternalFrame_JDesktopIcon0 = new JInternalFrame.JDesktopIcon(jInternalFrame0);
      Rectangle rectangle0 = jInternalFrame_JDesktopIcon0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      // Undeclared exception!
      try {
        viewportBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.isAutoHeight()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      JScrollPane jScrollPane0 = new JScrollPane((Component) scalableXHTMLPanel0);
      JScrollBar jScrollBar0 = jScrollPane0.getVerticalScrollBar();
      Rectangle rectangle0 = jScrollBar0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      boolean boolean0 = viewportBox0.isAutoHeight();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.getHeight()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      JScrollPane jScrollPane0 = new JScrollPane((Component) scalableXHTMLPanel0);
      JScrollBar jScrollBar0 = jScrollPane0.getVerticalScrollBar();
      Rectangle rectangle0 = jScrollBar0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      BoxDimensions boxDimensions0 = viewportBox0.getBoxDimensions();
      assertEquals(0, viewportBox0.getContentWidth());
      assertNotNull(boxDimensions0);
      assertEquals(0, viewportBox0.getHeight());
      assertEquals(0, boxDimensions0.getHeight());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      viewportBox0.getChildCount();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      xHTMLPanel0.getLayoutContext();
      // Undeclared exception!
      try {
        viewportBox0.find((CssContext) null, 0, 0, true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JToolBar jToolBar0 = new JToolBar("8IvK4", 0);
      Rectangle rectangle0 = jToolBar0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = new RenderingContext(sharedContext0);
      Rectangle rectangle1 = viewportBox0.getChildrenClipEdge(renderingContext0);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
      assertNotNull(rectangle1);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.getWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      // Undeclared exception!
      try {
        viewportBox0.getWidth();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
