/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.IllegalAddException;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.XPathException;
import org.junit.BeforeClass;

public class NodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 10 covered goals:
   * 1 nu.xom.Node.isElement()Z: root-Branch
   * 2 nu.xom.Node.isDocType()Z: root-Branch
   * 3 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   * 4 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 5 nu.xom.Node.isComment()Z: root-Branch
   * 6 nu.xom.Node.<init>()V: root-Branch
   * 7 nu.xom.Node.isAttribute()Z: root-Branch
   * 8 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 9 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - true
   * 10 nu.xom.Node.detach()V: I7 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.insertChild((Node) document0, 0);
      document0.detach();
      assertEquals("[nu.xom.Document: ]", document0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isDocumentFragment()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      boolean boolean0 = document0.isDocumentFragment();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 3 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 4 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - true
   * 5 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        document0.query("");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected ''
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 nu.xom.Node.isDocument()Z: root-Branch
   * 2 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - true
   * 3 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 4 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = element0.getDocument();
      assertNull(document0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.hashCode()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Text text0 = Text.build("line.separator");
      int int0 = text0.hashCode();
      assertEquals(1582850467, int0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isText()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        element0._insertChild(document0, 0);
        fail("Expecting exception: IllegalAddException");
      
      } catch(IllegalAddException e) {
         //
         // Cannot add a nu.xom.Document to an Element.
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - true
   * 2 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      Document document1 = (Document)element0.getRoot();
      assertEquals("", document1.getValue());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - true
   * 2 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 3 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      Document document1 = element0.getDocument();
      assertEquals("", document1.getBaseURI());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("");
      cDATASection0.detach();
      assertEquals("[nu.xom.CDATASection: ]", cDATASection0.toString());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - true
   * 2 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("");
      Comment comment0 = Comment.build("");
      String string0 = comment0.getBaseURI();
      assertNotNull(string0);
      
      boolean boolean0 = cDATASection0.equals((Object) "");
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      DocType docType0 = new DocType("W", "W");
      docType0.getSystemID();
      // Undeclared exception!
      try {
        docType0.query("W", (XPathContext) null);
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // Can't use XPath on a DocType
         //
      }
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Text text0 = Text.build(".N2>'4H>%R,c[Lz1zF");
      XPathContext xPathContext0 = new XPathContext();
      // Undeclared exception!
      try {
        text0.query(".N2>'4H>%R,c[Lz1zF", xPathContext0);
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected 'N2>'4H>%R,c[Lz1zF'
         //
      }
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - true
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - false
   * 3 nu.xom.Node.isElement()Z: root-Branch
   * 4 nu.xom.Node.isDocument()Z: root-Branch
   * 5 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Text text0 = Text.build(".N2>'4H>%R,c[Lz1zF");
      XPathContext xPathContext0 = new XPathContext();
      Nodes nodes0 = text0.query("Can't use XPath on a DocType", xPathContext0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 13
  /*
   * 12 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - false
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - true
   * 3 nu.xom.Node.isDocType()Z: root-Branch
   * 4 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   * 5 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 6 nu.xom.Node.isComment()Z: root-Branch
   * 7 nu.xom.Node.<init>()V: root-Branch
   * 8 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 9 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 10 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 11 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 12 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      Nodes nodes0 = document0.query("div");
      assertEquals(0, nodes0.size());
  }
}
