/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.jaxen.function;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.LinkedList;
import java.util.List;
import nu.xom.jaxen.Context;
import nu.xom.jaxen.ContextSupport;
import nu.xom.jaxen.FunctionCallException;
import nu.xom.jaxen.Navigator;
import nu.xom.jaxen.function.RoundFunction;
import nu.xom.jaxen.function.SubstringBeforeFunction;
import org.junit.BeforeClass;

public class RoundFunctionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.function.RoundFunction.call(Lnu/xom/jaxen/Context;Ljava/util/List;)Ljava/lang/Object;: I3 Branch 1 IF_ICMPNE L-1 - true
   * 2 nu.xom.jaxen.function.RoundFunction.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      RoundFunction roundFunction0 = new RoundFunction();
      LinkedList<Integer> linkedList0 = new LinkedList<Integer>();
      try {
        roundFunction0.call((Context) null, (List) linkedList0);
        fail("Expecting exception: FunctionCallException");
      
      } catch(FunctionCallException e) {
         //
         // round() requires one argument.
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.function.RoundFunction.call(Lnu/xom/jaxen/Context;Ljava/util/List;)Ljava/lang/Object;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 nu.xom.jaxen.function.RoundFunction.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      RoundFunction roundFunction0 = new RoundFunction();
      ContextSupport contextSupport0 = new ContextSupport();
      Context context0 = new Context(contextSupport0);
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      Object object0 = new Object();
      linkedList0.add(0, object0);
      // Undeclared exception!
      try {
        roundFunction0.call(context0, (List) linkedList0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.function.RoundFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I6 Branch 2 IFNE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Double double0 = new Double(0.0);
      double0.toString();
      SubstringBeforeFunction.evaluate((Object) "0.0", (Object) "0.0", (Navigator) null);
      Double double1 = RoundFunction.evaluate((Object) "", (Navigator) null);
      assertEquals(Double.NaN, (double)double1, 0.01D);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.function.RoundFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I6 Branch 2 IFNE L-1 - false
   * 2 nu.xom.jaxen.function.RoundFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I9 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.getNavigator();
      Double double0 = RoundFunction.evaluate((Object) "Infinity", (Navigator) null);
      assertEquals(Double.POSITIVE_INFINITY, (double)double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.function.RoundFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I9 Branch 3 IFEQ L-1 - true
   * 2 nu.xom.jaxen.function.RoundFunction.evaluate(Ljava/lang/Object;Lnu/xom/jaxen/Navigator;)Ljava/lang/Double;: I6 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.getNavigator();
      Double.toHexString((double) 0);
      Double double0 = RoundFunction.evaluate((Object) "0x0.0p0", (Navigator) null);
      assertEquals(0.0F, double0.floatValue(), 0.01F);
  }
}
