/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.context;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.FlowLayout;
import javax.swing.AbstractButton;
import javax.swing.Action;
import javax.swing.BoundedRangeModel;
import javax.swing.DefaultBoundedRangeModel;
import javax.swing.JEditorPane;
import javax.swing.JLayeredPane;
import javax.swing.JScrollBar;
import javax.swing.JSlider;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.context.StandardAttributeResolver;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.extend.UserInterface;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.NoNamespaceHandler;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class StandardAttributeResolverEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getNonCssStyling(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      sharedContext0.getNamespaceHandler();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      FlowLayout flowLayout0 = new FlowLayout();
      flowLayout0.toString();
      // Undeclared exception!
      try {
        standardAttributeResolver0.getNonCssStyling((Object) "java.awt.FlowLayout[hgap=5,vgap=5,align=center]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getAttributeValue(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      String string0 = Action.MNEMONIC_KEY;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getAttributeValue((Object) "MnemonicKey", "MnemonicKey", "MnemonicKey");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getID(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) null, (UserInterface) scalableXHTMLPanel0);
      Integer integer0 = JLayeredPane.FRAME_CONTENT_LAYER;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getID((Object) integer0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.Integer cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isActive(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      JEditorPane jEditorPane0 = new JEditorPane();
      jEditorPane0.getSelectedText();
      boolean boolean0 = standardAttributeResolver0.isActive((Object) null);
      assertEquals(true, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getElementStyling(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      RenderingContext renderingContext0 = new RenderingContext(sharedContext0);
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)renderingContext0.getUac();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.getElementStyling((Object) sharedContext0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.layout.SharedContext cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getLang(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      layoutContext0.getNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)layoutContext0.getUac();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      String string0 = Action.NAME;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getLang((Object) "Name");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isFocus(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) null, (UserInterface) scalableXHTMLPanel0);
      boolean boolean0 = standardAttributeResolver0.isFocus((Object) null);
      assertEquals(true, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isHover(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      noNamespaceHandler0.getID((Element) null);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUac();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      boolean boolean0 = standardAttributeResolver0.isHover((Object) null);
      assertEquals(true, boolean0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getClass(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      String string0 = AbstractButton.ROLLOVER_ICON_CHANGED_PROPERTY;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getClass((Object) "rolloverIcon");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isLink(Ljava/lang/Object;)Z: I7 Branch 1 IFNULL L127 - true
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.isVisited(Ljava/lang/Object;)Z: I5 Branch 2 IFEQ L137 - true
   * 3 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) null, (UserInterface) scalableXHTMLPanel0);
      JScrollBar jScrollBar0 = new JScrollBar();
      DefaultBoundedRangeModel defaultBoundedRangeModel0 = (DefaultBoundedRangeModel)jScrollBar0.getModel();
      JSlider jSlider0 = new JSlider((BoundedRangeModel) defaultBoundedRangeModel0);
      jSlider0.getName();
      boolean boolean0 = standardAttributeResolver0.isVisited((Object) null);
      assertEquals(false, boolean0);
  }
}
