/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.List;
import java.util.Vector;
import javax.swing.table.DefaultTableModel;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.parser.FSRGBColor;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.parser.Token;

public class PropertyValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCounterValue()Lorg/w3c/dom/css/Counter;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test0()  throws Throwable  {
      IdentValue identValue0 = IdentValue.S_RESIZE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getCounterValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Vector<DefaultTableModel> vector0 = new Vector<DefaultTableModel>();
      FSFunction fSFunction0 = new FSFunction("U0DSFz)", (List) vector0);
      PropertyValue propertyValue0 = new PropertyValue(fSFunction0);
      assertEquals(0, propertyValue0.getPrimitiveType());
      assertEquals(7, propertyValue0.getPropertyValueType());
      assertEquals(3, propertyValue0.getCssValueType());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRectValue()Lorg/w3c/dom/css/Rect;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test2()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      // Undeclared exception!
      try {
        propertyValue0.getRectValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue()F: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1529), "small", "small");
      float float0 = propertyValue0.getFloatValue();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(0.0F, float0, 0.01F);
      assertEquals(-1529, propertyValue0.getPrimitiveType());
      assertEquals(5, propertyValue0.getPropertyValueType());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue(S)F: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPrimitiveType()S: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      short short0 = propertyValue0.getPrimitiveType();
      assertEquals((short)1, short0);
      
      propertyValue0.getFloatValue((short)1);
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(1, propertyValue0.getPrimitiveType());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setIdentValue(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      IdentValue identValue0 = IdentValue.LINE_THROUGH;
      propertyValue0.setIdentValue(identValue0);
      assertEquals(1, propertyValue0.getPrimitiveType());
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getIdentValue()Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSRGBColor;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      FSRGBColor fSRGBColor0 = new FSRGBColor(33, 33, 33);
      PropertyValue propertyValue0 = new PropertyValue(fSRGBColor0);
      propertyValue0.getIdentValue();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(3, propertyValue0.getPropertyValueType());
      assertEquals(25, propertyValue0.getPrimitiveType());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFSRGBColor()Lorg/xhtmlrenderer/css/parser/FSRGBColor;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      IdentValue identValue0 = IdentValue.LIST_ITEM;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getFSRGBColor();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getValues()Ljava/util/List;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)10, "5\"28", "5\"28");
      propertyValue0.getValues();
      assertEquals(10, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(5, propertyValue0.getPropertyValueType());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRGBColorValue()Lorg/w3c/dom/css/RGBColor;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1444), "inLerit", "inLerit");
      // Undeclared exception!
      try {
        propertyValue0.getRGBColorValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setCssText(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - false
   */

  @Test
  public void test10()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.setCssText("In)(");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   */

  @Test
  public void test11()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      String string0 = propertyValue0.getFingerprint();
      assertNotNull(string0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(1, propertyValue0.getPrimitiveType());
      assertEquals(5, propertyValue0.getPropertyValueType());
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringValue(SLjava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSRGBColor;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      FSRGBColor fSRGBColor0 = new FSRGBColor(33, 33, 33);
      PropertyValue propertyValue0 = new PropertyValue(fSRGBColor0);
      // Undeclared exception!
      try {
        propertyValue0.setStringValue((short)2, "uCaFkeK ");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setFloatValue(SF)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1529), "small", "small");
      // Undeclared exception!
      try {
        propertyValue0.setFloatValue((short) (-1529), (short) (-1529));
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      IdentValue identValue0 = IdentValue.LIST_ITEM;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getFunction();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getStringArrayValue()[Ljava/lang/String;: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      propertyValue0.getStringArrayValue();
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(1, propertyValue0.getPrimitiveType());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCssValueType()S: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      short short0 = propertyValue0.getCssValueType();
      assertEquals((short)1, short0);
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getPrimitiveType());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setOperator(Lorg/xhtmlrenderer/css/parser/Token;)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)10, "5\"28", "5\"28");
      Token token0 = Token.TK_HASH;
      propertyValue0.setOperator(token0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(10, propertyValue0.getPrimitiveType());
      assertEquals(5, propertyValue0.getPropertyValueType());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringArrayValue([Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      String[] stringArray0 = new String[1];
      propertyValue0.setStringArrayValue(stringArray0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getPrimitiveType());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test19()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)2, (float) (short)2, "U0DSFz)");
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(2.0F, propertyValue0.getFloatValue(), 0.01F);
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(2, propertyValue0.getPrimitiveType());
  }

  //Test case number: 20
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I32 Branch 2 IFEQ L67 - false
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPrimitiveType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 5 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test20()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, "5\"8", "5\"8");
      short short0 = propertyValue0.getPrimitiveType();
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals((short)1, short0);
      assertEquals(1, propertyValue0.getCssValueType());
      
      PropertyValue propertyValue1 = new PropertyValue((short)1, (float) (short)1, "5\"8");
      assertEquals(1.0F, propertyValue1.getFloatValue(), 0.01F);
      assertEquals(1, propertyValue1.getPropertyValueType());
      assertEquals(1, propertyValue1.getPrimitiveType());
  }

  //Test case number: 21
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test21()  throws Throwable  {
      IdentValue identValue0 = IdentValue.TRANSPARENT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getFingerprint();
      assertNotNull(string0);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I115", string0);
      assertEquals(1, propertyValue0.getCssValueType());
  }
}
