/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.util.List;
import javax.imageio.metadata.IIOMetadataNode;
import javax.swing.JTextArea;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.css.style.CalculatedStyle;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.AnonymousBlockBox;
import org.xhtmlrenderer.render.BlockBox;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.render.BoxDimensions;
import org.xhtmlrenderer.render.InlineLayoutBox;
import org.xhtmlrenderer.render.LineBox;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class BoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getStyleMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getContainingBlockWidth()I: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getParent()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 5 org.xhtmlrenderer.render.Box.setMarginBottom(Lorg/xhtmlrenderer/css/style/CssContext;I)V: root-Branch
   * 6 org.xhtmlrenderer.render.Box.getContainingBlock()Lorg/xhtmlrenderer/render/Box;: I4 Branch 25 IFNONNULL L273 - false
   * 7 org.xhtmlrenderer.render.Box.ensureWorkingMargin(Lorg/xhtmlrenderer/css/style/CssContext;)V: I4 Branch 96 IFNONNULL L729 - false
   * 8 org.xhtmlrenderer.render.Box.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      BlockBox blockBox0 = new BlockBox();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      // Undeclared exception!
      try {
        blockBox0.setMarginBottom((CssContext) layoutContext0, 1203);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.getTx()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      int int0 = viewportBox0.getTx();
      assertEquals(0, int0);
      assertEquals(0, viewportBox0.getRightMBP());
      assertEquals(0, viewportBox0.getLeftMBP());
      assertEquals(0, viewportBox0.getState());
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getPaintingBorderEdge(Lorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getBorderEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getAbsY()I: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getAbsX()I: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getPaintingClipEdge(Lorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 6 org.xhtmlrenderer.render.Box.getMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: I4 Branch 97 IFNULL L735 - true
   * 7 org.xhtmlrenderer.render.Box.getContainingBlockWidth()I: root-Branch
   * 8 org.xhtmlrenderer.render.Box.getContainingBlock()Lorg/xhtmlrenderer/render/Box;: I4 Branch 25 IFNONNULL L273 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) naiveUserAgent0);
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      // Undeclared exception!
      try {
        viewportBox0.getPaintingClipEdge((CssContext) renderingContext0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getLayer()Lorg/xhtmlrenderer/layout/Layer;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setIndex(I)V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.setParent(Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getContainingLayer()Lorg/xhtmlrenderer/layout/Layer;: root-Branch
   * 5 org.xhtmlrenderer.render.Box.addChildForLayout(Lorg/xhtmlrenderer/layout/LayoutContext;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 6 org.xhtmlrenderer.render.Box.addChild(Lorg/xhtmlrenderer/render/Box;)V: I4 Branch 3 IFNONNULL L135 - false
   * 7 org.xhtmlrenderer.render.Box.addChild(Lorg/xhtmlrenderer/render/Box;)V: I15 Branch 4 IFNONNULL L138 - true
   * 8 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I4 Branch 43 IFNULL L467 - true
   * 9 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I16 Branch 44 IFNONNULL L469 - false
   * 10 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I21 Branch 45 IFNULL L470 - false
   * 11 org.xhtmlrenderer.render.Box.initContainingLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I25 Branch 46 IFNONNULL L470 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      LineBox lineBox0 = new LineBox();
      // Undeclared exception!
      try {
        viewportBox0.addChildForLayout((LayoutContext) null, (Box) lineBox0);
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // internal error
         //
      }
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getRightMBP()I: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getBoxDimensions()Lorg/xhtmlrenderer/render/BoxDimensions;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getHeight()I: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getLeftMBP()I: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getContentWidth()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      BlockBox blockBox0 = new BlockBox();
      BoxDimensions boxDimensions0 = blockBox0.getBoxDimensions();
      assertEquals(0, blockBox0.getWidth());
      assertEquals(0, blockBox0.getState());
      assertEquals(0, blockBox0.getHeight());
      assertEquals(0, boxDimensions0.getRightMBP());
  }

  //Test case number: 5
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.render.Box.setStyle(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)V: root-Branch
   * 2 org.xhtmlrenderer.render.Box.setMarginTop(Lorg/xhtmlrenderer/css/style/CssContext;I)V: root-Branch
   * 3 org.xhtmlrenderer.render.Box.setState(I)V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getStyleMargin(Lorg/xhtmlrenderer/css/style/CssContext;)Lorg/xhtmlrenderer/css/style/derived/RectPropertySet;: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getStyle()Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 6 org.xhtmlrenderer.render.Box.ensureWorkingMargin(Lorg/xhtmlrenderer/css/style/CssContext;)V: I4 Branch 96 IFNONNULL L729 - false
   * 7 org.xhtmlrenderer.render.Box.getY()I: root-Branch
   * 8 org.xhtmlrenderer.render.Box.setElement(Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.getY();
      JTextArea jTextArea0 = new JTextArea("QbZ93qYlhQz5D", 0, 0);
      jTextArea0.getVisibleRect();
      scalableXHTMLPanel0.getLayoutContext();
      anonymousBlockBox0.getStyle();
      InlineLayoutBox inlineLayoutBox0 = null;
      try {
        inlineLayoutBox0 = new InlineLayoutBox((LayoutContext) null, (Element) null, (CalculatedStyle) null, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.render.Box.getPseudoElementOrClass()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 3 org.xhtmlrenderer.render.Box.getChildCount()I: I4 Branch 16 IFNONNULL L211 - false
   * 4 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I17 Branch 111 IFNULL L844 - true
   * 5 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I83 Branch 113 IFNULL L856 - true
   * 6 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I115 Branch 115 IFNULL L863 - true
   * 7 org.xhtmlrenderer.render.Box.restyle(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I142 Branch 117 IFNULL L873 - true
   * 8 org.xhtmlrenderer.render.Box.restyleChildren(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I8 Branch 118 IF_ICMPGE L881 - true
   */

  @Test
  public void test6()  throws Throwable  {
      BlockBox blockBox0 = new BlockBox();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(882);
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      xHTMLPanel0.getLayoutContext();
      blockBox0.restyle((LayoutContext) null);
      assertEquals(0, blockBox0.getState());
      assertEquals(0, blockBox0.getWidth());
      assertEquals(0, blockBox0.getChildCount());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.getRelativeOffset()Ljava/awt/Dimension;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      lineBox0.getRelativeOffset();
      assertEquals(0, lineBox0.getState());
      assertEquals(0, lineBox0.getWidth());
      assertEquals(0, lineBox0.getRightMBP());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.setAbsX(I)V: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getLeftMBP()I: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      lineBox0.getLeftMBP();
      assertEquals("LineBox: (0,0)->(0,0)", lineBox0.toString());
      
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      Rectangle rectangle0 = scalableXHTMLPanel0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      viewportBox0.setAbsX(0);
      assertEquals(0, viewportBox0.getAbsX());
      assertEquals(0, viewportBox0.getState());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.setX(I)V: root-Branch
   * 2 org.xhtmlrenderer.render.Box.getY()I: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      int int0 = anonymousBlockBox0.getY();
      assertEquals(0, int0);
      
      JTextArea jTextArea0 = new JTextArea("QbZ93qYlhQz5D", 0, 0);
      Rectangle rectangle0 = jTextArea0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      viewportBox0.setX(0);
      assertEquals(0, viewportBox0.getX());
      assertEquals(0, viewportBox0.getLeftMBP());
      assertEquals(0, viewportBox0.getRightMBP());
      assertEquals(0, viewportBox0.getState());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.getPaintingInfo()Lorg/xhtmlrenderer/layout/PaintingInfo;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      marginBox0.getPaintingInfo();
      assertEquals(0, marginBox0.getRightMBP());
      assertEquals(0, marginBox0.getLeftMBP());
      assertEquals(0, marginBox0.getState());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.removeChild(Lorg/xhtmlrenderer/render/Box;)V: I4 Branch 7 IFNULL L160 - true
   */

  @Test
  public void test11()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      BlockBox blockBox0 = new BlockBox();
      lineBox0.removeChild((Box) blockBox0);
      assertEquals(0, lineBox0.getWidth());
      assertEquals(0, lineBox0.getState());
      assertEquals(0, blockBox0.getWidth());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.removeChild(I)V: I4 Branch 15 IFNULL L193 - true
   */

  @Test
  public void test12()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      lineBox0.getElement();
      assertEquals("LineBox: (0,0)->(0,0)", lineBox0.toString());
      
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.removeChild(58);
      assertEquals(0, anonymousBlockBox0.getState());
      assertEquals(0, anonymousBlockBox0.getLeftMBP());
  }

  //Test case number: 13
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 20 TABLESWITCH L250 Case 0 - false
   * 2 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 21 TABLESWITCH L250 Case 1 - false
   * 3 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 22 TABLESWITCH L250 Case 2 - false
   * 4 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 23 TABLESWITCH L250 Case 3 - false
   * 5 org.xhtmlrenderer.render.Box.stateToString(I)Ljava/lang/String;: I3 Branch 24 TABLESWITCH L250 Default-Case - true
   */

  @Test
  public void test13()  throws Throwable  {
      String string0 = Box.stateToString(882);
      assertEquals("unknown", string0);
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.isStyled()Z: I4 Branch 34 IFNULL L417 - true
   * 2 org.xhtmlrenderer.render.Box.setElement(Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.calcCanvasLocation();
      assertEquals(0, anonymousBlockBox0.getLeftMBP());
      assertEquals(0, anonymousBlockBox0.getState());
      assertEquals(0, anonymousBlockBox0.getRightMBP());
      assertEquals(false, anonymousBlockBox0.isStyled());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.connectChildrenToCurrentLayer(Lorg/xhtmlrenderer/layout/LayoutContext;)V: I8 Branch 49 IF_ICMPGE L491 - true
   */

  @Test
  public void test15()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      lineBox0.connectChildrenToCurrentLayer((LayoutContext) null);
      assertEquals(0, lineBox0.getChildCount());
      assertEquals(0, lineBox0.getState());
      assertEquals(0, lineBox0.getWidth());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.Box.getElementBoxes(Lorg/w3c/dom/Element;)Ljava/util/List;: I14 Branch 50 IF_ICMPGE L500 - true
   */

  @Test
  public void test16()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      List<?> list0 = lineBox0.getElementBoxes((Element) iIOMetadataNode0);
      assertNotNull(list0);
      assertEquals(0, lineBox0.getState());
      assertEquals("LineBox: (0,0)->(0,0)", lineBox0.toString());
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.Box.calcChildLocations()V: I8 Branch 59 IF_ICMPGE L565 - true
   * 2 org.xhtmlrenderer.render.Box.getChildCount()I: I4 Branch 16 IFNONNULL L211 - false
   */

  @Test
  public void test17()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      lineBox0.calcChildLocations();
      assertEquals(0, lineBox0.getState());
      assertEquals("LineBox: (0,0)->(0,0)", lineBox0.toString());
      assertEquals(0, lineBox0.getWidth());
  }

  //Test case number: 18
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.render.Box.isRoot()Z: I4 Branch 91 IFNULL L693 - true
   * 2 org.xhtmlrenderer.render.Box.isInDocumentFlow()Z: I12 Branch 128 IFNONNULL L1057 - false
   * 3 org.xhtmlrenderer.render.Box.<init>()V: root-Branch
   * 4 org.xhtmlrenderer.render.Box.getParent()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 5 org.xhtmlrenderer.render.Box.getElement()Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      LineBox lineBox0 = new LineBox();
      boolean boolean0 = lineBox0.isInDocumentFlow();
      assertEquals(false, boolean0);
      assertEquals(0, lineBox0.getState());
      assertEquals(0, lineBox0.getWidth());
  }
}
