/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import javax.swing.JEditorPane;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.render.AnonymousBlockBox;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.BasicPanel;
import org.xhtmlrenderer.swing.LinkListener;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class LinkListenerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.LinkListener.reset()V: root-Branch
   * 2 org.xhtmlrenderer.swing.LinkListener.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      linkListener0.reset();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseOut(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      linkListener0.onMouseOut((BasicPanel) scalableXHTMLPanel0, (Box) anonymousBlockBox0);
      assertEquals(false, anonymousBlockBox0.isTopMarginCalculated());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseOver(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      JEditorPane jEditorPane0 = new JEditorPane();
      Rectangle rectangle0 = jEditorPane0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      linkListener0.onMouseOver((BasicPanel) scalableXHTMLPanel0, (Box) marginBox0);
      assertEquals(false, scalableXHTMLPanel0.isManagingFocus());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.linkClicked(Lorg/xhtmlrenderer/swing/BasicPanel;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        linkListener0.linkClicked((BasicPanel) scalableXHTMLPanel0, "");
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 0
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseDragged(Lorg/xhtmlrenderer/swing/BasicPanel;Ljava/awt/event/MouseEvent;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) xHTMLPanel0, 25, (long) 25, 25, 25, 25, 25, true, 25, 25, 25);
      linkListener0.onMouseDragged((BasicPanel) xHTMLPanel0, (MouseEvent) mouseWheelEvent0);
      assertEquals(3648, mouseWheelEvent0.getModifiersEx());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseUp(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.LinkListener.checkForLink(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 1 IFNULL L33 - false
   * 3 org.xhtmlrenderer.swing.LinkListener.checkForLink(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: I6 Branch 2 IFNONNULL L33 - false
   */

  @Test
  public void test5()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      JEditorPane jEditorPane0 = new JEditorPane();
      Rectangle rectangle0 = jEditorPane0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      linkListener0.onMouseUp((BasicPanel) scalableXHTMLPanel0, (Box) marginBox0);
      assertEquals(false, marginBox0.isTopMarginCalculated());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMousePressed(Lorg/xhtmlrenderer/swing/BasicPanel;Ljava/awt/event/MouseEvent;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      linkListener0.onMousePressed((BasicPanel) scalableXHTMLPanel0, (MouseEvent) null);
      assertEquals(false, scalableXHTMLPanel0.isMaximumSizeSet());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.LinkListener.checkForLink(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 1 IFNULL L33 - true
   * 2 org.xhtmlrenderer.swing.LinkListener.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.swing.LinkListener.onMouseUp(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      JEditorPane jEditorPane0 = new JEditorPane();
      Rectangle rectangle0 = jEditorPane0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      marginBox0.getDocumentParent();
      linkListener0.onMouseUp((BasicPanel) scalableXHTMLPanel0, (Box) null);
      assertEquals((-1.0), scalableXHTMLPanel0.getScale(), 0.01D);
  }
}
