/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Document;
import nu.xom.ProcessingInstruction;
import nu.xom.ValidityException;
import org.junit.BeforeClass;
import org.xml.sax.SAXParseException;

public class ValidityExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", (-1994), (-1994), (Throwable) null);
      assertEquals("", validityException0.getMessage());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getValidityError(I)Ljava/lang/String;: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("<}*QWM>[y^n`", (-1898), (-1898));
      // Undeclared exception!
      try {
        validityException0.getValidityError((-1898));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getColumnNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Throwable throwable0 = new Throwable();
      ValidityException validityException0 = new ValidityException("", "", 134, 134, throwable0);
      // Undeclared exception!
      try {
        validityException0.getColumnNumber(134);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 134, Size: 0
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 360, 360);
      Document document0 = validityException0.getDocument();
      assertNull(document0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.addError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 918, 918);
      SAXParseException sAXParseException0 = new SAXParseException("", "", "", 918, 918, (Exception) validityException0);
      validityException0.addError(sAXParseException0);
      assertEquals(1, validityException0.getErrorCount());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getLineNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", "", 1690, 1690);
      // Undeclared exception!
      try {
        validityException0.getLineNumber(1690);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 1690, Size: 0
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Exception exception0 = new Exception("\"rroCKZ>k*");
      ValidityException validityException0 = new ValidityException("\"rroCKZ>k*", (Throwable) exception0);
      assertEquals("\"rroCKZ>k*", validityException0.getMessage());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.setDocument(Lnu/xom/Document;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ValidityException validityException0 = new ValidityException(".~cg`");
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build(".~cg`", ".~cg`");
      processingInstruction0.getDocument();
      validityException0.setDocument((Document) null);
      assertEquals(0, validityException0.getErrorCount());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getErrorCount()I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 360, 360);
      int int0 = validityException0.getErrorCount();
      assertEquals(0, int0);
  }
}
