/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.xslt;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.io.IOException;
import java.io.Reader;
import nu.xom.xslt.XOMReader;
import org.junit.BeforeClass;
import org.xml.sax.ContentHandler;
import org.xml.sax.DTDHandler;
import org.xml.sax.EntityResolver;
import org.xml.sax.ErrorHandler;
import org.xml.sax.HandlerBase;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.SAXNotRecognizedException;
import org.xml.sax.SAXNotSupportedException;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLFilterImpl;

public class XOMReaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.xslt.XOMReader.parse(Lorg/xml/sax/InputSource;)V: root-Branch
   * 2 nu.xom.xslt.XOMReader.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      InputSource inputSource0 = new InputSource((Reader) null);
      // Undeclared exception!
      try {
        xOMReader0.parse(inputSource0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xml.sax.InputSource cannot be cast to nu.xom.xslt.XOMInputSource
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setFeature(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      xOMReader0.setFeature("3:07T|S<q#", false);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.parse(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      // Undeclared exception!
      try {
        xOMReader0.parse("http://xml.org/sax/features/namespaces");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setDTDHandler(Lorg/xml/sax/DTDHandler;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      XMLFilterImpl xMLFilterImpl0 = new XMLFilterImpl();
      xOMReader0.setDTDHandler((DTDHandler) xMLFilterImpl0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getDTDHandler()Lorg/xml/sax/DTDHandler;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      DTDHandler dTDHandler0 = xOMReader0.getDTDHandler();
      assertNull(dTDHandler0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getEntityResolver()Lorg/xml/sax/EntityResolver;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      EntityResolver entityResolver0 = xOMReader0.getEntityResolver();
      assertNull(entityResolver0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getErrorHandler()Lorg/xml/sax/ErrorHandler;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      ErrorHandler errorHandler0 = xOMReader0.getErrorHandler();
      assertNull(errorHandler0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setEntityResolver(Lorg/xml/sax/EntityResolver;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      DefaultHandler defaultHandler0 = new DefaultHandler();
      // Undeclared exception!
      try {
        xOMReader0.setEntityResolver((EntityResolver) defaultHandler0);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getContentHandler()Lorg/xml/sax/ContentHandler;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      ContentHandler contentHandler0 = xOMReader0.getContentHandler();
      assertNull(contentHandler0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setErrorHandler(Lorg/xml/sax/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      HandlerBase handlerBase0 = new HandlerBase();
      xOMReader0.setErrorHandler((ErrorHandler) handlerBase0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getProperty(Ljava/lang/String;)Ljava/lang/Object;: I3 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      try {
        xOMReader0.getProperty("jh%Bduj }/0)A3");
        fail("Expecting exception: SAXNotRecognizedException");
      
      } catch(SAXNotRecognizedException e) {
         //
         // XOMReader doesn't support features
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.setProperty(Ljava/lang/String;Ljava/lang/Object;)V: I3 Branch 4 IFLE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      File file0 = new File("3:07T|S<q#", "3:07T|S<q#");
      file0.getName();
      try {
        xOMReader0.setProperty("3:07T|S<q#", "3:07T|S<q#");
        fail("Expecting exception: SAXNotRecognizedException");
      
      } catch(SAXNotRecognizedException e) {
         //
         // XOMReader doesn't support 3:07T|S<q#
         //
      }
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 nu.xom.xslt.XOMReader.setProperty(Ljava/lang/String;Ljava/lang/Object;)V: I3 Branch 4 IFLE L-1 - false
   * 2 nu.xom.xslt.XOMReader.setContentHandler(Lorg/xml/sax/ContentHandler;)V: root-Branch
   * 3 nu.xom.xslt.XOMReader.getProperty(Ljava/lang/String;)Ljava/lang/Object;: I3 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      DefaultHandler defaultHandler0 = new DefaultHandler();
      xOMReader0.setContentHandler((ContentHandler) defaultHandler0);
      xOMReader0.getProperty("http://xml.org/sax/properties/lexical-handler");
      xOMReader0.setProperty("http://xml.org/sax/properties/lexical-handler", (Object) null);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I3 Branch 1 IFGT L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      boolean boolean0 = xOMReader0.getFeature("http://xml.org/sax/features/namespace-prefixes");
      assertEquals(true, boolean0);
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I3 Branch 1 IFGT L-1 - false
   * 2 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I7 Branch 2 IFLE L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      try {
        xOMReader0.getFeature("Attribute prefixes must be declared.");
        fail("Expecting exception: SAXNotRecognizedException");
      
      } catch(SAXNotRecognizedException e) {
         //
         // XOMReader doesn't support features
         //
      }
  }

  //Test case number: 15
  /*
   * 3 covered goals:
   * 1 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I7 Branch 2 IFLE L-1 - false
   * 2 nu.xom.xslt.XOMReader.<init>()V: root-Branch
   * 3 nu.xom.xslt.XOMReader.getFeature(Ljava/lang/String;)Z: I3 Branch 1 IFGT L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      XOMReader xOMReader0 = new XOMReader();
      boolean boolean0 = xOMReader0.getFeature("http://xml.org/sax/features/namespaces");
      assertEquals(true, boolean0);
  }
}
