/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.layout;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import javax.swing.Box;
import javax.swing.JInternalFrame;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.css.newmatch.CascadedStyle;
import org.xhtmlrenderer.css.style.CalculatedStyle;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.StyleTracker;
import org.xhtmlrenderer.render.AnonymousBlockBox;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.simple.XHTMLPanel;

public class StyleTrackerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.StyleTracker.copyOf()Lorg/xhtmlrenderer/layout/StyleTracker;: root-Branch
   * 2 org.xhtmlrenderer.layout.StyleTracker.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      StyleTracker styleTracker1 = styleTracker0.copyOf();
      assertNotSame(styleTracker0, styleTracker1);
      assertNotNull(styleTracker1);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.StyleTracker.getStyles()Ljava/util/List;: root-Branch
   * 2 org.xhtmlrenderer.layout.StyleTracker.deriveAll(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I13 Branch 3 IFEQ L57 - true
   */

  @Test
  public void test1()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      JInternalFrame jInternalFrame0 = new JInternalFrame("Ms{/dMq^C##%sR-?I*;", false);
      Rectangle rectangle0 = jInternalFrame0.getVisibleRect();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      marginBox0.getStyle();
      CalculatedStyle calculatedStyle0 = styleTracker0.deriveAll((CalculatedStyle) null);
      assertNull(calculatedStyle0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.clearStyles()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      styleTracker0.clearStyles();
      assertEquals(false, styleTracker0.hasStyles());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.removeLast()V: I5 Branch 1 IFEQ L42 - true
   */

  @Test
  public void test3()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      styleTracker0.removeLast();
      assertEquals(false, styleTracker0.hasStyles());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.StyleTracker.removeLast()V: I5 Branch 1 IFEQ L42 - false
   * 2 org.xhtmlrenderer.layout.StyleTracker.addStyle(Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      styleTracker0.addStyle((CascadedStyle) null);
      assertEquals(true, styleTracker0.hasStyles());
      
      styleTracker0.removeLast();
      assertEquals(false, styleTracker0.hasStyles());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.hasStyles()Z: I5 Branch 2 IFEQ L48 - true
   */

  @Test
  public void test5()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      boolean boolean0 = styleTracker0.hasStyles();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.hasStyles()Z: I5 Branch 2 IFEQ L48 - false
   */

  @Test
  public void test6()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      assertEquals(false, styleTracker0.hasStyles());
      
      Box box0 = Box.createHorizontalBox();
      Rectangle rectangle0 = box0.getBounds((Rectangle) null);
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      viewportBox0.getFirstLetterStyle();
      styleTracker0.addStyle((CascadedStyle) null);
      boolean boolean0 = styleTracker0.hasStyles();
      assertEquals(true, styleTracker0.hasStyles());
      assertEquals(true, boolean0);
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.layout.StyleTracker.deriveAll(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I13 Branch 3 IFEQ L57 - false
   * 2 org.xhtmlrenderer.layout.StyleTracker.addStyle(Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;)V: root-Branch
   * 3 org.xhtmlrenderer.layout.StyleTracker.getStyles()Ljava/util/List;: root-Branch
   * 4 org.xhtmlrenderer.layout.StyleTracker.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      Box box0 = Box.createHorizontalBox();
      Rectangle rectangle0 = box0.getBounds((Rectangle) null);
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      viewportBox0.getFirstLetterStyle();
      styleTracker0.addStyle((CascadedStyle) null);
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      anonymousBlockBox0.getStyle();
      // Undeclared exception!
      try {
        styleTracker0.deriveAll((CalculatedStyle) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
