/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import javax.swing.DefaultListCellRenderer;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.render.BoxDimensions;
import org.xhtmlrenderer.render.LineBox;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class ViewportBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      // Undeclared exception!
      try {
        viewportBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.isAutoHeight()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      scalableXHTMLPanel0.getLayoutContext();
      LineBox lineBox0 = new LineBox();
      Rectangle rectangle0 = lineBox0.getMarginEdge(757, 757, (CssContext) null, 757, 757);
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      boolean boolean0 = viewportBox0.isAutoHeight();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.getHeight()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      scalableXHTMLPanel0.getLayoutContext();
      LineBox lineBox0 = new LineBox();
      Rectangle rectangle0 = lineBox0.getMarginEdge(757, 757, (CssContext) null, 757, 757);
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      BoxDimensions boxDimensions0 = viewportBox0.getBoxDimensions();
      assertNotNull(boxDimensions0);
      assertEquals(0, viewportBox0.getContentWidth());
      assertEquals(0, viewportBox0.getHeight());
      assertEquals(0, boxDimensions0.getHeight());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      Rectangle rectangle0 = scalableXHTMLPanel0.getFixedRectangle();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      Rectangle rectangle1 = viewportBox0.getContentAreaEdge(0, 0, (CssContext) null);
      assertNotNull(rectangle1);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      // Undeclared exception!
      try {
        viewportBox0.getPaddingEdge((-732), (-732), (CssContext) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.getWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.getHeight()I: root-Branch
   * 3 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DefaultListCellRenderer defaultListCellRenderer0 = new DefaultListCellRenderer();
      Rectangle rectangle0 = defaultListCellRenderer0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      Rectangle rectangle1 = viewportBox0.getMarginEdge((CssContext) null, 0, 0);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
      assertNotNull(rectangle1);
  }
}
