/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.RenderingHints;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.ScrollPaneConstants;
import javax.swing.table.JTableHeader;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.DownscaleQuality;
import org.xhtmlrenderer.util.ScalingOptions;

public class ScalingOptionsEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.util.ScalingOptions.getRenderingHint()Ljava/lang/Object;: root-Branch
   * 2 org.xhtmlrenderer.util.ScalingOptions.<init>(Lorg/xhtmlrenderer/util/DownscaleQuality;Ljava/lang/Object;)V: root-Branch
   * 3 org.xhtmlrenderer.util.ScalingOptions.applyRenderingHints(Ljava/awt/Graphics2D;)V: root-Branch
   * 4 org.xhtmlrenderer.util.ScalingOptions.getRenderingHints()Ljava/util/Map;: root-Branch
   * 5 org.xhtmlrenderer.util.ScalingOptions.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ScalingOptions scalingOptions0 = new ScalingOptions();
      // Undeclared exception!
      try {
        scalingOptions0.applyRenderingHints((Graphics2D) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.ScalingOptions.getTargetWidth()I: root-Branch
   * 2 org.xhtmlrenderer.util.ScalingOptions.sizeMatches(II)Z: I5 Branch 1 IF_ICMPNE L127 - true
   */

  @Test
  public void test1()  throws Throwable  {
      DownscaleQuality downscaleQuality0 = DownscaleQuality.LOW_QUALITY;
      String string0 = ScrollPaneConstants.VERTICAL_SCROLLBAR;
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, (Object) "VERTICAL_SCROLLBAR");
      boolean boolean0 = scalingOptions0.sizeMatches((-580), (-580));
      assertEquals(0, scalingOptions0.getTargetWidth());
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.ScalingOptions.getTargetHeight()I: root-Branch
   * 2 org.xhtmlrenderer.util.ScalingOptions.sizeMatches(II)Z: I5 Branch 1 IF_ICMPNE L127 - false
   * 3 org.xhtmlrenderer.util.ScalingOptions.sizeMatches(II)Z: I9 Branch 2 IF_ICMPNE L127 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ScalingOptions scalingOptions0 = new ScalingOptions();
      JTableHeader jTableHeader0 = new JTableHeader();
      jTableHeader0.getMinimumSize();
      boolean boolean0 = scalingOptions0.sizeMatches(0, 0);
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.ScalingOptions.setTargetWidth(I)V: root-Branch
   * 2 org.xhtmlrenderer.util.ScalingOptions.setTargetHeight(I)V: root-Branch
   * 3 org.xhtmlrenderer.util.ScalingOptions.setTargetDimensions(Ljava/awt/Dimension;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalingOptions scalingOptions0 = new ScalingOptions();
      JTableHeader jTableHeader0 = new JTableHeader();
      Dimension dimension0 = jTableHeader0.getMinimumSize();
      scalingOptions0.setTargetDimensions(dimension0);
      assertEquals(0, scalingOptions0.getTargetHeight());
      assertEquals(0, scalingOptions0.getTargetWidth());
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.ScalingOptions.getDownscalingHint()Lorg/xhtmlrenderer/util/DownscaleQuality;: root-Branch
   * 2 org.xhtmlrenderer.util.ScalingOptions.<init>(IIILorg/xhtmlrenderer/util/DownscaleQuality;Ljava/lang/Object;)V: root-Branch
   * 3 org.xhtmlrenderer.util.ScalingOptions.setTargetWidth(I)V: root-Branch
   * 4 org.xhtmlrenderer.util.ScalingOptions.setTargetHeight(I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      RenderingHints.Key renderingHints_Key0 = RenderingHints.KEY_TEXT_LCD_CONTRAST;
      renderingHints_Key0.hashCode();
      ScalingOptions scalingOptions0 = new ScalingOptions(1215826225, 1066, 1215826225, (DownscaleQuality) null, (Object) null);
      scalingOptions0.getDownscalingHint();
      assertEquals(1066, scalingOptions0.getTargetHeight());
      assertEquals(1215826225, scalingOptions0.getTargetWidth());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ScalingOptions.sizeMatches(Ljava/awt/Image;)Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DownscaleQuality downscaleQuality0 = DownscaleQuality.FAST;
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, downscaleQuality0);
      JCheckBoxMenuItem jCheckBoxMenuItem0 = new JCheckBoxMenuItem("B", false);
      jCheckBoxMenuItem0.createVolatileImage((-1512), (-1512));
      // Undeclared exception!
      try {
        scalingOptions0.sizeMatches((Image) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.util.ScalingOptions.sizeMatches(II)Z: I9 Branch 2 IF_ICMPNE L127 - true
   * 2 org.xhtmlrenderer.util.ScalingOptions.getTargetWidth()I: root-Branch
   * 3 org.xhtmlrenderer.util.ScalingOptions.getTargetHeight()I: root-Branch
   * 4 org.xhtmlrenderer.util.ScalingOptions.<init>(Lorg/xhtmlrenderer/util/DownscaleQuality;Ljava/lang/Object;)V: root-Branch
   * 5 org.xhtmlrenderer.util.ScalingOptions.<init>()V: root-Branch
   * 6 org.xhtmlrenderer.util.ScalingOptions.sizeMatches(II)Z: I5 Branch 1 IF_ICMPNE L127 - false
   */

  @Test
  public void test6()  throws Throwable  {
      ScalingOptions scalingOptions0 = new ScalingOptions();
      boolean boolean0 = scalingOptions0.sizeMatches(0, 1);
      assertEquals(false, boolean0);
      assertEquals(0, scalingOptions0.getTargetHeight());
      assertEquals(0, scalingOptions0.getTargetWidth());
  }
}
