/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.Element;
import nu.xom.IllegalNameException;
import nu.xom.MalformedURIException;
import nu.xom.Namespace;
import nu.xom.NamespaceConflictException;
import org.junit.BeforeClass;

public class NamespaceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 9 covered goals:
   * 1 nu.xom.Namespace.detach()V: root-Branch
   * 2 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I3 Branch 1 IFNONNULL L-1 - true
   * 3 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I11 Branch 2 IFLE L-1 - true
   * 4 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I21 Branch 3 IFLE L-1 - true
   * 5 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I34 Branch 5 IFEQ L-1 - true
   * 6 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I39 Branch 6 IFNONNULL L-1 - true
   * 7 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I47 Branch 7 IFLE L-1 - true
   * 8 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I60 Branch 9 IFNE L-1 - false
   * 9 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I63 Branch 10 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Namespace namespace0 = new Namespace("", "", (Element) null);
      namespace0.detach();
      assertEquals("xmlns=\"\"", namespace0.toXML());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Namespace.getPrefix()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      String string0 = namespace0.getPrefix();
      assertEquals("", string0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.Namespace.getChild(I)Lnu/xom/Node;: root-Branch
   * 2 nu.xom.Namespace.getChildCount()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      int int0 = namespace0.getChildCount();
      assertEquals(0, int0);
      
      // Undeclared exception!
      try {
        namespace0.getChild(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Namespaces do not have children
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.Namespace.toString()Ljava/lang/String;: root-Branch
   * 2 nu.xom.Namespace.toXML()Ljava/lang/String;: I4 Branch 11 IFLE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      String string0 = namespace0.toString();
      assertNotNull(string0);
      assertEquals("[Namespace: xmlns=\"\"]", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Namespace.copy()Lnu/xom/Node;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      Namespace namespace1 = (Namespace)namespace0.copy();
      assertNotSame(namespace0, namespace1);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I3 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace((String) null, "", element0);
      assertEquals(0, namespace0.getChildCount());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I11 Branch 2 IFLE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Element element0 = new Element("xmlns");
      Namespace namespace0 = null;
      try {
        namespace0 = new Namespace("xmlns", "xmlns", element0);
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // The xmlns prefix may not be bound to a URI.
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I21 Branch 3 IFLE L-1 - false
   * 2 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I25 Branch 4 IFGT L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Element element0 = new Element("xml");
      Namespace namespace0 = null;
      try {
        namespace0 = new Namespace("xml", "xml", element0);
        fail("Expecting exception: NamespaceConflictException");
      
      } catch(NamespaceConflictException e) {
         //
         // The prefix xml can only be bound to the URI http://www.w3.org/XML/1998/namespace
         //
      }
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I34 Branch 5 IFEQ L-1 - false
   * 2 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I39 Branch 6 IFNONNULL L-1 - false
   * 3 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I63 Branch 10 IFEQ L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Element element0 = new Element("Q1.8F");
      element0.getAttributeValue("Q1.8F");
      Namespace namespace0 = null;
      try {
        namespace0 = new Namespace("Q1.8F", (String) null, element0);
        fail("Expecting exception: NamespaceConflictException");
      
      } catch(NamespaceConflictException e) {
         //
         // Prefixed elements must have namespace URIs.
         //
      }
  }

  //Test case number: 9
  /*
   * 10 covered goals:
   * 1 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I60 Branch 9 IFNE L-1 - true
   * 2 nu.xom.Namespace.getValue()Ljava/lang/String;: root-Branch
   * 3 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I3 Branch 1 IFNONNULL L-1 - true
   * 4 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I11 Branch 2 IFLE L-1 - true
   * 5 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I21 Branch 3 IFLE L-1 - true
   * 6 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I34 Branch 5 IFEQ L-1 - true
   * 7 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I39 Branch 6 IFNONNULL L-1 - true
   * 8 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I47 Branch 7 IFLE L-1 - true
   * 9 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I60 Branch 9 IFNE L-1 - false
   * 10 nu.xom.Namespace.<init>(Ljava/lang/String;Ljava/lang/String;Lnu/xom/Element;)V: I63 Branch 10 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.ENTITIES;
      attribute_Type0.toString();
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      namespace0.getValue();
      Namespace namespace1 = null;
      try {
        namespace1 = new Namespace("", "[Attribute.Type: ENTITIES]", element0);
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal initial scheme character [
         //
      }
  }
}
