/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.CycleException;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.IllegalNameException;
import nu.xom.IllegalTargetException;
import nu.xom.NodeFactory;
import nu.xom.Nodes;
import org.junit.BeforeClass;

public class NodeFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.makeDocType(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeDocType("p5P!Xv&H vSA?d", "p5P!Xv&H vSA?d", "p5P!Xv&H vSA?d");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // 0x21 is not a legal name character
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeComment(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      attribute_Type0.getName();
      Nodes nodes0 = nodeFactory0.makeComment("NMTOKEN");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.makeCDATASection(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.makeText(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeCDATASection("/9_eshPdYvTke");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeAttribute(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lnu/xom/Attribute$Type;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.UNDECLARED;
      // Undeclared exception!
      try {
        nodeFactory0.makeAttribute("Cannot assign prefix to element in no namespace", "Cannot assign prefix to element in no namespace", "Cannot assign prefix to element in no namespace", attribute_Type0);
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // 0x20 is not a legal NCName character
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 nu.xom.NodeFactory.insertChild(Lnu/xom/Element;Lnu/xom/Node;I)V: root-Branch
   * 2 nu.xom.NodeFactory.startMakingElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   * 3 nu.xom.NodeFactory.makeRootElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Element element0 = nodeFactory0.makeRootElement("qu", "http://www.xom.nu/fakeRoot");
      // Undeclared exception!
      try {
        nodeFactory0.insertChild(element0, element0, (-1447));
        fail("Expecting exception: CycleException");
      
      } catch(CycleException e) {
         //
         // Cannot add a node to itself
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeProcessingInstruction(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeProcessingInstruction("2TXh'Um/_Do[w7U,f", "2TXh'Um/_Do[w7U,f");
        fail("Expecting exception: IllegalTargetException");
      
      } catch(IllegalTargetException e) {
         //
         // NCNames cannot start with the character 32
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.addAttribute(Lnu/xom/Element;Lnu/xom/Attribute;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.NOTATION;
      Attribute attribute0 = Attribute.build("/9_eshPdYvTke", "/9_eshPdYvTke", "/9_eshPdYvTke", attribute_Type0, "/9_eshPdYvTke");
      // Undeclared exception!
      try {
        nodeFactory0.addAttribute((Element) null, attribute0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.finishMakingDocument(Lnu/xom/Document;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getDocument();
      nodeFactory0.finishMakingDocument((Document) null);
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 nu.xom.NodeFactory.finishMakingElement(Lnu/xom/Element;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.startMakingDocument()Lnu/xom/Document;: root-Branch
   * 3 nu.xom.NodeFactory.<init>()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Document document0 = nodeFactory0.startMakingDocument();
      assertNotNull(document0);
      
      Element element0 = document0.getRootElement();
      nodeFactory0.finishMakingElement(element0);
      assertEquals("<?xml version=\"1.0\"?>\n<root xmlns=\"http://www.xom.nu/fakeRoot\" />\n", document0.toXML());
      assertEquals("root", element0.getQualifiedName());
  }
}
