/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.CDATASection;
import nu.xom.Document;
import nu.xom.Text;
import nu.xom.ValidityException;
import org.junit.BeforeClass;
import org.xml.sax.Locator;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.Locator2Impl;

public class ValidityExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", "", 0, 0);
      ValidityException validityException1 = new ValidityException("", 0, 0, (Throwable) validityException0);
      assertEquals(0, validityException1.getColumnNumber());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getValidityError(I)Ljava/lang/String;: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("\r");
      // Undeclared exception!
      try {
        validityException0.getValidityError((-1));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getColumnNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 482, 482);
      // Undeclared exception!
      try {
        validityException0.getColumnNumber(482);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 482, Size: 0
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Locator2Impl locator2Impl0 = new Locator2Impl();
      SAXParseException sAXParseException0 = new SAXParseException("ha1S*", (Locator) locator2Impl0);
      ValidityException validityException0 = new ValidityException("ha1S*", 885, 885, (Throwable) sAXParseException0);
      Document document0 = validityException0.getDocument();
      assertNull(document0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.addError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Throwable throwable0 = new Throwable((Throwable) null);
      ValidityException validityException0 = new ValidityException("", 808, 808, throwable0);
      Locator2Impl locator2Impl0 = new Locator2Impl();
      SAXParseException sAXParseException0 = new SAXParseException("", (Locator) locator2Impl0);
      validityException0.addError(sAXParseException0);
      assertEquals(1, validityException0.getErrorCount());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getLineNumber(I)I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("");
      // Undeclared exception!
      try {
        validityException0.getLineNumber(1);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 1, Size: 0
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SAXParseException sAXParseException0 = new SAXParseException("", "", "", 0, 0);
      ValidityException validityException0 = new ValidityException("", (Throwable) sAXParseException0);
      assertEquals(-1, validityException0.getLineNumber());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.setDocument(Lnu/xom/Document;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("");
      Text text0 = new Text("");
      CDATASection cDATASection0 = new CDATASection(text0);
      cDATASection0.getDocument();
      validityException0.setDocument((Document) null);
      assertEquals(-1, validityException0.getLineNumber());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getErrorCount()I: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("XE{YF't-", (-1452), (-1452));
      int int0 = validityException0.getErrorCount();
      assertEquals(0, int0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("XE{YF't-", (-1452), (-1452));
      ValidityException validityException1 = new ValidityException("XE{YF't-", "XE{YF't-", (-1452), (-1452), (Throwable) validityException0);
      assertEquals("XE{YF't-", validityException1.getURI());
  }
}
