/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.resource;

import org.junit.Test;
import static org.junit.Assert.*;
import com.sun.org.apache.xerces.internal.dom.DocumentImpl;
import java.io.ByteArrayInputStream;
import java.io.CharArrayReader;
import java.io.DataInputStream;
import java.io.InputStream;
import java.io.Reader;
import javax.xml.transform.Source;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.stream.StreamSource;
import org.junit.BeforeClass;
import org.xhtmlrenderer.resource.XMLResource;
import org.xhtmlrenderer.util.XRRuntimeException;
import org.xml.sax.InputSource;

public class XMLResourceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder$1.fatalError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 2 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder$1.<init>(Lorg/xhtmlrenderer/resource/XMLResource$XMLResourceBuilder;)V: root-Branch
   * 3 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.createXMLResource(Lorg/xhtmlrenderer/resource/XMLResource;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 4 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.addHandlers(Lorg/xml/sax/XMLReader;)V: root-Branch
   * 5 org.xhtmlrenderer.resource.XMLResource.load(Ljava/io/Reader;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 6 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I12 Branch 2 IFNULL L102 - false
   * 7 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I17 Branch 3 IFGT L102 - true
   * 8 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I86 Branch 6 IFNONNULL L125 - false
   * 9 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I109 Branch 7 IFNONNULL L142 - true
   * 10 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I143 Branch 8 IFNONNULL L152 - true
   * 11 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.setParserFeatures(Lorg/xml/sax/XMLReader;)V: I29 Branch 1 IFEQ L244 - false
   */

  @Test
  public void test0()  throws Throwable  {
      char[] charArray0 = new char[5];
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0);
      // Undeclared exception!
      try {
        XMLResource.load((Reader) charArrayReader0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). org.xml.sax.SAXParseException: Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.resource.XMLResource.load(Ljava/io/InputStream;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DataInputStream dataInputStream0 = new DataInputStream((InputStream) null);
      // Undeclared exception!
      try {
        XMLResource.load((InputStream) dataInputStream0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.lang.NullPointerException
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.resource.XMLResource.getDocument()Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.createXMLResource(Ljavax/xml/transform/Source;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 3 org.xhtmlrenderer.resource.XMLResource.setDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 4 org.xhtmlrenderer.resource.XMLResource.load(Ljavax/xml/transform/Source;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DOMSource dOMSource0 = new DOMSource();
      XMLResource xMLResource0 = XMLResource.load((Source) dOMSource0);
      assertNotNull(xMLResource0);
      
      DocumentImpl documentImpl0 = (DocumentImpl)xMLResource0.getDocument();
      assertNotNull(documentImpl0);
      assertEquals(3L, xMLResource0.getElapsedLoadTime());
  }

  //Test case number: 3
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.resource.XMLResource.load(Lorg/xml/sax/InputSource;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 2 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder$1.fatalError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 3 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder$1.<init>(Lorg/xhtmlrenderer/resource/XMLResource$XMLResourceBuilder;)V: root-Branch
   * 4 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.createXMLResource(Lorg/xhtmlrenderer/resource/XMLResource;)Lorg/xhtmlrenderer/resource/XMLResource;: root-Branch
   * 5 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.addHandlers(Lorg/xml/sax/XMLReader;)V: root-Branch
   * 6 org.xhtmlrenderer.resource.XMLResource$XMLResourceBuilder.setParserFeatures(Lorg/xml/sax/XMLReader;)V: I29 Branch 1 IFEQ L244 - false
   * 7 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I12 Branch 2 IFNULL L102 - false
   * 8 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I17 Branch 3 IFGT L102 - true
   * 9 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I86 Branch 6 IFNONNULL L125 - false
   * 10 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I109 Branch 7 IFNONNULL L142 - true
   * 11 org.xhtmlrenderer.resource.XMLResource.newXMLReader()Lorg/xml/sax/XMLReader;: I143 Branch 8 IFNONNULL L152 - true
   */

  @Test
  public void test3()  throws Throwable  {
      byte[] byteArray0 = new byte[10];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      StreamSource streamSource0 = new StreamSource((InputStream) byteArrayInputStream0);
      InputSource inputSource0 = SAXSource.sourceToInputSource((Source) streamSource0);
      // Undeclared exception!
      try {
        XMLResource.load(inputSource0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). org.xml.sax.SAXParseException: Content is not allowed in prolog.
         //
      }
  }
}
