/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import java.io.InputStream;
import java.io.PipedInputStream;
import org.junit.BeforeClass;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class ScalableXHTMLPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setDocument(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.getScalePolicy()I: root-Branch
   * 3 org.xhtmlrenderer.swing.ScalableXHTMLPanel.resetScaleAccordingToPolicy()V: I4 Branch 1 IFEQ L105 - true
   * 4 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      try {
        scalableXHTMLPanel0.setDocument((InputStream) pipedInputStream0, "");
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Pipe not connected
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.getScalePolicy()I: root-Branch
   * 3 org.xhtmlrenderer.swing.ScalableXHTMLPanel.resetScaleAccordingToPolicy()V: I4 Branch 1 IFEQ L105 - true
   * 4 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.decrementFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.find(II)Lorg/xhtmlrenderer/render/Box;: I15 Branch 2 IFNULL L117 - true
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.convertFromScaled(II)Ljava/awt/Point;: I6 Branch 17 IFGT L226 - false
   * 3 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getBounds();
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, 0, (long) 0, 0, 0, 0, 0, 0, 0, true, 0, 0, 0);
      scalableXHTMLPanel0.find((MouseEvent) mouseWheelEvent0);
      assertEquals(0, scalableXHTMLPanel0.getScalePolicy());
      assertEquals((-1.0), scalableXHTMLPanel0.getScale(), 0.01D);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setScale(D)V: I5 Branch 3 IFGT L130 - true
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.scaleChanged()V: I18 Branch 4 IF_ICMPGE L152 - true
   * 3 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      assertEquals((-1.0), scalableXHTMLPanel0.getScale(), 0.01D);
      
      scalableXHTMLPanel0.setScale(1.0);
      assertEquals(1.0, scalableXHTMLPanel0.getScale(), 0.01D);
  }
}
