/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.layout;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.newmatch.CascadedStyle;
import org.xhtmlrenderer.css.style.CalculatedStyle;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.LayoutState;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.layout.StyleTracker;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class StyleTrackerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.StyleTracker.copyOf()Lorg/xhtmlrenderer/layout/StyleTracker;: root-Branch
   * 2 org.xhtmlrenderer.layout.StyleTracker.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = new LayoutContext(sharedContext0);
      LayoutState layoutState0 = layoutContext0.copyStateForRelayout();
      assertEquals(0, layoutState0.getExtraSpaceBottom());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.clearStyles()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = new LayoutContext(sharedContext0);
      LayoutState layoutState0 = layoutContext0.captureLayoutState();
      StyleTracker styleTracker0 = layoutState0.getFirstLetters();
      styleTracker0.clearStyles();
      assertEquals(false, styleTracker0.hasStyles());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.removeLast()V: I5 Branch 1 IFEQ L42 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = new LayoutContext(sharedContext0);
      LayoutState layoutState0 = layoutContext0.captureLayoutState();
      StyleTracker styleTracker0 = layoutState0.getFirstLetters();
      styleTracker0.removeLast();
      assertEquals(false, styleTracker0.hasStyles());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.StyleTracker.removeLast()V: I5 Branch 1 IFEQ L42 - false
   * 2 org.xhtmlrenderer.layout.StyleTracker.addStyle(Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = new LayoutContext(sharedContext0);
      LayoutState layoutState0 = layoutContext0.captureLayoutState();
      StyleTracker styleTracker0 = layoutState0.getFirstLetters();
      IdentValue identValue0 = IdentValue.SMALL_CAPS;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      styleTracker0.addStyle(cascadedStyle0);
      assertEquals(true, styleTracker0.hasStyles());
      
      styleTracker0.removeLast();
      assertEquals(false, styleTracker0.hasStyles());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.hasStyles()Z: I5 Branch 2 IFEQ L48 - true
   */

  @Test
  public void test4()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      boolean boolean0 = styleTracker0.hasStyles();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.StyleTracker.hasStyles()Z: I5 Branch 2 IFEQ L48 - false
   */

  @Test
  public void test5()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      assertEquals(false, styleTracker0.hasStyles());
      
      IdentValue identValue0 = IdentValue.SMALL_CAPS;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      styleTracker0.addStyle(cascadedStyle0);
      boolean boolean0 = styleTracker0.hasStyles();
      assertEquals(true, styleTracker0.hasStyles());
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.layout.StyleTracker.deriveAll(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I13 Branch 3 IFEQ L57 - false
   * 2 org.xhtmlrenderer.layout.StyleTracker.addStyle(Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;)V: root-Branch
   * 3 org.xhtmlrenderer.layout.StyleTracker.getStyles()Ljava/util/List;: root-Branch
   * 4 org.xhtmlrenderer.layout.StyleTracker.<init>()V: root-Branch
   * 5 org.xhtmlrenderer.layout.StyleTracker.deriveAll(Lorg/xhtmlrenderer/css/style/CalculatedStyle;)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I13 Branch 3 IFEQ L57 - true
   */

  @Test
  public void test6()  throws Throwable  {
      StyleTracker styleTracker0 = new StyleTracker();
      styleTracker0.deriveAll((CalculatedStyle) null);
      IdentValue identValue0 = IdentValue.SMALL_CAPS;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      styleTracker0.addStyle(cascadedStyle0);
      // Undeclared exception!
      try {
        styleTracker0.deriveAll((CalculatedStyle) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
