/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.LinkedList;
import java.util.List;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.parser.Token;

public class PropertyValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCounterValue()Lorg/w3c/dom/css/Counter;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test0()  throws Throwable  {
      IdentValue identValue0 = IdentValue.UPPER_LATIN;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getCounterValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRectValue()Lorg/w3c/dom/css/Rect;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IdentValue identValue0 = IdentValue.UPPERCASE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRectValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue()F: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IdentValue identValue0 = IdentValue.NW_RESIZE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      float float0 = propertyValue0.getFloatValue();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(0.0F, float0, 0.01F);
      assertEquals("I133", propertyValue0.getFingerprint());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRGBColorValue()Lorg/w3c/dom/css/RGBColor;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      IdentValue identValue0 = IdentValue.NW_RESIZE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRGBColorValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setCssText(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IdentValue identValue0 = IdentValue.LOWER_GREEK;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.setCssText("large");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      FSFunction fSFunction0 = new FSFunction("STRING", (List) linkedList0);
      PropertyValue propertyValue0 = new PropertyValue(fSFunction0);
      String string0 = propertyValue0.getFingerprint();
      assertEquals(7, propertyValue0.getPropertyValueType());
      assertEquals(3, propertyValue0.getCssValueType());
      assertNotNull(string0);
      assertEquals(0, propertyValue0.getPrimitiveType());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringValue(SLjava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test6()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-580), (float) (short) (-580), "n,Ou1n");
      // Undeclared exception!
      try {
        propertyValue0.setStringValue((short) (-580), "n,Ou1n");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setFloatValue(SF)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      FSFunction fSFunction0 = new FSFunction("STRING", (List) linkedList0);
      PropertyValue propertyValue0 = new PropertyValue(fSFunction0);
      // Undeclared exception!
      try {
        propertyValue0.setFloatValue((short)7, (short)7);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - false
   */

  @Test
  public void test8()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getFunction();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I44", propertyValue0.getFingerprint());
      assertEquals(0, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCssValueType()S: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test9()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-580), (float) (short) (-580), "n,Ou1n");
      short short0 = propertyValue0.getCssValueType();
      assertEquals((short)1, short0);
      assertEquals((-580.0F), propertyValue0.getFloatValue(), 0.01F);
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(-580, propertyValue0.getPrimitiveType());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setOperator(Lorg/xhtmlrenderer/css/parser/Token;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      IdentValue identValue0 = IdentValue.POINTER;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      Token token0 = Token.TK_COLON;
      propertyValue0.setOperator(token0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I80", propertyValue0.getFingerprint());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test11()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)50, "inherit", "inherit");
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(50, propertyValue0.getPrimitiveType());
      assertEquals(0, propertyValue0.getCssValueType());
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test12()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSIDE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getFingerprint();
      assertNotNull(string0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I49", string0);
  }
}
