/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.event.ComponentEvent;
import java.awt.event.MouseWheelEvent;
import java.awt.image.BufferedImage;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.RootPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class RootPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.getLayoutContext()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.init()V: root-Branch
   * 3 org.xhtmlrenderer.swing.RootPanel.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      scalableXHTMLPanel0.getLayoutContext();
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
      assertEquals(true, xHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.componentMoved(Ljava/awt/event/ComponentEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.getScreenExtents()Ljava/awt/Rectangle;: I4 Branch 12 IFNULL L226 - true
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      Rectangle rectangle0 = scalableXHTMLPanel0.getScreenExtents();
      assertNotNull(rectangle0);
      
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, 0, (long) 0, 0, 0, 0, 0, 0, 0, true, 0, 0, 0);
      scalableXHTMLPanel0.componentMoved((ComponentEvent) mouseWheelEvent0);
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.getRootBox()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.getRootLayer()Lorg/xhtmlrenderer/layout/Layer;: I4 Branch 38 IFNONNULL L449 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getRootLayer();
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.setRootBox(Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;Lorg/xhtmlrenderer/extend/NamespaceHandler;)V: I23 Branch 1 IFEQ L72 - true
   * 3 org.xhtmlrenderer.swing.RootPanel.resetScrollPosition()V: I4 Branch 2 IFNULL L88 - true
   * 4 org.xhtmlrenderer.swing.RootPanel.fireDocumentStarted()V: I11 Branch 28 IFEQ L343 - true
   */

  @Test
  public void test3()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      // Undeclared exception!
      try {
        xHTMLPanel0.incrementFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.removeNotify()V: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.setEnclosingScrollPane(Ljavax/swing/JScrollPane;)V: I4 Branch 3 IFNULL L103 - true
   * 3 org.xhtmlrenderer.swing.RootPanel.setEnclosingScrollPane(Ljavax/swing/JScrollPane;)V: I20 Branch 4 IFNULL L109 - true
   */

  @Test
  public void test4()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.removeNotify();
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.RootPanel.newRenderingContext(Ljava/awt/Graphics2D;)Lorg/xhtmlrenderer/render/RenderingContext;: I50 Branch 8 IFNULL L182 - true
   */

  @Test
  public void test5()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      BufferedImage bufferedImage0 = new BufferedImage(1, 1, 1);
      Graphics2D graphics2D0 = bufferedImage0.createGraphics();
      RenderingContext renderingContext0 = scalableXHTMLPanel0.newRenderingContext(graphics2D0);
      assertNotNull(renderingContext0);
      assertEquals(true, xHTMLPanel0.isBackgroundSet());
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.RootPanel.isHover(Lorg/w3c/dom/Element;)Z: I5 Branch 32 IF_ACMPNE L384 - false
   */

  @Test
  public void test6()  throws Throwable  {
      RootPanel rootPanel0 = new RootPanel();
      boolean boolean0 = rootPanel0.isHover((Element) null);
      assertEquals(true, boolean0);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.getLayoutWidth()D: I4 Branch 37 IFNULL L429 - true
   * 2 org.xhtmlrenderer.swing.RootPanel.init()V: root-Branch
   * 3 org.xhtmlrenderer.swing.RootPanel.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      double double0 = xHTMLPanel0.getLayoutWidth();
      assertEquals(0.0, double0, 0.01D);
      assertEquals(true, xHTMLPanel0.isBackgroundSet());
  }
}
