/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.DocType;
import nu.xom.Document;
import nu.xom.Element;
import nu.xom.IllegalNameException;
import nu.xom.MultipleParentException;
import nu.xom.NoSuchChildException;
import nu.xom.Node;
import nu.xom.WellformednessException;
import org.junit.BeforeClass;

public class DocumentEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 10 covered goals:
   * 1 nu.xom.Document.getValue()Ljava/lang/String;: root-Branch
   * 2 nu.xom.Document.<init>(Lnu/xom/Element;)V: root-Branch
   * 3 nu.xom.Document.getRootElement()Lnu/xom/Element;: I9 Branch 19 IFEQ L-1 - false
   * 4 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I1 Branch 3 IFNONNULL L-1 - true
   * 5 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I10 Branch 4 IFNULL L-1 - true
   * 6 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I19 Branch 5 IFNE L-1 - false
   * 7 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I22 Branch 6 IFEQ L-1 - true
   * 8 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I28 Branch 7 IFEQ L-1 - true
   * 9 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I54 Branch 10 IFEQ L-1 - false
   * 10 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I57 Branch 11 IFNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Element element0 = new Element("p");
      Document document0 = new Document(element0);
      String string0 = document0.getValue();
      assertNotNull(string0);
      assertEquals("<?xml version=\"1.0\"?>\n<p />\n", document0.toXML());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.setBaseURI(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      document0.setBaseURI("");
      assertEquals(1, document0.getChildCount());
      assertEquals("<?xml version=\"1.0\"?>\n< />\n", document0.toXML());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      String string0 = document0.toString();
      assertEquals("[nu.xom.Document: ]", string0);
      assertNotNull(string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.copy()Lnu/xom/Node;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        document0.copy();
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot be empty
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.getBaseURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      String string0 = document0.getBaseURI();
      assertNotNull(string0);
      assertEquals("<?xml version=\"1.0\"?>\n< />\n", document0.toXML());
      assertEquals(1, document0.getChildCount());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.isDocument()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      boolean boolean0 = document0.isDocument();
      assertEquals("<?xml version=\"1.0\"?>\n< />\n", document0.toXML());
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 nu.xom.Document.getDocType()Lnu/xom/DocType;: I6 Branch 13 IF_ICMPGE L-1 - true
   * 2 nu.xom.Document.getDocType()Lnu/xom/DocType;: I6 Branch 13 IF_ICMPGE L-1 - false
   * 3 nu.xom.Document.getDocType()Lnu/xom/DocType;: I13 Branch 14 IFEQ L-1 - true
   * 4 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I3 Branch 25 IF_ACMPNE L-1 - true
   * 5 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I18 Branch 28 IF_ACMPNE L-1 - false
   * 6 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I20 Branch 29 IFNULL L-1 - false
   * 7 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I23 Branch 30 IFEQ L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        document0.replaceChild((Node) null, (Node) element0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Tried to replace null child
         //
      }
  }

  //Test case number: 7
  /*
   * 9 covered goals:
   * 1 nu.xom.Document.getDocType()Lnu/xom/DocType;: I13 Branch 14 IFEQ L-1 - false
   * 2 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I28 Branch 7 IFEQ L-1 - false
   * 3 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I32 Branch 8 IF_ICMPGT L-1 - false
   * 4 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I37 Branch 9 IFNULL L-1 - true
   * 5 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I4 Branch 15 IFNONNULL L-1 - true
   * 6 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I13 Branch 16 IF_ACMPNE L-1 - true
   * 7 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I18 Branch 17 IFNULL L-1 - true
   * 8 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I26 Branch 18 IFNONNULL L-1 - false
   * 9 nu.xom.Document.getRootPosition()I: I9 Branch 12 IFEQ L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Element element0 = new Element("p");
      Document document0 = new Document(element0);
      DocType docType0 = DocType.build("p", "p", "p");
      document0.setDocType(docType0);
      document0.getDocType();
      assertEquals("<?xml version=\"1.0\"?>\n<!DOCTYPE p PUBLIC \"p\" \"p\">\n<p />\n", document0.toXML());
      assertEquals(2, document0.getChildCount());
  }

  //Test case number: 8
  /*
   * 12 covered goals:
   * 1 nu.xom.Document.getRootElement()Lnu/xom/Element;: I9 Branch 19 IFEQ L-1 - true
   * 2 nu.xom.Document.<init>(Lnu/xom/Document;)V: I16 Branch 1 IF_ICMPGE L-1 - true
   * 3 nu.xom.Document.<init>(Lnu/xom/Document;)V: I16 Branch 1 IF_ICMPGE L-1 - false
   * 4 nu.xom.Document.<init>(Lnu/xom/Document;)V: I23 Branch 2 IFNE L-1 - true
   * 5 nu.xom.Document.<init>(Lnu/xom/Document;)V: I23 Branch 2 IFNE L-1 - false
   * 6 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I28 Branch 7 IFEQ L-1 - false
   * 7 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I32 Branch 8 IF_ICMPGT L-1 - false
   * 8 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I37 Branch 9 IFNULL L-1 - true
   * 9 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I4 Branch 15 IFNONNULL L-1 - true
   * 10 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I13 Branch 16 IF_ACMPNE L-1 - true
   * 11 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I18 Branch 17 IFNULL L-1 - true
   * 12 nu.xom.Document.setDocType(Lnu/xom/DocType;)V: I26 Branch 18 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Element element0 = new Element("p");
      Document document0 = new Document(element0);
      DocType docType0 = DocType.build("p", "p", "p");
      document0.setDocType(docType0);
      Document document1 = new Document(document0);
      assertEquals("<?xml version=\"1.0\"?>\n<!DOCTYPE p PUBLIC \"p\" \"p\">\n<p />\n", document0.toXML());
      assertEquals(2, document0.getChildCount());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I1 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Document document0 = null;
      try {
        document0 = new Document((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Tried to insert a null child in the document
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I10 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      Document document1 = null;
      try {
        document1 = new Document(element0);
        fail("Expecting exception: MultipleParentException");
      
      } catch(MultipleParentException e) {
         //
         // Child already has a parent.
         //
      }
  }

  //Test case number: 11
  /*
   * 4 covered goals:
   * 1 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I3 Branch 25 IF_ACMPNE L-1 - false
   * 2 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I5 Branch 26 IFNULL L-1 - false
   * 3 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I8 Branch 27 IFEQ L-1 - false
   * 4 nu.xom.Document.setRootElement(Lnu/xom/Element;)V: I5 Branch 20 IF_ACMPNE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      document0.replaceChild((Node) element0, (Node) element0);
      assertEquals(1, document0.getChildCount());
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I18 Branch 28 IF_ACMPNE L-1 - true
   * 2 nu.xom.Document.getDocType()Lnu/xom/DocType;: I6 Branch 13 IF_ICMPGE L-1 - true
   * 3 nu.xom.Document.getDocType()Lnu/xom/DocType;: I6 Branch 13 IF_ICMPGE L-1 - false
   * 4 nu.xom.Document.getDocType()Lnu/xom/DocType;: I13 Branch 14 IFEQ L-1 - true
   * 5 nu.xom.Document.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I3 Branch 25 IF_ACMPNE L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        document0.replaceChild((Node) document0, (Node) document0);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Reference node is not a child of this node.
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.removeChild(Lnu/xom/Node;)Lnu/xom/Node;: I3 Branch 24 IF_ACMPNE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        document0.removeChild((Node) document0);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Child does not belong to this node
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.removeChild(Lnu/xom/Node;)Lnu/xom/Node;: I3 Branch 24 IF_ACMPNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      Element element0 = new Element("p");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        element0.detach();
        fail("Expecting exception: WellformednessException");
      
      } catch(WellformednessException e) {
         //
         // Cannot remove the root element
         //
      }
  }

  //Test case number: 15
  /*
   * 4 covered goals:
   * 1 nu.xom.Document.setRootElement(Lnu/xom/Element;)V: I5 Branch 20 IF_ACMPNE L-1 - true
   * 2 nu.xom.Document.setRootElement(Lnu/xom/Element;)V: I9 Branch 21 IFNONNULL L-1 - true
   * 3 nu.xom.Document.setRootElement(Lnu/xom/Element;)V: I18 Branch 22 IFNULL L-1 - true
   * 4 nu.xom.Document.getRootElement()Lnu/xom/Element;: I9 Branch 19 IFEQ L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      Element element1 = new Element(element0);
      document0.setRootElement(element1);
      assertEquals("", element1.getNamespaceURI());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 nu.xom.Document.getRootPosition()I: I9 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Element element0 = new Element("p");
      Document document0 = new Document(element0);
      Node[] nodeArray0 = new Node[1];
      nodeArray0[0] = (Node) document0;
      document0.children = (nu.xom.Node[]) nodeArray0;
      // Undeclared exception!
      try {
        document0.removeChild((-918));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 nu.xom.Document.removeChild(I)Lnu/xom/Node;: I3 Branch 23 IF_ICMPNE L-1 - true
   * 2 nu.xom.Document.getRootPosition()I: I9 Branch 12 IFEQ L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      Element element0 = new Element("p");
      Document document0 = new Document(element0);
      // Undeclared exception!
      try {
        document0.removeChild((-918));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // -918
         //
      }
  }

  //Test case number: 18
  /*
   * 10 covered goals:
   * 1 nu.xom.Document.toXML()Ljava/lang/String;: I15 Branch 31 IF_ICMPGE L-1 - true
   * 2 nu.xom.Document.toXML()Ljava/lang/String;: I15 Branch 31 IF_ICMPGE L-1 - false
   * 3 nu.xom.Document.<init>(Lnu/xom/Element;)V: root-Branch
   * 4 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I1 Branch 3 IFNONNULL L-1 - true
   * 5 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I10 Branch 4 IFNULL L-1 - true
   * 6 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I19 Branch 5 IFNE L-1 - false
   * 7 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I22 Branch 6 IFEQ L-1 - true
   * 8 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I28 Branch 7 IFEQ L-1 - true
   * 9 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I54 Branch 10 IFEQ L-1 - false
   * 10 nu.xom.Document.insertionAllowed(Lnu/xom/Node;I)V: I57 Branch 11 IFNE L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      String string0 = document0.toXML();
      assertEquals("<?xml version=\"1.0\"?>\n< />\n", string0);
      assertNotNull(string0);
  }
}
