/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.JaxenNavigator;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.jaxen.FunctionCallException;
import nu.xom.jaxen.JaxenException;
import nu.xom.jaxen.UnsupportedAxisException;
import nu.xom.jaxen.XPathSyntaxException;
import org.junit.BeforeClass;

public class JaxenNavigatorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Element element0 = Element.build("", "", "");
      String string0 = jaxenNavigator0.getElementName((Object) element0);
      assertEquals("", string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Object object0 = new Object();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeName(object0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.Object cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionTarget(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = Comment.build("http://www.w3.org/XML/1998/namespace");
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionTarget((Object) comment0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Comment cannot be cast to nu.xom.ProcessingInstruction
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocument(Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      try {
        jaxenNavigator0.getDocument("number");
        fail("Expecting exception: FunctionCallException");
      
      } catch(FunctionCallException e) {
         //
         // document() function not supported
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocumentNode(Ljava/lang/Object;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getBaseURI();
      // Undeclared exception!
      try {
        jaxenNavigator0.getDocumentNode((Object) "");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionData(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = Text.build("");
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionData((Object) text0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Text cannot be cast to nu.xom.ProcessingInstruction
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getNamespaceStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = new Text("document() function not supported");
      // Undeclared exception!
      try {
        jaxenNavigator0.getNamespaceStringValue((Object) text0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Text cannot be cast to nu.xom.Namespace
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeQName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeQName((Object) element0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Element cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementNamespaceUri((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.parseXPath(Ljava/lang/String;)Lnu/xom/jaxen/XPath;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text.escapeLineBreaksAndTruncate("uzlaYDp@TY>d@V");
      try {
        jaxenNavigator0.parseXPath("uzlaYDp@TY>d@V");
        fail("Expecting exception: XPathSyntaxException");
      
      } catch(XPathSyntaxException e) {
         //
         // Unexpected '@'
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text.escapeLineBreaksAndTruncate("uzlaYDp@TY>d@V");
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeStringValue((Object) "uzlaYDp@TY>d@V");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getNamespacePrefix(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      linkedList0.toString();
      // Undeclared exception!
      try {
        jaxenNavigator0.getNamespacePrefix((Object) "[]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Namespace
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      LinkedList<Object> linkedList0 = new LinkedList<Object>();
      linkedList0.toString();
      Iterator<?> iterator0 = jaxenNavigator0.getAttributeAxisIterator((Object) "[]");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 13
  /*
   * 9 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.isAttribute(Ljava/lang/Object;)Z: root-Branch
   * 3 nu.xom.JaxenNavigator.isProcessingInstruction(Ljava/lang/Object;)Z: root-Branch
   * 4 nu.xom.JaxenNavigator.isElement(Ljava/lang/Object;)Z: root-Branch
   * 5 nu.xom.JaxenNavigator.isComment(Ljava/lang/Object;)Z: root-Branch
   * 6 nu.xom.JaxenNavigator.isNamespace(Ljava/lang/Object;)Z: root-Branch
   * 7 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - true
   * 8 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I2 Branch 45 IFNE L-1 - false
   * 9 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I5 Branch 46 IFEQ L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("");
      cDATASection0.getDocument();
      jaxenNavigator0.getNodeType((Object) null);
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementStringValue((Object) (short)14);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.Short cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I7 Branch 51 IFNONNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeAxisIterator((Object) null, "Ljk", "Ljk", "Ljk");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 15
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.hasID(Lnu/xom/Element;Ljava/lang/String;)Z: I8 Branch 33 IF_ICMPGE L-1 - true
   * 2 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I3 Branch 30 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I16 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Element element1 = JaxenNavigator.findByID(element0, "");
      assertNull(element1);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I2 Branch 50 IFEQ L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ArrayList<Integer> arrayList0 = new ArrayList<Integer>();
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) arrayList0, "number", "number", "number");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getSelfAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text.escapeLineBreaksAndTruncate("uzlaYDp@TY>d@V");
      Iterator<?> iterator0 = jaxenNavigator0.getSelfAxisIterator((Object) "uzlaYDp@TY>d@V");
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 40 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I24 Branch 41 IFNONNULL L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = new Text("document() function not supported");
      CDATASection cDATASection0 = new CDATASection(text0);
      cDATASection0.toString();
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("[nu.xom.CDATASection: document() function not supported]", "[nu.xom.CDATASection: document() function not supported]");
      Iterator<?> iterator0 = jaxenNavigator0.getFollowingSiblingAxisIterator((Object) processingInstruction0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getParentNode(Ljava/lang/Object;)Ljava/lang/Object;: I2 Branch 42 IFEQ L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getParentAxisIterator((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 20
  /*
   * 4 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 24 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I17 Branch 25 IFNE L-1 - false
   * 3 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I20 Branch 26 IFEQ L-1 - true
   * 4 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I35 Branch 27 IFNULL L-1 - true
   */

  @Test
  public void test20()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("number", "number");
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementById((Object) processingInstruction0, "number");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 21
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test21()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = new Text("document() function not supported");
      CDATASection cDATASection0 = new CDATASection(text0);
      cDATASection0.toString();
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) "[nu.xom.CDATASection: document() function not supported]");
      assertEquals(false, iterator0.hasNext());
  }
}
