/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedWriter;
import java.io.CharArrayWriter;
import java.io.IOException;
import java.io.StringWriter;
import java.io.Writer;
import nu.xom.UnsynchronizedBufferedWriter;
import org.junit.BeforeClass;

public class UnsynchronizedBufferedWriterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.write([CII)V: root-Branch
   * 2 nu.xom.UnsynchronizedBufferedWriter.<init>(Ljava/io/Writer;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) charArrayWriter0);
      char[] charArray0 = new char[3];
      // Undeclared exception!
      try {
        unsynchronizedBufferedWriter0.write(charArray0);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // XOM bug: this statement shouldn't be reachable.
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.flush()V: root-Branch
   * 2 nu.xom.UnsynchronizedBufferedWriter.flushInternal()V: I2 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      BufferedWriter bufferedWriter0 = new BufferedWriter((Writer) stringWriter0, (int) 'W');
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) bufferedWriter0);
      unsynchronizedBufferedWriter0.flush();
      assertEquals("", stringWriter0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.UnsynchronizedBufferedWriter.close()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) null);
      // Undeclared exception!
      try {
        unsynchronizedBufferedWriter0.close();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // How'd we get here?
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.UnsynchronizedBufferedWriter.write(I)V: I3 Branch 4 IF_ICMPLT L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) stringWriter0);
      Writer writer0 = unsynchronizedBufferedWriter0.append('W');
      assertSame(unsynchronizedBufferedWriter0, writer0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I10 Branch 2 IF_ICMPGE L-1 - true
   * 2 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I2 Branch 1 IFLE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) stringWriter0);
      // Undeclared exception!
      try {
        unsynchronizedBufferedWriter0.write("", 8192, 8192);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 16384
         //
      }
  }

  //Test case number: 5
  /*
   * 8 covered goals:
   * 1 nu.xom.UnsynchronizedBufferedWriter.flushInternal()V: I2 Branch 5 IFEQ L-1 - false
   * 2 nu.xom.UnsynchronizedBufferedWriter.<init>(Ljava/io/Writer;)V: root-Branch
   * 3 nu.xom.UnsynchronizedBufferedWriter.flush()V: root-Branch
   * 4 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;)V: root-Branch
   * 5 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I2 Branch 1 IFLE L-1 - true
   * 6 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I2 Branch 1 IFLE L-1 - false
   * 7 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I10 Branch 2 IF_ICMPGE L-1 - false
   * 8 nu.xom.UnsynchronizedBufferedWriter.write(Ljava/lang/String;II)V: I41 Branch 3 IF_ICMPLT L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      StringWriter stringWriter0 = new StringWriter();
      StringBuffer stringBuffer0 = stringWriter0.getBuffer();
      stringWriter0.append('W');
      UnsynchronizedBufferedWriter unsynchronizedBufferedWriter0 = new UnsynchronizedBufferedWriter((Writer) stringWriter0);
      unsynchronizedBufferedWriter0.append((CharSequence) stringBuffer0);
      unsynchronizedBufferedWriter0.flush();
      assertEquals("WW", stringWriter0.toString());
  }
}
