/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Document;
import nu.xom.Text;
import nu.xom.ValidityException;
import org.junit.BeforeClass;
import org.xml.sax.Locator;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.Locator2Impl;
import org.xml.sax.helpers.LocatorImpl;

public class ValidityExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 0, 0);
      ValidityException validityException1 = new ValidityException("", 0, 0, (Throwable) validityException0);
      assertEquals("nu.xom.ValidityException:  at line 0, column 0", validityException1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("+", "+", (-1838), (-1838));
      assertEquals("+", validityException0.getURI());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getValidityError(I)Ljava/lang/String;: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Throwable throwable0 = new Throwable();
      ValidityException validityException0 = new ValidityException("<,'wV", throwable0);
      // Undeclared exception!
      try {
        validityException0.getValidityError(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getColumnNumber(I)I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 0, 0);
      // Undeclared exception!
      try {
        validityException0.getColumnNumber(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.getDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 0, 0);
      Document document0 = validityException0.getDocument();
      assertNull(document0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.addError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", (Throwable) null);
      LocatorImpl locatorImpl0 = new LocatorImpl();
      Locator2Impl locator2Impl0 = new Locator2Impl((Locator) locatorImpl0);
      SAXParseException sAXParseException0 = new SAXParseException("", (Locator) locator2Impl0);
      validityException0.addError(sAXParseException0);
      assertEquals(1, validityException0.getErrorCount());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getLineNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Throwable throwable0 = new Throwable();
      ValidityException validityException0 = new ValidityException("l3ITW rH@voSdXd_<", throwable0);
      // Undeclared exception!
      try {
        validityException0.getLineNumber(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.setDocument(Lnu/xom/Document;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("");
      Text text0 = Text.build("");
      text0.getDocument();
      validityException0.setDocument((Document) null);
      assertEquals("", validityException0.getLocalizedMessage());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getErrorCount()I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 0, 0);
      int int0 = validityException0.getErrorCount();
      assertEquals(0, int0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", "", (-1), (-1), (Throwable) null);
      assertEquals("", validityException0.getLocalizedMessage());
  }
}
