/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.newmatch;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Iterator;
import java.util.List;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.constants.CSSName;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.newmatch.CascadedStyle;
import org.xhtmlrenderer.css.sheet.PropertyDeclaration;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class CascadedStyleEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutStyle(Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;[Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.createAnonymousStyle(Lorg/xhtmlrenderer/css/constants/IdentValue;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 3 org.xhtmlrenderer.css.newmatch.CascadedStyle.<init>(Ljava/util/Iterator;)V: root-Branch
   * 4 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - true
   * 5 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - false
   * 6 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - true
   * 7 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - false
   * 8 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - true
   * 9 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - false
   * 10 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - true
   * 11 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - false
   */

  @Test
  public void test0()  throws Throwable  {
      IdentValue identValue0 = IdentValue.HIDDEN;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      assertNotNull(cascadedStyle0);
      
      PropertyDeclaration[] propertyDeclarationArray0 = new PropertyDeclaration[2];
      // Undeclared exception!
      try {
        CascadedStyle.createLayoutStyle(cascadedStyle0, propertyDeclarationArray0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutStyle(Ljava/util/List;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(16);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      List<?> list0 = scalableXHTMLPanel0.getMouseTrackingListeners();
      // Undeclared exception!
      try {
        CascadedStyle.createLayoutStyle(list0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.swing.HoverListener cannot be cast to org.xhtmlrenderer.css.sheet.PropertyDeclaration
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.countAssigned()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_600;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      assertNotNull(cascadedStyle0);
      
      int int0 = cascadedStyle0.countAssigned();
      assertEquals(1, int0);
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.propertyByName(Lorg/xhtmlrenderer/css/constants/CSSName;)Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;: root-Branch
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.getIdent(Lorg/xhtmlrenderer/css/constants/CSSName;)Lorg/xhtmlrenderer/css/constants/IdentValue;: I9 Branch 6 IFNONNULL L216 - true
   * 3 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutStyle([Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 4 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutPropertyDeclaration(Lorg/xhtmlrenderer/css/constants/CSSName;Lorg/xhtmlrenderer/css/constants/IdentValue;)Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSName cSSName0 = CSSName.MIN_WIDTH;
      IdentValue identValue0 = IdentValue.TEXT_BOTTOM;
      PropertyDeclaration propertyDeclaration0 = CascadedStyle.createLayoutPropertyDeclaration(cSSName0, identValue0);
      PropertyDeclaration[] propertyDeclarationArray0 = new PropertyDeclaration[4];
      propertyDeclarationArray0[0] = propertyDeclaration0;
      propertyDeclarationArray0[1] = propertyDeclaration0;
      propertyDeclarationArray0[2] = propertyDeclaration0;
      propertyDeclarationArray0[3] = propertyDeclaration0;
      assertEquals(5, propertyDeclarationArray0[3].getImportanceAndOrigin());
      
      CascadedStyle cascadedStyle0 = CascadedStyle.createLayoutStyle(propertyDeclarationArray0);
      assertNotNull(cascadedStyle0);
      
      IdentValue identValue1 = cascadedStyle0.getIdent(cSSName0);
      assertNotNull(identValue1);
      assertEquals(1, cascadedStyle0.countAssigned());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.hasProperty(Lorg/xhtmlrenderer/css/constants/CSSName;)Z: I6 Branch 5 IFNULL L188 - true
   */

  @Test
  public void test4()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_600;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      assertNotNull(cascadedStyle0);
      
      CSSName cSSName0 = CSSName.BORDER_LEFT_SHORTHAND;
      boolean boolean0 = cascadedStyle0.hasProperty(cSSName0);
      assertEquals(false, boolean0);
      assertEquals("165I31;", cascadedStyle0.getFingerprint());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.getIdent(Lorg/xhtmlrenderer/css/constants/CSSName;)Lorg/xhtmlrenderer/css/constants/IdentValue;: I9 Branch 6 IFNONNULL L216 - false
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.propertyByName(Lorg/xhtmlrenderer/css/constants/CSSName;)Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_600;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      assertNotNull(cascadedStyle0);
      
      CSSName cSSName0 = CSSName.BORDER_LEFT_SHORTHAND;
      cascadedStyle0.getIdent(cSSName0);
      assertEquals(1, cascadedStyle0.countAssigned());
      assertEquals("165I31;", cascadedStyle0.getFingerprint());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.getCascadedPropertyDeclarations()Ljava/util/Iterator;: I20 Branch 7 IFEQ L232 - true
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.getCascadedPropertyDeclarations()Ljava/util/Iterator;: I20 Branch 7 IFEQ L232 - false
   */

  @Test
  public void test6()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_600;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      Iterator<?> iterator0 = cascadedStyle0.getCascadedPropertyDeclarations();
      assertNotNull(iterator0);
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 7
  /*
   * 14 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I4 Branch 8 IFNONNULL L241 - true
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I4 Branch 8 IFNONNULL L241 - false
   * 3 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I22 Branch 9 IFEQ L244 - true
   * 4 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I22 Branch 9 IFEQ L244 - false
   * 5 org.xhtmlrenderer.css.newmatch.CascadedStyle.createAnonymousStyle(Lorg/xhtmlrenderer/css/constants/IdentValue;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 6 org.xhtmlrenderer.css.newmatch.CascadedStyle.<init>(Ljava/util/Iterator;)V: root-Branch
   * 7 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - true
   * 8 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - false
   * 9 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - true
   * 10 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - false
   * 11 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - true
   * 12 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - false
   * 13 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - true
   * 14 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - false
   */

  @Test
  public void test7()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_600;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      String string0 = cascadedStyle0.getFingerprint();
      String string1 = cascadedStyle0.getFingerprint();
      assertSame(string1, string0);
      assertNotNull(string1);
      assertEquals("165I31;", string1);
  }
}
