/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.parser.CSSParseException;
import org.xhtmlrenderer.css.parser.Token;

public class CSSParseExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setLine(I)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.getLine()I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Token token0 = Token.TK_PLUS;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 31);
      cSSParseException0.getLine();
      cSSParseException0.setLine(31);
      assertEquals(31, cSSParseException0.getLine());
      assertEquals("Found a + where a + was expected at line 32.", cSSParseException0.getLocalizedMessage());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.isCallerNotified()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Token token0 = Token.TK_PLUS;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 31);
      cSSParseException0.isCallerNotified();
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a + where a + was expected at line 32.", cSSParseException0.toString());
      assertEquals(31, cSSParseException0.getLine());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.setCallerNotified(Z)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.isEOF()Z: I5 Branch 9 IF_ACMPNE L101 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Token token0 = Token.TK_PT;
      Token[] tokenArray0 = new Token[2];
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 756);
      boolean boolean0 = cSSParseException0.isEOF();
      assertEquals(false, boolean0);
      
      cSSParseException0.setCallerNotified(false);
      assertEquals(756, cSSParseException0.getLine());
      assertEquals(false, cSSParseException0.isCallerNotified());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getFound()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Token token0 = Token.TK_PREFIXMATCH;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 1652);
      Token token1 = cSSParseException0.getFound();
      assertNotNull(token1);
      assertEquals(1652, cSSParseException0.getLine());
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found an attribute prefix match where an attribute prefix match was expected at line 1653.", cSSParseException0.toString());
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - false
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Token token0 = Token.TK_PLUS;
      CSSParseException cSSParseException0 = new CSSParseException(token0, token0, 31);
      String string0 = cSSParseException0.getMessage();
      assertNotNull(string0);
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a + where a + was expected at line 32.", cSSParseException0.toString());
      assertEquals("Found a + where a + was expected at line 32.", string0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSParseException cSSParseException0 = new CSSParseException("", (-1514));
      String string0 = cSSParseException0.getLocalizedMessage();
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException:  at line -1513.", cSSParseException0.toString());
      assertNotNull(string0);
      assertEquals(" at line -1513.", string0);
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - false
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Token[] tokenArray0 = new Token[20];
      CSSParseException cSSParseException0 = new CSSParseException((Token) null, tokenArray0, 935);
      // Undeclared exception!
      try {
        cSSParseException0.toString();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - true
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - true
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - true
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Token token0 = Token.TK_PT;
      Token[] tokenArray0 = new Token[2];
      tokenArray0[0] = token0;
      tokenArray0[1] = token0;
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 756);
      String string0 = cSSParseException0.toString();
      assertEquals("org.xhtmlrenderer.css.parser.CSSParseException: Found a point value where a point value or a point value was expected at line 757.", string0);
      assertNotNull(string0);
  }

  //Test case number: 8
  /*
   * 10 covered goals:
   * 1 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I77 Branch 8 IF_ICMPLE L77 - false
   * 2 org.xhtmlrenderer.css.parser.CSSParseException.<init>(Lorg/xhtmlrenderer/css/parser/Token;[Lorg/xhtmlrenderer/css/parser/Token;I)V: root-Branch
   * 3 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I5 Branch 3 IF_ICMPNE L65 - true
   * 4 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I24 Branch 4 IF_ICMPLE L69 - false
   * 5 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I39 Branch 5 IF_ICMPGE L72 - false
   * 6 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - true
   * 7 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I56 Branch 6 IF_ICMPGE L74 - false
   * 8 org.xhtmlrenderer.css.parser.CSSParseException.descr([Lorg/xhtmlrenderer/css/parser/Token;)Ljava/lang/String;: I71 Branch 7 IF_ICMPNE L76 - false
   * 9 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I4 Branch 1 IFNULL L55 - true
   * 10 org.xhtmlrenderer.css.parser.CSSParseException.getMessage()Ljava/lang/String;: I28 Branch 2 IFNONNULL L58 - true
   */

  @Test
  public void test8()  throws Throwable  {
      Token token0 = Token.TK_PLUS;
      Token[] tokenArray0 = new Token[8];
      tokenArray0[0] = token0;
      tokenArray0[1] = token0;
      tokenArray0[2] = token0;
      tokenArray0[3] = token0;
      tokenArray0[4] = token0;
      tokenArray0[5] = token0;
      tokenArray0[6] = token0;
      CSSParseException cSSParseException0 = new CSSParseException(token0, tokenArray0, 31);
      // Undeclared exception!
      try {
        cSSParseException0.printStackTrace();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
