/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.List;
import java.util.Vector;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.parser.FSRGBColor;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.parser.Token;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class PropertyValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCounterValue()Lorg/w3c/dom/css/Counter;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test0()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1103), (float) (short) (-1103), "");
      // Undeclared exception!
      try {
        propertyValue0.getCounterValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Ljava/util/List;)V: root-Branch
   * 5 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Vector<Object> vector0 = new Vector<Object>();
      PropertyValue propertyValue0 = new PropertyValue((List) vector0);
      String string0 = propertyValue0.getFingerprint();
      assertEquals(0, propertyValue0.getPrimitiveType());
      assertNotNull(string0);
      assertEquals(3, propertyValue0.getCssValueType());
      assertEquals(6, propertyValue0.getPropertyValueType());
      
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      List<?> list0 = xHTMLPanel0.getMouseTrackingListeners();
      FSFunction fSFunction0 = new FSFunction("[]", (List) list0);
      PropertyValue propertyValue1 = new PropertyValue(fSFunction0);
      assertEquals(7, propertyValue1.getPropertyValueType());
      assertEquals(3, propertyValue1.getCssValueType());
      assertEquals(0, propertyValue1.getPrimitiveType());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getOperator()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test2()  throws Throwable  {
      IdentValue identValue0 = IdentValue.KATAKANA_IROHA;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getOperator();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals("I53", propertyValue0.getFingerprint());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRectValue()Lorg/w3c/dom/css/Rect;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      IdentValue identValue0 = IdentValue.KATAKANA_IROHA;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRectValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue()F: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test4()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)231, "", "");
      float float0 = propertyValue0.getFloatValue();
      assertEquals(0.0F, float0, 0.01F);
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(231, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue(S)F: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1103), (float) (short) (-1103), "");
      float float0 = propertyValue0.getFloatValue((short) (-1103));
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(-1103, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals((-1103.0F), float0, 0.01F);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setIdentValue(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1197), (float) (short) (-1197), "");
      IdentValue identValue0 = IdentValue.INSIDE;
      propertyValue0.setIdentValue(identValue0);
      assertEquals(-1197, propertyValue0.getPrimitiveType());
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals((-1197.0F), propertyValue0.getFloatValue(), 0.01F);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getIdentValue()Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - false
   */

  @Test
  public void test7()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      IdentValue identValue1 = propertyValue0.getIdentValue();
      assertNotNull(identValue1);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(0, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1197), (float) (short) (-1197), "");
      String string0 = propertyValue0.toString();
      assertEquals(-1197, propertyValue0.getPrimitiveType());
      assertEquals((-1197.0F), propertyValue0.getFloatValue(), 0.01F);
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertNotNull(string0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSRGBColor;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFSRGBColor()Lorg/xhtmlrenderer/css/parser/FSRGBColor;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1197), (float) (short) (-1197), "");
      propertyValue0.getFSRGBColor();
      PropertyValue propertyValue1 = null;
      try {
        propertyValue1 = new PropertyValue((FSRGBColor) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getValues()Ljava/util/List;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getValues();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I44", propertyValue0.getFingerprint());
      assertEquals(0, propertyValue0.getCssValueType());
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRGBColorValue()Lorg/w3c/dom/css/RGBColor;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_400;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRGBColorValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setCssText(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   */

  @Test
  public void test12()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1197), (float) (short) (-1197), "");
      String string0 = propertyValue0.getFingerprint();
      assertNotNull(string0);
      
      // Undeclared exception!
      try {
        propertyValue0.setCssText("");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringValue(SLjava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - false
   */

  @Test
  public void test13()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1540, "inherit", "inherit");
      // Undeclared exception!
      try {
        propertyValue0.setStringValue((short)1540, "inherit");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setFloatValue(SF)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      IdentValue identValue0 = IdentValue.LOWER_GREEK;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.setFloatValue((short)1, (short)1);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getPrimitiveType()S: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - false
   */

  @Test
  public void test15()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      short short0 = propertyValue0.getPrimitiveType();
      assertEquals(0, propertyValue0.getCssValueType());
      assertEquals((short)21, short0);
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1197), (float) (short) (-1197), "");
      propertyValue0.getFunction();
      assertEquals(-1197, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals((-1197.0F), propertyValue0.getFloatValue(), 0.01F);
      assertEquals(2, propertyValue0.getPropertyValueType());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getStringArrayValue()[Ljava/lang/String;: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1197), (float) (short) (-1197), "");
      propertyValue0.getStringArrayValue();
      assertEquals((-1197.0F), propertyValue0.getFloatValue(), 0.01F);
      assertEquals(-1197, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(2, propertyValue0.getPropertyValueType());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setOperator(Lorg/xhtmlrenderer/css/parser/Token;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test18()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)231, "", "");
      Token token0 = Token.TK_FONT_FACE_SYM;
      propertyValue0.setOperator(token0);
      assertEquals(231, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(5, propertyValue0.getPropertyValueType());
  }

  //Test case number: 19
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringArrayValue([Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Ljava/util/List;)V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      Vector<Object> vector0 = new Vector<Object>();
      PropertyValue propertyValue0 = new PropertyValue((List) vector0);
      String[] stringArray0 = new String[5];
      propertyValue0.setStringArrayValue(stringArray0);
      assertEquals(0, propertyValue0.getPrimitiveType());
      assertEquals(3, propertyValue0.getCssValueType());
      assertEquals(6, propertyValue0.getPropertyValueType());
  }

  //Test case number: 20
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I32 Branch 2 IFEQ L67 - false
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getCssValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test20()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1197), (float) (short) (-1197), "");
      short short0 = propertyValue0.getCssValueType();
      assertEquals((short)1, short0);
      assertEquals(-1197, propertyValue0.getPrimitiveType());
      assertEquals(2, propertyValue0.getPropertyValueType());
      
      PropertyValue propertyValue1 = new PropertyValue((short)1, (float) (short) (-1197), "");
      assertEquals(1, propertyValue1.getPropertyValueType());
      assertEquals((-1197.0F), propertyValue1.getFloatValue(), 0.01F);
  }

  //Test case number: 21
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test21()  throws Throwable  {
      IdentValue identValue0 = IdentValue.FONT_WEIGHT_400;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getFingerprint();
      assertEquals(1, propertyValue0.getCssValueType());
      assertNotNull(string0);
      assertEquals("I29", string0);
      assertEquals(21, propertyValue0.getPrimitiveType());
  }

  //Test case number: 22
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getStringValue()Ljava/lang/String;: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 5 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 6 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - false
   */

  @Test
  public void test22()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)21, "LMnN", "LMnN");
      // Undeclared exception!
      try {
        propertyValue0.getFingerprint();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Ident named LMnN has no IdentValue instance assigned to it.
         //
      }
  }
}
