/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.simple;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.Graphics2D;
import javax.imageio.metadata.IIOMetadataNode;
import javax.swing.JSeparator;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.Graphics2DRenderer;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class Graphics2DRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.setDocument(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.simple.Graphics2DRenderer.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.simple.Graphics2DRenderer.renderToImage(Ljava/lang/String;II)Ljava/awt/image/BufferedImage;: root-Branch
   * 4 org.xhtmlrenderer.simple.Graphics2DRenderer.getMinimumSize()Ljava/awt/Rectangle;: I5 Branch 3 IFNULL L140 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Graphics2DRenderer graphics2DRenderer0 = new Graphics2DRenderer();
      graphics2DRenderer0.getMinimumSize();
      // Undeclared exception!
      try {
        Graphics2DRenderer.renderToImage("Could not load font metric data ", 0, 0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.getPanel()Lorg/xhtmlrenderer/simple/XHTMLPanel;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Graphics2DRenderer graphics2DRenderer0 = new Graphics2DRenderer();
      XHTMLPanel xHTMLPanel0 = graphics2DRenderer0.getPanel();
      assertEquals(false, xHTMLPanel0.isInteractive());
      assertNotNull(xHTMLPanel0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.renderToImage(Ljava/lang/String;I)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 org.xhtmlrenderer.simple.Graphics2DRenderer.setDocument(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        Graphics2DRenderer.renderToImage("1[R2", 64);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Graphics2DRenderer graphics2DRenderer0 = new Graphics2DRenderer();
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode(")JK=CZ0@+Ae");
      iIOMetadataNode0.getOwnerDocument();
      // Undeclared exception!
      try {
        graphics2DRenderer0.setDocument((Document) null, ")JK=CZ0@+Ae");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.setSharedContext(Lorg/xhtmlrenderer/layout/SharedContext;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Graphics2DRenderer graphics2DRenderer0 = new Graphics2DRenderer();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      graphics2DRenderer0.setSharedContext(sharedContext0);
      assertEquals(false, sharedContext0.isPaged());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Graphics2DRenderer graphics2DRenderer0 = new Graphics2DRenderer();
      SharedContext sharedContext0 = graphics2DRenderer0.getSharedContext();
      assertEquals(false, sharedContext0.isInteractive());
      assertNotNull(sharedContext0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.layout(Ljava/awt/Graphics2D;Ljava/awt/Dimension;)V: I8 Branch 1 IFNULL L81 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Graphics2DRenderer graphics2DRenderer0 = new Graphics2DRenderer();
      graphics2DRenderer0.layout((Graphics2D) null, (Dimension) null);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.simple.Graphics2DRenderer.layout(Ljava/awt/Graphics2D;Ljava/awt/Dimension;)V: I8 Branch 1 IFNULL L81 - false
   * 2 org.xhtmlrenderer.simple.Graphics2DRenderer.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Graphics2DRenderer graphics2DRenderer0 = new Graphics2DRenderer();
      JSeparator jSeparator0 = new JSeparator();
      Dimension dimension0 = jSeparator0.getPreferredSize();
      graphics2DRenderer0.layout((Graphics2D) null, dimension0);
      assertEquals(2, dimension0.height);
  }
}
