/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.util.List;
import java.util.Vector;
import javax.swing.table.DefaultTableModel;
import javax.swing.text.DefaultEditorKit;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.DownscaleQuality;
import org.xhtmlrenderer.util.ImageUtil;
import org.xhtmlrenderer.util.ScalingOptions;

public class ImageUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;Ljava/awt/Color;)V: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        ImageUtil.clearImage((BufferedImage) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ImageUtil imageUtil0 = new ImageUtil();
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Ljava/awt/image/BufferedImage;II)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - false
   * 3 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(II)Ljava/awt/image/BufferedImage;: root-Branch
   * 4 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(III)Ljava/awt/image/BufferedImage;: I12 Branch 9 IFEQ L90 - false
   */

  @Test
  public void test2()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(665, 665);
      assertNotNull(bufferedImage0);
      
      BufferedImage bufferedImage1 = ImageUtil.getScaledInstance(bufferedImage0, 665, 665);
      assertSame(bufferedImage1, bufferedImage0);
      assertNotNull(bufferedImage1);
      assertEquals(2, bufferedImage1.getType());
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil$AbstractFastScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil$OldScaler.getImageScalingMethod()I: root-Branch
   * 3 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - true
   * 4 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - true
   * 5 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - true
   * 6 org.xhtmlrenderer.util.ImageUtil.convertToBufferedImage(Ljava/awt/Image;I)Ljava/awt/image/BufferedImage;: I4 Branch 16 IFEQ L218 - true
   */

  @Test
  public void test3()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1922, 1922);
      assertNotNull(bufferedImage0);
      
      DownscaleQuality downscaleQuality0 = DownscaleQuality.FAST;
      ScalingOptions scalingOptions0 = new ScalingOptions(760, 1922, 1922, downscaleQuality0, (Object) 1922);
      BufferedImage bufferedImage1 = ImageUtil.getScaledInstance(scalingOptions0, bufferedImage0);
      assertEquals(2, bufferedImage1.getType());
      assertNotNull(bufferedImage1);
      assertEquals(760, bufferedImage1.getWidth());
      assertEquals(1922, bufferedImage1.getTileHeight());
      assertEquals(1922, bufferedImage0.getHeight());
      assertEquals(1922, bufferedImage0.getTileWidth());
  }

  //Test case number: 4
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - false
   * 2 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - false
   * 3 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I17 Branch 1 IF_ICMPGE L319 - false
   * 4 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I21 Branch 2 IF_ICMPGE L319 - false
   * 5 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I51 Branch 3 IF_ICMPLE L335 - false
   * 6 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I63 Branch 4 IF_ICMPGE L337 - true
   * 7 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I74 Branch 5 IF_ICMPLE L342 - false
   * 8 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I86 Branch 6 IF_ICMPGE L344 - true
   */

  @Test
  public void test4()  throws Throwable  {
      DownscaleQuality downscaleQuality0 = DownscaleQuality.HIGH_QUALITY;
      String string0 = DefaultEditorKit.selectionEndParagraphAction;
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, (Object) "selection-end-paragraph");
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1, 1);
      assertNotNull(bufferedImage0);
      
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance(scalingOptions0, bufferedImage0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Width (0) and height (0) cannot be <= 0
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.scaleMultiple(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;Ljava/util/List;)Ljava/util/List;: I17 Branch 15 IFEQ L196 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ScalingOptions scalingOptions0 = new ScalingOptions();
      Vector<ImageUtil.HighQualityScaler> vector0 = new Vector<ImageUtil.HighQualityScaler>();
      List<?> list0 = ImageUtil.scaleMultiple(scalingOptions0, (BufferedImage) null, (List) vector0);
      assertEquals(true, list0.isEmpty());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.scaleMultiple(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;Ljava/util/List;)Ljava/util/List;: I17 Branch 15 IFEQ L196 - false
   */

  @Test
  public void test6()  throws Throwable  {
      DownscaleQuality downscaleQuality0 = DownscaleQuality.FAST;
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, downscaleQuality0);
      DefaultTableModel defaultTableModel0 = new DefaultTableModel(0, 0);
      Vector<?> vector0 = defaultTableModel0.getDataVector();
      DefaultTableModel defaultTableModel1 = new DefaultTableModel((Vector) vector0, 530);
      Vector<?> vector1 = defaultTableModel1.getDataVector();
      // Undeclared exception!
      try {
        ImageUtil.scaleMultiple(scalingOptions0, (BufferedImage) null, (List) vector1);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.util.Vector cannot be cast to java.awt.Dimension
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.convertToBufferedImage(Ljava/awt/Image;I)Ljava/awt/image/BufferedImage;: I4 Branch 16 IFEQ L218 - false
   */

  @Test
  public void test7()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1663, 1663);
      assertNotNull(bufferedImage0);
      
      BufferedImage bufferedImage1 = ImageUtil.convertToBufferedImage((Image) bufferedImage0, 1663);
      assertEquals(2, bufferedImage1.getType());
      assertNotNull(bufferedImage1);
      assertEquals(1663, bufferedImage1.getTileWidth());
      assertEquals(1663, bufferedImage1.getTileHeight());
  }

  //Test case number: 8
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I21 Branch 2 IF_ICMPGE L319 - true
   * 2 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I51 Branch 3 IF_ICMPLE L335 - true
   * 3 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I74 Branch 5 IF_ICMPLE L342 - true
   * 4 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(II)Ljava/awt/image/BufferedImage;: root-Branch
   * 5 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(III)Ljava/awt/image/BufferedImage;: I12 Branch 9 IFEQ L90 - false
   * 6 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - true
   * 7 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - false
   * 8 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - true
   * 9 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I17 Branch 1 IF_ICMPGE L319 - false
   */

  @Test
  public void test8()  throws Throwable  {
      DownscaleQuality downscaleQuality0 = DownscaleQuality.HIGH_QUALITY;
      String string0 = DefaultEditorKit.selectionEndParagraphAction;
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, (Object) "selection-end-paragraph");
      scalingOptions0.setTargetHeight(1);
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1, 1);
      assertNotNull(bufferedImage0);
      
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance(scalingOptions0, bufferedImage0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Width (0) and height (1) cannot be <= 0
         //
      }
  }
}
