/*
 * This file was automatically generated by EvoSuite
 */

package freedots.music;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.music.Clef;
import freedots.music.ClefChange;
import freedots.music.EndBar;
import freedots.music.Event;
import freedots.music.GlobalKeyChange;
import freedots.music.KeyChange;
import freedots.music.KeySignature;
import freedots.music.Staff;
import freedots.music.StartBar;
import freedots.music.Voice;
import org.junit.BeforeClass;

public class VoiceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.music.Voice.countEqualsAtEnd(Lfreedots/music/Voice;)I: root-Branch
   * 2 freedots.music.Voice.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Voice voice0 = new Voice("4.");
      int int0 = voice0.countEqualsAtEnd(voice0);
      assertEquals(0, int0);
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I13 Branch 1 IF_ICMPGE L-1 - false
   * 2 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I22 Branch 2 IFNE L-1 - true
   * 3 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I13 Branch 1 IF_ICMPGE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Voice voice0 = new Voice("4.");
      voice0.hashCode();
      Fraction fraction0 = new Fraction(1);
      EndBar endBar0 = new EndBar(fraction0);
      voice0.add((Event) endBar0);
      int int0 = voice0.countEqualsAtBeginning(voice0);
      assertEquals(1, int0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I22 Branch 2 IFNE L-1 - false
   * 2 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I13 Branch 1 IF_ICMPGE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Voice voice0 = new Voice("[;H2+z(9'fH");
      Voice voice1 = new Voice("[;H2+z(9'fH");
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 0);
      voice1.add((Event) startBar0);
      KeySignature keySignature0 = new KeySignature(0);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, keySignature0);
      voice0.add((Event) globalKeyChange0);
      int int0 = voice1.countEqualsAtBeginning(voice0);
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I12 Branch 10 IFEQ L-1 - true
   * 2 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I30 Branch 11 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Voice voice0 = new Voice("$");
      voice0.swapPosition(voice0);
      assertEquals(true, voice0.restsOnly());
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I12 Branch 10 IFEQ L-1 - false
   * 2 freedots.music.Voice.averagePitch()I: I10 Branch 6 IFEQ L-1 - true
   * 3 freedots.music.Voice.averagePitch()I: I37 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Voice voice0 = new Voice("0:");
      Fraction fraction0 = Fraction.ZERO;
      Staff staff0 = new Staff();
      int int0 = voice0.averagePitch();
      assertEquals(0, int0);
      
      KeySignature keySignature0 = staff0.getKeySignature(fraction0);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 0);
      voice0.add((Event) keyChange0);
      // Undeclared exception!
      try {
        voice0.swapPosition(voice0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // freedots.music.KeyChange cannot be cast to freedots.music.VoiceElement
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I30 Branch 11 IFEQ L-1 - false
   * 2 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I12 Branch 10 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Voice voice0 = new Voice("$");
      Fraction fraction0 = Fraction.ZERO;
      Staff staff0 = new Staff();
      KeySignature keySignature0 = staff0.getKeySignature(fraction0);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 1547);
      voice0.add((Event) keyChange0);
      Voice voice1 = new Voice("$");
      // Undeclared exception!
      try {
        voice0.swapPosition(voice1);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // freedots.music.KeyChange cannot be cast to freedots.music.VoiceElement
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 freedots.music.Voice.restsOnly()Z: I6 Branch 3 IFEQ L-1 - false
   * 2 freedots.music.Voice.restsOnly()Z: I13 Branch 4 IFEQ L-1 - false
   * 3 freedots.music.Voice.restsOnly()Z: I17 Branch 5 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Voice voice0 = new Voice("$");
      Fraction fraction0 = Fraction.ZERO;
      Staff staff0 = new Staff();
      KeySignature keySignature0 = staff0.getKeySignature(fraction0);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 1547);
      voice0.add((Event) keyChange0);
      boolean boolean0 = voice0.restsOnly();
      assertEquals(false, voice0.restsOnly());
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 freedots.music.Voice.restsOnly()Z: I13 Branch 4 IFEQ L-1 - true
   * 2 freedots.music.Voice.restsOnly()Z: I6 Branch 3 IFEQ L-1 - true
   * 3 freedots.music.Voice.restsOnly()Z: I6 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Voice voice0 = new Voice("sIX");
      EndBar endBar0 = new EndBar((Fraction) null);
      voice0.add((Event) endBar0);
      boolean boolean0 = voice0.restsOnly();
      assertEquals(true, boolean0);
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 freedots.music.Voice.averagePitch()I: I10 Branch 6 IFEQ L-1 - false
   * 2 freedots.music.Voice.averagePitch()I: I17 Branch 7 IFEQ L-1 - true
   * 3 freedots.music.Voice.<init>(Ljava/lang/String;)V: root-Branch
   * 4 freedots.music.Voice.averagePitch()I: I10 Branch 6 IFEQ L-1 - true
   * 5 freedots.music.Voice.averagePitch()I: I37 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Voice voice0 = new Voice("%!KsWAshByfB");
      Fraction fraction0 = new Fraction((-1931));
      Staff staff0 = new Staff();
      Clef clef0 = staff0.getClef();
      ClefChange clefChange0 = new ClefChange(fraction0, clef0, 2);
      voice0.add((Event) clefChange0);
      int int0 = voice0.averagePitch();
      assertEquals(0, int0);
  }
}
