/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.Dot;
import freedots.braille.GuideDot;
import freedots.braille.LeftHandPart;
import freedots.braille.LowerRange;
import freedots.braille.MusicHyphen;
import freedots.braille.PartMeasureInAccordSign;
import freedots.braille.TextPart;
import freedots.braille.TieSign;
import org.junit.BeforeClass;

public class SignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 freedots.braille.Sign.clone()Lfreedots/braille/Sign;: root-Branch
   * 2 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      TextPart textPart0 = new TextPart();
      TextPart textPart1 = (TextPart)textPart0.clone();
      assertEquals("\u2830\u2806", textPart1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.getScoreObject()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      LeftHandPart leftHandPart0 = new LeftHandPart();
      leftHandPart0.getScoreObject();
      assertEquals("\u2838\u281C", leftHandPart0.toString());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 freedots.braille.Sign.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: root-Branch
   * 2 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 3 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 4 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange(0, 0);
      String string0 = lowerRange0.toString();
      assertEquals("\u283C\u2834\u2824\u2834", string0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.charAt(I)C: root-Branch
   * 2 freedots.braille.Sign.length()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Dot dot0 = new Dot();
      LeftHandPart leftHandPart0 = new LeftHandPart();
      boolean boolean0 = leftHandPart0.needsGuideDot((BrailleSequence) dot0);
      assertEquals(true, boolean0);
      assertEquals("\u2838\u281C", leftHandPart0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      TieSign tieSign0 = new TieSign();
      tieSign0.getParent();
      assertEquals("\u2808\u2809", tieSign0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      TieSign tieSign0 = new TieSign();
      String string0 = tieSign0.toString();
      assertNotNull(string0);
      assertEquals("\u2808\u2809", string0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   * 2 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      PartMeasureInAccordSign partMeasureInAccordSign0 = new PartMeasureInAccordSign();
      String string0 = (String)partMeasureInAccordSign0.subSequence(0, 0);
      assertEquals("\u2828\u2805", partMeasureInAccordSign0.toString());
      assertNotNull(string0);
      assertEquals("", string0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      GuideDot guideDot0 = new GuideDot();
      // Undeclared exception!
      try {
        guideDot0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 8 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   * 7 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 8 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      MusicHyphen musicHyphen0 = new MusicHyphen();
      LowerRange lowerRange0 = new LowerRange(0, 0);
      musicHyphen0.setParent((BrailleList) lowerRange0);
      // Undeclared exception!
      try {
        lowerRange0.addLast((BrailleSequence) musicHyphen0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }
}
