/*
 * This file was automatically generated by EvoSuite
 */

package freedots.math;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.AbstractFraction;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import org.junit.BeforeClass;

public class AbstractFractionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 freedots.math.AbstractFraction.doubleValue()D: root-Branch
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - false
   * 3 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - true
   * 4 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - false
   * 5 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I38 Branch 6 IFNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      Double double0 = new Double(0.0);
      boolean boolean0 = fraction0.equals((Object) double0);
      assertEquals(true, boolean0);
      assertEquals(0.0F, fraction0.floatValue(), 0.01F);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 freedots.math.AbstractFraction.floatValue()F: root-Branch
   * 2 freedots.math.AbstractFraction.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      float float0 = powerOfTwo0.floatValue();
      assertEquals(1.0F, float0, 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.compareTo(Ljava/lang/Number;)I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction0 = new Fraction((AbstractFraction) powerOfTwo0);
      int int0 = fraction0.compareTo((Number) 0);
      assertEquals(1.0, powerOfTwo0.doubleValue(), 0.01D);
      assertEquals(1, int0);
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 freedots.math.AbstractFraction.multiply(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 2 freedots.math.AbstractFraction.greatestCommonDivisor()I: root-Branch
   * 3 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - true
   * 4 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction0 = new Fraction((AbstractFraction) powerOfTwo0);
      Fraction fraction1 = fraction0.multiply((AbstractFraction) fraction0);
      assertNotNull(fraction1);
      assertEquals("1", fraction1.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.multiply(Ljava/lang/Integer;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction0 = powerOfTwo0.multiply((Integer) 0);
      assertNotNull(fraction0);
      assertEquals(0.0F, fraction0.floatValue(), 0.01F);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.divide(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      // Undeclared exception!
      try {
        powerOfTwo0.divide((AbstractFraction) fraction0);
        fail("Expecting exception: ArithmeticException");
      
      } catch(ArithmeticException e) {
         //
         // denominator is zero
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.add(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 2 freedots.math.AbstractFraction.negate()Lfreedots/math/Fraction;: root-Branch
   * 3 freedots.math.AbstractFraction.subtract(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      fraction0.numerator();
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction1 = powerOfTwo0.subtract((AbstractFraction) fraction0);
      assertEquals(1, fraction0.greatestCommonDivisor());
      assertEquals("1", fraction1.toString());
      assertNotNull(fraction1);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.reciprocal()Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction0 = powerOfTwo0.reciprocal();
      assertNotNull(fraction0);
      assertEquals(1, fraction0.shortValue());
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 freedots.math.AbstractFraction.isDyadic()Z: I4 Branch 7 IF_ICMPNE L-1 - true
   * 2 freedots.math.AbstractFraction.greatestCommonDivisor()I: root-Branch
   * 3 freedots.math.AbstractFraction.divide(Ljava/lang/Integer;)Lfreedots/math/Fraction;: root-Branch
   * 4 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - true
   * 5 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      Fraction fraction0 = powerOfTwo0.divide((Integer) (-1));
      assertNotNull(fraction0);
      
      boolean boolean0 = fraction0.isDyadic();
      assertEquals((-0.5F), fraction0.floatValue(), 0.01F);
      assertEquals(true, powerOfTwo0.isDyadic());
      assertEquals(false, boolean0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.isDyadic()Z: I4 Branch 7 IF_ICMPNE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Fraction fraction0 = new Fraction((AbstractFraction) powerOfTwo0);
      boolean boolean0 = fraction0.isDyadic();
      assertEquals(true, boolean0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.toString()Ljava/lang/String;: I3 Branch 8 IF_ICMPNE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-365));
      String string0 = powerOfTwo0.toString();
      assertNotNull(string0);
      assertEquals("1/2147483647", string0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.toString()Ljava/lang/String;: I3 Branch 8 IF_ICMPNE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      String string0 = powerOfTwo0.toString();
      assertNotNull(string0);
      assertEquals("1", string0);
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - true
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - false
   * 3 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - true
   * 4 freedots.math.AbstractFraction.intValue()I: root-Branch
   * 5 freedots.math.AbstractFraction.longValue()J: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      byte byte0 = powerOfTwo0.byteValue();
      assertEquals((byte)1, byte0);
      
      PowerOfTwo powerOfTwo1 = new PowerOfTwo((int) (byte)1);
      boolean boolean0 = powerOfTwo0.equals((Object) powerOfTwo1);
      assertEquals(false, boolean0);
      assertFalse(powerOfTwo1.equals(powerOfTwo0));
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - false
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I21 Branch 4 IF_ICMPNE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      PowerOfTwo powerOfTwo1 = powerOfTwo0.multiply(powerOfTwo0);
      boolean boolean0 = powerOfTwo0.equals((Object) powerOfTwo1);
      assertEquals(true, boolean0);
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I21 Branch 4 IF_ICMPNE L-1 - true
   * 2 freedots.math.AbstractFraction.intValue()I: root-Branch
   * 3 freedots.math.AbstractFraction.longValue()J: root-Branch
   * 4 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - false
   * 5 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(1657);
      byte byte0 = powerOfTwo0.byteValue();
      assertEquals((byte) (-1), byte0);
      
      PowerOfTwo powerOfTwo1 = new PowerOfTwo(0);
      PowerOfTwo powerOfTwo2 = new PowerOfTwo((int) (byte) (-1));
      boolean boolean0 = powerOfTwo1.equals((Object) powerOfTwo2);
      assertFalse(powerOfTwo2.equals(powerOfTwo1));
      assertEquals(false, boolean0);
      assertEquals(0, powerOfTwo2.intValue());
      assertFalse(powerOfTwo1.equals(powerOfTwo0));
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - true
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      boolean boolean0 = fraction0.equals((Object) fraction0);
      boolean boolean1 = fraction0.equals((Object) true);
      assertFalse(boolean1 == boolean0);
  }

  //Test case number: 16
  /*
   * 6 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I38 Branch 6 IFNE L-1 - true
   * 2 freedots.math.AbstractFraction.doubleValue()D: root-Branch
   * 3 freedots.math.AbstractFraction.<init>()V: root-Branch
   * 4 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - true
   * 5 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - true
   * 6 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Byte byte0 = new Byte((byte)11);
      boolean boolean0 = powerOfTwo0.equals((Object) byte0);
      assertEquals(false, boolean0);
      assertEquals(1.0F, powerOfTwo0.floatValue(), 0.01F);
  }
}
