/*
 * This file was automatically generated by EvoSuite
 */

package freedots.musicxml;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.musicxml.Score;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InterruptedIOException;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.net.MalformedURLException;
import javax.imageio.metadata.IIOMetadataNode;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.xpath.XPathExpressionException;
import org.evosuite.testcase.TestCaseExecutor;
import org.junit.BeforeClass;
import org.w3c.dom.Text;
import org.xml.sax.SAXException;

public class ScoreEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   * 2 freedots.musicxml.Score.parse(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      PipedInputStream pipedInputStream0 = new PipedInputStream(pipedOutputStream0);
      Score score0 = null;
      try {
        score0 = new Score((InputStream) pipedInputStream0, "@r.");
        fail("Expecting exception: InterruptedIOException");
      
      } catch(InterruptedIOException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.Score.getTextNode(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Text;: I7 Branch 56 IF_ICMPLT L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Wdz,4+g-Iv}p4Vql,j");
      Text text0 = Score.getTextNode(iIOMetadataNode0, (String) null);
      assertNull(text0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.getTextNode(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Text;: I7 Branch 56 IF_ICMPLT L-1 - false
   * 2 freedots.musicxml.Score.getTextNode(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Text;: I22 Branch 57 IF_ICMPGE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("A rest with duration ");
      Text text0 = Score.getTextNode(iIOMetadataNode0, "A rest with duration ");
      assertNull(text0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I17 Branch 1 IF_ICMPEQ L-1 - true
   * 2 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I27 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Score score0 = null;
      try {
        score0 = new Score("A rest with duration ");
        fail("Expecting exception: MalformedURLException");
      
      } catch(MalformedURLException e) {
         //
         // no protocol: A rest with duration 
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I17 Branch 1 IF_ICMPEQ L-1 - false
   * 2 freedots.musicxml.Score.<init>(Ljava/lang/String;)V: I27 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Score score0 = null;
      try {
        score0 = new Score("y.(UPtRig|VNm'~t|#a_");
        fail("Expecting exception: MalformedURLException");
      
      } catch(MalformedURLException e) {
         //
         // no protocol: y.(UPtRig|VNm'~t|#a_
         //
      }
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 freedots.musicxml.Score.parse(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 3 IFLE L-1 - false
   * 2 freedots.musicxml.Score.parse(Ljava/io/InputStream;Ljava/lang/String;)V: I22 Branch 4 IFNULL L-1 - true
   * 3 freedots.musicxml.Score.parse(Ljava/io/InputStream;Ljava/lang/String;)V: I71 Branch 7 IFNONNULL L-1 - false
   * 4 freedots.musicxml.Score.parse(Ljava/io/InputStream;Ljava/lang/String;)V: I73 Branch 8 IFNULL L-1 - true
   * 5 freedots.musicxml.Score.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      byte[] byteArray0 = new byte[9];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      Score score0 = null;
      try {
        score0 = new Score((InputStream) byteArrayInputStream0, "mxl");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
