/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.ArtificialWholeRest;
import freedots.braille.BrailleKeySignature;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.DottedDoubleBarSign;
import freedots.braille.LowerNumber;
import freedots.braille.LowerRange;
import freedots.braille.NumberSign;
import freedots.braille.RightHandPart;
import freedots.braille.UpperDigit;
import freedots.braille.UpperNumber;
import freedots.music.KeySignature;
import java.util.Collection;
import org.junit.BeforeClass;

public class BrailleListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 freedots.braille.BrailleList.getDescription()Ljava/lang/String;: root-Branch
   * 2 freedots.braille.BrailleList.<init>()V: root-Branch
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      KeySignature keySignature0 = new KeySignature(1);
      BrailleKeySignature brailleKeySignature0 = new BrailleKeySignature(keySignature0);
      String string0 = brailleKeySignature0.getDescription();
      assertEquals("Groups several signs as a logical unit", string0);
  }

  //Test case number: 1
  /*
   * 9 covered goals:
   * 1 freedots.braille.BrailleList.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   * 2 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 5 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 6 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 7 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - true
   * 8 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 9 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange((-27), (-27));
      // Undeclared exception!
      try {
        lowerRange0.subSequence((-27), (-27));
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: -27
         //
      }
  }

  //Test case number: 2
  /*
   * 8 covered goals:
   * 1 freedots.braille.BrailleList.getScoreObject()Ljava/lang/Object;: root-Branch
   * 2 freedots.braille.BrailleList.getParent()Lfreedots/braille/BrailleList;: root-Branch
   * 3 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - true
   * 4 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - false
   * 5 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I11 Branch 14 IFNULL L-1 - true
   * 6 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 7 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 8 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ArtificialWholeRest artificialWholeRest0 = new ArtificialWholeRest();
      artificialWholeRest0.getScoreObjectAtIndex((-15));
      assertEquals("\u2810\u280D", artificialWholeRest0.toString());
      assertEquals(2, artificialWholeRest0.length());
  }

  //Test case number: 3
  /*
   * 12 covered goals:
   * 1 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - false
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - false
   * 3 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I32 Branch 23 IF_ICMPEQ L-1 - true
   * 4 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I32 Branch 23 IF_ICMPEQ L-1 - false
   * 5 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - false
   * 7 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - true
   * 8 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - true
   * 9 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 10 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   * 11 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   * 12 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ArtificialWholeRest artificialWholeRest0 = new ArtificialWholeRest();
      LowerRange lowerRange0 = new LowerRange(563, 563);
      artificialWholeRest0.add((BrailleSequence) lowerRange0);
      Class<NumberSign> class0 = NumberSign.class;
      int int0 = artificialWholeRest0.lengthSince(class0);
      assertEquals(3, artificialWholeRest0.size());
      assertEquals(7, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      LowerNumber lowerNumber0 = new LowerNumber((-939));
      // Undeclared exception!
      try {
        lowerNumber0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 8 covered goals:
   * 1 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - true
   * 2 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - true
   * 3 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - false
   * 4 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I24 Branch 17 IF_ACMPNE L-1 - true
   * 5 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - false
   * 7 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I39 Branch 19 IFLT L-1 - true
   * 8 freedots.braille.BrailleList.getScoreObject()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      UpperNumber upperNumber0 = new UpperNumber(1046);
      DottedDoubleBarSign dottedDoubleBarSign0 = new DottedDoubleBarSign();
      dottedDoubleBarSign0.toString();
      int int0 = upperNumber0.getIndexOfScoreObject((Object) "\u2823\u2806");
      assertEquals((-1), int0);
      assertEquals(5, upperNumber0.length());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      UpperNumber upperNumber0 = new UpperNumber(1);
      // Undeclared exception!
      try {
        upperNumber0.getIndexOfScoreObject((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Trying to search for null
         //
      }
  }

  //Test case number: 7
  /*
   * 11 covered goals:
   * 1 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - false
   * 2 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.BrailleList.addLast(Lfreedots/braille/BrailleSequence;)V: root-Branch
   * 4 freedots.braille.BrailleList.charAt(I)C: root-Branch
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - false
   * 6 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I19 Branch 5 IFNE L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 8 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   * 9 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - true
   * 10 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 11 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      ArtificialWholeRest artificialWholeRest0 = new ArtificialWholeRest();
      RightHandPart rightHandPart0 = new RightHandPart();
      artificialWholeRest0.add((BrailleSequence) rightHandPart0);
      LowerRange lowerRange0 = new LowerRange(563, 563);
      lowerRange0.addAll((Collection<? extends BrailleSequence>) artificialWholeRest0);
      artificialWholeRest0.add((BrailleSequence) lowerRange0);
      // Undeclared exception!
      try {
        artificialWholeRest0.offerLast((BrailleSequence) lowerRange0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - true
   * 2 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - true
   * 3 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      ArtificialWholeRest artificialWholeRest0 = new ArtificialWholeRest();
      artificialWholeRest0.getScoreObjectAtIndex(563);
      assertEquals("\u2810\u280D", artificialWholeRest0.toString());
      assertEquals(2, artificialWholeRest0.size());
  }

  //Test case number: 9
  /*
   * 13 covered goals:
   * 1 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - false
   * 2 freedots.braille.BrailleList.<init>()V: root-Branch
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 8 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 9 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   * 10 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 11 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - true
   * 12 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 13 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      UpperNumber upperNumber0 = new UpperNumber(1);
      UpperDigit upperDigit0 = (UpperDigit)upperNumber0.getSignAtIndex(1);
      assertNotNull(upperDigit0);
      assertEquals(2, upperNumber0.length());
  }
}
