/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleKeySignature;
import freedots.braille.LowerRange;
import freedots.braille.RepeatASign;
import freedots.braille.RestSign;
import freedots.braille.Sign;
import freedots.braille.SlurSign;
import freedots.math.PowerOfTwo;
import freedots.music.AugmentedPowerOfTwo;
import freedots.music.KeySignature;
import org.junit.BeforeClass;

public class RepeatASignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I10 Branch 1 IF_ICMPLE L-1 - true
   * 2 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I26 Branch 2 IF_ICMPNE L-1 - true
   * 3 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I45 Branch 3 IF_ICMPNE L-1 - true
   * 4 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I59 Branch 4 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = AugmentedPowerOfTwo.LONGA;
      AugmentedPowerOfTwo augmentedPowerOfTwo0 = new AugmentedPowerOfTwo(powerOfTwo0, (-1559), (-1559), (-1559));
      RestSign restSign0 = new RestSign(augmentedPowerOfTwo0);
      RepeatASign repeatASign0 = new RepeatASign((Sign) restSign0, (-1559));
      assertEquals(0, repeatASign0.length());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I10 Branch 1 IF_ICMPLE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange(21, 21);
      lowerRange0.getSignAtIndex(21);
      RepeatASign repeatASign0 = null;
      try {
        repeatASign0 = new RepeatASign((Sign) null, 21);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I26 Branch 2 IF_ICMPNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      KeySignature keySignature0 = new KeySignature((-3));
      BrailleKeySignature brailleKeySignature0 = new BrailleKeySignature(keySignature0);
      assertEquals("\u2823\u2823\u2823", brailleKeySignature0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I45 Branch 3 IF_ICMPNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SlurSign slurSign0 = new SlurSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) slurSign0, 2);
      assertEquals("\u2809\u2809", repeatASign0.toString());
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I59 Branch 4 IF_ICMPNE L-1 - false
   * 2 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I10 Branch 1 IF_ICMPLE L-1 - true
   * 3 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I26 Branch 2 IF_ICMPNE L-1 - true
   * 4 freedots.braille.RepeatASign.<init>(Lfreedots/braille/Sign;I)V: I45 Branch 3 IF_ICMPNE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = AugmentedPowerOfTwo.LONGA;
      AugmentedPowerOfTwo augmentedPowerOfTwo0 = new AugmentedPowerOfTwo(powerOfTwo0, (-1559), (-1559), 1);
      RestSign restSign0 = new RestSign(augmentedPowerOfTwo0);
      RepeatASign repeatASign0 = new RepeatASign((Sign) restSign0, 1);
      assertEquals(1, repeatASign0.size());
  }
}
