/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.DottedDoubleBarSign;
import freedots.braille.DoubleBarSign;
import freedots.braille.FullMeasureInAccordSign;
import freedots.braille.NewLine;
import freedots.braille.PostDottedDoubleBarSign;
import freedots.braille.RepeatASign;
import freedots.braille.RightHandPart;
import freedots.braille.Sign;
import freedots.braille.StringSign;
import org.junit.BeforeClass;

public class SignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 freedots.braille.Sign.clone()Lfreedots/braille/Sign;: root-Branch
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      DoubleBarSign doubleBarSign0 = new DoubleBarSign();
      DoubleBarSign doubleBarSign1 = (DoubleBarSign)doubleBarSign0.clone();
      assertEquals("\u2823\u2805", doubleBarSign0.toString());
      assertEquals("\u2823\u2805", doubleBarSign1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.getScoreObject()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FullMeasureInAccordSign fullMeasureInAccordSign0 = new FullMeasureInAccordSign();
      fullMeasureInAccordSign0.getScoreObject();
      assertEquals("\u2823\u281C", fullMeasureInAccordSign0.toString());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 freedots.braille.Sign.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: root-Branch
   * 2 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 3 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 4 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      FullMeasureInAccordSign fullMeasureInAccordSign0 = new FullMeasureInAccordSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) fullMeasureInAccordSign0, 166);
      String string0 = repeatASign0.toString();
      assertEquals("\u283C\u2801\u280B\u280B\u2823\u281C", string0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.charAt(I)C: root-Branch
   * 2 freedots.braille.Sign.length()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NewLine newLine0 = new NewLine();
      PostDottedDoubleBarSign postDottedDoubleBarSign0 = new PostDottedDoubleBarSign();
      postDottedDoubleBarSign0.needsGuideDot((BrailleSequence) newLine0);
      assertEquals(1, newLine0.length());
      assertEquals("\u2823\u2836", postDottedDoubleBarSign0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DottedDoubleBarSign dottedDoubleBarSign0 = new DottedDoubleBarSign();
      dottedDoubleBarSign0.getParent();
      assertEquals("\u2823\u2806", dottedDoubleBarSign0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      RightHandPart rightHandPart0 = new RightHandPart();
      String string0 = rightHandPart0.toString();
      assertEquals("\u2828\u281C", string0);
      assertNotNull(string0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   * 2 freedots.braille.Sign.charAt(I)C: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      RightHandPart rightHandPart0 = new RightHandPart();
      rightHandPart0.charAt(0);
      StringSign stringSign0 = new StringSign(1);
      // Undeclared exception!
      try {
        stringSign0.subSequence((int) '\u2828', (int) '\u2828');
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 10280
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      DoubleBarSign doubleBarSign0 = new DoubleBarSign();
      // Undeclared exception!
      try {
        doubleBarSign0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 9 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 5 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 7 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   * 8 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 9 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      FullMeasureInAccordSign fullMeasureInAccordSign0 = new FullMeasureInAccordSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) fullMeasureInAccordSign0, 166);
      // Undeclared exception!
      try {
        fullMeasureInAccordSign0.setParent((BrailleList) repeatASign0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }
}
