/*
 * This file was automatically generated by EvoSuite
 */

package freedots.math;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.AbstractFraction;
import freedots.math.Fraction;
import org.junit.BeforeClass;

public class FractionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 freedots.math.Fraction.numerator()I: root-Branch
   * 2 freedots.math.Fraction.denominator()I: root-Branch
   * 3 freedots.math.Fraction.<init>(Lfreedots/math/AbstractFraction;)V: root-Branch
   * 4 freedots.math.Fraction.<init>(II)V: I3 Branch 1 IFNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      Fraction fraction1 = new Fraction((AbstractFraction) fraction0);
      assertTrue(fraction1.equals(fraction0));
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.math.Fraction.<init>(I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      fraction0.numerator();
      Fraction fraction1 = new Fraction(0);
      assertEquals("0", fraction1.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.math.Fraction.<init>(II)V: I3 Branch 1 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      // Undeclared exception!
      try {
        fraction0.divide((AbstractFraction) fraction0);
        fail("Expecting exception: ArithmeticException");
      
      } catch(ArithmeticException e) {
         //
         // denominator is zero
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.math.Fraction.simplify()Lfreedots/math/Fraction;: I5 Branch 2 IF_ICMPNE L-1 - true
   * 2 freedots.math.Fraction.<init>(II)V: I3 Branch 1 IFNE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      Fraction fraction1 = fraction0.divide((Integer) (-1785));
      assertEquals("0", fraction1.toString());
      assertEquals("0", fraction0.toString());
      assertNotNull(fraction1);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 freedots.math.Fraction.simplify()Lfreedots/math/Fraction;: I5 Branch 2 IF_ICMPNE L-1 - false
   * 2 freedots.math.Fraction.numerator()I: root-Branch
   * 3 freedots.math.Fraction.denominator()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      Fraction fraction1 = fraction0.simplify();
      assertEquals("0", fraction0.toString());
      assertSame(fraction0, fraction1);
      assertNotNull(fraction1);
  }
}
