/*
 * This file was automatically generated by EvoSuite
 */

package freedots.music;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.music.EndBar;
import freedots.music.Event;
import freedots.music.GlobalKeyChange;
import freedots.music.KeyChange;
import freedots.music.KeySignature;
import freedots.music.MusicList;
import freedots.music.Staff;
import freedots.music.StartBar;
import freedots.music.Voice;
import java.util.List;
import org.junit.BeforeClass;

public class MusicListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 7 covered goals:
   * 1 freedots.music.MusicList.getVoices(I)Ljava/util/List;: root-Branch
   * 2 freedots.music.MusicList.insertDirections(Ljava/util/List;)V: I6 Branch 34 IFEQ L-1 - true
   * 3 freedots.music.MusicList.getVoices()Ljava/util/List;: I12 Branch 21 IFEQ L-1 - true
   * 4 freedots.music.MusicList.getVoices()Ljava/util/List;: I130 Branch 31 IFEQ L-1 - true
   * 5 freedots.music.MusicList.getVoices()Ljava/util/List;: I147 Branch 33 IFNULL L-1 - true
   * 6 freedots.music.MusicList$VoiceComparator.<init>(Lfreedots/music/MusicList;I)V: root-Branch
   * 7 freedots.music.MusicList.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Voice voice0 = new Voice("Negative offset");
      List<Voice> list0 = voice0.getVoices(0);
      assertEquals(true, list0.isEmpty());
  }

  //Test case number: 1
  /*
   * 10 covered goals:
   * 1 freedots.music.MusicList.insertDirections(Ljava/util/List;)V: I6 Branch 34 IFEQ L-1 - false
   * 2 freedots.music.MusicList.insertDirections(Ljava/util/List;)V: I13 Branch 35 IFEQ L-1 - true
   * 3 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - true
   * 4 freedots.music.MusicList.getVoices()Ljava/util/List;: I12 Branch 21 IFEQ L-1 - false
   * 5 freedots.music.MusicList.getVoices()Ljava/util/List;: I19 Branch 22 IFEQ L-1 - true
   * 6 freedots.music.MusicList.getVoices()Ljava/util/List;: I65 Branch 26 IFEQ L-1 - true
   * 7 freedots.music.MusicList.insertDirections(Ljava/util/List;)V: I6 Branch 34 IFEQ L-1 - true
   * 8 freedots.music.MusicList.getVoices()Ljava/util/List;: I12 Branch 21 IFEQ L-1 - true
   * 9 freedots.music.MusicList.getVoices()Ljava/util/List;: I130 Branch 31 IFEQ L-1 - true
   * 10 freedots.music.MusicList.getVoices()Ljava/util/List;: I147 Branch 33 IFNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = new Fraction(9);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      musicList0.add((Event) globalKeyChange0);
      musicList0.getVoices();
      assertEquals(false, musicList0.isEmpty());
      assertEquals(1, musicList0.size());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I4 Branch 40 IF_ICMPNE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Voice voice0 = new Voice("Negative offset");
      Fraction fraction0 = Fraction.ZERO;
      KeySignature keySignature0 = new KeySignature(0);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, keySignature0);
      musicList0.add(0, (Event) globalKeyChange0);
      boolean boolean0 = voice0.equalsIgnoreOffset(musicList0);
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I11 Branch 41 IF_ICMPGE L-1 - false
   * 2 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I22 Branch 42 IF_ACMPEQ L-1 - false
   * 3 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I4 Branch 40 IF_ICMPNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Voice voice0 = new Voice("Negative offset");
      Fraction fraction0 = Fraction.ZERO;
      KeySignature keySignature0 = new KeySignature(0);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, keySignature0);
      musicList0.add(0, (Event) globalKeyChange0);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 0);
      voice0.add((Event) keyChange0);
      boolean boolean0 = musicList0.equalsIgnoreOffset((MusicList) voice0);
      assertEquals(false, voice0.restsOnly());
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I22 Branch 42 IF_ACMPEQ L-1 - true
   * 2 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I35 Branch 43 IFNE L-1 - true
   * 3 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I4 Branch 40 IF_ICMPNE L-1 - false
   * 4 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I11 Branch 41 IF_ICMPGE L-1 - true
   * 5 freedots.music.MusicList.equalsIgnoreOffset(Lfreedots/music/MusicList;)Z: I11 Branch 41 IF_ICMPGE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Voice voice0 = new Voice("Negative offset");
      Fraction fraction0 = Fraction.ZERO;
      KeySignature keySignature0 = new KeySignature(0);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 0);
      voice0.add((Event) keyChange0);
      boolean boolean0 = voice0.equalsIgnoreOffset((MusicList) voice0);
      assertEquals(1, voice0.size());
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.music.MusicList.noteGroupingIsLegal()Z: I3 Branch 49 IF_ICMPLE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Voice voice0 = new Voice("F,El");
      boolean boolean0 = voice0.noteGroupingIsLegal();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 freedots.music.MusicList.noteGroupingIsLegal()Z: I3 Branch 49 IF_ICMPLE L-1 - false
   * 2 freedots.music.MusicList.noteGroupingIsLegal()Z: I8 Branch 50 IFEQ L-1 - true
   * 3 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - false
   * 4 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I16 Branch 5 IFLE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = new Fraction(1721);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      musicList0.add((Event) globalKeyChange0);
      EndBar endBar0 = new EndBar(fraction0);
      musicList0.add((Event) endBar0);
      boolean boolean0 = musicList0.noteGroupingIsLegal();
      assertEquals(false, musicList0.isEmpty());
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 11 covered goals:
   * 1 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I26 Branch 13 IFEQ L-1 - false
   * 2 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I33 Branch 14 IFEQ L-1 - true
   * 3 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I55 Branch 16 IFEQ L-1 - true
   * 4 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I69 Branch 17 IFEQ L-1 - true
   * 5 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I105 Branch 19 IFEQ L-1 - false
   * 6 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I115 Branch 20 IF_ICMPGE L-1 - true
   * 7 freedots.music.MusicList.getStaffCount()I: I6 Branch 10 IFEQ L-1 - false
   * 8 freedots.music.MusicList.getStaffCount()I: I13 Branch 11 IFEQ L-1 - true
   * 9 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I10 Branch 12 IF_ICMPGE L-1 - true
   * 10 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I26 Branch 13 IFEQ L-1 - true
   * 11 freedots.music.MusicList.getStaffCount()I: I6 Branch 10 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = new Fraction(1721);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      musicList0.add((Event) globalKeyChange0);
      // Undeclared exception!
      try {
        musicList0.getStaff(1721);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 1721, Size: 0
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I33 Branch 14 IFEQ L-1 - false
   * 2 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I40 Branch 15 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = new Fraction(1721);
      EndBar endBar0 = new EndBar(fraction0);
      musicList0.add((Event) endBar0);
      // Undeclared exception!
      try {
        musicList0.getStaff(1721);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 1721, Size: 0
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I55 Branch 16 IFEQ L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Voice voice0 = new Voice("Negative offset");
      Fraction fraction0 = Fraction.ZERO;
      KeySignature keySignature0 = new KeySignature(0);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 0);
      voice0.add((Event) keyChange0);
      // Undeclared exception!
      try {
        voice0.getStaff(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 10
  /*
   * 9 covered goals:
   * 1 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I105 Branch 19 IFEQ L-1 - true
   * 2 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I10 Branch 12 IF_ICMPGE L-1 - true
   * 3 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I26 Branch 13 IFEQ L-1 - true
   * 4 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I26 Branch 13 IFEQ L-1 - false
   * 5 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I33 Branch 14 IFEQ L-1 - true
   * 6 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I55 Branch 16 IFEQ L-1 - true
   * 7 freedots.music.MusicList.getStaff(I)Lfreedots/music/Staff;: I69 Branch 17 IFEQ L-1 - true
   * 8 freedots.music.MusicList.getStaffCount()I: I6 Branch 10 IFEQ L-1 - true
   * 9 freedots.music.MusicList.getStaffCount()I: I13 Branch 11 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      Voice voice0 = new Voice("w");
      voice0.add(0, (Event) null);
      // Undeclared exception!
      try {
        voice0.getStaff(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I16 Branch 5 IFLE L-1 - false
   * 2 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = new Fraction(9);
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      musicList0.add((Event) globalKeyChange0);
      Fraction fraction1 = Fraction.ZERO;
      EndBar endBar0 = new EndBar(fraction1);
      boolean boolean0 = musicList0.add((Event) endBar0);
      assertEquals(false, musicList0.isEmpty());
      assertEquals(true, boolean0);
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 freedots.music.MusicList.getLyricText()Ljava/lang/String;: I10 Branch 44 IFEQ L-1 - false
   * 2 freedots.music.MusicList.getLyricText()Ljava/lang/String;: I17 Branch 45 IFEQ L-1 - true
   * 3 freedots.music.MusicList.getLyricText()Ljava/lang/String;: I10 Branch 44 IFEQ L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      Voice voice0 = new Voice("jVEB");
      Fraction fraction0 = Fraction.ZERO;
      EndBar endBar0 = new EndBar(fraction0);
      voice0.add((Event) endBar0);
      voice0.getLyricText();
      assertEquals(1, voice0.size());
      assertEquals(false, voice0.isEmpty());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I4 Branch 6 IFGE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Staff staff0 = new Staff();
      Fraction fraction0 = new Fraction((-2));
      // Undeclared exception!
      try {
        staff0.eventsAt(fraction0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Negative offset
         //
      }
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - false
   * 2 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I30 Branch 8 IFGE L-1 - true
   * 3 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I37 Branch 9 IFEQ L-1 - false
   * 4 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I4 Branch 6 IFGE L-1 - true
   * 5 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 761);
      musicList0.add((Event) startBar0);
      MusicList musicList1 = musicList0.eventsAt(fraction0);
      assertEquals(false, musicList0.isEmpty());
      assertTrue(musicList0.equals(musicList1));
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I30 Branch 8 IFGE L-1 - false
   * 2 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      Voice voice0 = new Voice("jVEB");
      Fraction fraction0 = Fraction.ZERO;
      EndBar endBar0 = new EndBar(fraction0);
      voice0.add((Event) endBar0);
      Fraction fraction1 = new Fraction(718);
      voice0.eventsAt(fraction1);
      assertEquals(1, voice0.size());
      assertEquals(false, voice0.isEmpty());
  }

  //Test case number: 16
  /*
   * 4 covered goals:
   * 1 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I37 Branch 9 IFEQ L-1 - true
   * 2 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I4 Branch 6 IFGE L-1 - true
   * 3 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I21 Branch 7 IFEQ L-1 - false
   * 4 freedots.music.MusicList.eventsAt(Lfreedots/math/Fraction;)Lfreedots/music/MusicList;: I30 Branch 8 IFGE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Voice voice0 = new Voice("F,El");
      Fraction fraction0 = new Fraction(1591);
      EndBar endBar0 = new EndBar(fraction0);
      voice0.add((Event) endBar0);
      Fraction fraction1 = Fraction.ZERO;
      MusicList musicList0 = voice0.eventsAt(fraction1);
      assertEquals(false, voice0.isEmpty());
      assertEquals(true, musicList0.isEmpty());
  }

  //Test case number: 17
  /*
   * 4 covered goals:
   * 1 freedots.music.MusicList.getStaffCount()I: I13 Branch 11 IFEQ L-1 - false
   * 2 freedots.music.MusicList.<init>()V: root-Branch
   * 3 freedots.music.MusicList.add(Lfreedots/music/Event;)Z: I9 Branch 4 IFEQ L-1 - true
   * 4 freedots.music.MusicList.getStaffCount()I: I6 Branch 10 IFEQ L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      MusicList musicList0 = new MusicList();
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 761);
      musicList0.add((Event) startBar0);
      musicList0.getStaffCount();
      assertEquals(1, musicList0.size());
      assertEquals(false, musicList0.isEmpty());
  }
}
