/*
 * This file was automatically generated by EvoSuite
 */

package freedots.music;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.music.Event;
import freedots.music.KeyChange;
import freedots.music.KeySignature;
import freedots.music.StartBar;
import freedots.music.TimeSignature;
import org.junit.BeforeClass;

public class StartBarEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.music.StartBar.setNewSystem(Z)V: root-Branch
   * 2 freedots.music.StartBar.<init>(Lfreedots/math/Fraction;I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 1895);
      assertEquals(false, startBar0.getNewSystem());
      
      startBar0.setNewSystem(true);
      assertEquals(true, startBar0.getNewSystem());
      assertEquals(1895, startBar0.getMeasureNumber());
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 freedots.music.StartBar.getStaffCount()I: root-Branch
   * 2 freedots.music.StartBar.getNewSystem()Z: root-Branch
   * 3 freedots.music.StartBar.getEndingStart()I: root-Branch
   * 4 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I2 Branch 1 IFEQ L-1 - false
   * 5 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I10 Branch 2 IF_ICMPNE L-1 - false
   * 6 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I15 Branch 3 IF_ICMPNE L-1 - false
   * 7 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I20 Branch 4 IF_ICMPNE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 1895);
      boolean boolean0 = startBar0.equalsIgnoreOffset((Event) startBar0);
      assertEquals(true, boolean0);
      assertEquals(false, startBar0.getNewSystem());
      assertEquals(false, startBar0.getRepeatForward());
      assertEquals(0, startBar0.getEndingStart());
      assertEquals(0, startBar0.getStaffCount());
      assertEquals(1895, startBar0.getMeasureNumber());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.music.StartBar.getRepeatForward()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 1895);
      boolean boolean0 = startBar0.getRepeatForward();
      assertEquals(0, startBar0.getEndingStart());
      assertEquals(false, startBar0.getNewSystem());
      assertEquals(1895, startBar0.getMeasureNumber());
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 freedots.music.StartBar.setTimeSignature(Lfreedots/music/TimeSignature;)V: root-Branch
   * 2 freedots.music.StartBar.getMeasureNumber()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, (-2076));
      int int0 = startBar0.getMeasureNumber();
      assertEquals((-2076), int0);
      
      TimeSignature timeSignature0 = new TimeSignature((-2076), (-2076));
      startBar0.setTimeSignature(timeSignature0);
      assertEquals(false, startBar0.getNewSystem());
      assertEquals(false, startBar0.getRepeatForward());
      assertEquals(0, startBar0.getEndingStart());
      assertEquals(-2076, startBar0.getMeasureNumber());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.music.StartBar.setMeasureNumber(I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, (-2076));
      startBar0.setMeasureNumber((-2076));
      assertEquals(0, startBar0.getEndingStart());
      assertEquals(false, startBar0.getNewSystem());
      assertEquals(false, startBar0.getRepeatForward());
      assertEquals(-2076, startBar0.getMeasureNumber());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.music.StartBar.getTimeSignature()Lfreedots/music/TimeSignature;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 1895);
      startBar0.getTimeSignature();
      assertEquals(1895, startBar0.getMeasureNumber());
      assertEquals(0, startBar0.getEndingStart());
      assertEquals(false, startBar0.getRepeatForward());
      assertEquals(false, startBar0.getNewSystem());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 freedots.music.StartBar.setRepeatForward(Z)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 1895);
      assertEquals(false, startBar0.getRepeatForward());
      
      startBar0.setRepeatForward(true);
      assertEquals(true, startBar0.getRepeatForward());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Fraction fraction0 = new Fraction(1348);
      StartBar startBar0 = new StartBar(fraction0, 1348);
      KeySignature keySignature0 = new KeySignature(1);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 1348);
      boolean boolean0 = startBar0.equalsIgnoreOffset((Event) keyChange0);
      assertEquals(1348, startBar0.getMeasureNumber());
      assertEquals(false, startBar0.getRepeatForward());
      assertEquals(false, boolean0);
      assertEquals(false, startBar0.getNewSystem());
      assertEquals(0, startBar0.getEndingStart());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I10 Branch 2 IF_ICMPNE L-1 - true
   * 2 freedots.music.StartBar.setStaffCount(I)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 1895);
      fraction0.shortValue();
      StartBar startBar1 = new StartBar(fraction0, (int) (short)0);
      startBar1.setStaffCount(1895);
      boolean boolean0 = startBar1.equalsIgnoreOffset((Event) startBar0);
      assertEquals(1895, startBar1.getStaffCount());
      assertEquals(false, boolean0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I15 Branch 3 IF_ICMPNE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, (-2076));
      startBar0.newSystem = true;
      StartBar startBar1 = new StartBar(fraction0, (-2076));
      boolean boolean0 = startBar1.equalsIgnoreOffset((Event) startBar0);
      assertEquals(false, boolean0);
      assertEquals(true, startBar0.getNewSystem());
  }

  //Test case number: 10
  /*
   * 10 covered goals:
   * 1 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I20 Branch 4 IF_ICMPNE L-1 - true
   * 2 freedots.music.StartBar.getStaffCount()I: root-Branch
   * 3 freedots.music.StartBar.getNewSystem()Z: root-Branch
   * 4 freedots.music.StartBar.<init>(Lfreedots/math/Fraction;I)V: root-Branch
   * 5 freedots.music.StartBar.getMeasureNumber()I: root-Branch
   * 6 freedots.music.StartBar.getEndingStart()I: root-Branch
   * 7 freedots.music.StartBar.setEndingStart(I)V: root-Branch
   * 8 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I2 Branch 1 IFEQ L-1 - false
   * 9 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I10 Branch 2 IF_ICMPNE L-1 - false
   * 10 freedots.music.StartBar.equalsIgnoreOffset(Lfreedots/music/Event;)Z: I15 Branch 3 IF_ICMPNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      StartBar startBar0 = new StartBar(fraction0, 1895);
      fraction0.shortValue();
      startBar0.getMeasureNumber();
      StartBar startBar1 = new StartBar(fraction0, (int) (short)0);
      startBar0.setEndingStart(1895);
      boolean boolean0 = startBar0.equalsIgnoreOffset((Event) startBar1);
      assertEquals(1895, startBar0.getEndingStart());
      assertEquals(false, boolean0);
  }
}
