/*
 * This file was automatically generated by EvoSuite
 */

package freedots.math;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.AbstractFraction;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import org.junit.BeforeClass;

public class AbstractFractionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.math.AbstractFraction.floatValue()F: root-Branch
   * 2 freedots.math.AbstractFraction.doubleValue()D: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      float float0 = fraction0.floatValue();
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.compareTo(Ljava/lang/Number;)I: root-Branch
   * 2 freedots.math.AbstractFraction.longValue()J: root-Branch
   * 3 freedots.math.AbstractFraction.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(1321);
      long long0 = powerOfTwo0.longValue();
      assertEquals(2147483647L, long0);
      
      int int0 = powerOfTwo0.compareTo((Number) 2147483647L);
      assertEquals(0, int0);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 freedots.math.AbstractFraction.greatestCommonDivisor()I: root-Branch
   * 2 freedots.math.AbstractFraction.multiply(Ljava/lang/Integer;)Lfreedots/math/Fraction;: root-Branch
   * 3 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - true
   * 4 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      Integer integer0 = Integer.valueOf(0);
      Fraction fraction1 = fraction0.multiply(integer0);
      assertNotNull(fraction1);
      assertEquals("0", fraction1.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.divide(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Fraction fraction0 = new Fraction(0);
      // Undeclared exception!
      try {
        fraction0.divide((AbstractFraction) fraction0);
        fail("Expecting exception: ArithmeticException");
      
      } catch(ArithmeticException e) {
         //
         // denominator is zero
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.add(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 2 freedots.math.AbstractFraction.negate()Lfreedots/math/Fraction;: root-Branch
   * 3 freedots.math.AbstractFraction.subtract(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1464));
      Fraction fraction0 = new Fraction((-1464));
      Fraction fraction1 = powerOfTwo0.subtract((AbstractFraction) fraction0);
      assertEquals(1, fraction0.greatestCommonDivisor());
      assertEquals(-1463, fraction1.numerator());
      assertNotNull(fraction1);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.reciprocal()Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      // Undeclared exception!
      try {
        fraction0.reciprocal();
        fail("Expecting exception: ArithmeticException");
      
      } catch(ArithmeticException e) {
         //
         // denominator is zero
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.isDyadic()Z: I4 Branch 7 IF_ICMPNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-2010));
      boolean boolean0 = powerOfTwo0.isDyadic();
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.isDyadic()Z: I4 Branch 7 IF_ICMPNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Fraction fraction0 = new Fraction(0);
      boolean boolean0 = fraction0.isDyadic();
      assertEquals(true, boolean0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.toString()Ljava/lang/String;: I3 Branch 8 IF_ICMPNE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-408));
      String string0 = powerOfTwo0.toString();
      assertNotNull(string0);
      assertEquals("1/2147483647", string0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.toString()Ljava/lang/String;: I3 Branch 8 IF_ICMPNE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Fraction fraction0 = new Fraction(0);
      String string0 = fraction0.toString();
      assertEquals("0", string0);
      assertNotNull(string0);
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - true
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - true
   * 3 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      Integer integer0 = Integer.valueOf(0);
      Float.toString((float) integer0);
      boolean boolean0 = fraction0.equals((Object) "0.0");
      assertEquals(false, boolean0);
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - false
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - true
   * 3 freedots.math.AbstractFraction.intValue()I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      Fraction fraction0 = new Fraction(0);
      fraction0.shortValue();
      Integer integer0 = new Integer((int) (short)0);
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((int) integer0);
      boolean boolean0 = powerOfTwo0.equals((Object) fraction0);
      assertEquals(false, boolean0);
      assertEquals(1, powerOfTwo0.byteValue());
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - false
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I21 Branch 4 IF_ICMPNE L-1 - true
   * 3 freedots.math.AbstractFraction.divide(Ljava/lang/Integer;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Integer integer0 = new Integer((-1170));
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((int) integer0);
      Fraction fraction0 = powerOfTwo0.divide(integer0);
      assertNotNull(fraction0);
      
      boolean boolean0 = powerOfTwo0.equals((Object) fraction0);
      assertEquals(1170, fraction0.denominator());
      assertEquals(false, boolean0);
      assertEquals(1, powerOfTwo0.greatestCommonDivisor());
  }

  //Test case number: 13
  /*
   * 8 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I21 Branch 4 IF_ICMPNE L-1 - false
   * 2 freedots.math.AbstractFraction.greatestCommonDivisor()I: root-Branch
   * 3 freedots.math.AbstractFraction.multiply(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 4 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - true
   * 5 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - false
   * 6 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - false
   * 7 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - false
   * 8 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Fraction fraction0 = new Fraction(1);
      Fraction fraction1 = fraction0.multiply((AbstractFraction) fraction0);
      assertNotNull(fraction1);
      
      boolean boolean0 = fraction0.equals((Object) fraction1);
      assertEquals(true, boolean0);
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - false
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I38 Branch 6 IFNE L-1 - false
   * 3 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      Fraction fraction0 = new Fraction(1);
      Double double0 = new Double((double) 1);
      boolean boolean0 = fraction0.equals((Object) double0);
      assertEquals(true, boolean0);
      assertEquals(1.0, fraction0.doubleValue(), 0.01D);
  }

  //Test case number: 15
  /*
   * 8 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I38 Branch 6 IFNE L-1 - true
   * 2 freedots.math.AbstractFraction.intValue()I: root-Branch
   * 3 freedots.math.AbstractFraction.doubleValue()D: root-Branch
   * 4 freedots.math.AbstractFraction.longValue()J: root-Branch
   * 5 freedots.math.AbstractFraction.<init>()V: root-Branch
   * 6 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - true
   * 7 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - true
   * 8 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Fraction fraction0 = new Fraction(1);
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(1);
      byte byte0 = powerOfTwo0.byteValue();
      assertEquals((byte)2, byte0);
      
      Double double0 = new Double((double) (byte)2);
      boolean boolean0 = fraction0.equals((Object) double0);
      assertEquals(1.0F, fraction0.floatValue(), 0.01F);
      assertEquals(false, boolean0);
  }
}
