/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.DoubleBarSign;
import freedots.braille.HarmonyPart;
import freedots.braille.LowerNumber;
import freedots.braille.NewLine;
import freedots.braille.NumberSign;
import org.junit.BeforeClass;

public class SignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.clone()Lfreedots/braille/Sign;: root-Branch
   * 2 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NewLine newLine0 = new NewLine();
      NewLine newLine1 = (NewLine)newLine0.clone();
      assertEquals("Starts a new line", newLine1.getDescription());
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 freedots.braille.Sign.getScoreObject()Ljava/lang/Object;: root-Branch
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 4 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      NumberSign numberSign0 = new NumberSign();
      numberSign0.getScoreObject();
      assertEquals("\u283C", numberSign0.toString());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 freedots.braille.Sign.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: root-Branch
   * 2 freedots.braille.Sign.charAt(I)C: root-Branch
   * 3 freedots.braille.Sign.length()I: root-Branch
   * 4 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      HarmonyPart harmonyPart0 = new HarmonyPart();
      StringBuilder stringBuilder0 = new StringBuilder((CharSequence) harmonyPart0);
      harmonyPart0.appendTo(stringBuilder0);
      assertEquals("\u2812\u281C\u2812\u281C", stringBuilder0.toString());
      assertEquals(2, harmonyPart0.length());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NewLine newLine0 = new NewLine();
      String string0 = newLine0.toString();
      assertEquals("\n", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NumberSign numberSign0 = new NumberSign();
      // Undeclared exception!
      try {
        numberSign0.subSequence(82, 82);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 82
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DoubleBarSign doubleBarSign0 = new DoubleBarSign();
      doubleBarSign0.getParent();
      // Undeclared exception!
      try {
        doubleBarSign0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 8 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   * 7 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 8 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      NewLine newLine0 = new NewLine();
      LowerNumber lowerNumber0 = new LowerNumber(1278);
      lowerNumber0.add((BrailleSequence) newLine0);
      // Undeclared exception!
      try {
        lowerNumber0.add((BrailleSequence) newLine0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }
}
