/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.converter;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.converter.ConverterPlugin;
import net.sourceforge.jeuclid.converter.ImageIOConverter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEDistantLightElement;
import org.freehep.graphicsio.gif.GIFImageWriter;
import org.freehep.graphicsio.gif.GIFImageWriterSpi;
import org.freehep.graphicsio.ppm.PPMImageWriter;
import org.freehep.graphicsio.ppm.PPMImageWriterSpi;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class ImageIOConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.ImageIOConverter.convert(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/converter/ConverterPlugin$DocumentWithDimension;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.ImageIOConverter.<init>(Ljavax/imageio/ImageWriter;Z)V: I12 Branch 1 IFEQ L55 - true
   */

  @Test
  public void test0()  throws Throwable  {
      PPMImageWriterSpi pPMImageWriterSpi0 = new PPMImageWriterSpi();
      PPMImageWriter pPMImageWriter0 = (PPMImageWriter)pPMImageWriterSpi0.createWriterInstance((Object) pPMImageWriterSpi0);
      ImageIOConverter imageIOConverter0 = new ImageIOConverter(pPMImageWriter0, false);
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEDistantLightElement sVGOMFEDistantLightElement0 = new SVGOMFEDistantLightElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMFEDistantLightElement0.getAttributeNodeNS("", "");
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      ConverterPlugin.DocumentWithDimension converterPlugin_DocumentWithDimension0 = imageIOConverter0.convert((Node) null, (LayoutContext) layoutContextImpl0);
      assertNull(converterPlugin_DocumentWithDimension0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.converter.ImageIOConverter.convert(Lorg/w3c/dom/Node;Lnet/sourceforge/jeuclid/LayoutContext;Ljava/io/OutputStream;)Ljava/awt/Dimension;: root-Branch
   * 2 net.sourceforge.jeuclid.converter.ImageIOConverter.<init>(Ljavax/imageio/ImageWriter;Z)V: I12 Branch 1 IFEQ L55 - true
   */

  @Test
  public void test1()  throws Throwable  {
      PPMImageWriterSpi pPMImageWriterSpi0 = new PPMImageWriterSpi();
      PPMImageWriter pPMImageWriter0 = new PPMImageWriter(pPMImageWriterSpi0);
      pPMImageWriterSpi0.isStandardImageMetadataFormatSupported();
      ImageIOConverter imageIOConverter0 = new ImageIOConverter(pPMImageWriter0, false);
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("l]=VE$", "l]=VE$", "l]=VE$");
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      LayoutContextImpl layoutContextImpl1 = new LayoutContextImpl((LayoutContext) layoutContextImpl0);
      PrintStream printStream0 = DebugGraphics.logStream();
      // Undeclared exception!
      try {
        imageIOConverter0.convert((Node) genericDocumentType0, (LayoutContext) layoutContextImpl1, (OutputStream) printStream0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Unsupported node: org.apache.batik.dom.GenericDocumentType@55f5dbaa. Expected either Document, Element or DocumentFragment
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.converter.ImageIOConverter.<init>(Ljavax/imageio/ImageWriter;Z)V: I12 Branch 1 IFEQ L55 - false
   */

  @Test
  public void test2()  throws Throwable  {
      GIFImageWriterSpi gIFImageWriterSpi0 = new GIFImageWriterSpi();
      GIFImageWriter gIFImageWriter0 = (GIFImageWriter)gIFImageWriterSpi0.createWriterInstance();
      ImageIOConverter imageIOConverter0 = new ImageIOConverter(gIFImageWriter0, true);
  }
}
