/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.content.semantic;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.content.semantic.Semantics;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.generic.ForeignElement;
import org.apache.batik.dom.AbstractDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class SemanticsEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getNAnnotations()I: root-Branch
   * 2 net.sourceforge.jeuclid.elements.content.semantic.Semantics.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 3 net.sourceforge.jeuclid.elements.content.semantic.Semantics.setAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 4 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I3 Branch 1 IFNE L85 - false
   * 5 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I8 Branch 2 IFNE L86 - false
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      documentElement0.getPrefix();
      Semantics semantics0 = new Semantics("w-resize", (AbstractDocument) documentElement0);
      ForeignElement foreignElement0 = new ForeignElement((String) null, "w-resize", (AbstractDocument) documentElement0);
      foreignElement0.getOwnerMathElement();
      semantics0.insertAnnotation((MathMLElement) null, 0);
      assertEquals(true, semantics0.hasChildNodes());
      assertEquals(0, semantics0.getNAnnotations());
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getAnnotation(I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I3 Branch 1 IFNE L85 - true
   * 3 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I32 Branch 3 IFNONNULL L93 - false
   * 4 net.sourceforge.jeuclid.elements.content.semantic.Semantics.setAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Semantics semantics0 = new Semantics("cdata.section.7plit", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        semantics0.insertAnnotation((MathMLElement) semantics0, 100);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.removeAnnotation(I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.content.semantic.Semantics.deleteAnnotation(I)V: root-Branch
   * 3 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getAnnotation(I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Semantics semantics0 = new Semantics("w-resize", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        semantics0.deleteAnnotation((-1734));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Semantics semantics0 = new Semantics("cdata.section.7plit", (AbstractDocument) documentElement0);
      Semantics semantics1 = (Semantics)semantics0.cloneNode(false);
      assertEquals("", semantics1.getClassName());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.setBody(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Semantics semantics0 = new Semantics("w-resize", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        semantics0.setBody((MathMLElement) semantics0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getBody()Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.content.semantic.Semantics.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Semantics semantics0 = new Semantics("cdata.section.7plit", (AbstractDocument) documentElement0);
      MathMLElement mathMLElement0 = semantics0.getBody();
      assertNull(mathMLElement0);
  }
}
