/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.general;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.context.RelativeScriptlevelLayoutContext;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.generic.MathImpl;
import net.sourceforge.jeuclid.elements.presentation.general.Mroot;
import net.sourceforge.jeuclid.layout.JEuclidView;
import net.sourceforge.jeuclid.layout.LayoutInfo;
import net.sourceforge.jeuclid.layout.LayoutInfoImpl;
import net.sourceforge.jeuclid.layout.LayoutStage;
import net.sourceforge.jeuclid.layout.LayoutView;
import org.apache.batik.dom.AbstractDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.mathml.MathMLElement;

public class MrootEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.general.Mroot.newNode()Lorg/w3c/dom/Node;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.general.Mroot.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mroot mroot0 = new Mroot("marker", (AbstractDocument) documentElement0);
      Mroot mroot1 = (Mroot)mroot0.cloneNode(true);
      assertEquals("marker", mroot1.getLocalName());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.general.Mroot.getContent()Ljava/util/List;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.general.Mroot.getIndex()Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 3 net.sourceforge.jeuclid.elements.presentation.general.Mroot.getRadicand()Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mroot mroot0 = new Mroot("refY", (AbstractDocument) documentElement0);
      LayoutInfoImpl layoutInfoImpl0 = new LayoutInfoImpl();
      JEuclidView jEuclidView0 = documentElement0.getDefaultView();
      LayoutStage layoutStage0 = LayoutStage.STAGE1;
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      mroot0.layoutStage1((LayoutView) jEuclidView0, (LayoutInfo) layoutInfoImpl0, layoutStage0, (LayoutContext) layoutContextImpl0);
      assertEquals(2, mroot0.getChildElementCount());
      assertEquals(3.0F, layoutInfoImpl0.getStretchDescent(), 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.general.Mroot.setRadicand(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mroot mroot0 = new Mroot("refY", (AbstractDocument) documentElement0);
      MathImpl mathImpl0 = new MathImpl("refY", (AbstractDocument) documentElement0);
      mroot0.setRadicand((MathMLElement) mathImpl0);
      assertEquals(1, mroot0.getMathElementCount());
      assertEquals(1, mroot0.getChildElementCount());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.general.Mroot.setIndex(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mroot mroot0 = new Mroot("mroot", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        mroot0.setIndex((MathMLElement) mroot0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.general.Mroot.getChildLayoutContext(ILnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/LayoutContext;: I9 Branch 1 IFNE L98 - true
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mroot mroot0 = new Mroot("refY", (AbstractDocument) documentElement0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      RelativeScriptlevelLayoutContext relativeScriptlevelLayoutContext0 = (RelativeScriptlevelLayoutContext)mroot0.getChildLayoutContext(271, (LayoutContext) layoutContextImpl0);
      assertNotNull(relativeScriptlevelLayoutContext0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.general.Mroot.getChildLayoutContext(ILnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/LayoutContext;: I9 Branch 1 IFNE L98 - false
   * 2 net.sourceforge.jeuclid.elements.presentation.general.Mroot.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mroot mroot0 = new Mroot("refY", (AbstractDocument) documentElement0);
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      LayoutContextImpl layoutContextImpl1 = (LayoutContextImpl)mroot0.getChildLayoutContext(0, (LayoutContext) layoutContextImpl0);
      assertSame(layoutContextImpl1, layoutContextImpl0);
  }
}
