/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.JEuclidElement;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.presentation.script.Mover;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MoverEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.getOverscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Mover.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Mover mover0 = new Mover("_", (AbstractDocument) documentElement0);
      mover0.getOverscript();
      assertEquals(2, mover0.getChildElementCount());
      assertEquals(2, mover0.getMathElementCount());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.getUnderscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType(":b", ":b", ":b");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      Mover mover0 = new Mover(":b", (AbstractDocument) sVGOMDocument0);
      JEuclidElement jEuclidElement0 = mover0.getUnderscript();
      assertNull(jEuclidElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType(":b", ":b", ":b");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      Mover mover0 = new Mover(":b", (AbstractDocument) sVGOMDocument0);
      Mover mover1 = (Mover)mover0.cloneNode(true);
      assertEquals(1, mover1.getNodeType());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.setOverscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType(":b", ":b", ":b");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      Mover mover0 = new Mover(":b", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        mover0.setOverscript((MathMLElement) mover0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.setUnderscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Mover.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Mover mover0 = new Mover("_", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        mover0.setUnderscript((MathMLElement) mover0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // mover does not have underscript
         //
      }
  }
}
