/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.generic.ForeignElement;
import net.sourceforge.jeuclid.elements.generic.MathImpl;
import net.sourceforge.jeuclid.elements.presentation.script.Msub;
import net.sourceforge.jeuclid.layout.JEuclidView;
import net.sourceforge.jeuclid.layout.LayoutInfo;
import net.sourceforge.jeuclid.layout.LayoutInfoImpl;
import net.sourceforge.jeuclid.layout.LayoutStage;
import net.sourceforge.jeuclid.layout.LayoutView;
import net.sourceforge.jeuclid.layout.LayoutableNode;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MsubEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSubscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 3 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSuperscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 4 net.sourceforge.jeuclid.elements.presentation.script.Msub.getBase()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("St", (AbstractDocument) documentElement0);
      JEuclidView jEuclidView0 = documentElement0.getDefaultView();
      LayoutInfoImpl layoutInfoImpl0 = (LayoutInfoImpl)jEuclidView0.getInfo((LayoutableNode) documentElement0);
      LayoutStage layoutStage0 = LayoutStage.NONE;
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      msub0.layoutStage1((LayoutView) jEuclidView0, (LayoutInfo) layoutInfoImpl0, layoutStage0, (LayoutContext) layoutContextImpl0);
      assertEquals(LayoutStage.NONE, layoutInfoImpl0.getLayoutStage());
      assertEquals(2, msub0.getMathElementCount());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSuperscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("k3", (AbstractDocument) documentElement0);
      MathImpl mathImpl0 = new MathImpl("k3", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msub0.setSuperscript((MathMLElement) mathImpl0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // msub does not have superscript
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("altGlyph", "altGlyph", "altGlyph");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("altGlyph", (AbstractDocument) genericDocument0);
      msub0.hasAttributes();
      Msub msub1 = (Msub)msub0.cloneNode(false);
      assertEquals("0", msub1.getSuperscriptshift());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSubscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("St", (AbstractDocument) documentElement0);
      ForeignElement foreignElement0 = new ForeignElement("St", "St", (AbstractDocument) documentElement0);
      msub0.setSubscript((MathMLElement) foreignElement0);
      assertEquals(1, msub0.getMathElementCount());
      assertEquals(1, msub0.getChildElementCount());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setBase(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("D0", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msub0.setBase((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }
}
