/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.presentation.script.Mover;
import net.sourceforge.jeuclid.layout.JEuclidView;
import net.sourceforge.jeuclid.layout.LayoutInfo;
import net.sourceforge.jeuclid.layout.LayoutInfoImpl;
import net.sourceforge.jeuclid.layout.LayoutStage;
import net.sourceforge.jeuclid.layout.LayoutView;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MoverEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.getOverscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Mover.getUnderscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 3 net.sourceforge.jeuclid.elements.presentation.script.Mover.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("rename.document.element", "rename.document.element", "rename.document.element");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      Mover mover0 = new Mover("rename.document.element", (AbstractDocument) documentElement0);
      JEuclidView jEuclidView0 = documentElement0.getDefaultView();
      LayoutInfoImpl layoutInfoImpl0 = new LayoutInfoImpl();
      LayoutStage layoutStage0 = LayoutStage.NONE;
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      mover0.layoutStage1((LayoutView) jEuclidView0, (LayoutInfo) layoutInfoImpl0, layoutStage0, (LayoutContext) layoutContextImpl0);
      assertEquals(2, mover0.getChildElementCount());
      assertEquals(2, mover0.getMathElementCount());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      Mover mover0 = new Mover("w4Y", (AbstractDocument) sVGOMDocument0);
      Mover mover1 = (Mover)mover0.cloneNode(false);
      assertEquals(0, mover1.getChildElementCount());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.setOverscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mover mover0 = new Mover("A", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        mover0.setOverscript((MathMLElement) mover0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.setUnderscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Mover.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      Mover mover0 = new Mover("w4Y", (AbstractDocument) sVGOMDocument0);
      mover0.getOwnerMathElement();
      // Undeclared exception!
      try {
        mover0.setUnderscript((MathMLElement) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // mover does not have underscript
         //
      }
  }
}
