/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.JEuclidElementFactory;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import org.apache.batik.dom.GenericDocumentType;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.Document;

public class JEuclidElementFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 net.sourceforge.jeuclid.elements.JEuclidElementFactory.removeNSPrefix(Ljava/lang/String;)Ljava/lang/String;: I9 Branch 1 IFLT L92 - true
   * 2 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I12 Branch 2 IFNULL L118 - true
   * 3 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I27 Branch 4 IFNULL L122 - true
   * 4 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I77 Branch 5 IFNONNULL L135 - false
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("EOL{}zT", "EOL{}zT", "EOL{}zT");
      genericDocumentType0.getNamespaceURI();
      DocumentElement documentElement0 = new DocumentElement();
      // Undeclared exception!
      try {
        JEuclidElementFactory.elementFromName((String) null, "EOL{}zT", (Document) documentElement0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"EOL{}zT\") is an invalid XML name.
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 net.sourceforge.jeuclid.elements.JEuclidElementFactory.removeNSPrefix(Ljava/lang/String;)Ljava/lang/String;: I9 Branch 1 IFLT L92 - false
   * 2 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I12 Branch 2 IFNULL L118 - false
   * 3 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I16 Branch 3 IFLE L118 - false
   * 4 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I27 Branch 4 IFNULL L122 - true
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        JEuclidElementFactory.elementFromName("http://www.w3.org/1998/Math/MathML", "http://www.w3.org/1998/Math/MathML", (Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I16 Branch 3 IFLE L118 - true
   * 2 net.sourceforge.jeuclid.elements.JEuclidElementFactory.removeNSPrefix(Ljava/lang/String;)Ljava/lang/String;: I9 Branch 1 IFLT L92 - true
   * 3 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I12 Branch 2 IFNULL L118 - false
   * 4 net.sourceforge.jeuclid.elements.JEuclidElementFactory.elementFromName(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Document;)Lorg/w3c/dom/Element;: I77 Branch 5 IFNONNULL L135 - false
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        JEuclidElementFactory.elementFromName("c3.T", "c3.T", (Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
