/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.JEuclidElement;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.presentation.script.Mover;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MoverEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.getOverscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Mover.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("KN", "KN", "KN");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Mover mover0 = new Mover("KN", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        mover0.getOverscript();
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.apache.batik.dom.GenericElement cannot be cast to net.sourceforge.jeuclid.elements.JEuclidElement
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.getUnderscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mover mover0 = new Mover("khaki", (AbstractDocument) documentElement0);
      JEuclidElement jEuclidElement0 = mover0.getUnderscript();
      assertNull(jEuclidElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mover mover0 = new Mover("khaki", (AbstractDocument) documentElement0);
      Mover mover1 = (Mover)mover0.cloneNode(true);
      assertEquals(false, mover1.hasChildNodes());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.setOverscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Mover mover0 = new Mover("khaki", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        mover0.setOverscript((MathMLElement) mover0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Mover.setUnderscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Mover.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("h4u", "h4u", "h4u");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      Mover mover0 = new Mover("h4u", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        mover0.setUnderscript((MathMLElement) mover0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // mover does not have underscript
         //
      }
  }
}
