/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.JEuclidElement;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.generic.ForeignElement;
import net.sourceforge.jeuclid.elements.presentation.script.Msub;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MsubEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSubscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msub msub0 = new Msub("msub", (AbstractDocument) documentElement0);
      msub0.getSubscript();
      assertEquals(true, msub0.hasChildNodes());
      assertEquals(2, msub0.getChildElementCount());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSuperscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("sjuTN3IjBwvgb", "sjuTN3IjBwvgb", "sjuTN3IjBwvgb");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("sjuTN3IjBwvgb", (AbstractDocument) genericDocument0);
      JEuclidElement jEuclidElement0 = msub0.getSuperscript();
      assertNull(jEuclidElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSuperscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("sjuTN3IjBwvgb", "sjuTN3IjBwvgb", "sjuTN3IjBwvgb");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("sjuTN3IjBwvgb", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        msub0.setSuperscript((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // msub does not have superscript
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("sjuTN3IjBwvgb", "sjuTN3IjBwvgb", "sjuTN3IjBwvgb");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("sjuTN3IjBwvgb", (AbstractDocument) genericDocument0);
      Msub msub1 = (Msub)msub0.cloneNode(false);
      assertNull(msub1.getNodeValue());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSubscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      documentElement0.getDoctype();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("Ko", (AbstractDocument) documentElement0);
      ForeignElement foreignElement0 = new ForeignElement("Ko", "Ko", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        msub0.setSubscript((MathMLElement) foreignElement0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given node (type: 1, name: Ko) was not created by the current document.
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setBase(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msub msub0 = new Msub("Ko", (AbstractDocument) documentElement0);
      msub0.getOwnerMathElement();
      msub0.setBase((MathMLElement) null);
      assertEquals(false, msub0.hasChildNodes());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getBase()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("2H+,Zp~;J-T0X:A*$v`", "2H+,Zp~;J-T0X:A*$v`", "D");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      Msub msub0 = new Msub("D", (AbstractDocument) documentElement0);
      msub0.getBase();
      assertEquals(true, msub0.hasChildNodes());
      assertEquals(1, msub0.getMathElementCount());
  }
}
