/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.content.semantic;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.content.semantic.Semantics;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class SemanticsEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getAnnotation(I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.content.semantic.Semantics.setAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 3 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I3 Branch 1 IFNE L85 - true
   * 4 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I32 Branch 3 IFNONNULL L93 - false
   * 5 net.sourceforge.jeuclid.elements.content.semantic.Semantics.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("HtaX3", "HtaX3", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Semantics semantics0 = new Semantics("HtaX3", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        semantics0.insertAnnotation((MathMLElement) semantics0, 1869);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.removeAnnotation(I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.content.semantic.Semantics.deleteAnnotation(I)V: root-Branch
   * 3 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getAnnotation(I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("Gyt", "Gyt", "Gyt");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Semantics semantics0 = new Semantics("Gyt", (AbstractDocument) sVGOMDocument0);
      semantics0.getNodeType();
      // Undeclared exception!
      try {
        semantics0.deleteAnnotation((int) (short)1);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("Gyt", "Gyt", "Gyt");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Semantics semantics0 = new Semantics("Gyt", (AbstractDocument) sVGOMDocument0);
      Semantics semantics1 = (Semantics)semantics0.cloneNode(false);
      assertEquals("Gyt", semantics1.getLocalName());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.setBody(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Semantics semantics0 = new Semantics("wider", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        semantics0.setBody((MathMLElement) semantics0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getBody()Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("o", "o", "o");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Semantics semantics0 = new Semantics("o", (AbstractDocument) sVGOMDocument0);
      MathMLElement mathMLElement0 = semantics0.getBody();
      assertNull(mathMLElement0);
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I3 Branch 1 IFNE L85 - false
   * 2 net.sourceforge.jeuclid.elements.content.semantic.Semantics.insertAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: I8 Branch 2 IFNE L86 - false
   * 3 net.sourceforge.jeuclid.elements.content.semantic.Semantics.getNAnnotations()I: root-Branch
   * 4 net.sourceforge.jeuclid.elements.content.semantic.Semantics.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   * 5 net.sourceforge.jeuclid.elements.content.semantic.Semantics.setAnnotation(Lorg/w3c/dom/mathml/MathMLElement;I)Lorg/w3c/dom/mathml/MathMLElement;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("Gyt", "Gyt", "Gyt");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Semantics semantics0 = new Semantics("Gyt", (AbstractDocument) sVGOMDocument0);
      semantics0.getNAnnotations();
      // Undeclared exception!
      try {
        semantics0.insertAnnotation((MathMLElement) semantics0, 0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }
}
