/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.JEuclidElement;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.generic.MathImpl;
import net.sourceforge.jeuclid.elements.presentation.script.Msub;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MsubEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSubscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msub msub0 = new Msub("org.w3c.svg", (AbstractDocument) documentElement0);
      msub0.getSubscript();
      assertEquals(true, msub0.hasChildNodes());
      assertEquals(2, msub0.getChildElementCount());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSuperscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msub msub0 = new Msub("msub", (AbstractDocument) documentElement0);
      JEuclidElement jEuclidElement0 = msub0.getSuperscript();
      assertNull(jEuclidElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSuperscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msub msub0 = new Msub("table-column-group", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msub0.setSuperscript((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // msub does not have superscript
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("msub", "msub", "msub");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("msub", (AbstractDocument) genericDocument0);
      Msub msub1 = (Msub)msub0.cloneNode(false);
      assertEquals(0, msub1.getMathElementCount());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSubscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("msub", "msub", "msub");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("msub", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        msub0.setSubscript((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setBase(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("font-face-src", "font-face-src", "font-face-src");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      Msub msub0 = new Msub("font-face-src", (AbstractDocument) documentElement0);
      MathImpl mathImpl0 = new MathImpl("font-face-src", (AbstractDocument) documentElement0);
      msub0.setBase((MathMLElement) mathImpl0);
      assertEquals(1, msub0.getMathElementCount());
      assertEquals(true, msub0.hasChildNodes());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getBase()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("msub", "msub", "msub");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      Msub msub0 = new Msub("msub", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        msub0.getBase();
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.apache.batik.dom.GenericElement cannot be cast to net.sourceforge.jeuclid.elements.JEuclidElement
         //
      }
  }
}
