/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.presentation.script.Msup;
import net.sourceforge.jeuclid.layout.JEuclidView;
import net.sourceforge.jeuclid.layout.LayoutInfo;
import net.sourceforge.jeuclid.layout.LayoutInfoImpl;
import net.sourceforge.jeuclid.layout.LayoutStage;
import net.sourceforge.jeuclid.layout.LayoutView;
import net.sourceforge.jeuclid.layout.LayoutableNode;
import org.apache.batik.dom.AbstractDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MsupEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.setSuperscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msup.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msup msup0 = new Msup("palevioletred", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msup0.setSuperscript((MathMLElement) msup0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msup msup0 = new Msup("palevioletred", (AbstractDocument) documentElement0);
      Msup msup1 = (Msup)msup0.cloneNode(true);
      assertNotSame(msup1, msup0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.setBase(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msup msup0 = new Msup("Ge", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msup0.setBase((MathMLElement) msup0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.getSuperscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msup.getBase()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 3 net.sourceforge.jeuclid.elements.presentation.script.Msup.getSubscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msup msup0 = new Msup("msup", (AbstractDocument) documentElement0);
      JEuclidView jEuclidView0 = documentElement0.getDefaultView();
      LayoutInfoImpl layoutInfoImpl0 = (LayoutInfoImpl)jEuclidView0.getInfo((LayoutableNode) msup0);
      LayoutStage layoutStage0 = LayoutStage.STAGE2;
      msup0.layoutStage1((LayoutView) jEuclidView0, (LayoutInfo) layoutInfoImpl0, layoutStage0, (LayoutContext) null);
      assertEquals(LayoutStage.STAGE2, layoutInfoImpl0.getLayoutStage());
      assertEquals(2, msup0.getMathElementCount());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msup.setSubscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msup.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      Msup msup0 = new Msup("msup", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msup0.setSubscript((MathMLElement) msup0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // msup does not have subscript
         //
      }
  }
}
