/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io.impl;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.io.FeedException;
import com.sun.syndication.io.impl.RSS090Generator;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.Namespace;
import org.junit.After;
import org.junit.Before;

public class RSS090GeneratorEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkItemsConstraints(Lorg/jdom/Element;)V: I13 Branch 22 IF_ICMPLT L261 - true
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>(Ljava/lang/String;)V: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("");
      Element element0 = new Element("l0gdfJm");
      try {
        rSS090Generator0.checkItemsConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid  feed, item count is 0 it must be between 1 an 15
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 5 IFNULL L136 - true
   */

  @Test
  public void test1()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("");
      Element element0 = new Element("l0gdfJm");
      rSS090Generator0.checkLength(element0, "l0gdfJm", 494, 494);
      assertEquals("", element0.getTextNormalize());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkTextInputConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.checkNotNullAndLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 4 IFNONNULL L127 - false
   */

  @Test
  public void test2()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("textInpu");
      Element element0 = new Element("textInpu");
      try {
        rSS090Generator0.checkTextInputConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid textInpu feed, missing textInpu title
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.getRDFNamespace()Lorg/jdom/Namespace;: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      Namespace namespace0 = rSS090Generator0.getRDFNamespace();
      assertEquals("rdf", namespace0.getPrefix());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkChannelConstraints(Lorg/jdom/Element;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      // Undeclared exception!
      try {
        rSS090Generator0.checkChannelConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.getTextInputLabel()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("textInpu");
      String string0 = rSS090Generator0.getTextInputLabel();
      assertEquals("textInput", string0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.generateSimpleElement(Ljava/lang/String;Ljava/lang/String;)Lorg/jdom/Element;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("textInpu");
      Element element0 = rSS090Generator0.generateSimpleElement("textInput", "textInpu");
      assertEquals("[Element: <textInput [Namespace: http://my.netscape.com/rdf/simple/0.9/]/>]", element0.toString());
      assertEquals("textInpu", element0.getTextNormalize());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.createDocument(Lorg/jdom/Element;)Lorg/jdom/Document;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("sL");
      Namespace namespace0 = rSS090Generator0.getFeedNamespace();
      Element element0 = new Element("sL", namespace0);
      Document document0 = rSS090Generator0.createDocument(element0);
      assertEquals("[Document:  No DOCTYPE declaration, Root is [Element: <sL [Namespace: http://my.netscape.com/rdf/simple/0.9/]/>]]", document0.toString());
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkImageConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.getContentNamespace()Lorg/jdom/Namespace;: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Generator.checkNotNullAndLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 4 IFNONNULL L127 - false
   */

  @Test
  public void test8()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("L");
      Namespace namespace0 = rSS090Generator0.getContentNamespace();
      Element element0 = new Element("L", namespace0);
      try {
        rSS090Generator0.checkImageConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid L feed, missing L title
         //
      }
  }

  //Test case number: 9
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkItemConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>()V: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Generator.<init>(Ljava/lang/String;)V: root-Branch
   * 4 com.sun.syndication.io.impl.RSS090Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      // Undeclared exception!
      try {
        rSS090Generator0.checkItemConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
