/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.feed.WireFeed;
import com.sun.syndication.io.ParsingFeedException;
import com.sun.syndication.io.WireFeedInput;
import java.io.PrintStream;
import java.io.Reader;
import java.io.StringReader;
import java.util.List;
import javax.swing.DebugGraphics;
import org.junit.After;
import org.junit.Before;
import org.xml.sax.InputSource;

public class WireFeedInputEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.build(Ljava/io/Reader;)Lcom/sun/syndication/feed/WireFeed;: I9 Branch 6 IFEQ L191 - false
   * 2 com.sun.syndication.io.WireFeedInput.createSAXBuilder()Lcom/sun/syndication/io/SAXBuilder;: root-Branch
   * 3 com.sun.syndication.io.WireFeedInput.<init>(Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput(false);
      StringReader stringReader0 = new StringReader("63JgN1PJswlw!");
      try {
        WireFeed wireFeed0 = wireFeedInput0.build((Reader) stringReader0);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML: Error on line 1: Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.build(Ljava/io/Reader;)Lcom/sun/syndication/feed/WireFeed;: I9 Branch 6 IFEQ L191 - true
   * 2 com.sun.syndication.io.WireFeedInput.<init>()V: root-Branch
   * 3 com.sun.syndication.io.WireFeedInput.setXmlHealerOn(Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput();
      wireFeedInput0.setXmlHealerOn(false);
      try {
        WireFeed wireFeed0 = wireFeedInput0.build((Reader) null);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.getSupportedFeedTypes()Ljava/util/List;: root-Branch
   * 2 com.sun.syndication.io.WireFeedInput.getFeedParsers()Lcom/sun/syndication/io/impl/FeedParsers;: I3 Branch 3 IFNONNULL L60 - true
   * 3 com.sun.syndication.io.WireFeedInput.getFeedParsers()Lcom/sun/syndication/io/impl/FeedParsers;: I26 Branch 4 IFNONNULL L63 - true
   */

  @Test
  public void test2()  throws Throwable  {
      List<?> list0 = WireFeedInput.getSupportedFeedTypes();
      assertEquals(11, list0.size());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.WireFeedInput.getXmlHealerOn()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput();
      boolean boolean0 = wireFeedInput0.getXmlHealerOn();
      assertEquals(true, boolean0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.createSAXBuilder()Lcom/sun/syndication/io/SAXBuilder;: root-Branch
   * 2 com.sun.syndication.io.WireFeedInput.build(Lorg/xml/sax/InputSource;)Lcom/sun/syndication/feed/WireFeed;: root-Branch
   * 3 com.sun.syndication.io.WireFeedInput.<init>()V: root-Branch
   * 4 com.sun.syndication.io.WireFeedInput.<init>(Z)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput();
      try {
        WireFeed wireFeed0 = wireFeedInput0.build((InputSource) null);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML
         //
      }
  }
}
