/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.A;
import com.kitfox.svg.FePointLight;
import com.kitfox.svg.Filter;
import com.kitfox.svg.ImageSVG;
import com.kitfox.svg.PatternSVG;
import com.kitfox.svg.Polyline;
import com.kitfox.svg.SVGElement;
import com.kitfox.svg.SVGElementException;
import com.kitfox.svg.SVGException;
import com.kitfox.svg.SVGLoaderHelper;
import com.kitfox.svg.SVGRoot;
import com.kitfox.svg.Symbol;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.Area;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.util.LinkedList;
import java.util.List;
import org.junit.BeforeClass;

public class GroupEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.loaderAddChild(Lcom/kitfox/svg/SVGLoaderHelper;Lcom/kitfox/svg/SVGElement;)V: root-Branch
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Symbol symbol0 = new Symbol();
      FePointLight fePointLight0 = new FePointLight();
      // Undeclared exception!
      try {
        symbol0.loaderAddChild((SVGLoaderHelper) null, (SVGElement) fePointLight0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I14 Branch 2 IFNULL L104 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I45 Branch 3 IFEQ L117 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      Filter filter0 = new Filter();
      Point2D.Double point2D_Double0 = (Point2D.Double)filter0.filterRes;
      sVGRoot0.pick(point2D_Double0, true, (List) null);
      assertEquals(0.0F, sVGRoot0.getDeviceHeight(), 0.01F);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I14 Branch 2 IFNULL L104 - false
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I45 Branch 3 IFEQ L117 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      Rectangle2D.Float rectangle2D_Float0 = sVGRoot0.clipRect;
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance((double) 0.0F, (double) 0.0F, (double) 0.0F, (double) 0.0F);
      sVGRoot0.xform = affineTransform0;
      Filter filter0 = new Filter();
      Point2D.Double point2D_Double0 = (Point2D.Double)filter0.filterRes;
      sVGRoot0.pick(point2D_Double0, true, (List) null);
      assertEquals(0.0F, sVGRoot0.getDeviceHeight(), 0.01F);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I4 Branch 5 IFNULL L131 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I27 Branch 6 IFEQ L138 - true
   */

  @Test
  public void test3()  throws Throwable  {
      A a0 = new A();
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((-902.9799277123883), (-902.9799277123883), (-902.9799277123883), (-902.9799277123883));
      ImageSVG imageSVG0 = new ImageSVG();
      AffineTransform affineTransform0 = imageSVG0.xform;
      PatternSVG patternSVG0 = new PatternSVG();
      LinkedList<?> linkedList0 = patternSVG0.contexts;
      a0.pick(rectangle2D_Double0, (AffineTransform) null, false, linkedList0);
      assertEquals((-1805.9598554247766), rectangle2D_Double0.getMaxX(), 0.01D);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I4 Branch 5 IFNULL L131 - false
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I27 Branch 6 IFEQ L138 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      Rectangle2D.Float rectangle2D_Float0 = sVGRoot0.clipRect;
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance((double) 0.0F, (double) 0.0F, (double) 0.0F, (double) 0.0F);
      sVGRoot0.xform = affineTransform0;
      Polyline polyline0 = new Polyline();
      List<?> list0 = polyline0.getPath((List) null);
      sVGRoot0.pick(rectangle2D_Float0, sVGRoot0.xform, true, list0);
      assertEquals(0.0, rectangle2D_Float0.getMaxY(), 0.01D);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.Group.render(Ljava/awt/Graphics2D;)V: I13 Branch 8 IFEQ L154 - true
   */

  @Test
  public void test5()  throws Throwable  {
      A a0 = new A();
      // Undeclared exception!
      try {
        a0.render((Graphics2D) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.render(Ljava/awt/Graphics2D;)V: I13 Branch 8 IFEQ L154 - false
   * 2 com.kitfox.svg.Group.render(Ljava/awt/Graphics2D;)V: I20 Branch 9 IFGT L156 - false
   */

  @Test
  public void test6()  throws Throwable  {
      A a0 = new A();
      a0.addAttribute("visibility", 0, "visibility");
      a0.render((Graphics2D) null);
      assertEquals(0, a0.getNumChildren());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - true
   * 2 com.kitfox.svg.Group.calcShape()V: I15 Branch 18 IFEQ L217 - true
   */

  @Test
  public void test7()  throws Throwable  {
      A a0 = new A();
      a0.calcShape();
      Area area0 = (Area)a0.getShape();
      assertEquals(true, area0.isRectangular());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - false
   * 2 com.kitfox.svg.Group.calcShape()V: I15 Branch 18 IFEQ L217 - true
   */

  @Test
  public void test8()  throws Throwable  {
      A a0 = new A();
      Area area0 = (Area)a0.getShape();
      assertEquals(true, area0.isRectangular());
  }

  //Test case number: 9
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - true
   * 2 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - false
   * 3 com.kitfox.svg.Group.calcBoundingBox()V: I13 Branch 22 IFEQ L254 - true
   * 4 com.kitfox.svg.Group.calcBoundingBox()V: I58 Branch 26 IFNONNULL L276 - false
   */

  @Test
  public void test9()  throws Throwable  {
      A a0 = new A();
      Rectangle2D.Float rectangle2D_Float0 = (Rectangle2D.Float)a0.getBoundingBox();
      assertNotNull(rectangle2D_Float0);
      
      Rectangle2D.Float rectangle2D_Float1 = (Rectangle2D.Float)a0.getBoundingBox();
      assertSame(rectangle2D_Float1, rectangle2D_Float0);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.updateTime(D)Z: I16 Branch 27 IFEQ L287 - true
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Symbol symbol0 = new Symbol();
      boolean boolean0 = symbol0.updateTime(0.0);
      assertEquals(false, boolean0);
  }
}
