/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.pathcmd;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.pathcmd.Arc;
import com.kitfox.svg.pathcmd.BuildHistory;
import java.awt.Shape;
import java.awt.geom.Arc2D;
import java.awt.geom.GeneralPath;
import java.awt.geom.IllegalPathStateException;
import java.awt.geom.Line2D;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import org.junit.BeforeClass;

public class ArcEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.getNumKnotsAdded()I: root-Branch
   * 2 com.kitfox.svg.pathcmd.Arc.<init>(ZFFFZZFF)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.getBounds();
      Point2D.Float point2D_Float0 = new Point2D.Float(12.081808F, (float) 0);
      Arc arc0 = new Arc(false, (float) 0, (float) 0, 0.0F, false, false, 12.081808F, (float) 0);
      int int0 = arc0.getNumKnotsAdded();
      assertEquals(false, arc0.largeArc);
      assertEquals(0.0F, arc0.y, 0.01F);
      assertEquals(6, int0);
      assertEquals(0.0F, arc0.rx, 0.01F);
      assertEquals(0.0F, arc0.xAxisRot, 0.01F);
      assertEquals(0.0F, arc0.ry, 0.01F);
      assertEquals(12.081808F, arc0.x, 0.01F);
      assertEquals(false, arc0.sweep);
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.appendPath(Ljava/awt/geom/GeneralPath;Lcom/kitfox/svg/pathcmd/BuildHistory;)V: I4 Branch 1 IFEQ L72 - true
   * 2 com.kitfox.svg.pathcmd.Arc.appendPath(Ljava/awt/geom/GeneralPath;Lcom/kitfox/svg/pathcmd/BuildHistory;)V: I19 Branch 2 IFEQ L73 - true
   * 3 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I5 Branch 3 IFEQ L118 - true
   * 4 com.kitfox.svg.pathcmd.Arc.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Arc arc0 = new Arc();
      BuildHistory buildHistory0 = new BuildHistory();
      GeneralPath generalPath0 = new GeneralPath();
      // Undeclared exception!
      try {
        arc0.appendPath(generalPath0, buildHistory0);
        fail("Expecting exception: IllegalPathStateException");
      
      } catch(IllegalPathStateException e) {
         //
         // missing initial moveto in path definition
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I9 Branch 4 IFNE L118 - false
   * 2 com.kitfox.svg.pathcmd.Arc.appendPath(Ljava/awt/geom/GeneralPath;Lcom/kitfox/svg/pathcmd/BuildHistory;)V: I4 Branch 1 IFEQ L72 - false
   * 3 com.kitfox.svg.pathcmd.Arc.appendPath(Ljava/awt/geom/GeneralPath;Lcom/kitfox/svg/pathcmd/BuildHistory;)V: I19 Branch 2 IFEQ L73 - false
   * 4 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I5 Branch 3 IFEQ L118 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Arc arc0 = new Arc(true, 14.669498F, 0.0F, 0.0F, true, true, 0.0F, 0.0F);
      BuildHistory buildHistory0 = new BuildHistory();
      // Undeclared exception!
      try {
        arc0.appendPath((GeneralPath) null, buildHistory0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I24 Branch 5 IFNE L123 - false
   * 2 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I28 Branch 6 IFNE L123 - false
   * 3 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I9 Branch 4 IFNE L118 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Arc arc0 = new Arc(false, 815.59503F, 815.59503F, 815.59503F, false, false, 815.59503F, 815.59503F);
      arc0.arcTo((GeneralPath) null, 815.59503F, 815.59503F, 815.59503F, false, false, 815.59503F, 815.59503F, 815.59503F, 815.59503F);
      assertEquals(false, arc0.largeArc);
      assertEquals(815.59503F, arc0.y, 0.01F);
      assertEquals(false, arc0.sweep);
      assertEquals(815.59503F, arc0.rx, 0.01F);
      assertEquals(815.59503F, arc0.xAxisRot, 0.01F);
      assertEquals(815.59503F, arc0.x, 0.01F);
      assertEquals(815.59503F, arc0.ry, 0.01F);
  }

  //Test case number: 4
  /*
   * 11 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I28 Branch 6 IFNE L123 - true
   * 2 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I297 Branch 11 IFGE L216 - false
   * 3 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I24 Branch 5 IFNE L123 - false
   * 4 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I393 Branch 16 IFGE L226 - false
   * 5 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I55 Branch 7 IFNONNULL L131 - true
   * 6 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I103 Branch 8 IFLE L180 - true
   * 7 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I134 Branch 9 IF_ICMPNE L190 - false
   * 8 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I168 Branch 10 IFGE L192 - true
   * 9 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I354 Branch 12 IFGE L222 - false
   * 10 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I374 Branch 13 IFNE L224 - true
   * 11 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I389 Branch 15 IFEQ L226 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Arc arc0 = new Arc(true, (-1.0F), (-1.0F), (-1.0F), true, true, (-1.0F), (-1.0F));
      // Undeclared exception!
      try {
        arc0.arcTo((GeneralPath) null, (-13.809379F), (-13.809379F), (-1.0F), true, true, (-1.0F), (-1.0F), (-1.0F), (-13.809379F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I103 Branch 8 IFLE L180 - false
   * 2 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I168 Branch 10 IFGE L192 - false
   * 3 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I354 Branch 12 IFGE L222 - true
   * 4 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I374 Branch 13 IFNE L224 - false
   * 5 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I378 Branch 14 IFLE L224 - false
   * 6 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I297 Branch 11 IFGE L216 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Arc2D.Double arc2D_Double0 = (Arc2D.Double)Arc.computeArc((-42.55024792740212), (-0.7153797093655013), (-0.7153797093655013), (-0.7153797093655013), (-42.55024792740212), false, false, (-0.7153797093655013), (-42.55024792740212));
      assertEquals((-177.55024792740238), arc2D_Double0.start, 0.01D);
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I134 Branch 9 IF_ICMPNE L190 - true
   * 2 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I393 Branch 16 IFGE L226 - true
   * 3 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I168 Branch 10 IFGE L192 - false
   * 4 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I354 Branch 12 IFGE L222 - true
   * 5 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I374 Branch 13 IFNE L224 - true
   * 6 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I389 Branch 15 IFEQ L226 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.getBounds();
      Point2D.Float point2D_Float0 = new Point2D.Float(12.081808F, (float) 0);
      Line2D.Double line2D_Double0 = new Line2D.Double((Point2D) point2D_Float0, (Point2D) point2D_Float0);
      Arc arc0 = new Arc(false, (float) 0, (float) 0, 0.0F, false, false, 12.081808F, (float) 0);
      assertEquals(12.081808F, arc0.x, 0.01F);
      assertEquals(false, arc0.sweep);
      assertEquals(false, arc0.largeArc);
      
      Arc2D.Double arc2D_Double0 = (Arc2D.Double)Arc.computeArc(0.0, 0.0, (double) 12.081808F, 0.0, 0.0, false, true, 0.0, (double) 12.081808F);
      assertEquals(24.163616180419922, arc2D_Double0.width, 0.01D);
      assertEquals(Double.NaN, arc2D_Double0.start, 0.01D);
  }

  //Test case number: 7
  /*
   * 13 covered goals:
   * 1 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I378 Branch 14 IFLE L224 - true
   * 2 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I389 Branch 15 IFEQ L226 - true
   * 3 com.kitfox.svg.pathcmd.Arc.<init>(ZFFFZZFF)V: root-Branch
   * 4 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I5 Branch 3 IFEQ L118 - false
   * 5 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I9 Branch 4 IFNE L118 - true
   * 6 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I24 Branch 5 IFNE L123 - true
   * 7 com.kitfox.svg.pathcmd.Arc.arcTo(Ljava/awt/geom/GeneralPath;FFFZZFFFF)V: I55 Branch 7 IFNONNULL L131 - true
   * 8 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I103 Branch 8 IFLE L180 - true
   * 9 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I134 Branch 9 IF_ICMPNE L190 - false
   * 10 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I168 Branch 10 IFGE L192 - true
   * 11 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I297 Branch 11 IFGE L216 - true
   * 12 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I354 Branch 12 IFGE L222 - false
   * 13 com.kitfox.svg.pathcmd.Arc.computeArc(DDDDDZZDD)Ljava/awt/geom/Arc2D;: I374 Branch 13 IFNE L224 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.getBounds();
      Point2D.Float point2D_Float0 = new Point2D.Float(12.081808F, (float) 0);
      Line2D.Double line2D_Double0 = new Line2D.Double((Point2D) point2D_Float0, (Point2D) point2D_Float0);
      Arc arc0 = new Arc(false, (float) 0, (float) 0, 0.0F, false, false, 12.081808F, (float) 0);
      Arc arc1 = new Arc(false, 12.081808F, 12.081808F, 12.081808F, false, false, 12.081808F, 12.081808F);
      assertEquals(12.081808F, arc1.ry, 0.01F);
      
      GeneralPath generalPath0 = new GeneralPath((Shape) line2D_Double0);
      arc0.arcTo(generalPath0, 12.081808F, 12.081808F, 12.081808F, false, false, 12.081808F, 12.081808F, (float) 0, (float) 0);
      assertEquals(0.0F, arc0.xAxisRot, 0.01F);
      assertEquals(12.081808F, arc0.x, 0.01F);
  }
}
