/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.A;
import com.kitfox.svg.Circle;
import com.kitfox.svg.SVGElement;
import com.kitfox.svg.SVGElementException;
import com.kitfox.svg.SVGException;
import com.kitfox.svg.SVGLoaderHelper;
import com.kitfox.svg.SVGRoot;
import com.kitfox.svg.Stop;
import com.kitfox.svg.Symbol;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.Path2D;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.util.LinkedList;
import org.junit.BeforeClass;

public class GroupEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.loaderAddChild(Lcom/kitfox/svg/SVGLoaderHelper;Lcom/kitfox/svg/SVGElement;)V: root-Branch
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      Circle circle0 = new Circle();
      // Undeclared exception!
      try {
        sVGRoot0.loaderAddChild((SVGLoaderHelper) null, (SVGElement) circle0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I14 Branch 2 IFNULL L104 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I45 Branch 3 IFEQ L117 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      Rectangle2D.Float rectangle2D_Float0 = sVGRoot0.clipRect;
      Point2D.Double point2D_Double0 = new Point2D.Double((double) 0.0F, (double) 0.0F);
      Circle circle0 = new Circle();
      LinkedList<?> linkedList0 = circle0.contexts;
      sVGRoot0.pick(point2D_Double0, false, linkedList0);
      assertEquals(0, sVGRoot0.getNumChildren());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I14 Branch 2 IFNULL L104 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      AffineTransform affineTransform0 = new AffineTransform((-1158.2355837129478), (-1158.2355837129478), (-1158.2355837129478), (-1158.2355837129478), (-1158.2355837129478), (-1158.2355837129478));
      sVGRoot0.xform = affineTransform0;
      Point2D.Double point2D_Double0 = new Point2D.Double((-1158.2355837129478), (-1158.2355837129478));
      Circle circle0 = new Circle();
      LinkedList<?> linkedList0 = circle0.contexts;
      try {
        sVGRoot0.pick(point2D_Double0, true, linkedList0);
        fail("Expecting exception: SVGException");
      
      } catch(SVGException e) {
         //
         // java.awt.geom.NoninvertibleTransformException: Determinant is 0.0
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I4 Branch 5 IFNULL L131 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I27 Branch 6 IFEQ L138 - true
   */

  @Test
  public void test3()  throws Throwable  {
      A a0 = new A();
      Rectangle2D rectangle2D0 = a0.boundingBox;
      Stop stop0 = new Stop();
      LinkedList<?> linkedList0 = stop0.contexts;
      a0.pick((Rectangle2D) null, (AffineTransform) null, false, linkedList0);
      assertEquals(0, a0.getNumChildren());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.Group.render(Ljava/awt/Graphics2D;)V: I13 Branch 8 IFEQ L154 - true
   */

  @Test
  public void test4()  throws Throwable  {
      A a0 = new A();
      // Undeclared exception!
      try {
        a0.render((Graphics2D) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - true
   * 2 com.kitfox.svg.Group.calcShape()V: I15 Branch 18 IFEQ L217 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Symbol symbol0 = new Symbol();
      symbol0.calcShape();
      // Undeclared exception!
      try {
        symbol0.getShape();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - false
   * 2 com.kitfox.svg.Group.calcShape()V: I15 Branch 18 IFEQ L217 - true
   */

  @Test
  public void test6()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      Path2D.Double path2D_Double0 = (Path2D.Double)sVGRoot0.getShape();
      assertEquals(1, path2D_Double0.getWindingRule());
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - true
   * 2 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - false
   * 3 com.kitfox.svg.Group.calcBoundingBox()V: I13 Branch 22 IFEQ L254 - true
   * 4 com.kitfox.svg.Group.calcBoundingBox()V: I58 Branch 26 IFNONNULL L276 - false
   */

  @Test
  public void test7()  throws Throwable  {
      SVGRoot sVGRoot0 = new SVGRoot();
      sVGRoot0.getBoundingBox();
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)sVGRoot0.getBoundingBox();
      assertEquals(0.0, rectangle2D_Double0.getCenterY(), 0.01D);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.updateTime(D)Z: I16 Branch 27 IFEQ L287 - true
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      SVGRoot sVGRoot0 = new SVGRoot();
      boolean boolean0 = sVGRoot0.updateTime((double) 0.0F);
      assertEquals(false, boolean0);
  }
}
