/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.animation.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.SVGDiagram;
import com.kitfox.svg.SVGLoaderHelper;
import com.kitfox.svg.SVGUniverse;
import com.kitfox.svg.animation.parser.AnimTimeParser;
import com.kitfox.svg.animation.parser.AnimTimeParserTokenManager;
import com.kitfox.svg.animation.parser.ParseException;
import com.kitfox.svg.animation.parser.Token;
import com.kitfox.svg.animation.parser.TokenMgrError;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.CharArrayReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedReader;
import java.io.Reader;
import java.io.StringReader;
import java.net.URI;
import org.evosuite.testcase.CodeUnderTestException;
import org.junit.BeforeClass;

public class AnimTimeParserEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 64 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I28 Branch 1 IF_ICMPNE L40 - false
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 2 TABLESWITCH L40 Case 8 - false
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 3 TABLESWITCH L40 Case 9 - false
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 4 TABLESWITCH L40 Case 10 - false
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 5 TABLESWITCH L40 Case 11 - false
   * 6 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 6 TABLESWITCH L40 Case 12 - false
   * 7 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 7 TABLESWITCH L40 Case 13 - false
   * 8 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 8 TABLESWITCH L40 Case 14 - true
   * 9 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 9 TABLESWITCH L40 Default-Case - false
   * 10 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I198 Branch 20 IFEQ L85 - false
   * 11 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I220 Branch 21 IFEQ L91 - true
   * 12 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I230 Branch 22 IFEQ L94 - false
   * 13 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I246 Branch 23 IFEQ L99 - true
   * 14 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I200 Branch 37 IFEQ L149 - false
   * 15 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I222 Branch 38 IFEQ L155 - true
   * 16 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I232 Branch 39 IFEQ L158 - false
   * 17 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I248 Branch 40 IFEQ L163 - true
   * 18 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I22 Branch 41 IF_ICMPNE L176 - true
   * 19 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 42 TABLESWITCH L176 Case 8 - false
   * 20 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 43 TABLESWITCH L176 Case 9 - false
   * 21 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 44 TABLESWITCH L176 Case 10 - false
   * 22 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 45 TABLESWITCH L176 Case 11 - false
   * 23 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 46 TABLESWITCH L176 Case 12 - false
   * 24 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 47 TABLESWITCH L176 Case 13 - false
   * 25 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 48 TABLESWITCH L176 Case 14 - true
   * 26 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 49 TABLESWITCH L176 Default-Case - false
   * 27 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I193 Branch 54 IFEQ L209 - false
   * 28 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I215 Branch 55 IFEQ L215 - true
   * 29 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I225 Branch 56 IFEQ L218 - false
   * 30 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I241 Branch 57 IFEQ L223 - true
   * 31 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I117 Branch 90 IFEQ L377 - false
   * 32 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I139 Branch 91 IFEQ L383 - true
   * 33 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I149 Branch 92 IFEQ L386 - false
   * 34 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I165 Branch 93 IFEQ L391 - true
   * 35 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I8 Branch 144 IFNULL L674 - true
   * 36 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I8 Branch 144 IFNULL L674 - false
   * 37 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I37 Branch 145 IF_ICMPNE L677 - true
   * 38 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I37 Branch 145 IF_ICMPNE L677 - false
   * 39 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I56 Branch 146 IF_ICMPLE L679 - true
   * 40 com.kitfox.svg.animation.parser.AnimTimeParser.jj_ntk()I: I8 Branch 163 IFNONNULL L737 - false
   * 41 com.kitfox.svg.animation.parser.AnimTimeParser.jj_add_error_token(II)V: I4 Branch 164 IF_ICMPLT L750 - true
   * 42 com.kitfox.svg.animation.parser.AnimTimeParser.jj_add_error_token(II)V: I13 Branch 165 IF_ICMPNE L751 - true
   * 43 com.kitfox.svg.animation.parser.AnimTimeParser.jj_add_error_token(II)V: I32 Branch 166 IFEQ L753 - true
   * 44 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I17 Branch 175 IF_ICMPGE L780 - true
   * 45 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I17 Branch 175 IF_ICMPGE L780 - false
   * 46 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I32 Branch 176 IFLT L783 - false
   * 47 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I52 Branch 177 IF_ICMPGE L787 - true
   * 48 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I52 Branch 177 IF_ICMPGE L787 - false
   * 49 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I61 Branch 178 IF_ICMPNE L788 - true
   * 50 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I101 Branch 181 IF_ICMPGE L796 - true
   * 51 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I101 Branch 181 IF_ICMPGE L796 - false
   * 52 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I107 Branch 182 IFEQ L797 - true
   * 53 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I107 Branch 182 IFEQ L797 - false
   * 54 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I163 Branch 183 IF_ICMPGE L807 - true
   * 55 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I163 Branch 183 IF_ICMPGE L807 - false
   * 56 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I12 Branch 184 IF_ICMPGE L821 - true
   * 57 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I12 Branch 184 IF_ICMPGE L821 - false
   * 58 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I26 Branch 185 IF_ICMPLE L824 - true
   * 59 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I57 Branch 188 IFNONNULL L831 - false
   * 60 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I107 Branch 136 IF_ICMPGE L638 - true
   * 61 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I107 Branch 136 IF_ICMPGE L638 - false
   * 62 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I124 Branch 137 IF_ICMPGE L639 - true
   * 63 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I124 Branch 137 IF_ICMPGE L639 - false
   * 64 com.kitfox.svg.animation.parser.AnimTimeParser$JJCalls.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      StringReader stringReader0 = new StringReader("f)terUnit");
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) stringReader0);
      assertEquals(-1, stringReader0.read());
      
      try {
        animTimeParser0.Expr();
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // Encountered \")\" at line 1, column 2.
         // Was expecting:
         //     \".\" ...
         //     
         //
      }
      
      assertEquals(false, animTimeParser0.lookingAhead);
  }

  //Test case number: 1
  /*
   * 24 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 8 TABLESWITCH L40 Case 14 - false
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 9 TABLESWITCH L40 Default-Case - true
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I64 Branch 10 IFEQ L56 - true
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I88 Branch 11 IF_ICMPNE L65 - true
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I96 Branch 12 LOOKUPSWITCH L65 Case 15 - false
   * 6 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I96 Branch 13 LOOKUPSWITCH L65 Default-Case - true
   * 7 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I129 Branch 14 LOOKUPSWITCH L75 Case 0 - true
   * 8 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I129 Branch 15 LOOKUPSWITCH L75 Case 1 - false
   * 9 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I129 Branch 16 LOOKUPSWITCH L75 Default-Case - false
   * 10 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I139 Branch 17 IFEQ L99 - true
   * 11 com.kitfox.svg.animation.parser.AnimTimeParser.jj_2_1(I)Z: I16 Branch 111 IFNE L493 - true
   * 12 com.kitfox.svg.animation.parser.AnimTimeParser.jj_3_1()Z: I5 Branch 113 IFEQ L504 - false
   * 13 com.kitfox.svg.animation.parser.AnimTimeParser.jj_scan_token(I)Z: I6 Branch 150 IF_ACMPNE L699 - false
   * 14 com.kitfox.svg.animation.parser.AnimTimeParser.jj_scan_token(I)Z: I20 Branch 151 IFNONNULL L701 - true
   * 15 com.kitfox.svg.animation.parser.AnimTimeParser.jj_scan_token(I)Z: I58 Branch 152 IFEQ L709 - true
   * 16 com.kitfox.svg.animation.parser.AnimTimeParser.jj_scan_token(I)Z: I94 Branch 156 IF_ICMPEQ L714 - false
   * 17 com.kitfox.svg.animation.parser.AnimTimeParser.jj_save(II)V: I13 Branch 189 IF_ICMPLE L838 - true
   * 18 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I28 Branch 1 IF_ICMPNE L40 - false
   * 19 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 2 TABLESWITCH L40 Case 8 - false
   * 20 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 3 TABLESWITCH L40 Case 9 - false
   * 21 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 4 TABLESWITCH L40 Case 10 - false
   * 22 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 5 TABLESWITCH L40 Case 11 - false
   * 23 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 6 TABLESWITCH L40 Case 12 - false
   * 24 com.kitfox.svg.animation.parser.AnimTimeParser.Expr()Lcom/kitfox/svg/animation/TimeBase;: I36 Branch 7 TABLESWITCH L40 Case 13 - false
   */

  @Test
  public void test1()  throws Throwable  {
      StringReader stringReader0 = new StringReader("f)terUnit");
      stringReader0.read();
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) stringReader0);
      animTimeParser0.Expr();
  }

  //Test case number: 2
  /*
   * 11 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.EventTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I22 Branch 60 IF_ICMPNE L254 - false
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.EventTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I30 Branch 61 LOOKUPSWITCH L254 Case 11 - false
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.EventTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I30 Branch 62 LOOKUPSWITCH L254 Case 12 - false
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.EventTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I30 Branch 63 LOOKUPSWITCH L254 Default-Case - true
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.EventTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I106 Branch 65 IFEQ L271 - false
   * 6 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I32 Branch 176 IFLT L783 - true
   * 7 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I61 Branch 178 IF_ICMPNE L788 - false
   * 8 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I69 Branch 179 IF_ICMPGE L789 - true
   * 9 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I69 Branch 179 IF_ICMPGE L789 - false
   * 10 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I79 Branch 180 IFEQ L790 - true
   * 11 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I79 Branch 180 IFEQ L790 - false
   */

  @Test
  public void test2()  throws Throwable  {
      PipedReader pipedReader0 = new PipedReader();
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) pipedReader0);
      try {
        animTimeParser0.EventTime();
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // Encountered \"<EOF>\" at line 0, column 0.
         // Was expecting one of:
         //     \"mouseover\" ...
         //     \"whenNotActive\" ...
         //     
         //
      }
  }

  //Test case number: 3
  /*
   * 12 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I149 Branch 92 IFEQ L386 - true
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I117 Branch 90 IFEQ L377 - false
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I139 Branch 91 IFEQ L383 - true
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.LookupTime()Lcom/kitfox/svg/animation/TimeLookup;: I165 Branch 93 IFEQ L391 - true
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 42 TABLESWITCH L176 Case 8 - false
   * 6 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 48 TABLESWITCH L176 Case 14 - true
   * 7 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I193 Branch 54 IFEQ L209 - false
   * 8 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I215 Branch 55 IFEQ L215 - true
   * 9 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I225 Branch 56 IFEQ L218 - true
   * 10 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I241 Branch 57 IFEQ L223 - true
   * 11 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I8 Branch 144 IFNULL L674 - true
   * 12 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I22 Branch 41 IF_ICMPNE L176 - false
   */

  @Test
  public void test3()  throws Throwable  {
      char[] charArray0 = new char[10];
      charArray0[0] = 'k';
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0);
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) charArrayReader0);
      // Undeclared exception!
      try {
        animTimeParser0.Term();
        fail("Expecting exception: TokenMgrError");
      
      } catch(TokenMgrError e) {
         //
         // Lexical error at line 1, column 2.  Encountered: \"\" (0), after : \"\"
         //
      }
  }

  //Test case number: 4
  /*
   * 31 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I22 Branch 99 IF_ICMPNE L438 - false
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I30 Branch 100 LOOKUPSWITCH L438 Case 8 - false
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I30 Branch 102 LOOKUPSWITCH L438 Default-Case - true
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I178 Branch 107 IFEQ L463 - false
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I17 Branch 175 IF_ICMPGE L780 - true
   * 6 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I17 Branch 175 IF_ICMPGE L780 - false
   * 7 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I32 Branch 176 IFLT L783 - true
   * 8 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I52 Branch 177 IF_ICMPGE L787 - true
   * 9 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I52 Branch 177 IF_ICMPGE L787 - false
   * 10 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I61 Branch 178 IF_ICMPNE L788 - true
   * 11 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I61 Branch 178 IF_ICMPNE L788 - false
   * 12 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I69 Branch 179 IF_ICMPGE L789 - true
   * 13 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I69 Branch 179 IF_ICMPGE L789 - false
   * 14 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I79 Branch 180 IFEQ L790 - true
   * 15 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I79 Branch 180 IFEQ L790 - false
   * 16 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I101 Branch 181 IF_ICMPGE L796 - true
   * 17 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I101 Branch 181 IF_ICMPGE L796 - false
   * 18 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I107 Branch 182 IFEQ L797 - true
   * 19 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I107 Branch 182 IFEQ L797 - false
   * 20 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I163 Branch 183 IF_ICMPGE L807 - true
   * 21 com.kitfox.svg.animation.parser.AnimTimeParser.generateParseException()Lcom/kitfox/svg/animation/parser/ParseException;: I163 Branch 183 IF_ICMPGE L807 - false
   * 22 com.kitfox.svg.animation.parser.AnimTimeParser.jj_ntk()I: I8 Branch 163 IFNONNULL L737 - false
   * 23 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I12 Branch 184 IF_ICMPGE L821 - true
   * 24 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I12 Branch 184 IF_ICMPGE L821 - false
   * 25 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I26 Branch 185 IF_ICMPLE L824 - true
   * 26 com.kitfox.svg.animation.parser.AnimTimeParser.jj_rescan_token()V: I57 Branch 188 IFNONNULL L831 - false
   * 27 com.kitfox.svg.animation.parser.AnimTimeParser.jj_add_error_token(II)V: I4 Branch 164 IF_ICMPLT L750 - true
   * 28 com.kitfox.svg.animation.parser.AnimTimeParser.jj_add_error_token(II)V: I13 Branch 165 IF_ICMPNE L751 - true
   * 29 com.kitfox.svg.animation.parser.AnimTimeParser.jj_add_error_token(II)V: I32 Branch 166 IFEQ L753 - true
   * 30 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I37 Branch 145 IF_ICMPNE L677 - true
   * 31 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I30 Branch 101 LOOKUPSWITCH L438 Case 9 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVGUniverse sVGUniverse0 = new SVGUniverse();
      SVGDiagram sVGDiagram0 = new SVGDiagram((URI) null, sVGUniverse0);
      SVGLoaderHelper sVGLoaderHelper0 = new SVGLoaderHelper((URI) null, sVGUniverse0, sVGDiagram0);
      AnimTimeParser animTimeParser0 = sVGLoaderHelper0.animTimeParser;
      try {
        animTimeParser0.Number();
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // Encountered \"<EOF>\" at line 0, column 0.
         // Was expecting one of:
         //     <INTEGER> ...
         //     <FLOAT> ...
         //     
         //
      }
  }

  //Test case number: 5
  /*
   * 8 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/InputStream;)V: I44 Branch 134 IF_ICMPGE L628 - true
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/InputStream;)V: I44 Branch 134 IF_ICMPGE L628 - false
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/InputStream;)V: I61 Branch 135 IF_ICMPGE L629 - true
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/InputStream;)V: I61 Branch 135 IF_ICMPGE L629 - false
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/InputStream;)V: I107 Branch 132 IF_ICMPGE L617 - true
   * 6 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/InputStream;)V: I107 Branch 132 IF_ICMPGE L617 - false
   * 7 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/InputStream;)V: I124 Branch 133 IF_ICMPGE L618 - true
   * 8 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/InputStream;)V: I124 Branch 133 IF_ICMPGE L618 - false
   */

  @Test
  public void test5()  throws Throwable  {
      byte[] byteArray0 = new byte[3];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte)0);
      AnimTimeParser animTimeParser0 = new AnimTimeParser((InputStream) byteArrayInputStream0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) byteArrayInputStream0);
      animTimeParser0.ReInit((InputStream) bufferedInputStream0);
      assertEquals(-1, bufferedInputStream0.read());
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/Reader;)V: I44 Branch 138 IF_ICMPGE L649 - true
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/Reader;)V: I44 Branch 138 IF_ICMPGE L649 - false
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/Reader;)V: I61 Branch 139 IF_ICMPGE L650 - true
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Ljava/io/Reader;)V: I61 Branch 139 IF_ICMPGE L650 - false
   */

  @Test
  public void test6()  throws Throwable  {
      SVGUniverse sVGUniverse0 = new SVGUniverse();
      SVGDiagram sVGDiagram0 = new SVGDiagram((URI) null, sVGUniverse0);
      SVGLoaderHelper sVGLoaderHelper0 = new SVGLoaderHelper((URI) null, sVGUniverse0, sVGDiagram0);
      AnimTimeParser animTimeParser0 = sVGLoaderHelper0.animTimeParser;
      PipedReader pipedReader0 = new PipedReader(414);
      animTimeParser0.ReInit((Reader) pipedReader0);
      assertEquals(false, pipedReader0.markSupported());
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Lcom/kitfox/svg/animation/parser/AnimTimeParserTokenManager;)V: I34 Branch 142 IF_ICMPGE L668 - true
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Lcom/kitfox/svg/animation/parser/AnimTimeParserTokenManager;)V: I34 Branch 142 IF_ICMPGE L668 - false
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Lcom/kitfox/svg/animation/parser/AnimTimeParserTokenManager;)V: I51 Branch 143 IF_ICMPGE L669 - true
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.ReInit(Lcom/kitfox/svg/animation/parser/AnimTimeParserTokenManager;)V: I51 Branch 143 IF_ICMPGE L669 - false
   */

  @Test
  public void test7()  throws Throwable  {
      PipedReader pipedReader0 = new PipedReader();
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) pipedReader0);
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I25 Branch 162 IFNULL L730 - false
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I4 Branch 160 IFEQ L728 - true
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I20 Branch 161 IF_ICMPGE L729 - true
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I20 Branch 161 IF_ICMPGE L729 - false
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I25 Branch 162 IFNULL L730 - true
   */

  @Test
  public void test8()  throws Throwable  {
      StringReader stringReader0 = new StringReader("3");
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) stringReader0);
      Token token0 = animTimeParser0.getToken(1456);
      assertNotNull(token0);
      
      Token token1 = animTimeParser0.getToken(1456);
      assertSame(token1, token0);
  }

  //Test case number: 9
  /*
   * 39 covered goals:
   * 1 com.kitfox.svg.animation.parser.AnimTimeParser.jj_ntk()I: I8 Branch 163 IFNONNULL L737 - true
   * 2 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I107 Branch 136 IF_ICMPGE L638 - true
   * 3 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I107 Branch 136 IF_ICMPGE L638 - false
   * 4 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I124 Branch 137 IF_ICMPGE L639 - true
   * 5 com.kitfox.svg.animation.parser.AnimTimeParser.<init>(Ljava/io/Reader;)V: I124 Branch 137 IF_ICMPGE L639 - false
   * 6 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I22 Branch 99 IF_ICMPNE L438 - true
   * 7 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I30 Branch 100 LOOKUPSWITCH L438 Case 8 - true
   * 8 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I30 Branch 101 LOOKUPSWITCH L438 Case 9 - false
   * 9 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I30 Branch 102 LOOKUPSWITCH L438 Default-Case - false
   * 10 com.kitfox.svg.animation.parser.AnimTimeParser.Number()D: I118 Branch 105 IFEQ L463 - true
   * 11 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I33 Branch 24 IF_ICMPNE L115 - true
   * 12 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I41 Branch 25 LOOKUPSWITCH L115 Case 16 - false
   * 13 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I41 Branch 26 LOOKUPSWITCH L115 Case 17 - false
   * 14 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I41 Branch 27 LOOKUPSWITCH L115 Default-Case - true
   * 15 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I124 Branch 32 IFNONNULL L138 - false
   * 16 com.kitfox.svg.animation.parser.AnimTimeParser.Sum()Lcom/kitfox/svg/animation/TimeBase;: I130 Branch 33 IFEQ L163 - true
   * 17 com.kitfox.svg.animation.parser.AnimTimeParser.LiteralTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I33 Branch 66 IF_ICMPNE L287 - false
   * 18 com.kitfox.svg.animation.parser.AnimTimeParser.LiteralTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I41 Branch 67 LOOKUPSWITCH L287 Case 13 - false
   * 19 com.kitfox.svg.animation.parser.AnimTimeParser.LiteralTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I41 Branch 68 LOOKUPSWITCH L287 Case 18 - false
   * 20 com.kitfox.svg.animation.parser.AnimTimeParser.LiteralTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I41 Branch 69 LOOKUPSWITCH L287 Default-Case - true
   * 21 com.kitfox.svg.animation.parser.AnimTimeParser.LiteralTime()Lcom/kitfox/svg/animation/TimeDiscrete;: I221 Branch 81 IFEQ L348 - true
   * 22 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I22 Branch 41 IF_ICMPNE L176 - false
   * 23 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 42 TABLESWITCH L176 Case 8 - true
   * 24 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 43 TABLESWITCH L176 Case 9 - false
   * 25 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 44 TABLESWITCH L176 Case 10 - false
   * 26 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 45 TABLESWITCH L176 Case 11 - false
   * 27 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 46 TABLESWITCH L176 Case 12 - false
   * 28 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 47 TABLESWITCH L176 Case 13 - false
   * 29 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 48 TABLESWITCH L176 Case 14 - false
   * 30 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I30 Branch 49 TABLESWITCH L176 Default-Case - false
   * 31 com.kitfox.svg.animation.parser.AnimTimeParser.Term()Lcom/kitfox/svg/animation/TimeBase;: I88 Branch 51 IFEQ L223 - true
   * 32 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I8 Branch 144 IFNULL L674 - false
   * 33 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I37 Branch 145 IF_ICMPNE L677 - false
   * 34 com.kitfox.svg.animation.parser.AnimTimeParser.jj_consume_token(I)Lcom/kitfox/svg/animation/parser/Token;: I56 Branch 146 IF_ICMPLE L679 - true
   * 35 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I4 Branch 160 IFEQ L728 - true
   * 36 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I20 Branch 161 IF_ICMPGE L729 - true
   * 37 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I20 Branch 161 IF_ICMPGE L729 - false
   * 38 com.kitfox.svg.animation.parser.AnimTimeParser.getToken(I)Lcom/kitfox/svg/animation/parser/Token;: I25 Branch 162 IFNULL L730 - true
   * 39 com.kitfox.svg.animation.parser.AnimTimeParser$JJCalls.<init>()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      StringReader stringReader0 = new StringReader("3");
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) stringReader0);
      animTimeParser0.getToken(1456);
      animTimeParser0.Sum();
  }
}
