/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.xml;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.app.data.Handler;
import com.kitfox.svg.xml.NumberWithUnits;
import com.kitfox.svg.xml.ReadableXMLElement;
import com.kitfox.svg.xml.XMLParseUtil;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLStreamHandler;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import javax.imageio.metadata.IIOMetadataNode;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class XMLParseUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;)Ljava/util/HashMap;: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;Ljava/util/HashMap;)Ljava/util/HashMap;: I31 Branch 76 IF_ICMPGE L799 - true
   */

  @Test
  public void test0()  throws Throwable  {
      HashMap<?, ?> hashMap0 = XMLParseUtil.parseStyle(";");
      assertEquals(0, hashMap0.size());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribInt(Lorg/w3c/dom/Element;Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("ql");
      int int0 = XMLParseUtil.getAttribInt((Element) iIOMetadataNode0, "ql");
      assertEquals(0, int0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribBoolean(Lorg/w3c/dom/Element;Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      boolean boolean0 = XMLParseUtil.getAttribBoolean((Element) iIOMetadataNode0, "");
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseDouble(Ljava/lang/String;)D: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - false
   * 5 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I20 Branch 34 IF_ICMPNE L381 - true
   */

  @Test
  public void test3()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("n`F<pLVyC1aHy?HR");
      assertEquals(1.0, double0, 0.01D);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribDouble(Lorg/w3c/dom/Element;Ljava/lang/String;)D: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("t/6>^7Qf#Irw Xs");
      double double0 = XMLParseUtil.getAttribDouble((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribIntHex(Lorg/w3c/dom/Element;Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      // Undeclared exception!
      try {
        XMLParseUtil.getAttribIntHex((Element) null, "%");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.isDouble(Ljava/lang/String;)Z: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - true
   */

  @Test
  public void test6()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      // Undeclared exception!
      try {
        XMLParseUtil.isDouble((String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloat(Ljava/lang/String;)F: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - false
   */

  @Test
  public void test7()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      float float0 = XMLParseUtil.parseFloat((String) null);
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribFloat(Lorg/w3c/dom/Element;Ljava/lang/String;)F: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getLocalName();
      float float0 = XMLParseUtil.getAttribFloat((Element) iIOMetadataNode0, (String) null);
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I45 Branch 4 IFNONNULL L66 - false
   */

  @Test
  public void test9()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.removeChild((Node) iIOMetadataNode0);
      String string0 = XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      assertNull(string0);
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I28 Branch 6 IFNE L82 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - true
   */

  @Test
  public void test10()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      iIOMetadataNode0.insertBefore((Node) iIOMetadataNode0, (Node) iIOMetadataNode0);
      Element element0 = XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, (String) null);
      assertNull(element0);
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I28 Branch 6 IFNE L82 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I41 Branch 7 IFLE L84 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getAttribString(Lorg/w3c/dom/Element;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("t/6>^7Qf#Irw Xs");
      XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      IIOMetadataNode iIOMetadataNode1 = (IIOMetadataNode)XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "");
      assertNull(iIOMetadataNode1);
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I41 Branch 7 IFLE L84 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I28 Branch 6 IFNE L82 - true
   */

  @Test
  public void test12()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("t/6>^7Qf#Irw Xs");
      String string0 = XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs");
      assertNotNull(string0);
      
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      IIOMetadataNode iIOMetadataNode2 = (IIOMetadataNode)XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "");
      assertEquals(0, iIOMetadataNode2.getLength());
      assertNotNull(iIOMetadataNode2);
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStringList(Ljava/lang/String;)[Ljava/lang/String;: I23 Branch 8 IFEQ L97 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseStringList(Ljava/lang/String;)[Ljava/lang/String;: I23 Branch 8 IFEQ L97 - false
   */

  @Test
  public void test13()  throws Throwable  {
      String[] stringArray0 = XMLParseUtil.parseStringList("G`r}r/is`{6");
      assertNotNull(stringArray0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - false
   */

  @Test
  public void test14()  throws Throwable  {
      double double0 = XMLParseUtil.findDouble((String) null);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I20 Branch 34 IF_ICMPNE L381 - true
   */

  @Test
  public void test15()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("H]WLhb/eu'(u");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I3 Branch 17 IFNONNULL L201 - false
   */

  @Test
  public void test16()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getLocalName();
      double[] doubleArray0 = XMLParseUtil.parseDoubleList((String) null);
      assertNull(doubleArray0);
  }

  //Test case number: 17
  /*
   * 5 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I22 Branch 18 IFEQ L206 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I58 Branch 19 IFEQ L215 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I3 Branch 17 IFNONNULL L201 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I22 Branch 18 IFEQ L206 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I58 Branch 19 IFEQ L215 - true
   */

  @Test
  public void test17()  throws Throwable  {
      double[] doubleArray0 = XMLParseUtil.parseDoubleList("08Q%RzDS1");
      assertNotNull(doubleArray0);
      assertArrayEquals(new double[] {8.0, 1.0}, doubleArray0);
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I16 Branch 21 IFNE L247 - false
   */

  @Test
  public void test18()  throws Throwable  {
      float float0 = XMLParseUtil.findFloat("");
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 19
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I16 Branch 21 IFNE L247 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I45 Branch 22 IFLE L257 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseNumberWithUnits(Ljava/lang/String;)Lcom/kitfox/svg/xml/NumberWithUnits;: I3 Branch 35 IFNONNULL L390 - true
   */

  @Test
  public void test19()  throws Throwable  {
      NumberWithUnits numberWithUnits0 = XMLParseUtil.parseNumberWithUnits("G`r}r/is`{6");
      assertNotNull(numberWithUnits0);
      assertEquals("6.0", numberWithUnits0.toString());
  }

  //Test case number: 20
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I45 Branch 22 IFLE L257 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseFloat(Ljava/lang/String;)F: root-Branch
   * 3 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I16 Branch 21 IFNE L247 - true
   */

  @Test
  public void test20()  throws Throwable  {
      float float0 = XMLParseUtil.parseFloat("}G <QOgmB%BNUH2%");
      assertEquals(0.02F, float0, 0.01F);
  }

  //Test case number: 21
  /*
   * 5 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I3 Branch 23 IFNONNULL L266 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I22 Branch 24 IFEQ L271 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I22 Branch 24 IFEQ L271 - false
   * 4 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I58 Branch 25 IFEQ L280 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I58 Branch 25 IFEQ L280 - false
   */

  @Test
  public void test21()  throws Throwable  {
      float[] floatArray0 = XMLParseUtil.parseFloatList("G`r}r/is`{6");
      assertArrayEquals(new float[] {6.0F}, floatArray0);
      assertNotNull(floatArray0);
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I3 Branch 23 IFNONNULL L266 - false
   */

  @Test
  public void test22()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getLocalName();
      float[] floatArray0 = XMLParseUtil.parseFloatList((String) null);
      assertNull(floatArray0);
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseInt(Ljava/lang/String;)I: I3 Branch 26 IFNONNULL L290 - true
   */

  @Test
  public void test23()  throws Throwable  {
      int int0 = XMLParseUtil.parseInt("G`r}r/is`{6");
      assertEquals(0, int0);
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseInt(Ljava/lang/String;)I: I3 Branch 26 IFNONNULL L290 - false
   */

  @Test
  public void test24()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      int int0 = XMLParseUtil.parseInt((String) null);
      assertEquals(0, int0);
  }

  //Test case number: 25
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I3 Branch 27 IFNONNULL L306 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I16 Branch 28 IFNE L309 - false
   */

  @Test
  public void test25()  throws Throwable  {
      int int0 = XMLParseUtil.findInt("");
      assertEquals(0, int0);
  }

  //Test case number: 26
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I3 Branch 27 IFNONNULL L306 - false
   */

  @Test
  public void test26()  throws Throwable  {
      int int0 = XMLParseUtil.findInt((String) null);
      assertEquals(0, int0);
  }

  //Test case number: 27
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I3 Branch 29 IFNONNULL L324 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I22 Branch 30 IFEQ L329 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I57 Branch 31 IFEQ L338 - true
   */

  @Test
  public void test27()  throws Throwable  {
      int[] intArray0 = XMLParseUtil.parseIntList("");
      assertArrayEquals(new int[] {}, intArray0);
  }

  //Test case number: 28
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I3 Branch 29 IFNONNULL L324 - false
   */

  @Test
  public void test28()  throws Throwable  {
      int[] intArray0 = XMLParseUtil.parseIntList((String) null);
      assertNull(intArray0);
  }

  //Test case number: 29
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - true
   */

  @Test
  public void test29()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      double double0 = XMLParseUtil.parseRatio((String) null);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 30
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - false
   */

  @Test
  public void test30()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      String string0 = XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "");
      assertNotNull(string0);
      
      double double0 = XMLParseUtil.parseRatio("");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 31
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I20 Branch 34 IF_ICMPNE L381 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseDouble(Ljava/lang/String;)D: root-Branch
   * 3 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - false
   * 5 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - false
   * 6 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - true
   */

  @Test
  public void test31()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("%");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 32
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseNumberWithUnits(Ljava/lang/String;)Lcom/kitfox/svg/xml/NumberWithUnits;: I3 Branch 35 IFNONNULL L390 - false
   */

  @Test
  public void test32()  throws Throwable  {
      NumberWithUnits numberWithUnits0 = XMLParseUtil.parseNumberWithUnits((String) null);
      assertNull(numberWithUnits0);
  }

  //Test case number: 33
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I3 Branch 36 IFNONNULL L521 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I9 Branch 37 IFNONNULL L524 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I20 Branch 38 IFNE L524 - false
   */

  @Test
  public void test33()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Class<Integer> class0 = Integer.class;
      ReadableXMLElement readableXMLElement0 = XMLParseUtil.getElement((Class) class0, (Element) iIOMetadataNode0, "", (URL) null);
      assertNull(readableXMLElement0);
  }

  //Test case number: 34
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I3 Branch 36 IFNONNULL L521 - false
   */

  @Test
  public void test34()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "Oo ");
      Handler handler0 = new Handler();
      URL uRL0 = new URL("Oo ", "Oo ", (-1), "Oo ", (URLStreamHandler) handler0);
      Class<IIOMetadataNode> class0 = IIOMetadataNode.class;
      ReadableXMLElement readableXMLElement0 = XMLParseUtil.getElement((Class) class0, (Element) null, "Oo ", uRL0);
      assertNull(readableXMLElement0);
  }

  //Test case number: 35
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I3 Branch 43 IFNONNULL L559 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I9 Branch 44 IFNONNULL L562 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I20 Branch 45 IFNE L562 - false
   */

  @Test
  public void test35()  throws Throwable  {
      Class<String> class0 = String.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      HashMap<?, ?> hashMap0 = XMLParseUtil.getElementHashMap((Class) class0, (Element) iIOMetadataNode0, (String) null, (String) null, (URL) null);
      assertNull(hashMap0);
  }

  //Test case number: 36
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I3 Branch 43 IFNONNULL L559 - false
   */

  @Test
  public void test36()  throws Throwable  {
      Class<Float> class0 = Float.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "cntetype");
      Handler handler0 = new Handler();
      URL uRL0 = new URL("cntetype", "cntetype", 669, "cntetype", (URLStreamHandler) handler0);
      HashMap<?, ?> hashMap0 = XMLParseUtil.getElementHashMap((Class) class0, (Element) null, "cntetype", "cntetype", uRL0);
      assertNull(hashMap0);
  }

  //Test case number: 37
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I3 Branch 50 IFNONNULL L607 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I9 Branch 51 IFNONNULL L610 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I20 Branch 52 IFNE L610 - false
   */

  @Test
  public void test37()  throws Throwable  {
      Class<String> class0 = String.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      HashSet<?> hashSet0 = XMLParseUtil.getElementHashSet((Class) class0, (Element) iIOMetadataNode0, "n`F<pLVyC1aHy?HR", (URL) null);
      assertNull(hashSet0);
  }

  //Test case number: 38
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I3 Branch 50 IFNONNULL L607 - false
   */

  @Test
  public void test38()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "Oo ");
      Handler handler0 = new Handler();
      URL uRL0 = new URL("Oo ", "Oo ", (-1), "Oo ", (URLStreamHandler) handler0);
      Class<Double> class0 = Double.class;
      HashSet<?> hashSet0 = XMLParseUtil.getElementHashSet((Class) class0, (Element) null, "Oo ", uRL0);
      assertNull(hashSet0);
  }

  //Test case number: 39
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I3 Branch 57 IFNONNULL L655 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I9 Branch 58 IFNONNULL L658 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I20 Branch 59 IFNE L658 - false
   * 4 com.kitfox.svg.xml.XMLParseUtil.getAttribURL(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/net/URL;: root-Branch
   */

  @Test
  public void test39()  throws Throwable  {
      Class<String> class0 = String.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getAttribURL((Element) iIOMetadataNode0, "n`F<pLVyC1aHy?HR", (URL) null);
      LinkedList<?> linkedList0 = XMLParseUtil.getElementLinkedList((Class) class0, (Element) iIOMetadataNode0, "n`F<pLVyC1aHy?HR", (URL) null);
      assertNull(linkedList0);
  }

  //Test case number: 40
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I3 Branch 57 IFNONNULL L655 - false
   */

  @Test
  public void test40()  throws Throwable  {
      Class<Object> class0 = Object.class;
      Handler handler0 = new Handler();
      URL uRL0 = new URL("pg7I6_#=e2\bAxDqc", "pg7I6_#=e2\bAxDqc", 0, "pg7I6_#=e2\bAxDqc", (URLStreamHandler) handler0);
      LinkedList<?> linkedList0 = XMLParseUtil.getElementLinkedList((Class) class0, (Element) null, "pg7I6_#=e2\bAxDqc", uRL0);
      assertNull(linkedList0);
  }

  //Test case number: 41
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I3 Branch 63 IFNONNULL L686 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I9 Branch 64 IFNONNULL L689 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I20 Branch 65 IFNE L689 - false
   */

  @Test
  public void test41()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Class<Integer> class0 = Integer.class;
      Object[] objectArray0 = XMLParseUtil.getElementArray((Class) class0, (Element) iIOMetadataNode0, "", (URL) null);
      assertNull(objectArray0);
  }

  //Test case number: 42
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I3 Branch 63 IFNONNULL L686 - false
   */

  @Test
  public void test42()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "Oo ");
      Class<String> class0 = String.class;
      Handler handler0 = new Handler();
      URL uRL0 = new URL("Oo ", "Oo ", (-1), "Oo ", (URLStreamHandler) handler0);
      Object[] objectArray0 = XMLParseUtil.getElementArray((Class) class0, (Element) null, "Oo ", uRL0);
      assertNull(objectArray0);
  }

  //Test case number: 43
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - true
   */

  @Test
  public void test43()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getLocalName();
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "VW=KwPS97Y@=Y[\";|");
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) null, "VW=KwPS97Y@=Y[\";|", (String) null);
      assertNull(intArray0);
  }

  //Test case number: 44
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - false
   * 4 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I33 Branch 2 IFEQ L64 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - true
   */

  @Test
  public void test44()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.insertBefore((Node) iIOMetadataNode0, (Node) iIOMetadataNode0);
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) iIOMetadataNode0, "n`F<pLVyC1aHy?HR", (String) null);
      assertArrayEquals(new int[] {}, intArray0);
  }

  //Test case number: 45
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I53 Branch 69 IFGT L718 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - false
   */

  @Test
  public void test45()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("t/6>^7Qf#Irw Xs");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs", "t/6>^7Qf#Irw Xs");
      assertNotNull(intArray0);
      assertArrayEquals(new int[] {0}, intArray0);
  }

  //Test case number: 46
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I53 Branch 69 IFGT L718 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - false
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - true
   */

  @Test
  public void test46()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("t/6>^7Qf#Irw Xs");
      String string0 = XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs");
      assertNotNull(string0);
      
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs", "t/6>^7Qf#Irw Xs");
      assertArrayEquals(new int[] {}, intArray0);
      assertNotNull(intArray0);
  }

  //Test case number: 47
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - false
   */

  @Test
  public void test47()  throws Throwable  {
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) null, "%", "%");
      assertNull(stringArray0);
  }

  //Test case number: 48
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I40 Branch 73 IFNE L755 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - true
   */

  @Test
  public void test48()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      iIOMetadataNode0.insertBefore((Node) iIOMetadataNode0, (Node) iIOMetadataNode0);
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) iIOMetadataNode0, (String) null, (String) null);
      assertNotNull(stringArray0);
  }

  //Test case number: 49
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I40 Branch 73 IFNE L755 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I53 Branch 74 IFGT L757 - false
   */

  @Test
  public void test49()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("t/6>^7Qf#Irw Xs");
      XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) iIOMetadataNode0, "", "");
      assertNotNull(stringArray0);
  }

  //Test case number: 50
  /*
   * 8 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I53 Branch 74 IFGT L757 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getAttribString(Lorg/w3c/dom/Element;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - false
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I40 Branch 73 IFNE L755 - true
   * 8 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - true
   */

  @Test
  public void test50()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("t/6>^7Qf#Irw Xs");
      XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "t/6>^7Qf#Irw Xs");
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) iIOMetadataNode0, "", "");
      assertNotNull(stringArray0);
  }

  //Test case number: 51
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;Ljava/util/HashMap;)Ljava/util/HashMap;: I31 Branch 76 IF_ICMPGE L799 - false
   */

  @Test
  public void test51()  throws Throwable  {
      HashMap<Integer, Integer> hashMap0 = new HashMap<Integer, Integer>();
      // Undeclared exception!
      try {
        XMLParseUtil.parseStyle("at", (HashMap) hashMap0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // No match found
         //
      }
  }
}
