/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.animation.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.animation.parser.ASTExpr;
import com.kitfox.svg.animation.parser.ASTIndefiniteTime;
import com.kitfox.svg.animation.parser.ASTInteger;
import com.kitfox.svg.animation.parser.ASTLiteralTime;
import com.kitfox.svg.animation.parser.ASTLookupTime;
import com.kitfox.svg.animation.parser.ASTNumber;
import com.kitfox.svg.animation.parser.ASTParamList;
import com.kitfox.svg.animation.parser.AnimTimeParser;
import com.kitfox.svg.animation.parser.Node;
import com.kitfox.svg.animation.parser.SimpleNode;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PipedInputStream;
import java.io.Reader;
import org.junit.BeforeClass;

public class SimpleNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtClose()V: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ASTIndefiniteTime aSTIndefiniteTime0 = new ASTIndefiniteTime(0);
      aSTIndefiniteTime0.jjtClose();
      assertEquals("Expr", aSTIndefiniteTime0.toString());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetChild(I)Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(1);
      int int0 = aSTInteger0.jjtGetNumChildren();
      assertEquals(0, int0);
      
      ASTIndefiniteTime aSTIndefiniteTime0 = new ASTIndefiniteTime(1);
      // Undeclared exception!
      try {
        aSTIndefiniteTime0.jjtGetChild(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtSetParent(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ASTLiteralTime aSTLiteralTime0 = new ASTLiteralTime(0);
      aSTLiteralTime0.jjtSetParent((Node) aSTLiteralTime0);
      assertEquals("Expr", aSTLiteralTime0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtOpen()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ASTIndefiniteTime aSTIndefiniteTime0 = new ASTIndefiniteTime((-1696));
      aSTIndefiniteTime0.jjtOpen();
      assertEquals(0, aSTIndefiniteTime0.jjtGetNumChildren());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetParent()Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(0);
      aSTInteger0.jjtGetParent();
      assertEquals("Expr", aSTInteger0.toString());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 3 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - true
   * 4 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - false
   * 5 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ASTIndefiniteTime aSTIndefiniteTime0 = new ASTIndefiniteTime(0);
      int int0 = aSTIndefiniteTime0.jjtGetNumChildren();
      assertEquals(0, int0);
      
      ASTParamList aSTParamList0 = new ASTParamList((AnimTimeParser) null, (-1696));
      aSTIndefiniteTime0.jjtAddChild((Node) aSTIndefiniteTime0, 0);
      aSTIndefiniteTime0.jjtAddChild((Node) aSTParamList0, 0);
      assertEquals(1, aSTIndefiniteTime0.jjtGetNumChildren());
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(1);
      PipedInputStream pipedInputStream0 = new PipedInputStream(1);
      InputStreamReader inputStreamReader0 = new InputStreamReader((InputStream) pipedInputStream0);
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime(5);
      aSTInteger0.jjtAddChild((Node) aSTLookupTime0, 1);
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) inputStreamReader0);
      ASTExpr aSTExpr0 = new ASTExpr(animTimeParser0, 1);
      aSTInteger0.jjtAddChild((Node) aSTExpr0, 5);
      assertEquals(6, aSTInteger0.jjtGetNumChildren());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(1);
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime(1);
      aSTInteger0.jjtAddChild((Node) aSTLookupTime0, 1);
      int int0 = aSTInteger0.jjtGetNumChildren();
      assertEquals(2, aSTInteger0.jjtGetNumChildren());
      assertEquals(2, int0);
  }

  //Test case number: 8
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - true
   * 3 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   * 4 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - false
   * 5 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - true
   * 6 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 7 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ASTLiteralTime aSTLiteralTime0 = new ASTLiteralTime(0);
      ASTNumber aSTNumber0 = new ASTNumber(0);
      aSTNumber0.toString();
      aSTNumber0.jjtAddChild((Node) aSTLiteralTime0, 0);
      aSTNumber0.dump("Expr");
      assertEquals(1, aSTNumber0.jjtGetNumChildren());
      assertEquals("Expr", aSTNumber0.toString());
  }

  //Test case number: 9
  /*
   * 8 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 4 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 5 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 6 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 7 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - true
   * 8 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   */

  @Test
  public void test9()  throws Throwable  {
      SimpleNode simpleNode0 = new SimpleNode(0);
      simpleNode0.jjtAddChild((Node) null, 0);
      simpleNode0.dump(".l52/UB\"c/<qbRs.;");
      assertEquals(1, simpleNode0.jjtGetNumChildren());
  }
}
