package com.kitfox;

import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.File;
import java.net.MalformedURLException;
import java.net.URI;
import com.kitfox.svg.SVGDiagram;
import com.kitfox.svg.SVGException;
import com.kitfox.svg.SVGUniverse;

public class Driver {

	public static void main(String args[]) throws MalformedURLException, SVGException {
		if (args.length < 1) {
			System.out.println("Usage: <path-to-xml>+");
			return;
		}
		// int i = 0;
		for (final String arg : args) {
			// System.out.println("" + ++i + "/" + args.length);
			File file = new File(arg);
			SVGUniverse univ = new SVGUniverse();
			URI uri = univ.loadSVG(file.toURI().toURL(), true);
			SVGDiagram diagram = univ.getDiagram(uri);
			BufferedImage image = new BufferedImage(1920, 1080, BufferedImage.TYPE_INT_ARGB);
			Graphics2D g2d = (Graphics2D) image.getGraphics();
			g2d.setClip(0, 0, 1920, 1080);
			diagram.render(g2d);
		}
	}

}
