/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.IllegalDataException;
import nu.xom.IllegalNameException;
import nu.xom.MalformedURIException;
import nu.xom.Verifier;
import org.junit.BeforeClass;

public class VerifierEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 nu.xom.Verifier$URICache.contains(Ljava/lang/String;)Z: I5 Branch 1 IF_ICMPGE L-1 - true
   * 2 nu.xom.Verifier$URICache.contains(Ljava/lang/String;)Z: I5 Branch 1 IF_ICMPGE L-1 - false
   * 3 nu.xom.Verifier$URICache.contains(Ljava/lang/String;)Z: I11 Branch 2 IF_ACMPNE L-1 - true
   * 4 nu.xom.Verifier.throwMalformedURIException(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 5 nu.xom.Verifier.checkAbsoluteURIReference(Ljava/lang/String;)V: I3 Branch 330 IFEQ L-1 - true
   * 6 nu.xom.Verifier.checkAbsoluteURIReference(Ljava/lang/String;)V: I14 Branch 331 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkAbsoluteURIReference("%60");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Missing scheme in absolute URI reference
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.Verifier$URICache.contains(Ljava/lang/String;)Z: I11 Branch 2 IF_ACMPNE L-1 - false
   * 2 nu.xom.Verifier.checkAbsoluteURIReference(Ljava/lang/String;)V: I3 Branch 330 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Verifier.checkAbsoluteURIReference("h:5");
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 nu.xom.Verifier.throwIllegalNameException(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I1 Branch 268 IFNONNULL L-1 - true
   * 3 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I10 Branch 269 IFNE L-1 - true
   * 4 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I24 Branch 270 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkXMLName("$/!7S");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // XML names cannot start with the character 24
         //
      }
  }

  //Test case number: 3
  /*
   * 221 covered goals:
   * 1 nu.xom.Verifier.checkFragment(Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I11 Branch 126 IF_ICMPGE L-1 - true
   * 3 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I11 Branch 126 IF_ICMPGE L-1 - false
   * 4 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I18 Branch 127 IF_ICMPNE L-1 - true
   * 5 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I38 Branch 130 IF_ICMPNE L-1 - true
   * 6 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I71 Branch 133 IFNE L-1 - true
   * 7 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I1 Branch 20 IFNULL L-1 - false
   * 8 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I4 Branch 21 IFNE L-1 - true
   * 9 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I16 Branch 22 IFNULL L-1 - true
   * 10 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I23 Branch 23 IFNULL L-1 - true
   * 11 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I33 Branch 24 IFNULL L-1 - false
   * 12 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I40 Branch 25 IFNULL L-1 - false
   * 13 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 31 TABLESWITCH L-1 Case 33 - false
   * 14 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 32 TABLESWITCH L-1 Case 34 - false
   * 15 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 33 TABLESWITCH L-1 Case 35 - false
   * 16 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 34 TABLESWITCH L-1 Case 36 - false
   * 17 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 35 TABLESWITCH L-1 Case 37 - false
   * 18 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 36 TABLESWITCH L-1 Case 38 - false
   * 19 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 37 TABLESWITCH L-1 Case 39 - false
   * 20 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 38 TABLESWITCH L-1 Case 40 - false
   * 21 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 39 TABLESWITCH L-1 Case 41 - false
   * 22 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 40 TABLESWITCH L-1 Case 42 - false
   * 23 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 41 TABLESWITCH L-1 Case 43 - false
   * 24 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 42 TABLESWITCH L-1 Case 44 - false
   * 25 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 43 TABLESWITCH L-1 Case 45 - false
   * 26 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 44 TABLESWITCH L-1 Case 46 - false
   * 27 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 45 TABLESWITCH L-1 Case 47 - false
   * 28 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 46 TABLESWITCH L-1 Case 48 - false
   * 29 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 47 TABLESWITCH L-1 Case 49 - false
   * 30 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 48 TABLESWITCH L-1 Case 50 - false
   * 31 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 49 TABLESWITCH L-1 Case 51 - false
   * 32 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 50 TABLESWITCH L-1 Case 52 - false
   * 33 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 51 TABLESWITCH L-1 Case 53 - true
   * 34 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 51 TABLESWITCH L-1 Case 53 - false
   * 35 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 52 TABLESWITCH L-1 Case 54 - false
   * 36 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 53 TABLESWITCH L-1 Case 55 - false
   * 37 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 54 TABLESWITCH L-1 Case 56 - false
   * 38 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 55 TABLESWITCH L-1 Case 57 - true
   * 39 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 55 TABLESWITCH L-1 Case 57 - false
   * 40 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 56 TABLESWITCH L-1 Case 58 - false
   * 41 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 57 TABLESWITCH L-1 Case 59 - false
   * 42 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 58 TABLESWITCH L-1 Case 60 - false
   * 43 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 59 TABLESWITCH L-1 Case 61 - false
   * 44 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 60 TABLESWITCH L-1 Case 62 - false
   * 45 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 61 TABLESWITCH L-1 Case 63 - false
   * 46 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 62 TABLESWITCH L-1 Case 64 - true
   * 47 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 62 TABLESWITCH L-1 Case 64 - false
   * 48 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 63 TABLESWITCH L-1 Case 65 - false
   * 49 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 64 TABLESWITCH L-1 Case 66 - false
   * 50 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 65 TABLESWITCH L-1 Case 67 - false
   * 51 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 66 TABLESWITCH L-1 Case 68 - false
   * 52 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 67 TABLESWITCH L-1 Case 69 - false
   * 53 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 68 TABLESWITCH L-1 Case 70 - false
   * 54 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 69 TABLESWITCH L-1 Case 71 - false
   * 55 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 70 TABLESWITCH L-1 Case 72 - false
   * 56 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 71 TABLESWITCH L-1 Case 73 - false
   * 57 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 72 TABLESWITCH L-1 Case 74 - false
   * 58 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 73 TABLESWITCH L-1 Case 75 - true
   * 59 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 73 TABLESWITCH L-1 Case 75 - false
   * 60 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 74 TABLESWITCH L-1 Case 76 - true
   * 61 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 74 TABLESWITCH L-1 Case 76 - false
   * 62 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 75 TABLESWITCH L-1 Case 77 - false
   * 63 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 76 TABLESWITCH L-1 Case 78 - false
   * 64 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 77 TABLESWITCH L-1 Case 79 - false
   * 65 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 78 TABLESWITCH L-1 Case 80 - false
   * 66 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 79 TABLESWITCH L-1 Case 81 - false
   * 67 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 80 TABLESWITCH L-1 Case 82 - true
   * 68 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 80 TABLESWITCH L-1 Case 82 - false
   * 69 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 81 TABLESWITCH L-1 Case 83 - false
   * 70 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 82 TABLESWITCH L-1 Case 84 - false
   * 71 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 83 TABLESWITCH L-1 Case 85 - false
   * 72 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 84 TABLESWITCH L-1 Case 86 - false
   * 73 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 85 TABLESWITCH L-1 Case 87 - false
   * 74 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 86 TABLESWITCH L-1 Case 88 - false
   * 75 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 87 TABLESWITCH L-1 Case 89 - false
   * 76 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 88 TABLESWITCH L-1 Case 90 - false
   * 77 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 89 TABLESWITCH L-1 Case 91 - false
   * 78 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 90 TABLESWITCH L-1 Case 92 - false
   * 79 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 91 TABLESWITCH L-1 Case 93 - false
   * 80 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 92 TABLESWITCH L-1 Case 94 - false
   * 81 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 93 TABLESWITCH L-1 Case 95 - false
   * 82 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 94 TABLESWITCH L-1 Case 96 - false
   * 83 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 95 TABLESWITCH L-1 Case 97 - false
   * 84 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 96 TABLESWITCH L-1 Case 98 - false
   * 85 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 97 TABLESWITCH L-1 Case 99 - false
   * 86 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 98 TABLESWITCH L-1 Case 100 - false
   * 87 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 99 TABLESWITCH L-1 Case 101 - false
   * 88 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 100 TABLESWITCH L-1 Case 102 - false
   * 89 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 101 TABLESWITCH L-1 Case 103 - true
   * 90 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 101 TABLESWITCH L-1 Case 103 - false
   * 91 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 102 TABLESWITCH L-1 Case 104 - false
   * 92 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 103 TABLESWITCH L-1 Case 105 - true
   * 93 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 103 TABLESWITCH L-1 Case 105 - false
   * 94 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 104 TABLESWITCH L-1 Case 106 - false
   * 95 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 105 TABLESWITCH L-1 Case 107 - false
   * 96 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 106 TABLESWITCH L-1 Case 108 - false
   * 97 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 107 TABLESWITCH L-1 Case 109 - false
   * 98 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 108 TABLESWITCH L-1 Case 110 - false
   * 99 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 109 TABLESWITCH L-1 Case 111 - false
   * 100 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 110 TABLESWITCH L-1 Case 112 - false
   * 101 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 111 TABLESWITCH L-1 Case 113 - false
   * 102 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 112 TABLESWITCH L-1 Case 114 - false
   * 103 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 113 TABLESWITCH L-1 Case 115 - true
   * 104 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 113 TABLESWITCH L-1 Case 115 - false
   * 105 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 114 TABLESWITCH L-1 Case 116 - false
   * 106 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 115 TABLESWITCH L-1 Case 117 - true
   * 107 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 115 TABLESWITCH L-1 Case 117 - false
   * 108 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 116 TABLESWITCH L-1 Case 118 - false
   * 109 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 117 TABLESWITCH L-1 Case 119 - false
   * 110 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 118 TABLESWITCH L-1 Case 120 - false
   * 111 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 119 TABLESWITCH L-1 Case 121 - false
   * 112 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 120 TABLESWITCH L-1 Case 122 - false
   * 113 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 121 TABLESWITCH L-1 Case 123 - false
   * 114 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 122 TABLESWITCH L-1 Case 124 - true
   * 115 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 122 TABLESWITCH L-1 Case 124 - false
   * 116 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 123 TABLESWITCH L-1 Case 125 - false
   * 117 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 124 TABLESWITCH L-1 Case 126 - false
   * 118 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 125 TABLESWITCH L-1 Default-Case - false
   * 119 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 475 TABLESWITCH L-1 Case 33 - false
   * 120 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 476 TABLESWITCH L-1 Case 34 - false
   * 121 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 477 TABLESWITCH L-1 Case 35 - false
   * 122 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 478 TABLESWITCH L-1 Case 36 - false
   * 123 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 479 TABLESWITCH L-1 Case 37 - false
   * 124 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 480 TABLESWITCH L-1 Case 38 - false
   * 125 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 481 TABLESWITCH L-1 Case 39 - false
   * 126 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 482 TABLESWITCH L-1 Case 40 - false
   * 127 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 483 TABLESWITCH L-1 Case 41 - false
   * 128 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 484 TABLESWITCH L-1 Case 42 - false
   * 129 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 485 TABLESWITCH L-1 Case 43 - false
   * 130 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 486 TABLESWITCH L-1 Case 44 - false
   * 131 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 487 TABLESWITCH L-1 Case 45 - false
   * 132 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 488 TABLESWITCH L-1 Case 46 - false
   * 133 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 489 TABLESWITCH L-1 Case 47 - false
   * 134 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 490 TABLESWITCH L-1 Case 48 - false
   * 135 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 491 TABLESWITCH L-1 Case 49 - false
   * 136 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 492 TABLESWITCH L-1 Case 50 - false
   * 137 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 493 TABLESWITCH L-1 Case 51 - false
   * 138 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 494 TABLESWITCH L-1 Case 52 - false
   * 139 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 495 TABLESWITCH L-1 Case 53 - false
   * 140 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 496 TABLESWITCH L-1 Case 54 - false
   * 141 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 497 TABLESWITCH L-1 Case 55 - false
   * 142 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 498 TABLESWITCH L-1 Case 56 - false
   * 143 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 499 TABLESWITCH L-1 Case 57 - false
   * 144 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 500 TABLESWITCH L-1 Case 58 - false
   * 145 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 501 TABLESWITCH L-1 Case 59 - false
   * 146 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 502 TABLESWITCH L-1 Case 60 - false
   * 147 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 503 TABLESWITCH L-1 Case 61 - false
   * 148 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 504 TABLESWITCH L-1 Case 62 - false
   * 149 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 505 TABLESWITCH L-1 Case 63 - false
   * 150 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 506 TABLESWITCH L-1 Case 64 - false
   * 151 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 507 TABLESWITCH L-1 Case 65 - false
   * 152 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 508 TABLESWITCH L-1 Case 66 - false
   * 153 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 509 TABLESWITCH L-1 Case 67 - false
   * 154 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 510 TABLESWITCH L-1 Case 68 - false
   * 155 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 511 TABLESWITCH L-1 Case 69 - false
   * 156 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 512 TABLESWITCH L-1 Case 70 - false
   * 157 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 513 TABLESWITCH L-1 Case 71 - false
   * 158 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 514 TABLESWITCH L-1 Case 72 - false
   * 159 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 515 TABLESWITCH L-1 Case 73 - false
   * 160 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 516 TABLESWITCH L-1 Case 74 - false
   * 161 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 517 TABLESWITCH L-1 Case 75 - false
   * 162 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 518 TABLESWITCH L-1 Case 76 - false
   * 163 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 519 TABLESWITCH L-1 Case 77 - false
   * 164 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 520 TABLESWITCH L-1 Case 78 - false
   * 165 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 521 TABLESWITCH L-1 Case 79 - false
   * 166 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 522 TABLESWITCH L-1 Case 80 - false
   * 167 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 523 TABLESWITCH L-1 Case 81 - false
   * 168 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 524 TABLESWITCH L-1 Case 82 - false
   * 169 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 525 TABLESWITCH L-1 Case 83 - false
   * 170 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 526 TABLESWITCH L-1 Case 84 - false
   * 171 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 527 TABLESWITCH L-1 Case 85 - false
   * 172 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 528 TABLESWITCH L-1 Case 86 - false
   * 173 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 529 TABLESWITCH L-1 Case 87 - false
   * 174 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 530 TABLESWITCH L-1 Case 88 - false
   * 175 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 531 TABLESWITCH L-1 Case 89 - false
   * 176 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 532 TABLESWITCH L-1 Case 90 - false
   * 177 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 533 TABLESWITCH L-1 Case 91 - false
   * 178 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 534 TABLESWITCH L-1 Case 92 - false
   * 179 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 535 TABLESWITCH L-1 Case 93 - false
   * 180 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 536 TABLESWITCH L-1 Case 94 - false
   * 181 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 537 TABLESWITCH L-1 Case 95 - false
   * 182 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 538 TABLESWITCH L-1 Case 96 - false
   * 183 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 539 TABLESWITCH L-1 Case 97 - false
   * 184 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 540 TABLESWITCH L-1 Case 98 - true
   * 185 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 540 TABLESWITCH L-1 Case 98 - false
   * 186 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 541 TABLESWITCH L-1 Case 99 - false
   * 187 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 542 TABLESWITCH L-1 Case 100 - false
   * 188 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 543 TABLESWITCH L-1 Case 101 - false
   * 189 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 544 TABLESWITCH L-1 Case 102 - true
   * 190 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 544 TABLESWITCH L-1 Case 102 - false
   * 191 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 545 TABLESWITCH L-1 Case 103 - false
   * 192 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 546 TABLESWITCH L-1 Case 104 - false
   * 193 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 547 TABLESWITCH L-1 Case 105 - false
   * 194 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 548 TABLESWITCH L-1 Case 106 - false
   * 195 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 549 TABLESWITCH L-1 Case 107 - false
   * 196 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 550 TABLESWITCH L-1 Case 108 - false
   * 197 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 551 TABLESWITCH L-1 Case 109 - false
   * 198 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 552 TABLESWITCH L-1 Case 110 - true
   * 199 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 552 TABLESWITCH L-1 Case 110 - false
   * 200 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 553 TABLESWITCH L-1 Case 111 - false
   * 201 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 554 TABLESWITCH L-1 Case 112 - false
   * 202 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 555 TABLESWITCH L-1 Case 113 - false
   * 203 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 556 TABLESWITCH L-1 Case 114 - false
   * 204 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 557 TABLESWITCH L-1 Case 115 - false
   * 205 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 558 TABLESWITCH L-1 Case 116 - false
   * 206 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 559 TABLESWITCH L-1 Case 117 - false
   * 207 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 560 TABLESWITCH L-1 Case 118 - false
   * 208 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 561 TABLESWITCH L-1 Case 119 - false
   * 209 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 562 TABLESWITCH L-1 Case 120 - false
   * 210 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 563 TABLESWITCH L-1 Case 121 - false
   * 211 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 564 TABLESWITCH L-1 Case 122 - false
   * 212 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 565 TABLESWITCH L-1 Case 123 - false
   * 213 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 566 TABLESWITCH L-1 Case 124 - false
   * 214 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 567 TABLESWITCH L-1 Case 125 - false
   * 215 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 568 TABLESWITCH L-1 Case 126 - false
   * 216 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 569 TABLESWITCH L-1 Default-Case - false
   * 217 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I8 Branch 26 IF_ICMPGE L-1 - true
   * 218 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I8 Branch 26 IF_ICMPGE L-1 - false
   * 219 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I15 Branch 27 IF_ICMPNE L-1 - true
   * 220 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I48 Branch 30 IFNE L-1 - true
   * 221 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I48 Branch 30 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("nbf?gs9LiR|~X#uK@5");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal query character |
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isXMLSpaceCharacter(C)Z: I2 Branch 273 IF_ICMPLE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      boolean boolean0 = Verifier.isXMLSpaceCharacter('D');
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 9 covered goals:
   * 1 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I18 Branch 127 IF_ICMPNE L-1 - false
   * 2 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I23 Branch 128 IF_ICMPGE L-1 - false
   * 3 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I30 Branch 129 IF_ICMPNE L-1 - true
   * 4 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I33 Branch 24 IFNULL L-1 - true
   * 5 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I40 Branch 25 IFNULL L-1 - true
   * 6 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 475 TABLESWITCH L-1 Case 33 - true
   * 7 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 478 TABLESWITCH L-1 Case 36 - true
   * 8 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 497 TABLESWITCH L-1 Case 55 - true
   * 9 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 525 TABLESWITCH L-1 Case 83 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Verifier.checkURIReference("$/!7S");
  }

  //Test case number: 6
  /*
   * 122 covered goals:
   * 1 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I23 Branch 128 IF_ICMPGE L-1 - true
   * 2 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I16 Branch 22 IFNULL L-1 - false
   * 3 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I23 Branch 23 IFNULL L-1 - false
   * 4 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I4 Branch 140 IFNE L-1 - true
   * 5 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I14 Branch 141 IF_ICMPNE L-1 - true
   * 6 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I39 Branch 143 IF_ICMPLE L-1 - true
   * 7 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I58 Branch 144 IF_ICMPGE L-1 - true
   * 8 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I58 Branch 144 IF_ICMPGE L-1 - false
   * 9 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I65 Branch 145 IF_ICMPNE L-1 - true
   * 10 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I98 Branch 148 IFNE L-1 - true
   * 11 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I12 Branch 134 IF_ICMPEQ L-1 - true
   * 12 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I29 Branch 135 IFLE L-1 - true
   * 13 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I50 Branch 137 IF_ICMPEQ L-1 - true
   * 14 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I68 Branch 138 IFNULL L-1 - true
   * 15 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I73 Branch 139 IFNULL L-1 - true
   * 16 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I3 Branch 252 IFLE L-1 - false
   * 17 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 149 TABLESWITCH L-1 Case 33 - false
   * 18 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 150 TABLESWITCH L-1 Case 34 - false
   * 19 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 151 TABLESWITCH L-1 Case 35 - false
   * 20 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 152 TABLESWITCH L-1 Case 36 - false
   * 21 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 153 TABLESWITCH L-1 Case 37 - false
   * 22 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 154 TABLESWITCH L-1 Case 38 - false
   * 23 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 155 TABLESWITCH L-1 Case 39 - false
   * 24 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 156 TABLESWITCH L-1 Case 40 - false
   * 25 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 157 TABLESWITCH L-1 Case 41 - false
   * 26 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 158 TABLESWITCH L-1 Case 42 - false
   * 27 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 159 TABLESWITCH L-1 Case 43 - false
   * 28 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 160 TABLESWITCH L-1 Case 44 - false
   * 29 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 161 TABLESWITCH L-1 Case 45 - false
   * 30 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 162 TABLESWITCH L-1 Case 46 - true
   * 31 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 162 TABLESWITCH L-1 Case 46 - false
   * 32 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 163 TABLESWITCH L-1 Case 47 - false
   * 33 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 164 TABLESWITCH L-1 Case 48 - false
   * 34 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 165 TABLESWITCH L-1 Case 49 - false
   * 35 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 166 TABLESWITCH L-1 Case 50 - false
   * 36 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 167 TABLESWITCH L-1 Case 51 - false
   * 37 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 168 TABLESWITCH L-1 Case 52 - false
   * 38 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 169 TABLESWITCH L-1 Case 53 - false
   * 39 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 170 TABLESWITCH L-1 Case 54 - false
   * 40 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 171 TABLESWITCH L-1 Case 55 - false
   * 41 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 172 TABLESWITCH L-1 Case 56 - false
   * 42 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 173 TABLESWITCH L-1 Case 57 - false
   * 43 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 174 TABLESWITCH L-1 Case 58 - false
   * 44 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 175 TABLESWITCH L-1 Case 59 - false
   * 45 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 176 TABLESWITCH L-1 Case 60 - false
   * 46 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 177 TABLESWITCH L-1 Case 61 - false
   * 47 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 178 TABLESWITCH L-1 Case 62 - false
   * 48 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 179 TABLESWITCH L-1 Case 63 - false
   * 49 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 180 TABLESWITCH L-1 Case 64 - false
   * 50 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 181 TABLESWITCH L-1 Case 65 - false
   * 51 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 182 TABLESWITCH L-1 Case 66 - false
   * 52 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 183 TABLESWITCH L-1 Case 67 - false
   * 53 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 184 TABLESWITCH L-1 Case 68 - false
   * 54 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 185 TABLESWITCH L-1 Case 69 - false
   * 55 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 186 TABLESWITCH L-1 Case 70 - false
   * 56 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 187 TABLESWITCH L-1 Case 71 - false
   * 57 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 188 TABLESWITCH L-1 Case 72 - false
   * 58 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 189 TABLESWITCH L-1 Case 73 - false
   * 59 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 190 TABLESWITCH L-1 Case 74 - false
   * 60 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 191 TABLESWITCH L-1 Case 75 - false
   * 61 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 192 TABLESWITCH L-1 Case 76 - false
   * 62 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 193 TABLESWITCH L-1 Case 77 - false
   * 63 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 194 TABLESWITCH L-1 Case 78 - false
   * 64 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 195 TABLESWITCH L-1 Case 79 - false
   * 65 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 196 TABLESWITCH L-1 Case 80 - false
   * 66 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 197 TABLESWITCH L-1 Case 81 - false
   * 67 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 198 TABLESWITCH L-1 Case 82 - false
   * 68 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 199 TABLESWITCH L-1 Case 83 - false
   * 69 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 200 TABLESWITCH L-1 Case 84 - false
   * 70 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 201 TABLESWITCH L-1 Case 85 - false
   * 71 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 202 TABLESWITCH L-1 Case 86 - false
   * 72 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 203 TABLESWITCH L-1 Case 87 - false
   * 73 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 204 TABLESWITCH L-1 Case 88 - false
   * 74 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 205 TABLESWITCH L-1 Case 89 - false
   * 75 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 206 TABLESWITCH L-1 Case 90 - false
   * 76 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 207 TABLESWITCH L-1 Case 91 - false
   * 77 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 208 TABLESWITCH L-1 Case 92 - false
   * 78 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 209 TABLESWITCH L-1 Case 93 - false
   * 79 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 210 TABLESWITCH L-1 Case 94 - false
   * 80 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 211 TABLESWITCH L-1 Case 95 - false
   * 81 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 212 TABLESWITCH L-1 Case 96 - false
   * 82 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 213 TABLESWITCH L-1 Case 97 - true
   * 83 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 213 TABLESWITCH L-1 Case 97 - false
   * 84 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 214 TABLESWITCH L-1 Case 98 - false
   * 85 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 215 TABLESWITCH L-1 Case 99 - false
   * 86 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 216 TABLESWITCH L-1 Case 100 - false
   * 87 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 217 TABLESWITCH L-1 Case 101 - true
   * 88 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 217 TABLESWITCH L-1 Case 101 - false
   * 89 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 218 TABLESWITCH L-1 Case 102 - false
   * 90 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 219 TABLESWITCH L-1 Case 103 - true
   * 91 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 219 TABLESWITCH L-1 Case 103 - false
   * 92 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 220 TABLESWITCH L-1 Case 104 - false
   * 93 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 221 TABLESWITCH L-1 Case 105 - false
   * 94 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 222 TABLESWITCH L-1 Case 106 - false
   * 95 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 223 TABLESWITCH L-1 Case 107 - false
   * 96 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 224 TABLESWITCH L-1 Case 108 - true
   * 97 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 224 TABLESWITCH L-1 Case 108 - false
   * 98 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 225 TABLESWITCH L-1 Case 109 - true
   * 99 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 225 TABLESWITCH L-1 Case 109 - false
   * 100 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 226 TABLESWITCH L-1 Case 110 - false
   * 101 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 227 TABLESWITCH L-1 Case 111 - true
   * 102 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 227 TABLESWITCH L-1 Case 111 - false
   * 103 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 228 TABLESWITCH L-1 Case 112 - true
   * 104 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 228 TABLESWITCH L-1 Case 112 - false
   * 105 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 229 TABLESWITCH L-1 Case 113 - false
   * 106 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 230 TABLESWITCH L-1 Case 114 - true
   * 107 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 230 TABLESWITCH L-1 Case 114 - false
   * 108 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 231 TABLESWITCH L-1 Case 115 - false
   * 109 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 232 TABLESWITCH L-1 Case 116 - false
   * 110 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 233 TABLESWITCH L-1 Case 117 - false
   * 111 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 234 TABLESWITCH L-1 Case 118 - false
   * 112 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 235 TABLESWITCH L-1 Case 119 - true
   * 113 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 235 TABLESWITCH L-1 Case 119 - false
   * 114 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 236 TABLESWITCH L-1 Case 120 - true
   * 115 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 236 TABLESWITCH L-1 Case 120 - false
   * 116 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 237 TABLESWITCH L-1 Case 121 - false
   * 117 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 238 TABLESWITCH L-1 Case 122 - false
   * 118 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 239 TABLESWITCH L-1 Case 123 - false
   * 119 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 240 TABLESWITCH L-1 Case 124 - false
   * 120 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 241 TABLESWITCH L-1 Case 125 - false
   * 121 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 242 TABLESWITCH L-1 Case 126 - false
   * 122 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 243 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test6()  throws Throwable  {
      Verifier.checkURIReference("http://www.example.org/");
  }

  //Test case number: 7
  /*
   * 61 covered goals:
   * 1 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I38 Branch 130 IF_ICMPNE L-1 - false
   * 2 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I46 Branch 131 IFEQ L-1 - false
   * 3 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I53 Branch 132 IFNE L-1 - true
   * 4 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 274 TABLESWITCH L-1 Case 48 - true
   * 5 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 274 TABLESWITCH L-1 Case 48 - false
   * 6 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 275 TABLESWITCH L-1 Case 49 - false
   * 7 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 276 TABLESWITCH L-1 Case 50 - false
   * 8 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 277 TABLESWITCH L-1 Case 51 - false
   * 9 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 278 TABLESWITCH L-1 Case 52 - false
   * 10 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 279 TABLESWITCH L-1 Case 53 - false
   * 11 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 280 TABLESWITCH L-1 Case 54 - true
   * 12 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 280 TABLESWITCH L-1 Case 54 - false
   * 13 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 281 TABLESWITCH L-1 Case 55 - false
   * 14 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 282 TABLESWITCH L-1 Case 56 - false
   * 15 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 283 TABLESWITCH L-1 Case 57 - false
   * 16 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 284 TABLESWITCH L-1 Case 58 - false
   * 17 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 285 TABLESWITCH L-1 Case 59 - false
   * 18 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 286 TABLESWITCH L-1 Case 60 - false
   * 19 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 287 TABLESWITCH L-1 Case 61 - false
   * 20 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 288 TABLESWITCH L-1 Case 62 - false
   * 21 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 289 TABLESWITCH L-1 Case 63 - false
   * 22 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 290 TABLESWITCH L-1 Case 64 - false
   * 23 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 291 TABLESWITCH L-1 Case 65 - false
   * 24 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 292 TABLESWITCH L-1 Case 66 - false
   * 25 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 293 TABLESWITCH L-1 Case 67 - false
   * 26 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 294 TABLESWITCH L-1 Case 68 - false
   * 27 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 295 TABLESWITCH L-1 Case 69 - false
   * 28 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 296 TABLESWITCH L-1 Case 70 - false
   * 29 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 297 TABLESWITCH L-1 Case 71 - false
   * 30 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 298 TABLESWITCH L-1 Case 72 - false
   * 31 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 299 TABLESWITCH L-1 Case 73 - false
   * 32 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 300 TABLESWITCH L-1 Case 74 - false
   * 33 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 301 TABLESWITCH L-1 Case 75 - false
   * 34 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 302 TABLESWITCH L-1 Case 76 - false
   * 35 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 303 TABLESWITCH L-1 Case 77 - false
   * 36 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 304 TABLESWITCH L-1 Case 78 - false
   * 37 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 305 TABLESWITCH L-1 Case 79 - false
   * 38 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 306 TABLESWITCH L-1 Case 80 - false
   * 39 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 307 TABLESWITCH L-1 Case 81 - false
   * 40 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 308 TABLESWITCH L-1 Case 82 - false
   * 41 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 309 TABLESWITCH L-1 Case 83 - false
   * 42 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 310 TABLESWITCH L-1 Case 84 - false
   * 43 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 311 TABLESWITCH L-1 Case 85 - false
   * 44 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 312 TABLESWITCH L-1 Case 86 - false
   * 45 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 313 TABLESWITCH L-1 Case 87 - false
   * 46 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 314 TABLESWITCH L-1 Case 88 - false
   * 47 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 315 TABLESWITCH L-1 Case 89 - false
   * 48 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 316 TABLESWITCH L-1 Case 90 - false
   * 49 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 317 TABLESWITCH L-1 Case 91 - false
   * 50 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 318 TABLESWITCH L-1 Case 92 - false
   * 51 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 319 TABLESWITCH L-1 Case 93 - false
   * 52 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 320 TABLESWITCH L-1 Case 94 - false
   * 53 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 321 TABLESWITCH L-1 Case 95 - false
   * 54 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 322 TABLESWITCH L-1 Case 96 - false
   * 55 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 323 TABLESWITCH L-1 Case 97 - false
   * 56 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 324 TABLESWITCH L-1 Case 98 - false
   * 57 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 325 TABLESWITCH L-1 Case 99 - false
   * 58 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 326 TABLESWITCH L-1 Case 100 - false
   * 59 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 327 TABLESWITCH L-1 Case 101 - false
   * 60 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 328 TABLESWITCH L-1 Case 102 - false
   * 61 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 329 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test7()  throws Throwable  {
      Verifier.checkURIReference("%60");
  }

  //Test case number: 8
  /*
   * 4 covered goals:
   * 1 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I53 Branch 132 IFNE L-1 - false
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 559 TABLESWITCH L-1 Case 117 - true
   * 3 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 282 TABLESWITCH L-1 Case 56 - true
   * 4 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 288 TABLESWITCH L-1 Case 62 - true
   */

  @Test
  public void test8()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("u%8>1oSL!iL_%0^W\"=");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Bad percent escape sequence
         //
      }
  }

  //Test case number: 9
  /*
   * 4 covered goals:
   * 1 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I71 Branch 133 IFNE L-1 - false
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 494 TABLESWITCH L-1 Case 52 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 503 TABLESWITCH L-1 Case 61 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 567 TABLESWITCH L-1 Case 125 - true
   */

  @Test
  public void test9()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("4=}*EeFG,");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal path character }
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I4 Branch 140 IFNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Verifier.checkURIReference("//");
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 nu.xom.Verifier.checkPCDATA(Ljava/lang/String;)V: I1 Branch 13 IFNONNULL L-1 - true
   * 2 nu.xom.Verifier.checkPCDATA(Ljava/lang/String;)V: I19 Branch 14 IF_ICMPGE L-1 - true
   * 3 nu.xom.Verifier.checkPCDATA(Ljava/lang/String;)V: I19 Branch 14 IF_ICMPGE L-1 - false
   * 4 nu.xom.Verifier.checkPCDATA(Ljava/lang/String;)V: I26 Branch 15 IF_ICMPLT L-1 - true
   * 5 nu.xom.Verifier.checkPCDATA(Ljava/lang/String;)V: I77 Branch 19 IFNE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Verifier.checkPCDATA("%60");
  }

  //Test case number: 12
  /*
   * 106 covered goals:
   * 1 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 66 TABLESWITCH L-1 Case 68 - true
   * 2 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 106 TABLESWITCH L-1 Case 108 - true
   * 3 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 116 TABLESWITCH L-1 Case 118 - true
   * 4 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 125 TABLESWITCH L-1 Default-Case - true
   * 5 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 506 TABLESWITCH L-1 Case 64 - true
   * 6 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 539 TABLESWITCH L-1 Case 97 - true
   * 7 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 548 TABLESWITCH L-1 Case 106 - true
   * 8 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 31 TABLESWITCH L-1 Case 33 - false
   * 9 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 32 TABLESWITCH L-1 Case 34 - false
   * 10 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 33 TABLESWITCH L-1 Case 35 - false
   * 11 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 34 TABLESWITCH L-1 Case 36 - false
   * 12 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 35 TABLESWITCH L-1 Case 37 - false
   * 13 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 36 TABLESWITCH L-1 Case 38 - false
   * 14 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 37 TABLESWITCH L-1 Case 39 - false
   * 15 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 38 TABLESWITCH L-1 Case 40 - false
   * 16 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 39 TABLESWITCH L-1 Case 41 - false
   * 17 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 40 TABLESWITCH L-1 Case 42 - false
   * 18 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 41 TABLESWITCH L-1 Case 43 - false
   * 19 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 42 TABLESWITCH L-1 Case 44 - false
   * 20 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 43 TABLESWITCH L-1 Case 45 - false
   * 21 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 44 TABLESWITCH L-1 Case 46 - false
   * 22 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 45 TABLESWITCH L-1 Case 47 - false
   * 23 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 46 TABLESWITCH L-1 Case 48 - false
   * 24 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 47 TABLESWITCH L-1 Case 49 - false
   * 25 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 48 TABLESWITCH L-1 Case 50 - false
   * 26 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 49 TABLESWITCH L-1 Case 51 - false
   * 27 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 50 TABLESWITCH L-1 Case 52 - false
   * 28 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 51 TABLESWITCH L-1 Case 53 - false
   * 29 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 52 TABLESWITCH L-1 Case 54 - false
   * 30 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 53 TABLESWITCH L-1 Case 55 - false
   * 31 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 54 TABLESWITCH L-1 Case 56 - false
   * 32 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 55 TABLESWITCH L-1 Case 57 - false
   * 33 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 56 TABLESWITCH L-1 Case 58 - false
   * 34 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 57 TABLESWITCH L-1 Case 59 - false
   * 35 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 58 TABLESWITCH L-1 Case 60 - false
   * 36 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 59 TABLESWITCH L-1 Case 61 - false
   * 37 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 60 TABLESWITCH L-1 Case 62 - false
   * 38 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 61 TABLESWITCH L-1 Case 63 - false
   * 39 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 62 TABLESWITCH L-1 Case 64 - false
   * 40 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 63 TABLESWITCH L-1 Case 65 - false
   * 41 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 64 TABLESWITCH L-1 Case 66 - false
   * 42 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 65 TABLESWITCH L-1 Case 67 - false
   * 43 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 66 TABLESWITCH L-1 Case 68 - false
   * 44 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 67 TABLESWITCH L-1 Case 69 - false
   * 45 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 68 TABLESWITCH L-1 Case 70 - false
   * 46 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 69 TABLESWITCH L-1 Case 71 - false
   * 47 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 70 TABLESWITCH L-1 Case 72 - false
   * 48 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 71 TABLESWITCH L-1 Case 73 - false
   * 49 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 72 TABLESWITCH L-1 Case 74 - false
   * 50 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 73 TABLESWITCH L-1 Case 75 - false
   * 51 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 74 TABLESWITCH L-1 Case 76 - false
   * 52 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 75 TABLESWITCH L-1 Case 77 - false
   * 53 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 76 TABLESWITCH L-1 Case 78 - false
   * 54 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 77 TABLESWITCH L-1 Case 79 - false
   * 55 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 78 TABLESWITCH L-1 Case 80 - false
   * 56 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 79 TABLESWITCH L-1 Case 81 - false
   * 57 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 80 TABLESWITCH L-1 Case 82 - false
   * 58 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 81 TABLESWITCH L-1 Case 83 - false
   * 59 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 82 TABLESWITCH L-1 Case 84 - false
   * 60 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 83 TABLESWITCH L-1 Case 85 - false
   * 61 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 84 TABLESWITCH L-1 Case 86 - false
   * 62 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 85 TABLESWITCH L-1 Case 87 - false
   * 63 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 86 TABLESWITCH L-1 Case 88 - false
   * 64 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 87 TABLESWITCH L-1 Case 89 - false
   * 65 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 88 TABLESWITCH L-1 Case 90 - false
   * 66 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 89 TABLESWITCH L-1 Case 91 - false
   * 67 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 90 TABLESWITCH L-1 Case 92 - false
   * 68 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 91 TABLESWITCH L-1 Case 93 - false
   * 69 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 92 TABLESWITCH L-1 Case 94 - false
   * 70 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 93 TABLESWITCH L-1 Case 95 - false
   * 71 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 94 TABLESWITCH L-1 Case 96 - false
   * 72 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 95 TABLESWITCH L-1 Case 97 - false
   * 73 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 96 TABLESWITCH L-1 Case 98 - false
   * 74 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 97 TABLESWITCH L-1 Case 99 - false
   * 75 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 98 TABLESWITCH L-1 Case 100 - false
   * 76 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 99 TABLESWITCH L-1 Case 101 - false
   * 77 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 100 TABLESWITCH L-1 Case 102 - false
   * 78 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 101 TABLESWITCH L-1 Case 103 - false
   * 79 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 102 TABLESWITCH L-1 Case 104 - false
   * 80 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 103 TABLESWITCH L-1 Case 105 - false
   * 81 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 104 TABLESWITCH L-1 Case 106 - false
   * 82 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 105 TABLESWITCH L-1 Case 107 - false
   * 83 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 106 TABLESWITCH L-1 Case 108 - false
   * 84 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 107 TABLESWITCH L-1 Case 109 - false
   * 85 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 108 TABLESWITCH L-1 Case 110 - false
   * 86 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 109 TABLESWITCH L-1 Case 111 - false
   * 87 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 110 TABLESWITCH L-1 Case 112 - false
   * 88 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 111 TABLESWITCH L-1 Case 113 - false
   * 89 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 112 TABLESWITCH L-1 Case 114 - false
   * 90 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 113 TABLESWITCH L-1 Case 115 - false
   * 91 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 114 TABLESWITCH L-1 Case 116 - false
   * 92 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 115 TABLESWITCH L-1 Case 117 - false
   * 93 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 116 TABLESWITCH L-1 Case 118 - false
   * 94 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 117 TABLESWITCH L-1 Case 119 - false
   * 95 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 118 TABLESWITCH L-1 Case 120 - false
   * 96 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 119 TABLESWITCH L-1 Case 121 - false
   * 97 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 120 TABLESWITCH L-1 Case 122 - false
   * 98 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 121 TABLESWITCH L-1 Case 123 - false
   * 99 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 122 TABLESWITCH L-1 Case 124 - false
   * 100 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 123 TABLESWITCH L-1 Case 125 - false
   * 101 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 124 TABLESWITCH L-1 Case 126 - false
   * 102 nu.xom.Verifier.isQueryCharacter(C)Z: I1 Branch 125 TABLESWITCH L-1 Default-Case - false
   * 103 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I8 Branch 26 IF_ICMPGE L-1 - false
   * 104 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I15 Branch 27 IF_ICMPNE L-1 - true
   * 105 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I48 Branch 30 IFNE L-1 - true
   * 106 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I48 Branch 30 IFNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("aj@?lDv ~");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal query character  
         //
      }
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 2 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I10 Branch 8 IFNE L-1 - true
   * 3 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I24 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkNCName("%60");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot start with the character 25
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I10 Branch 8 IFNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkNCName("");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot be empty
         //
      }
  }

  //Test case number: 15
  /*
   * 5 covered goals:
   * 1 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I24 Branch 9 IFNE L-1 - true
   * 2 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I42 Branch 10 IF_ICMPGE L-1 - false
   * 3 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I52 Branch 11 IFNE L-1 - true
   * 4 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I52 Branch 11 IFNE L-1 - false
   * 5 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I55 Branch 12 IF_ICMPNE L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkNCName("http://xml.org/sax/features/namespaces");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot contain colons
         //
      }
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I42 Branch 10 IF_ICMPGE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Verifier.checkNCName("v");
  }

  //Test case number: 17
  /*
   * 7 covered goals:
   * 1 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I55 Branch 12 IF_ICMPNE L-1 - true
   * 2 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 3 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I10 Branch 8 IFNE L-1 - true
   * 4 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I24 Branch 9 IFNE L-1 - true
   * 5 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I42 Branch 10 IF_ICMPGE L-1 - false
   * 6 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I52 Branch 11 IFNE L-1 - true
   * 7 nu.xom.Verifier.checkNCName(Ljava/lang/String;)V: I52 Branch 11 IFNE L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkNCName("Bad Surrogate Pair");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // 0x20 is not a legal NCName character
         //
      }
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I24 Branch 270 IFNE L-1 - true
   * 2 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I42 Branch 271 IF_ICMPGE L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      Verifier.checkXMLName("F");
  }

  //Test case number: 19
  /*
   * 7 covered goals:
   * 1 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I42 Branch 271 IF_ICMPGE L-1 - false
   * 2 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I52 Branch 272 IFNE L-1 - true
   * 3 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I52 Branch 272 IFNE L-1 - false
   * 4 nu.xom.Verifier.throwIllegalNameException(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 5 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I1 Branch 268 IFNONNULL L-1 - true
   * 6 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I10 Branch 269 IFNE L-1 - true
   * 7 nu.xom.Verifier.checkXMLName(Ljava/lang/String;)V: I24 Branch 270 IFNE L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkXMLName("T4PP2+");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // 0x2b is not a legal name character
         //
      }
  }

  //Test case number: 20
  /*
   * 150 covered goals:
   * 1 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I8 Branch 665 IFNONNULL L-1 - true
   * 2 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I3 Branch 252 IFLE L-1 - true
   * 3 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I8 Branch 253 IFNE L-1 - true
   * 4 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I21 Branch 254 IFNE L-1 - true
   * 5 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I43 Branch 255 IF_ICMPLT L-1 - false
   * 6 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I50 Branch 256 IFNE L-1 - true
   * 7 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I50 Branch 256 IFNE L-1 - false
   * 8 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 335 TABLESWITCH L-1 Case 65 - false
   * 9 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 336 TABLESWITCH L-1 Case 66 - true
   * 10 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 337 TABLESWITCH L-1 Case 67 - false
   * 11 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 338 TABLESWITCH L-1 Case 68 - false
   * 12 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 339 TABLESWITCH L-1 Case 69 - false
   * 13 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 340 TABLESWITCH L-1 Case 70 - false
   * 14 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 341 TABLESWITCH L-1 Case 71 - false
   * 15 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 342 TABLESWITCH L-1 Case 72 - false
   * 16 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 343 TABLESWITCH L-1 Case 73 - false
   * 17 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 344 TABLESWITCH L-1 Case 74 - false
   * 18 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 345 TABLESWITCH L-1 Case 75 - false
   * 19 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 346 TABLESWITCH L-1 Case 76 - false
   * 20 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 347 TABLESWITCH L-1 Case 77 - false
   * 21 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 348 TABLESWITCH L-1 Case 78 - false
   * 22 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 349 TABLESWITCH L-1 Case 79 - false
   * 23 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 350 TABLESWITCH L-1 Case 80 - false
   * 24 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 351 TABLESWITCH L-1 Case 81 - false
   * 25 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 352 TABLESWITCH L-1 Case 82 - false
   * 26 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 353 TABLESWITCH L-1 Case 83 - false
   * 27 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 354 TABLESWITCH L-1 Case 84 - false
   * 28 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 355 TABLESWITCH L-1 Case 85 - false
   * 29 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 356 TABLESWITCH L-1 Case 86 - false
   * 30 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 357 TABLESWITCH L-1 Case 87 - false
   * 31 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 358 TABLESWITCH L-1 Case 88 - false
   * 32 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 359 TABLESWITCH L-1 Case 89 - false
   * 33 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 360 TABLESWITCH L-1 Case 90 - false
   * 34 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 361 TABLESWITCH L-1 Case 91 - false
   * 35 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 362 TABLESWITCH L-1 Case 92 - false
   * 36 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 363 TABLESWITCH L-1 Case 93 - false
   * 37 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 364 TABLESWITCH L-1 Case 94 - false
   * 38 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 365 TABLESWITCH L-1 Case 95 - false
   * 39 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 366 TABLESWITCH L-1 Case 96 - false
   * 40 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 367 TABLESWITCH L-1 Case 97 - false
   * 41 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 368 TABLESWITCH L-1 Case 98 - false
   * 42 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 369 TABLESWITCH L-1 Case 99 - false
   * 43 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 370 TABLESWITCH L-1 Case 100 - false
   * 44 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 371 TABLESWITCH L-1 Case 101 - false
   * 45 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 372 TABLESWITCH L-1 Case 102 - false
   * 46 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 373 TABLESWITCH L-1 Case 103 - false
   * 47 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 374 TABLESWITCH L-1 Case 104 - false
   * 48 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 375 TABLESWITCH L-1 Case 105 - false
   * 49 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 376 TABLESWITCH L-1 Case 106 - false
   * 50 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 377 TABLESWITCH L-1 Case 107 - false
   * 51 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 378 TABLESWITCH L-1 Case 108 - false
   * 52 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 379 TABLESWITCH L-1 Case 109 - false
   * 53 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 380 TABLESWITCH L-1 Case 110 - false
   * 54 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 381 TABLESWITCH L-1 Case 111 - false
   * 55 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 382 TABLESWITCH L-1 Case 112 - false
   * 56 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 383 TABLESWITCH L-1 Case 113 - false
   * 57 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 384 TABLESWITCH L-1 Case 114 - false
   * 58 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 385 TABLESWITCH L-1 Case 115 - false
   * 59 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 386 TABLESWITCH L-1 Case 116 - false
   * 60 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 387 TABLESWITCH L-1 Case 117 - false
   * 61 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 388 TABLESWITCH L-1 Case 118 - false
   * 62 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 389 TABLESWITCH L-1 Case 119 - false
   * 63 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 390 TABLESWITCH L-1 Case 120 - false
   * 64 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 391 TABLESWITCH L-1 Case 121 - false
   * 65 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 392 TABLESWITCH L-1 Case 122 - false
   * 66 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 393 TABLESWITCH L-1 Default-Case - false
   * 67 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 394 TABLESWITCH L-1 Case 43 - false
   * 68 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 395 TABLESWITCH L-1 Case 44 - false
   * 69 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 396 TABLESWITCH L-1 Case 45 - false
   * 70 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 397 TABLESWITCH L-1 Case 46 - false
   * 71 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 398 TABLESWITCH L-1 Case 47 - false
   * 72 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 399 TABLESWITCH L-1 Case 48 - false
   * 73 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 400 TABLESWITCH L-1 Case 49 - false
   * 74 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 401 TABLESWITCH L-1 Case 50 - false
   * 75 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 402 TABLESWITCH L-1 Case 51 - false
   * 76 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 403 TABLESWITCH L-1 Case 52 - false
   * 77 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 404 TABLESWITCH L-1 Case 53 - false
   * 78 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 405 TABLESWITCH L-1 Case 54 - false
   * 79 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 406 TABLESWITCH L-1 Case 55 - false
   * 80 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 407 TABLESWITCH L-1 Case 56 - false
   * 81 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 408 TABLESWITCH L-1 Case 57 - false
   * 82 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 409 TABLESWITCH L-1 Case 58 - false
   * 83 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 410 TABLESWITCH L-1 Case 59 - false
   * 84 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 411 TABLESWITCH L-1 Case 60 - false
   * 85 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 412 TABLESWITCH L-1 Case 61 - false
   * 86 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 413 TABLESWITCH L-1 Case 62 - false
   * 87 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 414 TABLESWITCH L-1 Case 63 - false
   * 88 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 415 TABLESWITCH L-1 Case 64 - false
   * 89 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 416 TABLESWITCH L-1 Case 65 - false
   * 90 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 417 TABLESWITCH L-1 Case 66 - false
   * 91 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 418 TABLESWITCH L-1 Case 67 - false
   * 92 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 419 TABLESWITCH L-1 Case 68 - false
   * 93 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 420 TABLESWITCH L-1 Case 69 - false
   * 94 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 421 TABLESWITCH L-1 Case 70 - false
   * 95 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 422 TABLESWITCH L-1 Case 71 - false
   * 96 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 423 TABLESWITCH L-1 Case 72 - false
   * 97 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 424 TABLESWITCH L-1 Case 73 - false
   * 98 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 425 TABLESWITCH L-1 Case 74 - false
   * 99 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 426 TABLESWITCH L-1 Case 75 - false
   * 100 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 427 TABLESWITCH L-1 Case 76 - false
   * 101 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 428 TABLESWITCH L-1 Case 77 - true
   * 102 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 428 TABLESWITCH L-1 Case 77 - false
   * 103 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 429 TABLESWITCH L-1 Case 78 - false
   * 104 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 430 TABLESWITCH L-1 Case 79 - false
   * 105 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 431 TABLESWITCH L-1 Case 80 - false
   * 106 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 432 TABLESWITCH L-1 Case 81 - false
   * 107 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 433 TABLESWITCH L-1 Case 82 - false
   * 108 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 434 TABLESWITCH L-1 Case 83 - false
   * 109 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 435 TABLESWITCH L-1 Case 84 - false
   * 110 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 436 TABLESWITCH L-1 Case 85 - false
   * 111 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 437 TABLESWITCH L-1 Case 86 - true
   * 112 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 437 TABLESWITCH L-1 Case 86 - false
   * 113 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 438 TABLESWITCH L-1 Case 87 - false
   * 114 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 439 TABLESWITCH L-1 Case 88 - false
   * 115 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 440 TABLESWITCH L-1 Case 89 - false
   * 116 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 441 TABLESWITCH L-1 Case 90 - false
   * 117 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 442 TABLESWITCH L-1 Case 91 - false
   * 118 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 443 TABLESWITCH L-1 Case 92 - false
   * 119 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 444 TABLESWITCH L-1 Case 93 - false
   * 120 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 445 TABLESWITCH L-1 Case 94 - false
   * 121 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 446 TABLESWITCH L-1 Case 95 - false
   * 122 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 447 TABLESWITCH L-1 Case 96 - false
   * 123 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 448 TABLESWITCH L-1 Case 97 - false
   * 124 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 449 TABLESWITCH L-1 Case 98 - false
   * 125 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 450 TABLESWITCH L-1 Case 99 - false
   * 126 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 451 TABLESWITCH L-1 Case 100 - false
   * 127 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 452 TABLESWITCH L-1 Case 101 - false
   * 128 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 453 TABLESWITCH L-1 Case 102 - false
   * 129 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 454 TABLESWITCH L-1 Case 103 - false
   * 130 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 455 TABLESWITCH L-1 Case 104 - false
   * 131 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 456 TABLESWITCH L-1 Case 105 - false
   * 132 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 457 TABLESWITCH L-1 Case 106 - false
   * 133 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 458 TABLESWITCH L-1 Case 107 - false
   * 134 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 459 TABLESWITCH L-1 Case 108 - false
   * 135 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 460 TABLESWITCH L-1 Case 109 - false
   * 136 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 461 TABLESWITCH L-1 Case 110 - false
   * 137 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 462 TABLESWITCH L-1 Case 111 - false
   * 138 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 463 TABLESWITCH L-1 Case 112 - false
   * 139 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 464 TABLESWITCH L-1 Case 113 - false
   * 140 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 465 TABLESWITCH L-1 Case 114 - false
   * 141 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 466 TABLESWITCH L-1 Case 115 - false
   * 142 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 467 TABLESWITCH L-1 Case 116 - false
   * 143 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 468 TABLESWITCH L-1 Case 117 - false
   * 144 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 469 TABLESWITCH L-1 Case 118 - false
   * 145 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 470 TABLESWITCH L-1 Case 119 - false
   * 146 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 471 TABLESWITCH L-1 Case 120 - false
   * 147 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 472 TABLESWITCH L-1 Case 121 - false
   * 148 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 473 TABLESWITCH L-1 Case 122 - false
   * 149 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 474 TABLESWITCH L-1 Default-Case - true
   * 150 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 474 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test20()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkAbsoluteURI("Broken VM: does not recognize UTF-8 encoding");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal scheme character  
         //
      }
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I8 Branch 665 IFNONNULL L-1 - false
   */

  @Test
  public void test21()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkAbsoluteURI("Dp$x_S`yH}mVd]");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Missing scheme in absolute URI
         //
      }
  }

  //Test case number: 22
  /*
   * 7 covered goals:
   * 1 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I18 Branch 666 IFNULL L-1 - true
   * 2 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I28 Branch 667 IFNULL L-1 - true
   * 3 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I35 Branch 668 IFNULL L-1 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 495 TABLESWITCH L-1 Case 53 - true
   * 5 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I43 Branch 255 IF_ICMPLT L-1 - true
   * 6 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 336 TABLESWITCH L-1 Case 66 - false
   * 7 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 374 TABLESWITCH L-1 Case 104 - true
   */

  @Test
  public void test22()  throws Throwable  {
      Verifier.checkAbsoluteURI("h:5");
  }

  //Test case number: 23
  /*
   * 11 covered goals:
   * 1 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I18 Branch 666 IFNULL L-1 - false
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 487 TABLESWITCH L-1 Case 45 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 543 TABLESWITCH L-1 Case 101 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 545 TABLESWITCH L-1 Case 103 - true
   * 5 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 547 TABLESWITCH L-1 Case 105 - true
   * 6 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 556 TABLESWITCH L-1 Case 114 - true
   * 7 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 557 TABLESWITCH L-1 Case 115 - true
   * 8 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 558 TABLESWITCH L-1 Case 116 - true
   * 9 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 562 TABLESWITCH L-1 Case 120 - true
   * 10 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I28 Branch 667 IFNULL L-1 - true
   * 11 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I35 Branch 668 IFNULL L-1 - true
   */

  @Test
  public void test23()  throws Throwable  {
      Verifier.checkAbsoluteURI("http://xml.org/sax/features/string-interning");
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.checkInternalDTDSubset(Ljava/lang/String;)V: I1 Branch 669 IFNONNULL L-1 - true
   */

  @Test
  public void test24()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkInternalDTDSubset("v");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Malformed internal DTD subset: The markup declarations contained or pointed to by the document type declaration must be well-formed.
         //
      }
  }

  //Test case number: 25
  /*
   * 10 covered goals:
   * 1 nu.xom.Verifier.checkAbsoluteURIReference(Ljava/lang/String;)V: I14 Branch 331 IFNONNULL L-1 - true
   * 2 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 462 TABLESWITCH L-1 Case 111 - true
   * 3 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 463 TABLESWITCH L-1 Case 112 - true
   * 4 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 465 TABLESWITCH L-1 Case 114 - true
   * 5 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 467 TABLESWITCH L-1 Case 116 - true
   * 6 nu.xom.Verifier$URICache.contains(Ljava/lang/String;)Z: I5 Branch 1 IF_ICMPGE L-1 - true
   * 7 nu.xom.Verifier$URICache.contains(Ljava/lang/String;)Z: I5 Branch 1 IF_ICMPGE L-1 - false
   * 8 nu.xom.Verifier$URICache.contains(Ljava/lang/String;)Z: I11 Branch 2 IF_ACMPNE L-1 - true
   * 9 nu.xom.Verifier.checkAbsoluteURIReference(Ljava/lang/String;)V: I3 Branch 330 IFEQ L-1 - true
   * 10 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 336 TABLESWITCH L-1 Case 66 - true
   */

  @Test
  public void test25()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkAbsoluteURIReference("Bad port: ");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal scheme character  
         //
      }
  }

  //Test case number: 26
  /*
   * 10 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 476 TABLESWITCH L-1 Case 34 - true
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 501 TABLESWITCH L-1 Case 59 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 508 TABLESWITCH L-1 Case 66 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 511 TABLESWITCH L-1 Case 69 - true
   * 5 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 517 TABLESWITCH L-1 Case 75 - true
   * 6 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 523 TABLESWITCH L-1 Case 81 - true
   * 7 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 551 TABLESWITCH L-1 Case 109 - true
   * 8 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 478 TABLESWITCH L-1 Case 36 - true
   * 9 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 497 TABLESWITCH L-1 Case 55 - true
   * 10 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 548 TABLESWITCH L-1 Case 106 - true
   */

  @Test
  public void test26()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("=QKmBj7E;$\"?t_~");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal path character \"
         //
      }
  }

  //Test case number: 27
  /*
   * 4 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 482 TABLESWITCH L-1 Case 40 - true
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 484 TABLESWITCH L-1 Case 42 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 568 TABLESWITCH L-1 Case 126 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 545 TABLESWITCH L-1 Case 103 - true
   */

  @Test
  public void test27()  throws Throwable  {
      Verifier.checkURIReference("(g~*e");
  }

  //Test case number: 28
  /*
   * 5 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 485 TABLESWITCH L-1 Case 43 - true
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 492 TABLESWITCH L-1 Case 50 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 522 TABLESWITCH L-1 Case 80 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 526 TABLESWITCH L-1 Case 84 - true
   * 5 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 494 TABLESWITCH L-1 Case 52 - true
   */

  @Test
  public void test28()  throws Throwable  {
      Verifier.checkURIReference("T4PP2+");
  }

  //Test case number: 29
  /*
   * 4 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 491 TABLESWITCH L-1 Case 49 - true
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 534 TABLESWITCH L-1 Case 92 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 560 TABLESWITCH L-1 Case 118 - true
   * 4 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 389 TABLESWITCH L-1 Case 119 - true
   */

  @Test
  public void test29()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("w:1v'<xN_FoEsqwfV");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal path character <
         //
      }
  }

  //Test case number: 30
  /*
   * 3 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 507 TABLESWITCH L-1 Case 65 - true
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 518 TABLESWITCH L-1 Case 76 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 535 TABLESWITCH L-1 Case 93 - true
   */

  @Test
  public void test30()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("LA]>y3_Z");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal path character ]
         //
      }
  }

  //Test case number: 31
  /*
   * 8 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 514 TABLESWITCH L-1 Case 72 - true
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 531 TABLESWITCH L-1 Case 89 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 532 TABLESWITCH L-1 Case 90 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 541 TABLESWITCH L-1 Case 99 - true
   * 5 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 565 TABLESWITCH L-1 Case 123 - true
   * 6 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 492 TABLESWITCH L-1 Case 50 - true
   * 7 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 495 TABLESWITCH L-1 Case 53 - true
   * 8 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 560 TABLESWITCH L-1 Case 118 - true
   */

  @Test
  public void test31()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("Y2ZcHv5{7[V(`.l_oN");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal path character {
         //
      }
  }

  //Test case number: 32
  /*
   * 6 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 515 TABLESWITCH L-1 Case 73 - true
   * 2 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 524 TABLESWITCH L-1 Case 82 - true
   * 3 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 527 TABLESWITCH L-1 Case 85 - true
   * 4 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 569 TABLESWITCH L-1 Default-Case - true
   * 5 nu.xom.Verifier.throwMalformedURIException(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 6 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I71 Branch 133 IFNE L-1 - false
   */

  @Test
  public void test32()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkURIReference("URIs cannot begin with a colon");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal path character  
         //
      }
  }

  //Test case number: 33
  /*
   * 130 covered goals:
   * 1 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 554 TABLESWITCH L-1 Case 112 - true
   * 2 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I18 Branch 127 IF_ICMPNE L-1 - false
   * 3 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I23 Branch 128 IF_ICMPGE L-1 - false
   * 4 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I30 Branch 129 IF_ICMPNE L-1 - true
   * 5 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I23 Branch 23 IFNULL L-1 - false
   * 6 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I4 Branch 140 IFNE L-1 - true
   * 7 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I14 Branch 141 IF_ICMPNE L-1 - true
   * 8 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I39 Branch 143 IF_ICMPLE L-1 - true
   * 9 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I58 Branch 144 IF_ICMPGE L-1 - true
   * 10 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I58 Branch 144 IF_ICMPGE L-1 - false
   * 11 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I65 Branch 145 IF_ICMPNE L-1 - true
   * 12 nu.xom.Verifier.checkHost(Ljava/lang/String;)V: I98 Branch 148 IFNE L-1 - true
   * 13 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I12 Branch 134 IF_ICMPEQ L-1 - true
   * 14 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I29 Branch 135 IFLE L-1 - true
   * 15 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I50 Branch 137 IF_ICMPEQ L-1 - true
   * 16 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I68 Branch 138 IFNULL L-1 - true
   * 17 nu.xom.Verifier.checkAuthority(Ljava/lang/String;)V: I73 Branch 139 IFNULL L-1 - true
   * 18 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 539 TABLESWITCH L-1 Case 97 - true
   * 19 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 541 TABLESWITCH L-1 Case 99 - true
   * 20 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 543 TABLESWITCH L-1 Case 101 - true
   * 21 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 544 TABLESWITCH L-1 Case 102 - true
   * 22 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 551 TABLESWITCH L-1 Case 109 - true
   * 23 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 552 TABLESWITCH L-1 Case 110 - true
   * 24 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 556 TABLESWITCH L-1 Case 114 - true
   * 25 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 557 TABLESWITCH L-1 Case 115 - true
   * 26 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 559 TABLESWITCH L-1 Case 117 - true
   * 27 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 562 TABLESWITCH L-1 Case 120 - true
   * 28 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I3 Branch 252 IFLE L-1 - false
   * 29 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 149 TABLESWITCH L-1 Case 33 - false
   * 30 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 150 TABLESWITCH L-1 Case 34 - false
   * 31 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 151 TABLESWITCH L-1 Case 35 - false
   * 32 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 152 TABLESWITCH L-1 Case 36 - false
   * 33 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 153 TABLESWITCH L-1 Case 37 - false
   * 34 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 154 TABLESWITCH L-1 Case 38 - false
   * 35 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 155 TABLESWITCH L-1 Case 39 - false
   * 36 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 156 TABLESWITCH L-1 Case 40 - false
   * 37 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 157 TABLESWITCH L-1 Case 41 - false
   * 38 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 158 TABLESWITCH L-1 Case 42 - false
   * 39 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 159 TABLESWITCH L-1 Case 43 - false
   * 40 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 160 TABLESWITCH L-1 Case 44 - false
   * 41 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 161 TABLESWITCH L-1 Case 45 - false
   * 42 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 162 TABLESWITCH L-1 Case 46 - true
   * 43 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 162 TABLESWITCH L-1 Case 46 - false
   * 44 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 163 TABLESWITCH L-1 Case 47 - false
   * 45 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 164 TABLESWITCH L-1 Case 48 - false
   * 46 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 165 TABLESWITCH L-1 Case 49 - false
   * 47 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 166 TABLESWITCH L-1 Case 50 - false
   * 48 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 167 TABLESWITCH L-1 Case 51 - false
   * 49 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 168 TABLESWITCH L-1 Case 52 - false
   * 50 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 169 TABLESWITCH L-1 Case 53 - false
   * 51 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 170 TABLESWITCH L-1 Case 54 - false
   * 52 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 171 TABLESWITCH L-1 Case 55 - false
   * 53 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 172 TABLESWITCH L-1 Case 56 - false
   * 54 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 173 TABLESWITCH L-1 Case 57 - false
   * 55 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 174 TABLESWITCH L-1 Case 58 - false
   * 56 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 175 TABLESWITCH L-1 Case 59 - false
   * 57 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 176 TABLESWITCH L-1 Case 60 - false
   * 58 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 177 TABLESWITCH L-1 Case 61 - false
   * 59 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 178 TABLESWITCH L-1 Case 62 - false
   * 60 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 179 TABLESWITCH L-1 Case 63 - false
   * 61 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 180 TABLESWITCH L-1 Case 64 - false
   * 62 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 181 TABLESWITCH L-1 Case 65 - false
   * 63 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 182 TABLESWITCH L-1 Case 66 - false
   * 64 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 183 TABLESWITCH L-1 Case 67 - false
   * 65 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 184 TABLESWITCH L-1 Case 68 - false
   * 66 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 185 TABLESWITCH L-1 Case 69 - false
   * 67 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 186 TABLESWITCH L-1 Case 70 - false
   * 68 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 187 TABLESWITCH L-1 Case 71 - false
   * 69 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 188 TABLESWITCH L-1 Case 72 - false
   * 70 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 189 TABLESWITCH L-1 Case 73 - false
   * 71 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 190 TABLESWITCH L-1 Case 74 - false
   * 72 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 191 TABLESWITCH L-1 Case 75 - false
   * 73 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 192 TABLESWITCH L-1 Case 76 - false
   * 74 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 193 TABLESWITCH L-1 Case 77 - false
   * 75 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 194 TABLESWITCH L-1 Case 78 - false
   * 76 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 195 TABLESWITCH L-1 Case 79 - false
   * 77 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 196 TABLESWITCH L-1 Case 80 - false
   * 78 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 197 TABLESWITCH L-1 Case 81 - false
   * 79 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 198 TABLESWITCH L-1 Case 82 - false
   * 80 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 199 TABLESWITCH L-1 Case 83 - false
   * 81 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 200 TABLESWITCH L-1 Case 84 - false
   * 82 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 201 TABLESWITCH L-1 Case 85 - false
   * 83 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 202 TABLESWITCH L-1 Case 86 - false
   * 84 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 203 TABLESWITCH L-1 Case 87 - false
   * 85 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 204 TABLESWITCH L-1 Case 88 - false
   * 86 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 205 TABLESWITCH L-1 Case 89 - false
   * 87 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 206 TABLESWITCH L-1 Case 90 - false
   * 88 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 207 TABLESWITCH L-1 Case 91 - false
   * 89 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 208 TABLESWITCH L-1 Case 92 - false
   * 90 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 209 TABLESWITCH L-1 Case 93 - false
   * 91 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 210 TABLESWITCH L-1 Case 94 - false
   * 92 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 211 TABLESWITCH L-1 Case 95 - false
   * 93 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 212 TABLESWITCH L-1 Case 96 - false
   * 94 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 213 TABLESWITCH L-1 Case 97 - false
   * 95 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 214 TABLESWITCH L-1 Case 98 - false
   * 96 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 215 TABLESWITCH L-1 Case 99 - false
   * 97 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 216 TABLESWITCH L-1 Case 100 - false
   * 98 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 217 TABLESWITCH L-1 Case 101 - false
   * 99 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 218 TABLESWITCH L-1 Case 102 - false
   * 100 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 219 TABLESWITCH L-1 Case 103 - true
   * 101 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 219 TABLESWITCH L-1 Case 103 - false
   * 102 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 220 TABLESWITCH L-1 Case 104 - false
   * 103 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 221 TABLESWITCH L-1 Case 105 - false
   * 104 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 222 TABLESWITCH L-1 Case 106 - false
   * 105 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 223 TABLESWITCH L-1 Case 107 - false
   * 106 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 224 TABLESWITCH L-1 Case 108 - true
   * 107 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 224 TABLESWITCH L-1 Case 108 - false
   * 108 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 225 TABLESWITCH L-1 Case 109 - true
   * 109 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 225 TABLESWITCH L-1 Case 109 - false
   * 110 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 226 TABLESWITCH L-1 Case 110 - false
   * 111 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 227 TABLESWITCH L-1 Case 111 - true
   * 112 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 227 TABLESWITCH L-1 Case 111 - false
   * 113 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 228 TABLESWITCH L-1 Case 112 - false
   * 114 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 229 TABLESWITCH L-1 Case 113 - false
   * 115 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 230 TABLESWITCH L-1 Case 114 - true
   * 116 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 230 TABLESWITCH L-1 Case 114 - false
   * 117 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 231 TABLESWITCH L-1 Case 115 - false
   * 118 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 232 TABLESWITCH L-1 Case 116 - false
   * 119 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 233 TABLESWITCH L-1 Case 117 - false
   * 120 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 234 TABLESWITCH L-1 Case 118 - false
   * 121 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 235 TABLESWITCH L-1 Case 119 - false
   * 122 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 236 TABLESWITCH L-1 Case 120 - true
   * 123 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 236 TABLESWITCH L-1 Case 120 - false
   * 124 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 237 TABLESWITCH L-1 Case 121 - false
   * 125 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 238 TABLESWITCH L-1 Case 122 - false
   * 126 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 239 TABLESWITCH L-1 Case 123 - false
   * 127 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 240 TABLESWITCH L-1 Case 124 - false
   * 128 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 241 TABLESWITCH L-1 Case 125 - false
   * 129 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 242 TABLESWITCH L-1 Case 126 - false
   * 130 nu.xom.Verifier.isRegNameCharacter(C)Z: I1 Branch 243 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test33()  throws Throwable  {
      Verifier.checkURIReference("http://xml.org/sax/features/namespaces");
  }

  //Test case number: 34
  /*
   * 2 covered goals:
   * 1 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 278 TABLESWITCH L-1 Case 52 - true
   * 2 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 274 TABLESWITCH L-1 Case 48 - true
   */

  @Test
  public void test34()  throws Throwable  {
      Verifier.checkURIReference("%40");
  }

  //Test case number: 35
  /*
   * 63 covered goals:
   * 1 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 279 TABLESWITCH L-1 Case 53 - true
   * 2 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 295 TABLESWITCH L-1 Case 69 - true
   * 3 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I38 Branch 130 IF_ICMPNE L-1 - false
   * 4 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I46 Branch 131 IFEQ L-1 - false
   * 5 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I53 Branch 132 IFNE L-1 - true
   * 6 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I16 Branch 22 IFNULL L-1 - true
   * 7 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I40 Branch 25 IFNULL L-1 - true
   * 8 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 274 TABLESWITCH L-1 Case 48 - false
   * 9 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 275 TABLESWITCH L-1 Case 49 - false
   * 10 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 276 TABLESWITCH L-1 Case 50 - false
   * 11 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 277 TABLESWITCH L-1 Case 51 - false
   * 12 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 278 TABLESWITCH L-1 Case 52 - false
   * 13 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 279 TABLESWITCH L-1 Case 53 - false
   * 14 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 280 TABLESWITCH L-1 Case 54 - false
   * 15 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 281 TABLESWITCH L-1 Case 55 - false
   * 16 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 282 TABLESWITCH L-1 Case 56 - false
   * 17 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 283 TABLESWITCH L-1 Case 57 - false
   * 18 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 284 TABLESWITCH L-1 Case 58 - false
   * 19 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 285 TABLESWITCH L-1 Case 59 - false
   * 20 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 286 TABLESWITCH L-1 Case 60 - false
   * 21 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 287 TABLESWITCH L-1 Case 61 - false
   * 22 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 288 TABLESWITCH L-1 Case 62 - false
   * 23 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 289 TABLESWITCH L-1 Case 63 - false
   * 24 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 290 TABLESWITCH L-1 Case 64 - false
   * 25 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 291 TABLESWITCH L-1 Case 65 - false
   * 26 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 292 TABLESWITCH L-1 Case 66 - false
   * 27 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 293 TABLESWITCH L-1 Case 67 - false
   * 28 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 294 TABLESWITCH L-1 Case 68 - false
   * 29 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 295 TABLESWITCH L-1 Case 69 - false
   * 30 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 296 TABLESWITCH L-1 Case 70 - false
   * 31 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 297 TABLESWITCH L-1 Case 71 - false
   * 32 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 298 TABLESWITCH L-1 Case 72 - false
   * 33 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 299 TABLESWITCH L-1 Case 73 - false
   * 34 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 300 TABLESWITCH L-1 Case 74 - false
   * 35 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 301 TABLESWITCH L-1 Case 75 - false
   * 36 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 302 TABLESWITCH L-1 Case 76 - false
   * 37 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 303 TABLESWITCH L-1 Case 77 - false
   * 38 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 304 TABLESWITCH L-1 Case 78 - false
   * 39 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 305 TABLESWITCH L-1 Case 79 - false
   * 40 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 306 TABLESWITCH L-1 Case 80 - false
   * 41 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 307 TABLESWITCH L-1 Case 81 - false
   * 42 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 308 TABLESWITCH L-1 Case 82 - false
   * 43 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 309 TABLESWITCH L-1 Case 83 - false
   * 44 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 310 TABLESWITCH L-1 Case 84 - false
   * 45 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 311 TABLESWITCH L-1 Case 85 - false
   * 46 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 312 TABLESWITCH L-1 Case 86 - false
   * 47 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 313 TABLESWITCH L-1 Case 87 - false
   * 48 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 314 TABLESWITCH L-1 Case 88 - false
   * 49 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 315 TABLESWITCH L-1 Case 89 - false
   * 50 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 316 TABLESWITCH L-1 Case 90 - false
   * 51 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 317 TABLESWITCH L-1 Case 91 - false
   * 52 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 318 TABLESWITCH L-1 Case 92 - false
   * 53 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 319 TABLESWITCH L-1 Case 93 - false
   * 54 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 320 TABLESWITCH L-1 Case 94 - false
   * 55 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 321 TABLESWITCH L-1 Case 95 - false
   * 56 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 322 TABLESWITCH L-1 Case 96 - false
   * 57 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 323 TABLESWITCH L-1 Case 97 - false
   * 58 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 324 TABLESWITCH L-1 Case 98 - false
   * 59 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 325 TABLESWITCH L-1 Case 99 - false
   * 60 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 326 TABLESWITCH L-1 Case 100 - false
   * 61 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 327 TABLESWITCH L-1 Case 101 - false
   * 62 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 328 TABLESWITCH L-1 Case 102 - false
   * 63 nu.xom.Verifier.isHexDigit(C)Z: I1 Branch 329 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test35()  throws Throwable  {
      Verifier.checkURIReference("%5E");
  }

  //Test case number: 36
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 340 TABLESWITCH L-1 Case 70 - true
   */

  @Test
  public void test36()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('F');
      assertEquals(true, boolean0);
  }

  //Test case number: 37
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 342 TABLESWITCH L-1 Case 72 - true
   */

  @Test
  public void test37()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('H');
      assertEquals(true, boolean0);
  }

  //Test case number: 38
  /*
   * 9 covered goals:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 347 TABLESWITCH L-1 Case 77 - true
   * 2 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 449 TABLESWITCH L-1 Case 98 - true
   * 3 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 452 TABLESWITCH L-1 Case 101 - true
   * 4 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 466 TABLESWITCH L-1 Case 115 - true
   * 5 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 468 TABLESWITCH L-1 Case 117 - true
   * 6 nu.xom.Verifier.checkAbsoluteURI(Ljava/lang/String;)V: I8 Branch 665 IFNONNULL L-1 - true
   * 7 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I50 Branch 256 IFNE L-1 - false
   * 8 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 467 TABLESWITCH L-1 Case 116 - true
   * 9 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 474 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test38()  throws Throwable  {
      // Undeclared exception!
      try {
        Verifier.checkAbsoluteURI("Malformed internal DTD subset: ");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Illegal scheme character  
         //
      }
  }

  //Test case number: 39
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 348 TABLESWITCH L-1 Case 78 - true
   */

  @Test
  public void test39()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('N');
      assertEquals(true, boolean0);
  }

  //Test case number: 40
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 353 TABLESWITCH L-1 Case 83 - true
   */

  @Test
  public void test40()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('S');
      assertEquals(true, boolean0);
  }

  //Test case number: 41
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 355 TABLESWITCH L-1 Case 85 - true
   */

  @Test
  public void test41()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('U');
      assertEquals(true, boolean0);
  }

  //Test case number: 42
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 361 TABLESWITCH L-1 Case 91 - true
   */

  @Test
  public void test42()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('[');
      assertEquals(false, boolean0);
  }

  //Test case number: 43
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 364 TABLESWITCH L-1 Case 94 - true
   */

  @Test
  public void test43()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('^');
      assertEquals(false, boolean0);
  }

  //Test case number: 44
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 372 TABLESWITCH L-1 Case 102 - true
   */

  @Test
  public void test44()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('f');
      assertEquals(true, boolean0);
  }

  //Test case number: 45
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 376 TABLESWITCH L-1 Case 106 - true
   */

  @Test
  public void test45()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('j');
      assertEquals(true, boolean0);
  }

  //Test case number: 46
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 377 TABLESWITCH L-1 Case 107 - true
   */

  @Test
  public void test46()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('k');
      assertEquals(true, boolean0);
  }

  //Test case number: 47
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 381 TABLESWITCH L-1 Case 111 - true
   */

  @Test
  public void test47()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('o');
      assertEquals(true, boolean0);
  }

  //Test case number: 48
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 383 TABLESWITCH L-1 Case 113 - true
   */

  @Test
  public void test48()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('q');
      assertEquals(true, boolean0);
  }

  //Test case number: 49
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 386 TABLESWITCH L-1 Case 116 - true
   */

  @Test
  public void test49()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('t');
      assertEquals(true, boolean0);
  }

  //Test case number: 50
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 390 TABLESWITCH L-1 Case 120 - true
   */

  @Test
  public void test50()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha('x');
      assertEquals(true, boolean0);
  }

  //Test case number: 51
  /*
   * 122 covered goals:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 391 TABLESWITCH L-1 Case 121 - true
   * 2 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 394 TABLESWITCH L-1 Case 43 - true
   * 3 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 401 TABLESWITCH L-1 Case 50 - true
   * 4 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 403 TABLESWITCH L-1 Case 52 - true
   * 5 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 431 TABLESWITCH L-1 Case 80 - true
   * 6 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 435 TABLESWITCH L-1 Case 84 - true
   * 7 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I11 Branch 126 IF_ICMPGE L-1 - true
   * 8 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I11 Branch 126 IF_ICMPGE L-1 - false
   * 9 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I18 Branch 127 IF_ICMPNE L-1 - true
   * 10 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I38 Branch 130 IF_ICMPNE L-1 - true
   * 11 nu.xom.Verifier.checkPath(Ljava/lang/String;)V: I71 Branch 133 IFNE L-1 - true
   * 12 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I1 Branch 20 IFNULL L-1 - false
   * 13 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I4 Branch 21 IFNE L-1 - true
   * 14 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I16 Branch 22 IFNULL L-1 - false
   * 15 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I23 Branch 23 IFNULL L-1 - true
   * 16 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I33 Branch 24 IFNULL L-1 - true
   * 17 nu.xom.Verifier.checkURIReference(Ljava/lang/String;)V: I40 Branch 25 IFNULL L-1 - false
   * 18 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 475 TABLESWITCH L-1 Case 33 - false
   * 19 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 476 TABLESWITCH L-1 Case 34 - false
   * 20 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 477 TABLESWITCH L-1 Case 35 - false
   * 21 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 478 TABLESWITCH L-1 Case 36 - false
   * 22 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 479 TABLESWITCH L-1 Case 37 - false
   * 23 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 480 TABLESWITCH L-1 Case 38 - false
   * 24 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 481 TABLESWITCH L-1 Case 39 - false
   * 25 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 482 TABLESWITCH L-1 Case 40 - false
   * 26 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 483 TABLESWITCH L-1 Case 41 - false
   * 27 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 484 TABLESWITCH L-1 Case 42 - false
   * 28 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 485 TABLESWITCH L-1 Case 43 - false
   * 29 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 486 TABLESWITCH L-1 Case 44 - false
   * 30 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 487 TABLESWITCH L-1 Case 45 - false
   * 31 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 488 TABLESWITCH L-1 Case 46 - false
   * 32 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 489 TABLESWITCH L-1 Case 47 - false
   * 33 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 490 TABLESWITCH L-1 Case 48 - false
   * 34 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 491 TABLESWITCH L-1 Case 49 - false
   * 35 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 492 TABLESWITCH L-1 Case 50 - false
   * 36 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 493 TABLESWITCH L-1 Case 51 - false
   * 37 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 494 TABLESWITCH L-1 Case 52 - false
   * 38 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 495 TABLESWITCH L-1 Case 53 - false
   * 39 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 496 TABLESWITCH L-1 Case 54 - false
   * 40 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 497 TABLESWITCH L-1 Case 55 - false
   * 41 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 498 TABLESWITCH L-1 Case 56 - false
   * 42 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 499 TABLESWITCH L-1 Case 57 - false
   * 43 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 500 TABLESWITCH L-1 Case 58 - false
   * 44 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 501 TABLESWITCH L-1 Case 59 - false
   * 45 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 502 TABLESWITCH L-1 Case 60 - false
   * 46 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 503 TABLESWITCH L-1 Case 61 - true
   * 47 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 503 TABLESWITCH L-1 Case 61 - false
   * 48 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 504 TABLESWITCH L-1 Case 62 - false
   * 49 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 505 TABLESWITCH L-1 Case 63 - false
   * 50 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 506 TABLESWITCH L-1 Case 64 - false
   * 51 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 507 TABLESWITCH L-1 Case 65 - false
   * 52 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 508 TABLESWITCH L-1 Case 66 - false
   * 53 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 509 TABLESWITCH L-1 Case 67 - false
   * 54 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 510 TABLESWITCH L-1 Case 68 - false
   * 55 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 511 TABLESWITCH L-1 Case 69 - false
   * 56 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 512 TABLESWITCH L-1 Case 70 - false
   * 57 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 513 TABLESWITCH L-1 Case 71 - false
   * 58 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 514 TABLESWITCH L-1 Case 72 - false
   * 59 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 515 TABLESWITCH L-1 Case 73 - false
   * 60 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 516 TABLESWITCH L-1 Case 74 - false
   * 61 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 517 TABLESWITCH L-1 Case 75 - false
   * 62 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 518 TABLESWITCH L-1 Case 76 - false
   * 63 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 519 TABLESWITCH L-1 Case 77 - false
   * 64 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 520 TABLESWITCH L-1 Case 78 - false
   * 65 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 521 TABLESWITCH L-1 Case 79 - false
   * 66 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 522 TABLESWITCH L-1 Case 80 - false
   * 67 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 523 TABLESWITCH L-1 Case 81 - false
   * 68 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 524 TABLESWITCH L-1 Case 82 - false
   * 69 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 525 TABLESWITCH L-1 Case 83 - false
   * 70 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 526 TABLESWITCH L-1 Case 84 - false
   * 71 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 527 TABLESWITCH L-1 Case 85 - false
   * 72 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 528 TABLESWITCH L-1 Case 86 - false
   * 73 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 529 TABLESWITCH L-1 Case 87 - false
   * 74 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 530 TABLESWITCH L-1 Case 88 - false
   * 75 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 531 TABLESWITCH L-1 Case 89 - false
   * 76 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 532 TABLESWITCH L-1 Case 90 - false
   * 77 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 533 TABLESWITCH L-1 Case 91 - false
   * 78 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 534 TABLESWITCH L-1 Case 92 - false
   * 79 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 535 TABLESWITCH L-1 Case 93 - false
   * 80 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 536 TABLESWITCH L-1 Case 94 - false
   * 81 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 537 TABLESWITCH L-1 Case 95 - false
   * 82 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 538 TABLESWITCH L-1 Case 96 - false
   * 83 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 539 TABLESWITCH L-1 Case 97 - false
   * 84 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 540 TABLESWITCH L-1 Case 98 - false
   * 85 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 541 TABLESWITCH L-1 Case 99 - false
   * 86 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 542 TABLESWITCH L-1 Case 100 - false
   * 87 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 543 TABLESWITCH L-1 Case 101 - false
   * 88 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 544 TABLESWITCH L-1 Case 102 - false
   * 89 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 545 TABLESWITCH L-1 Case 103 - false
   * 90 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 546 TABLESWITCH L-1 Case 104 - false
   * 91 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 547 TABLESWITCH L-1 Case 105 - false
   * 92 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 548 TABLESWITCH L-1 Case 106 - false
   * 93 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 549 TABLESWITCH L-1 Case 107 - false
   * 94 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 550 TABLESWITCH L-1 Case 108 - false
   * 95 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 551 TABLESWITCH L-1 Case 109 - false
   * 96 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 552 TABLESWITCH L-1 Case 110 - false
   * 97 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 553 TABLESWITCH L-1 Case 111 - false
   * 98 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 554 TABLESWITCH L-1 Case 112 - false
   * 99 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 555 TABLESWITCH L-1 Case 113 - false
   * 100 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 556 TABLESWITCH L-1 Case 114 - false
   * 101 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 557 TABLESWITCH L-1 Case 115 - false
   * 102 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 558 TABLESWITCH L-1 Case 116 - true
   * 103 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 558 TABLESWITCH L-1 Case 116 - false
   * 104 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 559 TABLESWITCH L-1 Case 117 - false
   * 105 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 560 TABLESWITCH L-1 Case 118 - false
   * 106 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 561 TABLESWITCH L-1 Case 119 - false
   * 107 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 562 TABLESWITCH L-1 Case 120 - false
   * 108 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 563 TABLESWITCH L-1 Case 121 - false
   * 109 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 564 TABLESWITCH L-1 Case 122 - false
   * 110 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 565 TABLESWITCH L-1 Case 123 - false
   * 111 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 566 TABLESWITCH L-1 Case 124 - false
   * 112 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 567 TABLESWITCH L-1 Case 125 - false
   * 113 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 568 TABLESWITCH L-1 Case 126 - false
   * 114 nu.xom.Verifier.isPathCharacter(C)Z: I1 Branch 569 TABLESWITCH L-1 Default-Case - false
   * 115 nu.xom.Verifier.checkQuery(Ljava/lang/String;)V: I8 Branch 26 IF_ICMPGE L-1 - true
   * 116 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I3 Branch 252 IFLE L-1 - true
   * 117 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I8 Branch 253 IFNE L-1 - true
   * 118 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I21 Branch 254 IFNE L-1 - true
   * 119 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I43 Branch 255 IF_ICMPLT L-1 - true
   * 120 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I43 Branch 255 IF_ICMPLT L-1 - false
   * 121 nu.xom.Verifier.checkScheme(Ljava/lang/String;)V: I50 Branch 256 IFNE L-1 - true
   * 122 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 393 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test51()  throws Throwable  {
      Verifier.checkURIReference("yT4PP2+:t=?");
  }

  //Test case number: 52
  /*
   * 59 covered goals:
   * 1 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 393 TABLESWITCH L-1 Default-Case - true
   * 2 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 335 TABLESWITCH L-1 Case 65 - false
   * 3 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 336 TABLESWITCH L-1 Case 66 - false
   * 4 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 337 TABLESWITCH L-1 Case 67 - false
   * 5 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 338 TABLESWITCH L-1 Case 68 - false
   * 6 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 339 TABLESWITCH L-1 Case 69 - false
   * 7 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 340 TABLESWITCH L-1 Case 70 - false
   * 8 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 341 TABLESWITCH L-1 Case 71 - false
   * 9 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 342 TABLESWITCH L-1 Case 72 - false
   * 10 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 343 TABLESWITCH L-1 Case 73 - false
   * 11 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 344 TABLESWITCH L-1 Case 74 - false
   * 12 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 345 TABLESWITCH L-1 Case 75 - false
   * 13 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 346 TABLESWITCH L-1 Case 76 - false
   * 14 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 347 TABLESWITCH L-1 Case 77 - false
   * 15 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 348 TABLESWITCH L-1 Case 78 - false
   * 16 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 349 TABLESWITCH L-1 Case 79 - false
   * 17 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 350 TABLESWITCH L-1 Case 80 - false
   * 18 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 351 TABLESWITCH L-1 Case 81 - false
   * 19 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 352 TABLESWITCH L-1 Case 82 - false
   * 20 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 353 TABLESWITCH L-1 Case 83 - false
   * 21 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 354 TABLESWITCH L-1 Case 84 - false
   * 22 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 355 TABLESWITCH L-1 Case 85 - false
   * 23 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 356 TABLESWITCH L-1 Case 86 - false
   * 24 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 357 TABLESWITCH L-1 Case 87 - false
   * 25 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 358 TABLESWITCH L-1 Case 88 - false
   * 26 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 359 TABLESWITCH L-1 Case 89 - false
   * 27 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 360 TABLESWITCH L-1 Case 90 - false
   * 28 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 361 TABLESWITCH L-1 Case 91 - false
   * 29 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 362 TABLESWITCH L-1 Case 92 - false
   * 30 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 363 TABLESWITCH L-1 Case 93 - false
   * 31 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 364 TABLESWITCH L-1 Case 94 - false
   * 32 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 365 TABLESWITCH L-1 Case 95 - false
   * 33 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 366 TABLESWITCH L-1 Case 96 - false
   * 34 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 367 TABLESWITCH L-1 Case 97 - false
   * 35 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 368 TABLESWITCH L-1 Case 98 - false
   * 36 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 369 TABLESWITCH L-1 Case 99 - false
   * 37 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 370 TABLESWITCH L-1 Case 100 - false
   * 38 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 371 TABLESWITCH L-1 Case 101 - false
   * 39 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 372 TABLESWITCH L-1 Case 102 - false
   * 40 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 373 TABLESWITCH L-1 Case 103 - false
   * 41 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 374 TABLESWITCH L-1 Case 104 - false
   * 42 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 375 TABLESWITCH L-1 Case 105 - false
   * 43 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 376 TABLESWITCH L-1 Case 106 - false
   * 44 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 377 TABLESWITCH L-1 Case 107 - false
   * 45 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 378 TABLESWITCH L-1 Case 108 - false
   * 46 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 379 TABLESWITCH L-1 Case 109 - false
   * 47 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 380 TABLESWITCH L-1 Case 110 - false
   * 48 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 381 TABLESWITCH L-1 Case 111 - false
   * 49 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 382 TABLESWITCH L-1 Case 112 - false
   * 50 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 383 TABLESWITCH L-1 Case 113 - false
   * 51 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 384 TABLESWITCH L-1 Case 114 - false
   * 52 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 385 TABLESWITCH L-1 Case 115 - false
   * 53 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 386 TABLESWITCH L-1 Case 116 - false
   * 54 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 387 TABLESWITCH L-1 Case 117 - false
   * 55 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 388 TABLESWITCH L-1 Case 118 - false
   * 56 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 389 TABLESWITCH L-1 Case 119 - false
   * 57 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 390 TABLESWITCH L-1 Case 120 - false
   * 58 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 391 TABLESWITCH L-1 Case 121 - false
   * 59 nu.xom.Verifier.isAlpha(C)Z: I1 Branch 392 TABLESWITCH L-1 Case 122 - false
   */

  @Test
  public void test52()  throws Throwable  {
      boolean boolean0 = Verifier.isAlpha(')');
      assertEquals(false, boolean0);
  }

  //Test case number: 53
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 410 TABLESWITCH L-1 Case 59 - true
   */

  @Test
  public void test53()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter(';');
      assertEquals(false, boolean0);
  }

  //Test case number: 54
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 414 TABLESWITCH L-1 Case 63 - true
   */

  @Test
  public void test54()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('?');
      assertEquals(false, boolean0);
  }

  //Test case number: 55
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 419 TABLESWITCH L-1 Case 68 - true
   */

  @Test
  public void test55()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('D');
      assertEquals(true, boolean0);
  }

  //Test case number: 56
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 422 TABLESWITCH L-1 Case 71 - true
   */

  @Test
  public void test56()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('G');
      assertEquals(true, boolean0);
  }

  //Test case number: 57
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 423 TABLESWITCH L-1 Case 72 - true
   */

  @Test
  public void test57()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('H');
      assertEquals(true, boolean0);
  }

  //Test case number: 58
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 425 TABLESWITCH L-1 Case 74 - true
   */

  @Test
  public void test58()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('J');
      assertEquals(true, boolean0);
  }

  //Test case number: 59
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 436 TABLESWITCH L-1 Case 85 - true
   */

  @Test
  public void test59()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('U');
      assertEquals(true, boolean0);
  }

  //Test case number: 60
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 442 TABLESWITCH L-1 Case 91 - true
   */

  @Test
  public void test60()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('[');
      assertEquals(false, boolean0);
  }

  //Test case number: 61
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 443 TABLESWITCH L-1 Case 92 - true
   */

  @Test
  public void test61()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('\\');
      assertEquals(false, boolean0);
  }

  //Test case number: 62
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 451 TABLESWITCH L-1 Case 100 - true
   */

  @Test
  public void test62()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('d');
      assertEquals(true, boolean0);
  }

  //Test case number: 63
  /*
   * 1 covered goal:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 455 TABLESWITCH L-1 Case 104 - true
   */

  @Test
  public void test63()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('h');
      assertEquals(true, boolean0);
  }

  //Test case number: 64
  /*
   * 2 covered goals:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 458 TABLESWITCH L-1 Case 107 - true
   * 2 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 473 TABLESWITCH L-1 Case 122 - false
   */

  @Test
  public void test64()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('k');
      assertEquals(true, boolean0);
  }

  //Test case number: 65
  /*
   * 81 covered goals:
   * 1 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 473 TABLESWITCH L-1 Case 122 - true
   * 2 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 394 TABLESWITCH L-1 Case 43 - false
   * 3 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 395 TABLESWITCH L-1 Case 44 - false
   * 4 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 396 TABLESWITCH L-1 Case 45 - false
   * 5 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 397 TABLESWITCH L-1 Case 46 - false
   * 6 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 398 TABLESWITCH L-1 Case 47 - false
   * 7 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 399 TABLESWITCH L-1 Case 48 - false
   * 8 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 400 TABLESWITCH L-1 Case 49 - false
   * 9 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 401 TABLESWITCH L-1 Case 50 - false
   * 10 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 402 TABLESWITCH L-1 Case 51 - false
   * 11 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 403 TABLESWITCH L-1 Case 52 - false
   * 12 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 404 TABLESWITCH L-1 Case 53 - false
   * 13 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 405 TABLESWITCH L-1 Case 54 - false
   * 14 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 406 TABLESWITCH L-1 Case 55 - false
   * 15 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 407 TABLESWITCH L-1 Case 56 - false
   * 16 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 408 TABLESWITCH L-1 Case 57 - false
   * 17 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 409 TABLESWITCH L-1 Case 58 - false
   * 18 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 410 TABLESWITCH L-1 Case 59 - false
   * 19 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 411 TABLESWITCH L-1 Case 60 - false
   * 20 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 412 TABLESWITCH L-1 Case 61 - false
   * 21 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 413 TABLESWITCH L-1 Case 62 - false
   * 22 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 414 TABLESWITCH L-1 Case 63 - false
   * 23 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 415 TABLESWITCH L-1 Case 64 - false
   * 24 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 416 TABLESWITCH L-1 Case 65 - false
   * 25 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 417 TABLESWITCH L-1 Case 66 - false
   * 26 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 418 TABLESWITCH L-1 Case 67 - false
   * 27 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 419 TABLESWITCH L-1 Case 68 - false
   * 28 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 420 TABLESWITCH L-1 Case 69 - false
   * 29 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 421 TABLESWITCH L-1 Case 70 - false
   * 30 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 422 TABLESWITCH L-1 Case 71 - false
   * 31 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 423 TABLESWITCH L-1 Case 72 - false
   * 32 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 424 TABLESWITCH L-1 Case 73 - false
   * 33 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 425 TABLESWITCH L-1 Case 74 - false
   * 34 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 426 TABLESWITCH L-1 Case 75 - false
   * 35 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 427 TABLESWITCH L-1 Case 76 - false
   * 36 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 428 TABLESWITCH L-1 Case 77 - false
   * 37 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 429 TABLESWITCH L-1 Case 78 - false
   * 38 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 430 TABLESWITCH L-1 Case 79 - false
   * 39 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 431 TABLESWITCH L-1 Case 80 - false
   * 40 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 432 TABLESWITCH L-1 Case 81 - false
   * 41 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 433 TABLESWITCH L-1 Case 82 - false
   * 42 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 434 TABLESWITCH L-1 Case 83 - false
   * 43 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 435 TABLESWITCH L-1 Case 84 - false
   * 44 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 436 TABLESWITCH L-1 Case 85 - false
   * 45 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 437 TABLESWITCH L-1 Case 86 - false
   * 46 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 438 TABLESWITCH L-1 Case 87 - false
   * 47 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 439 TABLESWITCH L-1 Case 88 - false
   * 48 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 440 TABLESWITCH L-1 Case 89 - false
   * 49 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 441 TABLESWITCH L-1 Case 90 - false
   * 50 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 442 TABLESWITCH L-1 Case 91 - false
   * 51 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 443 TABLESWITCH L-1 Case 92 - false
   * 52 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 444 TABLESWITCH L-1 Case 93 - false
   * 53 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 445 TABLESWITCH L-1 Case 94 - false
   * 54 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 446 TABLESWITCH L-1 Case 95 - false
   * 55 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 447 TABLESWITCH L-1 Case 96 - false
   * 56 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 448 TABLESWITCH L-1 Case 97 - false
   * 57 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 449 TABLESWITCH L-1 Case 98 - false
   * 58 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 450 TABLESWITCH L-1 Case 99 - false
   * 59 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 451 TABLESWITCH L-1 Case 100 - false
   * 60 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 452 TABLESWITCH L-1 Case 101 - false
   * 61 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 453 TABLESWITCH L-1 Case 102 - false
   * 62 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 454 TABLESWITCH L-1 Case 103 - false
   * 63 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 455 TABLESWITCH L-1 Case 104 - false
   * 64 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 456 TABLESWITCH L-1 Case 105 - false
   * 65 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 457 TABLESWITCH L-1 Case 106 - false
   * 66 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 458 TABLESWITCH L-1 Case 107 - false
   * 67 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 459 TABLESWITCH L-1 Case 108 - false
   * 68 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 460 TABLESWITCH L-1 Case 109 - false
   * 69 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 461 TABLESWITCH L-1 Case 110 - false
   * 70 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 462 TABLESWITCH L-1 Case 111 - false
   * 71 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 463 TABLESWITCH L-1 Case 112 - false
   * 72 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 464 TABLESWITCH L-1 Case 113 - false
   * 73 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 465 TABLESWITCH L-1 Case 114 - false
   * 74 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 466 TABLESWITCH L-1 Case 115 - false
   * 75 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 467 TABLESWITCH L-1 Case 116 - false
   * 76 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 468 TABLESWITCH L-1 Case 117 - false
   * 77 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 469 TABLESWITCH L-1 Case 118 - false
   * 78 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 470 TABLESWITCH L-1 Case 119 - false
   * 79 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 471 TABLESWITCH L-1 Case 120 - false
   * 80 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 472 TABLESWITCH L-1 Case 121 - false
   * 81 nu.xom.Verifier.isSchemeCharacter(C)Z: I1 Branch 474 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test65()  throws Throwable  {
      boolean boolean0 = Verifier.isSchemeCharacter('z');
      assertEquals(true, boolean0);
  }
}
